<?php
/* 
	Actualisation du plan futur
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_actualise_futur=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_actualise_futur']=$url_ret_adm_actualise_futur;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_actualise_futur'])) {
		$url_ret_adm_actualise_futur=$_SESSION['circonscript7_url_ret_adm_actualise_futur'];
	}
	else $url_ret_adm_actualise_futur="adm_animations.php";
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: adm_actualise_futur.php');
		exit;
	}	
	$planActualise=false;	
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	debugInit();	
	$h=connect();
	ejecteSiFerme($h);
	$nb_autorisations=2;
	$autorisations=queryValue("SELECT autorisations FROM general",$h);
	if (strlen($autorisations)<$nb_autorisations) $autorisations.=str_repeat("0",$nb_autorisations-strlen($autorisations));
	$ferme=queryValue("SELECT stag_etat FROM circos WHERE id_circo=$id_circo",$h)==0;
	$futurPresent=queryValue("SELECT COUNT(*) FROM animations,positions,domaines WHERE animations.id_circo=$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=1",$h)>0;
	
	while (isset($_POST['edOui'])){
		if ($_POST['edOui']!='oui') {
			$erreur="Il faut crire 'oui' dans le champ";
			break;
		}
		if (($autorisations[0]=='0'||$autorisations[1]=='0') && !isset($_SESSION['circonscript7_administration'])) {
			$erreur="Opration abandonne. Vous n'avez pas l'autorisation d'effectuer cette action. Demandez  l'administrateur d'autoriser les suppressions en lot de toutes les convocations et la suppression en lot des convocations des stagiaires extrieurs  la circo.";
			break;
		}			
		if(!$ferme) {
			$erreur="Opration abandonne: vous devez d'abord fermer le site.";
			break;
		}
		if(!$futurPresent) {
			$erreur="Opration abandonne: vous n'avez pas/plus de plan futur !";
			break;
		}
		// supprimer les convocations, inscriptions, absences des stagiaires de la circo
		query("DELETE inscriptions FROM inscriptions, stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE absences FROM absences, stagiaires,ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h) ;
		if ($erreur) break;
		query("DELETE convocations from convocations,stagiaires,ecoles WHERE  convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		if ($erreur) break;
		// Supprimer les importations
		$r=query("SELECT partages.id_partage,partages.id_seance FROM partages,seances,animations,positions,domaines WHERE accepte=1 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo<>$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_partage=$row[0];
			$id_seance=$row[1];
			query("UPDATE partages SET accepte=0 WHERE id_partage=$id_partage",$h);
			query("DELETE positions FROM seances,positions,domaines WHERE seances.id_seance=$id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
			query("DELETE groupements FROM groupements,groupes WHERE groupements.id_seance=$id_seance AND groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo",$h);
			query("DELETE items FROM items,listes WHERE items.id_seance=$id_seance AND items.id_liste=listes.id_liste AND listes.id_circo=$id_circo",$h);
			if ($erreur) break;
		}

		// supprimer les exportations
		if ($erreur) break;
		$r=query("SELECT partages.id_seance FROM partages,seances, animations, positions, domaines WHERE partages.id_circo<>$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY partages.id_seance",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_seance=$row[0];
			query("DELETE inscriptions FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
			query("DELETE convocations FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
			query("DELETE absences FROM absences,dates,stagiaires,ecoles WHERE absences.id_date=dates.id_date AND dates.id_seance=$id_seance AND absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
			query("DELETE groupements FROM groupements,groupes WHERE groupements.id_seance=$id_seance AND groupements.id_groupe=groupes.id_groupe AND groupes.id_circo<>$id_circo",$h); // dtruit les groupements extrieurs
			query("DELETE items FROM items,listes WHERE items.id_seance=$id_seance AND items.id_liste=listes.id_liste AND listes.id_circo<>$id_circo",$h);
			if ($erreur) break;
		}
		if ($erreur) break;

		// supprimer le plan actuel
		query("DELETE groupements FROM groupements,seances,animations,groupes WHERE groupements.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND groupements.id_groupe=groupes.id_groupe AND groupes.annee=0",$h) ;// supprime tout groupement (mme extrieur) faisant rfrence  la circo
		query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h) ; // dtruire tout groupement de la circo (il reste les groupements sur sances importes)
		query("DELETE partages FROM partages, seances, animations,positions,domaines WHERE partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 ",$h) ;
		query("DELETE items FROM items, seances, animations WHERE items.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo",$h) ; // dtruire tout item, mme extrieur, faisant rfrence  la circo. On ne teste pas l'anne car les items sont valables uniquement dans l'anne en cours 
		query("DELETE items FROM items,listes WHERE listes.id_circo=$id_circo AND items.id_liste=listes.id_liste",$h) ; // dtruire le reste des items de la circo
		query("DELETE FROM listes WHERE id_circo=$id_circo",$h);
		if ($erreur) break;
		query("DELETE interventions FROM interventions,dates,seances,positions,animations,domaines WHERE interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
		query("DELETE dates FROM dates,seances, animations, positions,domaines WHERE dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
		if ($erreur) break;
		query("DELETE seances FROM seances,animations,positions,domaines WHERE seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
		if ($erreur) break;
		$r=query("SELECT animations.id_anim FROM animations, positions, domaines WHERE animations.id_circo=$id_circo AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_anim=$row[0];
			query("DELETE FROM positions WHERE id_anim=$id_anim",$h);
			query("DELETE FROM animations WHERE id_anim=$id_anim",$h);
			if ($erreur) break;
		}
		if ($erreur) break;
		query("DELETE themes FROM themes WHERE themes.id_circo=$id_circo AND themes.annee=0",$h) ;
		if ($erreur) break;
		query("DELETE domaines FROM domaines WHERE domaines.id_circo=$id_circo AND domaines.annee=0",$h) ;
		if ($erreur) break;
		
		// supprimer les groupes
		query("DELETE groupements FROM groupements,groupes WHERE groupements.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h) ;
		if ($erreur) break;
		query("DELETE regles FROM regles, groupes WHERE regles.id_groupe=groupes.id_groupe AND groupes.id_circo=$id_circo AND groupes.annee=0",$h);
		if ($erreur) break;
		query("UPDATE stagiaires SET id_groupe=0 WHERE id_groupe IN (SELECT id_groupe FROM groupes WHERE id_circo=$id_circo AND annee=0)",$h);
		if ($erreur) break;
		query("DELETE FROM groupes WHERE id_circo=$id_circo AND annee=0",$h);
		if ($erreur) break;
		
		// actualiser le plan futur
		query("UPDATE domaines SET annee=0 WHERE id_circo=$id_circo",$h);
		if ($erreur) break;
		query("UPDATE themes SET annee=0 WHERE id_circo=$id_circo",$h);
		if ($erreur) break;
		query("UPDATE groupes SET annee=0 WHERE id_circo=$id_circo",$h);
		if ($erreur) break;
		query("UPDATE circos SET lien_externe0=lien_externe1, legende_lien_externe0=legende_lien_externe1, lien_externe1='',legende_lien_externe1=''",$h);
		$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
		if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $_SESSION['circonscript7_annee']=0;
		if ($erreur) break;
		$erreur="Plan actualis.";
		$futurPresent=false;
		$planActualise=true;
		break;
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		function confirmer() {
			var leForm=document.form1;
			if (leForm.edOui.value!="oui") 
				alert("Vous devez confirmer en crivant 'oui' dans la case.");
			else {
				b=window.confirm("Voulez-vous vraiment actualiser le plan futur ?");
				if (b) 	leForm.submit();
			}				
		}

		</script>
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_actualise_futur?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	<?php	if ($erreur) print "<p class=\"erreur\">$erreur</p>"; ?>
	  <h1>Actualisation du plan futur </h1>
	  <p>Cette actualisation va:</p>
	  <ul>
	    <li>supprimer les inscriptions, convocations, absences des stagiaires au plan actuel</li>
        <li>&ocirc;ter toutes les exportations, &ocirc;ter toutes les importations du plan actuel</li>
        <li>supprimer tous les groupes actuels (les stagiaires ne sont pas touch&eacute;s) </li>
	    <li>supprimer tout le plan actuel, y compris domaines et th&egrave;mes</li>
	    <li>actualiser le plan futur: il remplace le plan actuel</li>
      </ul>
	  <p>Les comptes des stagiaires sont conserv&eacute;s.</p>
	  <p>Cette actualisation n'est possible que si <a href="adm_site.php?url_ret=adm_actualise_futur.php">le site est ferm&eacute;</a>. </p>
	  <?php
	  	if (!$planActualise && ($autorisations[0]=='0'|| $autorisations[1]=='0'||!$ferme||!$futurPresent)) {
			print "<p class=\"erreur\">L'actualisation n'est pas possible :</p><ul class=\"erreur\">\n";
			if (!$ferme) print "<li>le site n'est pas ferm</li>\n";
			if (!$futurPresent) print "<li>vous n'avez pas de plan futur !</li>\n";
			if ($autorisations[0]=='0') print "<li>l'administrateur interdit la suppression des convocations en lot</li>\n";
			if ($autorisations[1]=='0') print "<li>l'administrateur interdit la suppression des convocations des stagiaires hors circo</li>\n";
			print "</ul>\n";
			if (isset($_SESSION['circonscript7_administration'] )) {
				if (!$futurPresent) print "<p class=\"erreur\">[Superadmin]: vous ne pouvez pas actualiser le site car il n'y a pas de plan futur</p>\n";
				else if (!$ferme) print "<p class=\"erreur\">[Superadmin]: vous devez d'abord fermer le site, ensuite vous pourrez nanmoins procder</p>\n";
			
				else print "<p class=\"erreur\">[SuperAdmin]: vous pouvez nanmoins procder.</p>\n";
			}
		}
	  ?>
	   <?php if ($ferme && $futurPresent && !$planActualise && (($autorisations[0]!='0' && $autorisations[1]!='0' ) || isset($_SESSION['circonscript7_administration']))) :?>
	  <form id="form1" name="form1" method="post" action="">
		
            <p>Ecrivez 'oui' dans le champ ci-contre, puis validez :
			<input name="edOui" type="text" id="edOui" size="3" maxlength="3" />
			<input name="valider" type="button" onclick="javascript:confirmer()" class="bouton_standard" id="valider" value="Valider" /></p>
	  </form>
	  <?php endif ?>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_actualise_futur?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>