<?php
/*	
	Liste de tous les stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_administrateurs=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_administrateurs']=$url_ret_adm_administrateurs;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_administrateurs'])) {
		$url_ret_adm_administrateurs=$_SESSION['circonscript7_url_ret_adm_administrateurs'];
	}
	else $url_ret_adm_administrateurs="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	$h=connect();
	debugInit();
	//diffrents tris en cours
	$tris=array(
		'login_asc'=> 'login ASC',
		'login_desc' => 'login DESC',
		'nom_asc'=>'nom ASC',
		'nom_desc'=>'nom DESC',
		'courriel_asc'=>'courriel ASC',
		'courriel_desc'=>'courriel DESC',
		'type_asc'=>'type ASC, nom ASC',
		'type_desc'=>'type DESC, nom ASC'
	);

	if (isset($_GET['tri'])) {
		$tri_adm_administrateurs=$tris[$_GET['tri']];
		if (!isset($tri_adm_administrateurs)) $tri_adm_administrateurs=$tris['login_asc'];
		$_SESSION['circonscript7_tri_adm_administrateurs']=$tri_adm_administrateurs;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_administrateurs'])) {
		$tri_adm_administrateurs=$_SESSION['circonscript7_tri_adm_administrateurs'];
	}
	else {
		$tri_adm_administrateurs=$tris['login_asc'];
		$_SESSION['circonscript7_tri_adm_administrateurs']=$tri_adm_administrateurs;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_administrateurs'])) 
		$filtre_adm_administrateurs=$_SESSION['circonscript7_filtre_adm_administrateurs'];
	else $filtre_adm_administrateurs='';
	if (isset($_SESSION['circonscript7_filtre_adm_administrateurs_circos'])) 
		$filtre_circo=$_SESSION['circonscript7_filtre_adm_administrateurs_circos'];
	else $filtre_circo='';
	if (isset($_SESSION['circonscript7_adm_administrateurs_page'])) $page=$_SESSION['circonscript7_adm_administrateurs_page'];
	else $page=0;
	if (isset($_SESSION['circonscript7_adm_administrateurs_doublons'])) $doublons=$_SESSION['circonscript7_adm_administrateurs_doublons'];
	else $doublons=0;
   
   if (isset($_POST['chercher'])) {
		$doublons=isset($_POST['doublons'])?1:0;
		if ($doublons) {
			$filtre1=$filtre2=$filtre_circo='';
		}
		else {
			if (isset($_POST['filtre1'])) {
				$filtre1=normalise($_POST['filtre1']);
			}
			else $filtre1='';
			if (isset($_POST['filtre2'])) {
				$filtre2=normalise($_POST['filtre2']);
			}
			else $filtre2='';
			$filtre_circo='';
			if (isset($_POST['circos']) ) $filtre_circo=abs(intval($_POST['circos']));
		}
		if( $filtre1!=$filtre_adm_administrateurs) $filtre_adm_administrateurs=$filtre1;
		else $filtre_adm_administrateurs=$filtre2;
		$_SESSION['circonscript7_filtre_adm_administrateurs']=$filtre_adm_administrateurs;
		$_SESSION['circonscript7_filtre_adm_administrateurs_circos']=$filtre_circo;  
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_administrateurs='';
		$_SESSION['circonscript7_filtre_adm_administrateurs']=$filtre_adm_administrateurs;
		$filtre_circo=0;
		$_SESSION['circonscript7_filtre_adm_administrateurs_circos']=$filtre_circo;   		
		$doublons=0; 		
   }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*)
	FROM administrateurs";
	$nb_administrateurs=queryValue($q,$h);
	if ($filtre_adm_administrateurs) {
		$filtre2=myLikeEscapeString($h,$filtre_adm_administrateurs);
		$q.= " WHERE (administrateurs.nom LIKE '%$filtre2%') ";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])||isset($_POST['chercher'])||isset($_POST['actualise'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$adm_administrateurs_page=$page;
	$_SESSION['circonscript7_adm_administrateurs_page']=$adm_administrateurs_page;
	$_SESSION['circonscript7_adm_administrateurs_doublons']=$doublons;
	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_administrateurs.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}
function afficheCircos($h)
{
	global $filtre_circo;
	print "<option value=\"0\"";
	if ($filtre_circo==0) print ' selected="selected"' ;
	print ">Toutes</option>\n";
	$r=query("SELECT id_circo, libelle FROM circos ORDER BY libelle ASC",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_circo=$row[0];
		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_circo\"";
		if ($filtre_circo==$id_circo) print ' selected="selected"' ;
		print ">$libelle</option>\n";
	}
}
function afficheListe($h)
{
	global $tri_adm_administrateurs,$filtre_adm_administrateurs,$page,$taille, $filtre_circo,$doublons;
	$impair=0;
	$f=myEscapeString($h,$filtre_adm_administrateurs);
	if ($doublons)
		$q="SELECT id_admin, administrateurs.id_uti, nom, courriel, CASE WHEN type_admin=0 THEN 'Admin' ELSE 'Superadmin' END AS type, login FROM administrateurs, utilisateurs WHERE administrateurs.id_uti=utilisateurs.id_uti GROUP BY utilisateurs.id_uti HAVING COUNT(*)>1";
	
	else if ($filtre_circo) 
		$q="SELECT administrateurs.id_admin, administrateurs.id_uti, administrateurs.nom, administrateurs.courriel, utilisateurs.login,  CASE WHEN type_admin=0 THEN 'Admin' ELSE 'Superadmin' END AS type FROM (administrateurs, utilisateurs, droits) WHERE droits.id_circo=$filtre_circo AND droits.id_admin=administrateurs.id_admin AND administrateurs.id_uti=utilisateurs.id_uti ";
	else
		$q="SELECT id_admin, administrateurs.id_uti, nom, courriel, CASE WHEN type_admin=0 THEN 'Admin' ELSE 'Superadmin' END AS type, login FROM administrateurs, utilisateurs WHERE administrateurs.id_uti=utilisateurs.id_uti";
	
	if ($filtre_adm_administrateurs) 
		$q.=" AND administrateurs.nom LIKE '%$f%'";
	if ($tri_adm_administrateurs) $q.=" ORDER BY ".$tri_adm_administrateurs;
	else $q.=" ORDER BY nom ASC";
	$lim=$page*$taille;
	$q.=" LIMIT $lim,$taille";
	$r=query($q,$h);

	while ($row=@mysqli_fetch_array($r)) {
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		$id_admin=$row['id_admin'];
		$id_uti=$row['id_uti'];
		printf("<td><a href=\"adm_utilisateur_edite.php?id_uti=$id_uti&amp;url_ret=adm_administrateurs.php\">%s</a></td>\n",htmlentities($row['login'],ENT_COMPAT,'ISO-8859-15'));
		$nom=$row['nom'];
		if ($nom=='') $nom='Aucun nom';
		printf("<td><a href=\"adm_droits.php?id_admin=$id_admin&amp;url_ret=adm_administrateurs.php\">%s</a></td>\n",htmlentities($nom,ENT_COMPAT,'ISO-8859-15'));
	
		if ($row['courriel'])
			printf("<td><a href=\"javascript:envoieMail3('%s','','') \">%s</a></td>\n",$row['courriel'],$row['courriel']);
		else
			print "<td>&nbsp;</td>\n";	
		printf("<td class=\"centre\">%s</td>\n",$row['type']);
		$s='';
		if ($row['type']=='Superadmin') $s='Toutes.';
		else {
			$r2=query("SELECT libelle_court FROM circos, droits WHERE circos.id_circo=droits.id_circo AND droits.id_admin=$id_admin",$h);
			while ($row2=@mysqli_fetch_row($r2)) {
				if ($s!='' ) $s.=', ';
				$s.=$row2[0];
			}
			if ($s!='') $s.='.'; 
			else $s='Aucune.';
		}
		printf("<td>%s</td>\n",$s);
		print "</tr>\n";
	}
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript" src="envoiemail.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function supprimer()
{
	b=window.confirm("Voulez-vous vraiment supprimer tous les comptes utilisateurs orphelins ?");
	if (b) {	
		document.form.Commande.value='supprimer';
		document.form.submit();
	}
}	
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_administrateurs?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_circos_liste.php?url_ret=adm_administrateurs.php">par circos</a></li>
					<li><a href="adm_courriels_admin.php?url_ret=adm_administrateurs.php">ordre alpha</a></li>
					<li><a href="adm_droits.php?id_admin=0&amp;url_ret=adm_administrateurs.php">nouveau</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Liste des comptes administrateurs (
	        <?php print $nb_administrateurs?>)</h2>
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		    <form method="post" action="" name="form">
				  
				  <p>
				    <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				    <input name="Commande" type="hidden" id="Commande" />
		
		          </p>
				  <table align="center">
                  <tr align="center" valign="top">
                    <td height="43"><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_administrateurs,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td rowspan="2" valign="middle"><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td rowspan="2" valign="middle"><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td rowspan="2" valign="middle"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td rowspan="2" valign="middle"><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td rowspan="2" valign="middle"><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td rowspan="2" valign="middle"><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
                  <tr align="center" valign="top">
                    <td height="43"><div align="left">S&eacute;lection de la circo: 
                        <select name="circos" id="circos">

                          <?php afficheCircos($h)?>
					    </select>
                    </div></td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                  </tr>
				  <tr>
				  <td colspan="9"><input name="doublons" type="checkbox" id="doublons" value="doublons" <?php if ($doublons) print 'checked="checked"'?>/>
				  Montrer uniquement les utilisateurs qui poss&egrave;dent plusieurs comptes admin (cocher	puis	chercher).	<br />
				  Cliquez ensuite sur le login pour acc&eacute;der aux diff&eacute;rents comptes. </td>
				  </tr>
              </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Login<br />
                      (Compte utilisateur) <br />
                    <a href="adm_administrateurs.php?tri=login_asc"><img src="images/fleche_haut.png" alt="tri par login ascendant" width="11" height="11" border="0" /></a><a href="adm_administrateurs.php?tri=login_desc"><img src="images/fleche_bas.png" alt="tri par login descendant" width="11" height="11" border="0" /></a></td>
                    <td>Nom<br />
                      (Compte admin) &nbsp;<br />
                    <a href="adm_administrateurs.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_administrateurs.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Courriel<br />
                      (envoi)&nbsp;<br />
                    <a href="adm_administrateurs.php?tri=courriel_asc"><img src="images/fleche_haut.png" alt="tri par courriel ascendant" width="11" height="11" border="0" /></a><a href="adm_administrateurs.php?tri=courriel_desc"><img src="images/fleche_bas.png" alt="tri par courriel descendant" width="11" height="11" border="0" /></a></td>
                    <td>Type<a href="adm_administrateurs.php?tri=type_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par type ascendant" width="11" height="11" border="0" /></a><a href="adm_administrateurs.php?tri=type_desc"><img src="images/fleche_bas.png" alt="tri par type descendant" width="11" height="11" border="0" /></a></td>
                    <td>Circo(s)</td>
                  </tr>
				<?php  afficheListe($h) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_administrateurs,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" id="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" id="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_administrateurs?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_circos_liste.php?url_ret=adm_administrateurs.php">par circos</a></li>
					<li><a href="adm_courriels_admin.php?url_ret=adm_administrateurs.php">ordre alpha</a></li>
					<li><a href="adm_droits.php?id_admin=0&amp;url_ret=adm_administrateurs.php">nouveau</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
