<?php
/* 
	Dfinition de la liste des circos "bassin" (circos avec lesquelles on souhaite travailler, afin de ne voir qu'elles dans la cration du plan de formation)
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_circos_bassin=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_circos_bassin']=$url_ret_adm_circos_bassin;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_circos_bassin'])) {
		$url_ret_adm_circos_bassin=$_SESSION['circonscript7_url_ret_adm_circos_bassin'];
	}
	else $url_ret_adm_circos_bassin="adm_configuration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	if (isset($_POST['valider'])) {
		query("DELETE FROM bassin WHERE id_circo=$id_circo",$h);
		if (isset($_POST['coche'])) foreach($_POST['coche'] as $id_circo_bassin) {
			$id_circo_bassin=intval($id_circo_bassin);
			$r=query("INSERT INTO bassin(id_circo,id_circo_bassin) VALUES($id_circo,$id_circo_bassin)",$h);
			if (!$r) break;	
		}
		if (!$erreur) $erreur="Modifications enregistres";	
	}
	
function afficheCircos($h)
{
	global $id_circo;
	$q="SELECT circos.libelle, circos.id_circo, bassin.id_bassin, circos.libelle_court
	FROM circos
	LEFT JOIN bassin ON bassin.id_circo=$id_circo AND bassin.id_circo_bassin=circos.id_circo
	WHERE circos.id_circo<>$id_circo
	ORDER BY circos.libelle";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$libelle=htmlentities($row[0] .' ('.$row[3].')',ENT_COMPAT,'ISO-8859-15');
		$id_circo_courante=$row[1];
		$accepte=$row[2]>0? " checked=\"checked\"": "";
		print "<tr>\n";
		print "<td>$libelle</td>\n";
		print "<td><input type=\"checkbox\" name=\"coche[]\" value=\"$id_circo_courante\"$accepte /></td>\n";
		print "</tr>\n";
	}
	

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_circos_bassin?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>D&eacute;finir la liste des circonscriptions favorites vers lesquelles exporter des animations </h1>
				<p>Indiquez ici un &quot;bassin&quot; comportant toutes les circos vers lesquelles vous &ecirc;tes susceptible d'exporter des animations. </p>
				<p>Lorsque vous d&eacute;finirez une animation, le logiciel affichera la liste des circos de ce bassin et non la liste compl&egrave;te, d'o&ugrave; un gain de temps appr&eacute;ciable et surtout moins d'erreurs (pas de circo &quot;&eacute;trang&egrave;re&quot; coch&eacute;e par hasard!). </p>
				<p>Notez que vous pourrez toujours importer des animations de toutes les circos, qu'elles fassent partie du bassin ou non, &agrave; partir du moment o&ugrave; elles vous le proposent. </p>
				<h2>Liste des circonscriptions vers lesquelles vous pourrez exporter des animations </h2>
				<form name="form1" method="post" action="">
				  <table>
                    <tr class="table_entete">
                      <td>Libell&eacute;</td>
                      <td>coche</td>
                    </tr>
                    <?php afficheCircos($h) ?>
                  </table>
				  
			      <div align="center">
			        <input name="valider" type="submit" class="bouton_standard" value="Valider" />
		          </div>
				</form>
				<p>&nbsp; </p>
				<p>&nbsp;</p>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_circos_bassin?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>