<?php
/* 
	Clique et sauve: routine de sauvegarde sans session, appele directement via favori/url
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require 'parametres/_parametres.inc.php';
	require '_sqlconnect.inc.php';
	require '_sauvegarde.inc.php';
	$erreur='';
	debugInit();
	if (!isset($_GET['id'])) {
		header('Location: erreur.php?erreur=var_session');
		exit;
	}
	$h=connect();
	$id=substr($_GET['id'],0,32);
	$id_lu=queryValue("SELECT session_svg FROM general",$h);
	if ($id!=$id_lu) {
		header('Location: erreur.php?erreur=id');
		exit;
	}
	$file=sauvegarder(); // sous forme 'svg/nomfich.svg'
	//rcuprer le fichier de svg le plus rcent...
	if (!$file  && !$erreur) $erreur="Sauvegarde des tables impossible. ";
	if (!$erreur) {
		$p=strrpos($file,'/');
		if ($p!==false) $fich=substr($file,$p+1);
		else $fich=$file;
		header('Content-Transfer-Encoding: none');
		header("Content-Type: application/octetstream; name=\"$fich\"");
		header("Content-Disposition: attachment; filename=\"$fich\"");
		header('Content-length: '.filesize($file));
		@readfile($file);
		exit;	
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
		<div id="header">Circon'script</div>
		  <div id="menu_principal">
			<ul class="menu1">
				<li><a href="index.php">accueil</a></li>
			</ul>
		</div>
			<div id="corps">	 
				<h1>Erreur</h1>
<h2><?php print htmlentities($erreur,ENT_COMPAT,'ISO-8859-15') ?></h2>
			</div>
		</div>
	</body>
</html>