<?php
/* 
	Liste des animations pour tablir les convocations
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_anim=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_anim']=$url_ret_adm_convocations_anim;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_anim'])) {
		$url_ret_adm_convocations_anim=$_SESSION['circonscript7_url_ret_adm_convocations_anim'];
	}
	else $url_ret_adm_convocations_anim="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$_SESSION['circonscript7_annee']=0;
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	automatisationCirco($id_circo,$h);
	
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	if (isset($_SESSION['circonscript7_adm_convocations_anim_test_date'])) $test_date=$_SESSION['circonscript7_adm_convocations_anim_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_convocations_anim_date'])) $date=$_SESSION['circonscript7_adm_convocations_anim_date'];
	else $date='';
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>4) $test_date=0;	
		$date='';
		if ($test_date>0 && $test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_convocations_anim_test_date']=$test_date;
			$_SESSION['circonscript7_adm_convocations_anim_date']=$date;
		}
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> 
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}	
	//-->	
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_anim?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Etablir les convocations &agrave; partir des animations: liste des animations </h1>
 
			    <form method="post" action="">
                  <p>&nbsp;</p>
			      <table border="0">
                    <tr>
                      <td>Surligner</td>
                      <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                      </select></td>
                      <td>&agrave; date:
                        <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                      <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                    </tr>
                  </table>
			      <p>&nbsp;</p>
		      </form>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 

			  <div id="animation">
				<form method="post" action="">
					  	<?php affichePlanFormation($id_circo,$h,9,0,'adm_convocations_anim.php',0,$test_date,$date); ?>
				</form>
			  </div>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_anim?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>