<?php
/* 
	Convoquer les stagiaires de la circo  une sance	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_faire=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_faire']=$url_ret_adm_convocations_faire;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_faire'])) {
		$url_ret_adm_convocations_faire=$_SESSION['circonscript7_url_ret_adm_convocations_faire'];
	}
	else $url_ret_adm_convocations_faire="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	require '_fonctions_stagiaire.inc.php';

	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	automatisationCirco($id_circo,$h);
	
	if (isset($_GET['id_seance'])) {
		$id_seance=abs(intval($_GET['id_seance']));
		$_SESSION['circonscript7_id_seance']=$id_seance;
	}
	else if (isset($_SESSION['circonscript7_id_seance'])) {
		$id_seance=$_SESSION['circonscript7_id_seance'];
	}
	else {
		header("Location: erreur.php?erreur=id_seance_inconnu");
		exit;
	}
	//vrifie si on a bien le droit de voir cette sance (attention aux petits malins qui modifient GET)
	$q="SELECT COUNT(*) FROM partages WHERE id_seance=$id_seance AND id_circo=$id_circo AND accepte=1";
	$n=queryValue($q,$h);
	if ($n=='' || $n==0) {
		header("Location: erreur.php?erreur=id_seance_inconnu");
		exit;
	}
 
	//trouve le libell de l'animation et les dates des sances
	$q="SELECT intitule,animations.id_anim, max,annule FROM animations,seances WHERE animations.id_anim=seances.id_anim AND seances.id_seance=$id_seance";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	
	$id_anim=$row[1];
	$max_stagiaires=$row[2];
	if (!$row[0]||!$id_anim){
		header("Location: erreur.php?erreur=bdd");
		exit;
	}
	if ($row[3]) $intitule='[ANNUL] : '.$row[0];
	else $intitule=$row[0];
	// Vrifie qu'on a bien le droit de convoquer tous les stagiaires   cette animation ou  s'il faut limiter les convocations aux gens inscrits
	$autoriser_convoc_plafond=autoriserConvocPlafond($id_seance,$h);
	$acces='tous';
	if ($max_stagiaires>0 && $autoriser_convoc_plafond!=1) $acces="inscrits";
	
	// on veut passer  l'anim suivante ? On traite le GET s'il n'y a pas de POST en cours, qui sera trait aprs...
	if (!isset($_POST['filtre1']) && isset($_GET['animation']) && $_GET['animation']=="suivante"){
		while(1) {
			$q="SELECT positions.id_anim FROM partages, seances, positions, domaines,themes WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND themes.id_theme=positions.id_theme GROUP BY positions.id_anim ORDER BY domaines.tri, themes.tri, positions.tri";
			$r=query($q,$h);
			$anims=array();
			while ($row=@mysqli_fetch_row($r)) $anims[]=$row[0];
			debugArray($anims,"anims");
			if (count($anims)==0) break;
			$index=array_search($id_anim,$anims);
			if ($index===false) break;
			++$index;
			if ($index >= count($anims)) {
				$index=0;
				$erreur="Fin de la liste. Reprise au dbut.";
			}
			$id_anim=$anims[$index];
			$q="SELECT seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 GROUP BY seances.id_seance ORDER BY dates.date";		
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			if ($row[0]=='') break;
			$id_seance=$row[0];
			$_SESSION['circonscript7_id_seance']=$id_seance;
			$intitule=queryValue("SELECT intitule FROM animations WHERE id_anim=$id_anim",$h);
			break;
		}		
	}
	//trouve toutes les dates de la sance
	$dates='';
	$q="SELECT date FROM dates WHERE id_seance=$id_seance ORDER BY date";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		if ($dates!='') $dates.=', ';
		$dates.=dateSQLEnTexte($row[0]);
	}
	if ($dates) $dates.='.';
	// Regarde s'il y a plusieurs sances (il faut en plus qu'elles soient partages)
	$q="SELECT seances.id_seance FROM seances,dates, partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance and partages.accepte<>0 GROUP BY seances.id_seance ORDER BY dates.date";		
	$r=query($q,$h);
	$seances=array();
	while ($row=@mysqli_fetch_row($r)) $seances[]=$row[0];
	$index=array_search($id_seance,$seances);
	// index: position dans le tableau de la sance en cours	
	
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'inscrit_asc'=>'inscrit ASC, nom_stagiaire ASC',
		'inscrit_desc'=>'inscrit DESC, nom_stagiaire ASC',
		'convoque_asc'=>'convoque ASC, nom_stagiaire ASC',
		'convoque_desc'=>'convoque DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'quota_desc'=>'quota_reel DESC, nom_stagiaire ASC',
		'quota_asc'=>'quota_reel ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
		
	);
	
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_having'])) $filtre_special_having=$_SESSION['circonscript7_filtre_special_having'];
	else $filtre_special_having='';
	if (isset($_SESSION['circonscript7_filtre_special_having2'])) $filtre_special_having2=$_SESSION['circonscript7_filtre_special_having2'];
	else $filtre_special_having2='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_convocations_faire_filtre_special=1;
		$_SESSION['circonscript7_adm_convocations_faire_filtre_special']=$adm_convocations_faire_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_convocations_faire_filtre_special=0;
		$_SESSION['circonscript7_adm_convocations_faire_filtre_special']=$adm_convocations_faire_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	
	if (isset($_SESSION['circonscript7_adm_convocations_faire_filtre_special'])) $adm_convocations_faire_filtre_special=$_SESSION['circonscript7_adm_convocations_faire_filtre_special'];
	else $adm_convocations_faire_filtre_special=0;
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_convocations_faire_filtre_special!=$f1) {
				$adm_convocations_faire_filtre_special=$f1;
				$_SESSION['circonscript7_adm_convocations_faire_filtre_special']=$adm_convocations_faire_filtre_special;
			}
		}
		else {
			$adm_convocations_faire_filtre_special=!$adm_convocations_faire_filtre_special;
			$_SESSION['circonscript7_adm_convocations_faire_filtre_special']=$adm_convocations_faire_filtre_special;
		}
   }

	
	if (isset($_GET['tri'])) {
		$tri_adm_convocations_faire=$tris[$_GET['tri']];
		if (!isset($tri_adm_convocations_faire)) $tri_adm_convocations_faire=$tris['inscrit_desc'];
		$_SESSION['circonscript7_tri_adm_convocations_faire']=$tri_adm_convocations_faire;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_convocations_faire'])) {
		$tri_adm_convocations_faire=$_SESSION['circonscript7_tri_adm_convocations_faire'];
	}
	else {
		$tri_adm_convocations_faire=$tris['inscrit_desc'];
		$_SESSION['circonscript7_tri_adm_convocations_faire']=$tri_adm_convocations_faire;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_convocations_faire'])) 
		$filtre_adm_convocations_faire=$_SESSION['circonscript7_filtre_adm_convocations_faire'];
		else $filtre_adm_convocations_faire='';

	if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_convocations_faire) $filtre_adm_convocations_faire=$filtre1;
		else $filtre_adm_convocations_faire=$filtre2;
		$_SESSION['circonscript7_filtre_adm_convocations_faire']=$filtre_adm_convocations_faire;    		
   	}	
	$taille=30;

	// Nombre de pages
	$q="SELECT COUNT(*) FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
	if ($filtre_adm_convocations_faire) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_convocations_faire));
		$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);		//nombre maximal de stagiaires admissibles
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	
	
	// Nombre de pages

	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
   else if (isset($_POST['enregistre'])) {
		while (1){
			$nb_stagiaires=queryValue("SELECT COUNT(*) FROM convocations WHERE convocations.id_seance=$id_seance",$h);
			if ($nb_stagiaires=='') {
				$erreur="Problme d'accs  la base";
				break;
			}
			$r=query(requete($h),$h);
			$stagiaires=array();// liste des stagiaires affichs dans la page en cours
			if ($r) while($row=@mysqli_fetch_row($r)) $stagiaires[]=$row[0]; // range tous les id_stagiaire
			$convoques=array(); // liste des convoqus  la sance
			$r=query("SELECT id_stagiaire FROM convocations WHERE id_seance=$id_seance",$h);
			if ($r) while ($row=@mysqli_fetch_row($r)) $convoques[]=$row[0];
			// liminer toutes les convocations superflues
			$detruits=0;
			$ajoutes=0;
			$coches=array(); //liste des stagiaires cochs
			if (isset($_POST['convoque'])) $coches=$_POST['convoque'];
			foreach($stagiaires as $id_stagiaire) {
				// dtruit l'enregistrement si le stagiaire courant est dj convoqu mais la case n'est pas coche
				if (in_array($id_stagiaire,$convoques) && !in_array($id_stagiaire,$coches)) {
					query("DELETE FROM convocations WHERE id_stagiaire=$id_stagiaire AND id_seance=$id_seance",$h);
					query("DELETE absences FROM absences,dates WHERE absences.id_stagiaire=$id_stagiaire AND absences.id_date=dates.id_date AND dates.id_seance=$id_seance",$h);
					--$nb_stagiaires;
					++$detruits;
				}
			} 
			//ajouter les convocations jusqu'au maximum possible
			$trop=false;
			foreach($stagiaires as $id_stagiaire) {
				//ajoute une convocation si la case est coche et s'il n'y a pas dj une convocation
				if (in_array($id_stagiaire,$coches) && !in_array($id_stagiaire,$convoques)) {
					if ($max_stagiaires >0  && $nb_stagiaires>=$max_stagiaires) {
						$trop=true;
						break;
					}
					else {
						query("INSERT INTO convocations(id_stagiaire,id_seance) VALUES('$id_stagiaire','$id_seance')",$h);
						++$nb_stagiaires;
						++$ajoutes;
					}
				}
			}
			if ($detruits==1) $erreur="1 convocation a t supprime. ";
			else if ($detruits>1) $erreur="$detruits convocations ont t supprimes. ";
			if ($ajoutes==1) $erreur.="1 convocation a t ajoute. ";
			else if ($ajoutes>1) $erreur.="$ajoutes convocations ont t ajoutes. ";
			
			if ($trop) $erreur.="Tous les stagiaires n'ont pas pu tre convoqus car le maximum ($max_stagiaires) a t atteint.";
			else {
				if ($detruits==0 && $ajoutes==0) $erreur="Aucune modification n'a t effectue dans la base";
				else
				if ($max_stagiaires>0 && $nb_stagiaires>=$max_stagiaires) $erreur.="Le maximum de stagiaires convoquables est dsormais atteint.";
			}
			break;
		} 
   }
   else if (isset($_GET['convoquer_inscrits'])) { //convoquer ceux qui sont inscrits sous rserve du maximum possible
		while (1) {
			$convoques=array(); // liste des dj convoqus  la sance
			$r=query("SELECT id_stagiaire FROM convocations WHERE id_seance=$id_seance",$h);
			if ($r) while ($row=@mysqli_fetch_row($r)) $convoques[]=$row[0];
			else {
				$erreur="Problme d'accs  la base";
				break;
			}
			$nb_stagiaires=queryValue("SELECT COUNT(*) FROM convocations WHERE convocations.id_seance=$id_seance",$h);
			if ($nb_stagiaires=='') {
				$erreur="Problme d'accs  la base";
				break;
			}
			// liste des inscrits
			$q="SELECT stagiaires.id_stagiaire FROM stagiaires,inscriptions,ecoles WHERE ecoles.id_circo=$id_circo AND stagiaires.id_ecole=ecoles.id_ecole AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND inscriptions.id_seance=$id_seance";
			$r=query($q,$h);
			$nb_ajouts=0;
			if($r)while ($row=@mysqli_fetch_row($r)) {
				$id_stagiaire=$row[0];
				if (!in_array($id_stagiaire,$convoques)) {
					if ($max_stagiaires>0 && $nb_stagiaires+1 >$max_stagiaires) {
						$erreur="Le maximum de stagiaires a t atteint. ";
						if ($nb_ajouts==1)$erreur.="Le premier stagiaire inscrit a t convoqu";
						else if ($nb_ajouts>1)$erreur.="Les $nb_ajouts premiers stagiaires inscrits ont t convoqus.";
						else "Aucun stagiaire inscrit supplmentaire n'a t convoqu";
						break;
					}
					$r2=query("INSERT INTO convocations(id_stagiaire,id_seance) VALUES($id_stagiaire,$id_seance)",$h);
					if (!$r2) {
						$erreur="Problme d'accs  la base";
						break;
					}
					++$nb_ajouts;
					++$nb_stagiaires;
				}
			
			}
			if (!$erreur) {
				if ($nb_ajouts==0) $erreur="Aucune convocations n'a t cre";
				else $erreur="Nombre de convocations cres: $nb_ajouts";
			}
			break;
		}
  }
  else if (isset($_GET['liberer_convoques'])) {
  		query("DELETE convocations FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		query("DELETE absences FROM absences,dates,stagiaires,ecoles WHERE absences.id_date=dates.id_date AND dates.id_seance=$id_seance AND absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		if (!$erreur) 
			$erreur="Toutes les convocations ont t supprimes";
	}
	else if (isset($_GET['transfert']) && $id_seance){
		$_SESSION['circonscript7_adm_convocations_vers_transfert_id_seance']=$id_seance;
		header('Location: adm_convocations_vers_transfert.php?url_ret=adm_convocations_faire.php');
		exit;
	}
	else if (isset($_GET['courriel']) && $id_seance) {
		$_SESSION['circonscript7_adm_courriels_anims_id_seance']=$id_seance;
		header('Location: adm_courriels_anims.php?url_ret=adm_convocations_faire.php');
		exit;
	}
   else if (isset($_POST['actualise'])) {
		$filtre_adm_convocations_faire='';
		$_SESSION['circonscript7_filtre_adm_convocations_faire']=$filtre_adm_convocations_faire;
   }
	
	// trouve le nombre de stagiaires extrieur  la circo qui sont aussi inscrits et convoqus  la sance
	$inscrits_internes=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	$convoques_internes=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);

	$inscrits_externes=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE inscriptions.id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);
	$convoques_externes=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo<>$id_circo",$h);


	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_convocations_faire.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}	
function requete($h)
{
	global $id_circo,$page,$taille,$tri_adm_convocations_faire,$id_seance, $filtre_adm_convocations_faire,$filtre_special_where,$adm_convocations_faire_filtre_special,$filtre_special_having,$filtre_special_having2;
	$lim=$page*$taille;   
	$filtre2='';
	if ($filtre_adm_convocations_faire) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_convocations_faire)).'%';
	$q= "SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, ecoles.nom AS nom_ecole, stagiaires.niveau, CASE WHEN COUNT( inscriptions.id_stagiaire )>0 THEN 1 ELSE 0 END AS inscrit, CASE WHEN COUNT( convocations.id_stagiaire )>0 THEN 1 ELSE 0 END AS convoque, quotite, quota_reel, SUM( CASE WHEN duree IS NULL THEN 0 ELSE duree END ) as duree,groupes.libelle as groupe
		FROM  stagiaires
		INNER JOIN ecoles ON stagiaires.id_ecole = ecoles.id_ecole
		AND ecoles.id_circo =$id_circo
		LEFT JOIN inscriptions ON stagiaires.id_stagiaire = inscriptions.id_stagiaire AND inscriptions.id_seance =$id_seance";
		if ($adm_convocations_faire_filtre_special && $filtre_special_having2) 
			$q.=" LEFT JOIN convocations AS conv ON stagiaires.id_stagiaire=conv.id_stagiaire
		LEFT JOIN seances ON conv.id_seance = seances.id_seance
		LEFT JOIN dates ON dates.id_seance = seances.id_seance
		LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe";
		else
			$q.=" LEFT JOIN inscriptions AS inscr ON stagiaires.id_stagiaire=inscr.id_stagiaire
		LEFT JOIN seances ON inscr.id_seance = seances.id_seance
		LEFT JOIN dates ON dates.id_seance = seances.id_seance
		LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe";
		$q.=" LEFT JOIN convocations ON stagiaires.id_stagiaire = convocations.id_stagiaire AND convocations.id_seance =$id_seance";

		$q1='';
		$q2='';
		if ($filtre2) 
			$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
		if ($adm_convocations_faire_filtre_special && $filtre_special_where) 
			$q2="$filtre_special_where";
		if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
		else if ($q1) $q.=" WHERE ($q1)";
		else if ($q2) $q.=" WHERE ($q2)";

		$q.=" GROUP BY stagiaires.id_stagiaire";
		if ($adm_convocations_faire_filtre_special) 
			if ($filtre_special_having)
				$q.=" HAVING $filtre_special_having";
			else if ($filtre_special_having2)
				$q.=" HAVING $filtre_special_having2";
		$q.=" ORDER BY $tri_adm_convocations_faire
		LIMIT $lim , $taille";

	return $q;
}
	 
function afficheListeStagiaires($h,$id_seance)
{
	global $id_circo, $acces;
	$impair=0;
	$r=query(requete($h),$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		$quota_reel=$row['quota_reel'];
		$duree_inscr=queryValue("SELECT SUM(dates.duree) FROM inscriptions,dates WHERE inscriptions.id_stagiaire=$id_stagiaire AND dates.id_seance=inscriptions.id_seance",$h);
		$duree_convoc=queryValue("SELECT SUM(dates.duree) FROM convocations,dates WHERE convocations.id_stagiaire=$id_stagiaire AND dates.id_seance=convocations.id_seance",$h);
		if ($duree_inscr=='') $duree_inscr=0.0;
		if ($duree_convoc=='') $duree_convoc=0.0;
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		printf("<td><a href=\"adm_stagiaire_edite.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_convocations_faire.php\">%s</a></td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
if ($groupe)		
printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
else print"<td>&nbsp;</td>\n";
		printf("<td>%.2f</td>\n",$row['quotite']);
		printf("<td>%s</td>\n",reelEnHeure($row['quota_reel']));
		if ($duree_inscr>=$quota_reel)
			printf("<td>%s&nbsp;</td>\n",reelEnHeure($duree_inscr));
		else
			printf("<td class=\"attention\">%s&nbsp;</td>\n",reelEnHeure($duree_inscr));
		if ($duree_convoc>=$quota_reel)
			printf("<td>&nbsp;%s</td>\n",reelEnHeure($duree_convoc));
		else
			printf("<td class=\"attention\">&nbsp;%s</td>\n",reelEnHeure($duree_convoc));
		//printf("<td class=\"centre\">%s</td>\n", $row['inscrit']>0?'X':'-');
		printf("<td class=\"centre\">%s</td>\n", $row['inscrit']>0?"<img src=\"images/bouton_rouge_plein.png\" width=\"10\" height=\"10\" alt=\"inscrit\" />":"<img src=\"images/bouton_rouge_vide.png\" width=\"10\" height=\"10\" alt=\"non inscrit\" />");
		if ($acces=='inscrits' && $row['convoque']==0 && $row['inscrit']==0) 
			print "<td class=\"centre\"><input class=\"bouton_interdit\" type=\"button\" onclick=\"javascript:popUp('adm_expl_convoc.php?id_seance=$id_seance','console',600,480)\" /></td>\n" ;
		else printf("<td class=\"centre\"><input type=\"checkbox\" name=\"convoque[]\" value='$id_stagiaire' %s/></td>\n", $row['convoque']>0?'checked="checked"':'');
		print "</tr>\n";
	}

}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["convoque[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
function liberer()
{
	b=window.confirm("Voulez-vous vraiment supprimer toutes les convocations  cette sance ?");
	if (b) {	
		//document.formulaire.submit();
		//document.write('');
		x=window.location.protocol+"//"+document.location.hostname+document.location.pathname+"?liberer_convoques=1";
		location.href=x;
	}
}
function convoquer()
{
	b=window.confirm("Voulez-vous vraiment convoquer tous les stagiaires inscrits  cette sance (les convocations dj tablies sont maintenues) ?");
	if (b) {	
		//document.formulaire.submit();
		//document.write('');
		x=window.location.protocol+"//"+document.location.hostname+document.location.pathname+"?convoquer_inscrits=1";
		location.href=x;
	}
}
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocations_faire?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="#" onclick="javascript:convoquer()">Convoquer inscrits</a></li>
					<li><a href="#" onclick="javascript:liberer()">Lib&eacute;rer convoqu&eacute;s</a></li>
<?php 
	if ($index>0) printf("<li><a href=\"adm_convocations_faire.php?id_seance=%d\">S&eacute;ance pr&eacute;c&eacute;dente</a></li>\n",$seances[$index-1]);
	else print "<li><s>S&eacute;ance pr&eacute;c&eacute;dente</s></li>\n";
	if ($index<count($seances)-1) printf("<li><a href=\"adm_convocations_faire.php?id_seance=%d\">S&eacute;ance suivante</a></li>\n",$seances[$index+1]);
	else print "<li><s>S&eacute;ance suivante</s></li>\n";
	
?>
				<li><a href="adm_convocations_faire.php?animation=suivante">Animation suivante</a></li>
				<li><a href="adm_convocations_faire.php?transfert">Transfert</a></li>
				<li><a href="adm_convocations_faire.php?courriel">Courriels</a></li>
				</ul>
			</div>
		  <div id="corps">	 

			    <table>
                  <tr>
                    <td>
                      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";?>
<h1>Convoquer les  stagiaires de la circonscription </h1>
                    <?php
					printf("<h2>%s</h2>\n",htmlentities($intitule,ENT_COMPAT,'ISO-8859-15'));
					print "<p>$dates</p>\n";
					if ($max_stagiaires>0) print"<p>Nombre maximal de convocations: $max_stagiaires</p>\n";
					else print"<p>Pas de maximum de convocations</p>\n";
				?></td>
                    <td><table>
                      <tr class="table_entete">
                        <td>stagiaires </td>
                        <td> inscrits </td>
                        <td> convoqu&eacute;s </td>
                      </tr>
                      <tr>
                        <td>de&nbsp;la circo  </td>
                        <td class="centre"><?php print $inscrits_internes?></td>
                        <td class="centre"><?php print $convoques_internes?></td>
                      </tr>
                      <tr>
                        <td>hors&nbsp;circo </td>
                        <td class="centre"><?php print $inscrits_externes?></td>
                        <td class="centre"><?php print $convoques_externes?></td>
                      </tr>
                      <tr>
                        <td><strong>total</strong></td>
                        <td class="centre"><strong>
                        <?php print $inscrits_internes+$inscrits_externes?>
                        </strong></td>
                        <td class="centre"><strong>
                        <?php
							if ($max_stagiaires>0)
								printf("%d/%d",$convoques_internes+$convoques_externes,$max_stagiaires);
							else
								printf("%d",$convoques_internes+$convoques_externes);
							
						?>
                        </strong></td>
                      </tr>
                    </table></td>
                  </tr>
                </table>
				<form method="post" action="">

				  <input type="hidden" name="page" value="<?php print $page?>"/>

				<table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_convocations_faire_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_special_popup.php?url_ret=adm_convocations_faire.php','console',600,500);">Utiliser filtre</a> </td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_convocations_faire,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="enregistre" type="submit" class="bouton_enregistre" value="enregistre" /></td>
                    <td><p><b>
                         <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td rowspan="2">Nom stagiaire&nbsp; <a href="adm_convocations_faire.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Niveau<br/><a href="adm_convocations_faire.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Ecole&nbsp;<a href="adm_convocations_faire.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Groupe<a href="adm_convocations_faire.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2" align="center">Quotit&eacute;<br/>
                    <a href="adm_convocations_faire.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                    <td rowspan="2">Quota<a href="adm_convocations_faire.php?tri=quota_asc"><br />
                          <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                    <td colspan="2">Dur&eacute;es totales </td>
                    <td rowspan="2">Inscrit<br/><a href="adm_convocations_faire.php?tri=inscrit_asc"><img src="images/fleche_haut.png" alt="tri par inscriptions ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=inscrit_desc"><img src="images/fleche_bas.png" alt="tri par inscription descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                    <td rowspan="2">Convoqu&eacute;&nbsp;
                    <input type="checkbox" onclick="cocheTout(this)"/><br/><a href="adm_convocations_faire.php?tri=convoque_asc"><img src="images/fleche_haut.png" alt="tri par convocation ascendant" width="11" height="11" border="0" /></a><a href="adm_convocations_faire.php?tri=convoque_desc"><img src="images/fleche_bas.png" alt="tri par convocation descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
                  <tr class="table_entete">
                    <td>inscr&deg;</td>
                    <td>conv&deg;</td>
                  </tr>
				<?php  afficheListeStagiaires($h,$id_seance) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_convocations_faire_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_special_popup.php?url_ret=adm_convocations_faire.php','console',600,500);">Utiliser filtre</a> </td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_convocations_faire,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="enregistre" type="submit" class="bouton_enregistre" value="enregistre" /></td>
                    <td><p><b>
                         <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>
			    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_convocations_faire?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="#" onclick="javascript:convoquer()">Convoquer inscrits</a></li>
					<li><a href="#" onclick="javascript:liberer()">Lib&eacute;rer convoqu&eacute;s</a></li>
					<?php 
	if ($index>0) printf("<li><a href=\"adm_convocations_faire.php?id_seance=%d\">S&eacute;ance pr&eacute;c&eacute;dente</a></li>\n",$seances[$index-1]);
	else print "<li><s>S&eacute;ance pr&eacute;c&eacute;dente</s></li>\n";
	if ($index<count($seances)-1) printf("<li><a href=\"adm_convocations_faire.php?id_seance=%d\">S&eacute;ance suivante</a></li>\n",$seances[$index+1]);
	else print "<li><s>S&eacute;ance suivante</s></li>\n";
	
?>
				<li><a href="adm_convocations_faire.php?animation=suivante">Animation suivante</a></li>
				<li><a href="adm_convocations_faire.php?transfert">Transfert</a></li>
				<li><a href="adm_convocations_faire.php?courriel">Courriels</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
