<?php
/* 
	Vers le transfert de convocations; lien entre adm_convocations_faire et adm_convocations_transfert2
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations_vers_transfert=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations_vers_transfert']=$url_ret_adm_convocations_vers_transfert;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations_vers_transfert'])) {
		$url_ret_adm_convocations_vers_transfert=$_SESSION['circonscript7_url_ret_adm_convocations_vers_transfert'];
	}
	else $url_ret_adm_convocations_vers_transfert="adm_convocations_faire.php";
	$id_seance=0;
	if (isset($_SESSION['circonscript7_adm_convocations_vers_transfert_id_seance'])) $id_seance=$_SESSION['circonscript7_adm_convocations_vers_transfert_id_seance'];
	else {
		header("Location: $url_ret_adm_convocations_vers_transfert");
		exit;
	}
	$v=queryValue("SELECT COUNT(*) FROM seances, animations, positions,domaines WHERE seances.id_seance=$id_seance AND seances.id_anim=animations.id_anim AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
	if (!$v) {
		header('Location: erreurs.php?erreur=id_seance_inconnu');
		exit;
	}
	$unChoix=2;
	if (isset($_SESSION['circonscript7_adm_convocations_vers_transfert_choix'])) $unChoix=$_SESSION['circonscript7_adm_convocations_vers_transfert_choix'];
	
	if (isset($_POST['annuler'])) {
		header("Location: $url_ret_adm_convocations_vers_transfert");
		exit;
	}
	else if (isset($_POST['valider']) && isset($_POST['choix'])){
		$unChoix=intval($_POST['choix']);
		if ($unChoix<0)$unChoix=0;
		if ($unChoix>2) $unChoix=2;
		$_SESSION['circonscript7_adm_convocations_vers_transfert_choix']=$unChoix;
		switch ($unChoix) {
			case 0: //  gauche
				$_SESSION['circonscript7_adm_convocations_transfert2_id_seance']=$id_seance;
				header("Location: adm_convocations_transfert2.php?url_ret=$url_ret_adm_convocations_vers_transfert");
				exit;
			case 1: //  droite
				$_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible']=$id_seance;
				header("Location: adm_convocations_transfert2.php?url_ret=$url_ret_adm_convocations_vers_transfert");
				exit;
			case 2: //  gauche et  droite
				$_SESSION['circonscript7_adm_convocations_transfert2_id_seance']=$id_seance;
				$_SESSION['circonscript7_adm_convocations_transfert2_id_seance_cible']=$id_seance;
				header("Location: adm_convocations_transfert2.php?url_ret=$url_ret_adm_convocations_vers_transfert");
				exit;

		}
	}	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_convocations_vers_transfert?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>Vers le transfert de convocations...</h1>
	  <p>Dans la page qui va suivre, la s&eacute;ance courante doit &ecirc;tre plac&eacute;e &agrave; gauche ou &agrave; droite... &agrave; vous de choisir. </p>
	  <form id="form1" name="form1" method="post" action="">
	    <p>
         <input type="radio" name="choix" value="0" <?php if ($unChoix==0) print 'checked="checked"'?>/>
       La s&eacute;ance courante doit &ecirc;tre plac&eacute;e &agrave; <strong>gauche. </strong>Ne pas toucher &agrave; la s&eacute;ance de droite.</p>
	    <p>
<input type="radio" name="choix" value="1" <?php if ($unChoix==1) print 'checked="checked"'?>/>	      
La s&eacute;ance courante doit &ecirc;rre plac&eacute;e &agrave; <strong>droite.</strong> Ne pas toucher &agrave; la s&eacute;ance de gauche. </p>
	    <p>
	      <input type="radio" name="choix" value="2" <?php if ($unChoix==2) print 'checked="checked"'?>/>
	    La s&eacute;ance courante doit &ecirc;tre plac&eacute;e &agrave; <strong>gauche et &agrave; droite.</strong> Je choisirai moi-m&ecirc;me de modifier l'une des deux s&eacute;ances. </p>
	    <p align="center">
	      <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />
	      &nbsp;&nbsp;&nbsp;
	      <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Annuler" />
	    </p>
	  </form>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_convocations_vers_transfert?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>