<?php
/* 
	Courriels aux stagiaires absents
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_courriels_absents=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_courriels_absents']=$url_ret_adm_courriels_absents;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_courriels_absents'])) {
		$url_ret_adm_courriels_absents=$_SESSION['circonscript7_url_ret_adm_courriels_absents'];
	}
	else $url_ret_adm_courriels_absents="adm_courriels.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	$id_anim=0;
	$id_seance=0;
	if (isset($_GET['id_date'])) {
		$adm_courriels_absents_id_date=abs(intval($_GET['id_date']));
		$_SESSION['circonscript7_adm_courriels_absents_id_date']=$adm_courriels_absents_id_date;
		if ($adm_courriels_absents_id_date>0) {
			$r=query("SELECT seances.id_anim, seances.id_seance FROM seances,dates WHERE dates.id_date=$adm_courriels_absents_id_date AND dates.id_seance=seances.id_seance",$h);
			$row=@mysqli_fetch_row($r);
			if (!$erreur) {
				header('Location: adm_courriels_absents.php');// faire disparaitre le GET
				exit;
			}
		}
		else $id_anim=$id_seance=0;
			
	}
	else if (isset($_SESSION['circonscript7_adm_courriels_absents_id_date'])) {
		$adm_courriels_absents_id_date=$_SESSION['circonscript7_adm_courriels_absents_id_date'];
		$r=query("SELECT seances.id_anim, seances.id_seance FROM seances,dates WHERE dates.id_date=$adm_courriels_absents_id_date AND dates.id_seance=seances.id_seance",$h);
		$row=@mysqli_fetch_row($r);
		if (!$erreur) {
			$id_anim=$row[0];
			$id_seance=$row[1];
		}
	}
	else {
		$adm_courriels_absents_id_date=0;
		$id_anim=0;
		$id_seance=0;
	}
	if (isset($_SESSION['circonscript7_adm_courriels_absents_date_sql'])) 
		$adm_courriels_absents_date_sql=$_SESSION['circonscript7_adm_courriels_absents_date_sql'];
	else 
		$adm_courriels_absents_date_sql='';

	if (isset($_POST['rb_presents'])) {
		$adm_courriels_absents_presents=$_POST['rb_presents'];
		$_SESSION['circonscript7_adm_courriels_absents_presents']=$adm_courriels_absents_presents;
	}	
	else if (isset($_SESSION['circonscript7_adm_courriels_absents_presents'])) $adm_courriels_absents_presents=$_SESSION['circonscript7_adm_courriels_absents_presents'];
	else $adm_courriels_absents_presents=0;
	if (isset($_SESSION['circonscript7_adm_courriels_absents_coches'])) $adm_courriels_absents_coches=$_SESSION['circonscript7_adm_courriels_absents_coches'];
	else $adm_courriels_absents_coches=array();
	$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_courriels_absents_coches; //pour adm_liste_stagiaires_popup
	
	
	if (isset($_SESSION['circonscript7_adm_courriels_absents_objet'])) $adm_courriels_absents_objet=$_SESSION['circonscript7_adm_courriels_absents_objet'];
	else $adm_courriels_absents_objet='';

	if (isset($_POST['cbDate'])) {
		$adm_courriels_absents_date_sql=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_courriels_absents_date_sql']=$adm_courriels_absents_date_sql;
		$id_seance=0;
		$id_anim=0;
		$adm_courriels_absents_id_date=0;
		// s'il n'y a qu'une seule anim choisir automatiquement cette anim
		while ($adm_courriels_absents_date_sql!='') {
			$q="SELECT seances.id_anim FROM partages, seances,  dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND dates.date='$adm_courriels_absents_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY seances.id_anim";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows!=1) break;
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			// il n'y a qu'une seule anim. Choisir une sance avec la date propose
			$q="SELECT dates.id_date,seances.id_seance FROM seances,dates WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND dates.date='$adm_courriels_absents_date_sql'";
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$adm_courriels_absents_id_date=$row[0];
			$id_seance=$row[1];
			break;
		}
		$_SESSION['circonscript7_adm_courriels_absents_id_date']=$adm_courriels_absents_id_date;
	}
	if (isset($_POST['cb_animations'])){
		$id_anim=abs(intval($_POST['cb_animations']));
		if($adm_courriels_absents_date_sql!='') 
			$q="SELECT dates.id_date,seances.id_seance FROM seances,dates,partages WHERE  dates.date='$adm_courriels_absents_date_sql' AND seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 ORDER BY dates.date";	
		else
			$q="SELECT dates.id_date,seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 ORDER BY dates.date";		
	
		
		$r=query($q,$h);
		$row=mysqli_fetch_row($r);
		$adm_courriels_absents_id_date=$row[0];
		if ($adm_courriels_absents_id_date=='') $adm_courriels_absents_id_date=0;
		if($adm_courriels_absents_id_date==0) {
			$id_seance=0;
			$id_anim=0;
		}
		else {
			$id_seance=$row[1];
		}
		$_SESSION['circonscript7_adm_courriels_absents_id_date']=$adm_courriels_absents_id_date;
	}
	if (isset($_POST['cb_seances'])) {
		$id_date=abs(intval($_POST['cb_seances']));
		$r=query("SELECT seances.id_anim, seances.id_seance FROM seances, dates,partages WHERE dates.id_date=$id_date AND dates.id_seance=seances.id_seance AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND partages.id_circo=$id_circo",$h);
		if (@mysqli_num_rows($r)!=1) 
			$erreur="Cette sance n'appartient pas  votre plan de formation";
		else {
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			$adm_courriels_absents_id_date=$id_date;
			$_SESSION['circonscript7_adm_courriels_absents_id_date']=$adm_courriels_absents_id_date;
			$id_seance=$row[1];
		}
	}

	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'absent_asc'=>'tri ASC, nom_stagiaire ASC',
		'absent_desc'=>'tri DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
		
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_courriels_absents_filtre_special=1;
		$_SESSION['circonscript7_adm_courriels_absents_filtre_special']=$adm_courriels_absents_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_courriels_absents_filtre_special=0;
		$_SESSION['circonscript7_adm_courriels_absents_filtre_special']=$adm_courriels_absents_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	
	if (isset($_SESSION['circonscript7_adm_courriels_absents_filtre_special'])) $adm_courriels_absents_filtre_special=$_SESSION['circonscript7_adm_courriels_absents_filtre_special'];
	else $adm_courriels_absents_filtre_special=0;
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_courriels_absents_filtre_special!=$f1) {
				$adm_courriels_absents_filtre_special=$f1;
				$_SESSION['circonscript7_adm_courriels_absents_filtre_special']=$adm_courriels_absents_filtre_special;
			}
		}
		else {
			$adm_courriels_absents_filtre_special=!$adm_courriels_absents_filtre_special;
			$_SESSION['circonscript7_adm_courriels_absents_filtre_special']=$adm_courriels_absents_filtre_special;
		}
   }

	
	if (isset($_GET['tri'])) {
		$tri_adm_courriels_absents=$tris[$_GET['tri']];
		if (!isset($tri_adm_courriels_absents)) $tri_adm_courriels_absents=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_courriels_absents']=$tri_adm_courriels_absents;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_courriels_absents'])) {
		$tri_adm_courriels_absents=$_SESSION['circonscript7_tri_adm_courriels_absents'];
	}
	else {
		$tri_adm_courriels_absents=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_courriels_absents']=$tri_adm_courriels_absents;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_courriels_absents'])) 
		$filtre_adm_courriels_absents=$_SESSION['circonscript7_filtre_adm_courriels_absents'];
		else $filtre_adm_courriels_absents='';

	if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_courriels_absents) $filtre_adm_courriels_absents=$filtre1;
		else $filtre_adm_courriels_absents=$filtre2;
		$_SESSION['circonscript7_filtre_adm_courriels_absents']=$filtre_adm_courriels_absents; 
   	}	
	$taille=30;

	// Nombre de pages
	if ($id_seance) {
		$q="SELECT COUNT(*) FROM convocations, stagiaires, ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
		if ($filtre_adm_courriels_absents) {
			$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_absents));
			$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
		}
		$nb_elements=queryValue($q,$h);		//nombre maximal de stagiaires admissibles
   	}
	else $nb_elements=0;
	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if ($id_seance>0) {
		$max_stagiaires=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
		if ($max_stagiaires=='') {
			$max_stagiaires=0;
			$erreur="Problme d'accs  la base";
		}
	}
	else $max_stagiaires=0;	
	// Nombre de pages

	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   		if (--$page<0) $page=0;
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_courriels_absents='';
		$_SESSION['circonscript7_filtre_adm_courriels_absents']=$filtre_adm_courriels_absents;
   }
	if (isset($_POST['valider'])) {
		$adm_courriels_absents_stagiaires='';
		$adm_courriels_absents_ecoles='';
		$adm_courriels_absents_ecoles2='';	
		$adm_courriels_absents_coches=array();
		$adm_courriels_absents_objet='';		
		if (isset($_POST['objet'])) $adm_courriels_absents_objet=normaliseT($_POST['objet'],250);
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $id_stagiaire) {
			$id_stagiaire=intval($id_stagiaire);
			$adm_courriels_absents_coches[]=$id_stagiaire;
			$r=query("SELECT stagiaires.courriel, ecoles.courriel FROM stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole ORDER BY stagiaires.nom ASC, ecoles.nom ASC",$h);
			if ($erreur) break;
			$row=@mysqli_fetch_row($r);
			if ($erreur) break;
			$c_stag=$row[0];
			$c_eco=$row[1];
			if ($c_stag) {
				if ($adm_courriels_absents_stagiaires) $adm_courriels_absents_stagiaires.=',';
				$adm_courriels_absents_stagiaires.=$c_stag;
			}
			else {
				if ($c_eco && strpos($adm_courriels_absents_ecoles2,$c_eco)===false) {
					if($adm_courriels_absents_ecoles2) $adm_courriels_absents_ecoles2.=',';
					$adm_courriels_absents_ecoles2.=$c_eco;
				}
			}
			if ($c_eco && strpos($adm_courriels_absents_ecoles,$c_eco)===false) {
				if($adm_courriels_absents_ecoles) $adm_courriels_absents_ecoles.=',';
				$adm_courriels_absents_ecoles.=$c_eco;
			}
		}
		$_SESSION['circonscript7_adm_courriels_absents_objet']=$adm_courriels_absents_objet;
		$_SESSION['circonscript7_adm_courriels_absents_coches']=$adm_courriels_absents_coches;
		$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_courriels_absents_coches; //pour adm_liste_stagiaires_popup
		$_SESSION['circonscript7_adm_courriels_absents_ecoles']=$adm_courriels_absents_ecoles;
		$_SESSION['circonscript7_adm_courriels_absents_ecoles']=$adm_courriels_absents_ecoles;
		$_SESSION['circonscript7_adm_courriels_absents_stagiaires']=$adm_courriels_absents_stagiaires;	
	}
	
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	
function afficherAnims($h)
{
	global $id_circo, $id_anim,$adm_courriels_absents_date_sql;
	
	if ($adm_courriels_absents_date_sql=='') $q="SELECT animations.id_anim, animations.intitule, animations.annule FROM partages, seances, animations,positions,domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";
	else
		$q="SELECT animations.id_anim, animations.intitule, animations.annule FROM partages, seances, animations, positions,domaines,themes,dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 AND themes.id_theme=positions.id_theme 
		AND dates.date='$adm_courriels_absents_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";

	$r=query($q,$h);
	if ($id_anim==0) 
			print "<option value=\"0\" selected=\"selected\">Choisissez une animation</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=$row[1];
		if (strlen($intitule)>63) $intitule=substr($intitule,0,60).'...';
		$intitule=sprintf("%s%s",$row[2]?'[ANNUL&Eacute;]&nbsp;:&nbsp;':'', htmlentities($intitule,ENT_COMPAT,'ISO-8859-15'));
		if ($id_anim==$id_anim_cour)
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}
function afficherSeances($h)
{
	global $id_circo,$id_anim, $adm_courriels_absents_id_date;
	if ($id_anim==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une animation</option>\n";
		return;
	}
	
	$q="SELECT dates.id_date, dates.date, dates.lieu, dates.horaire FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0  ORDER BY dates.date";		
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_date=$row[0];
		$date=dateSqlEnSaisie($row[1]);
		if ($date=='') $date="Date &agrave; d&eacute;finir";
		$heure=horaireSqlEnHeure($row[3]);
		if ($heure) $date.="  $heure";
		$lieu=$row[2];		
		if (strlen($lieu)>33) $lieu=substr($lieu,0,30).'...';
		$lieu=htmlentities($lieu,ENT_COMPAT,'ISO-8859-15');
		if ($lieu) $date.=" ($lieu)"; 
		print "<option value=\"$id_date\"";
		if ($id_date==$adm_courriels_absents_id_date) 
			print " selected=\"selected\"";
		print ">$date</option>\n";
	}
	
}	

function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_courriels_absents.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}	
function requete($h)
{
	global $id_circo,$page,$taille,$tri_adm_courriels_absents,$id_seance, $adm_courriels_absents_id_date,$filtre_adm_courriels_absents,$filtre_special_where,$adm_courriels_absents_filtre_special,$adm_courriels_absents_presents;
	$lim=$page*$taille;   
	$filtre2='';
	if ($filtre_adm_courriels_absents) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_absents)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, stagiaires.courriel as courriel_stag, ecoles.nom AS nom_ecole, ecoles.courriel AS courriel_ec, stagiaires.niveau, quotite, COUNT(absences.id_stagiaire) as absent,convocations.id_convoc, groupes.libelle as groupe, CASE WHEN absences.id_stagiaire IS NULL THEN 0 ELSE absences.excuse END as excuse, CASE WHEN absences.id_stagiaire IS NULL THEN 0 ELSE 1+absences.excuse END as tri 
		FROM stagiaires
		INNER JOIN ecoles ON stagiaires.id_ecole = ecoles.id_ecole AND ecoles.id_circo =$id_circo
		INNER JOIN convocations ON convocations.id_stagiaire=stagiaires.id_stagiaire AND convocations.id_seance=$id_seance
		LEFT JOIN absences ON absences.id_stagiaire=stagiaires.id_stagiaire AND absences.id_date=$adm_courriels_absents_id_date 
		LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe";
		$q1='';
		$q2='';
		if ($filtre2) 
			$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
		if ($adm_courriels_absents_filtre_special && $filtre_special_where) 
			$q2="$filtre_special_where";
		if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
		else if ($q1) $q.=" WHERE ($q1)";
		else if ($q2) $q.=" WHERE ($q2)";
		$q.=" GROUP BY stagiaires.id_stagiaire";
		if ($adm_courriels_absents_presents==1) $q.=" HAVING (absent=0)";
		else if ($adm_courriels_absents_presents==2) $q.=" HAVING (absent<>0 AND excuse=0)";
	
		$q.=" ORDER BY $tri_adm_courriels_absents
			LIMIT $lim , $taille";
	return $q;
}
	 
function afficheListeStagiaires($h)
{
	global $id_seance,$adm_courriels_absents_id_date,$adm_courriels_absents_coches;
;
	if ($id_seance==0||$adm_courriels_absents_id_date==0) return;
	
	$impair=0;
	$r=query(requete($h),$h);
	
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		$id_convoc=$row['id_convoc'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($row['courriel_stag'])
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_stag'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		if (!$row['courriel_ec'])
			printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		else 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_ec'],htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		printf("<td class=\"centre\">%.2f</td>\n",$row['quotite']);
//		printf("<td class=\"centre\">%s</td>\n",$row['absent']>0?'x':'-');
		if ($row['tri']==2) 
			printf("<td class=\"centre\">%s</td>\n","<img src=\"images/bouton_vert_plein.png\" width=\"10\" height=\"10\" alt=\"absent excus&eacute;\" />");
		else
			printf("<td class=\"centre\">%s</td>\n", $row['tri']==1? "<img src=\"images/bouton_rouge_plein.png\" width=\"10\" height=\"10\" alt=\"absent\" />":"<img src=\"images/bouton_bleu_vide.png\" width=\"10\" height=\"10\" alt=\"present\" />");
		
		print "<td class=\"centre\"><input type=\"checkbox\" name=\"selection[]\" value='$id_stagiaire' ";
		if (in_array($id_stagiaire,$adm_courriels_absents_coches)) print "checked=\"checked\" ";
		print "/></td>\n";
		print "</tr>\n";
	}

}
function afficheCourriels()
{
	global $adm_courriels_absents_stagiaires,$adm_courriels_absents_ecoles,$adm_courriels_absents_ecoles2,$adm_courriels_absents_objet,$adm_courriels_absents_coches;
	$objet=htmlentities($adm_courriels_absents_objet,ENT_COMPAT,'ISO-8859-15');
	print "<tr>\n";
	if ($adm_courriels_absents_stagiaires) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_absents_stagiaires',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_absents_stagiaires','console',600,500)\"><img src=\"images/text.png\" alt=\"texte\" /></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_absents_ecoles) { 
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_absents_ecoles',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
				print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_absents_ecoles','console',600,500)\" ><img src=\"images/text.png\" alt=\"texte\" /></a></td>\n";
	}		
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_absents_stagiaires && $adm_courriels_absents_ecoles) 
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_absents_stagiaires',document.form.objet.value,'$adm_courriels_absents_ecoles')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a></td>\n";
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_absents_ecoles2) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_absents_ecoles2',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
						print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_absents_ecoles2','console',600,500)\" ><img src=\"images/text.png\" alt=\"texte\" /></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";

	if (isset($adm_courriels_absents_coches) && sizeof($adm_courriels_absents_coches>0) && ($adm_courriels_absents_stagiaires || $adm_courriels_absents_ecoles || $adm_courriels_absents_ecoles2)) 	 	
		print "<td class=\"centre\"><a href=\"javascript:popUp('adm_liste_stagiaires_popup.php','console',640,480)\" ><img src=\"images/text.png\" alt=\"texte\" /></a></td>\n";
	else
		print "<td class=\"centre\">-</td>\n";
	
	print "</tr>\n";
}	
function afficherDates($h)
{
	global $id_circo,$adm_courriels_absents_date_sql;
	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages, positions,domaines WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' AND positions.id_anim=seances.id_anim AND domaines.id_domaine=positions.id_domaine AND domaines.annee=0 ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$adm_courriels_absents_date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	
	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
    	<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}

//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_courriels_absents?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
		    <h1>Envoi de courriels aux stagiaires absents ou pr&eacute;sents </h1>
		    <p>Conserne uniquemenrt les stagiaries de la circo. Copiez/collez le corps du message pour le reproduire &agrave; chaque lot de stagiaires.</p>
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
		    <table>
              <tr>
                <td><form method="post" action="">
                  <p>
                    <input name="rb_presents" type="radio" onclick="javascript:submit()" value="0" <?php if ($adm_courriels_absents_presents==0) print 'checked="checked"' ?> />
                    tous</p>
                  <p>
                    <input type="radio" name="rb_presents" value="1" <?php if ($adm_courriels_absents_presents==1) print 'checked="checked"' ?> onclick="javascript:submit()" />
                    pr&eacute;sents</p>
                  <p>
                    <input type="radio" name="rb_presents" value="2" <?php if ($adm_courriels_absents_presents==2) print 'checked="checked"' ?> onclick="javascript:submit()" />
                    absents injustifi&eacute;s </p>
                </form></td>
                <td><table>
                  <tr class="table_entete">
                    <td>&Agrave;: stagiaires</td>
                    <td>&Agrave;: &eacute;coles<br />
                        <em>concern&eacute;es</em></td>
                    <td>&Agrave;: stagiaires<br />
                      CC: &eacute;coles </td>
                    <td>&Agrave;: &eacute;coles<br />
                        <em>stag. sans courriel</em> </td>
                    <td>Liste stag. &agrave; <br />
copier/coller </td>
                  </tr>
                  <?php afficheCourriels()?>
                </table></td>
              </tr>
              <tr>
                <td colspan="2"><form method="post" action="">
                  <p>Choix de la date:
                    <select name="cbDate" id="cbDate" onchange="javascript:submit()">
                      <?php afficherDates($h)?>
                                  </select>
                  </p>
                </form>
                <form name="form2" method="post" action="">
                    <p>Animation:
                      <select name="cb_animations" id="cb_animations" onchange="javascript:submit()">
                          <?php afficherAnims($h) ?>
                      </select>
                    </p>
                  </form>
                  <form name="form3" method="post" action="">
                    <p>S&eacute;ance:
                      <select name="cb_seances" id="cb_seances" onchange="javascript:submit()">
                          <?php afficherSeances($h) ?>
                      </select>
                    </p>
                </form>				</td>
              </tr>
            </table>
		    <form method="post" name="form"  action="">
                  <input type="hidden" name="page" value="<?php print $page?>" />
                  Objet: 
				  <input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($adm_courriels_absents_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				  <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_courriels_absents_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_courriels_absents.php&amp;id_seance=<?php print $id_seance?>','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_courriels_absents,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="valider" type="submit" class="bouton_enregistre" value="valider" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
		          <table>
                    <tr class="table_entete">
                      <td>Nom stagiaire&nbsp; <a href="adm_courriels_absents.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                      <td>Niveau<br/>
                        <a href="adm_courriels_absents.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                      <td>Ecole&nbsp;<a href="adm_courriels_absents.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe<a href="adm_courriels_absents.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                      <td align="center">Quotit&eacute;<br/>
                          <a href="adm_courriels_absents.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                      <td>Absences<br />
                        <img src="images/bouton_rouge_plein.png" alt="absence injustifi&eacute;e" width="10" height="10" />                          <em>injustifi&eacute;e<br />
                        <img src="images/bouton_vert_plein.png" alt="absence justifi&eacute;e" width="10" height="10" /> </em><em>excus&eacute;e</em><br/>
                      <a href="adm_courriels_absents.php?tri=absent_asc"><img src="images/fleche_haut.png" alt="tri par pr&eacute;sence ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=absent_desc"><img src="images/fleche_bas.png" alt="tri par pr&eacute;sence descendant" width="11" height="11" border="0" /></a></td>
                      <td>Courriel&nbsp;
                          <input name="checkbox" type="checkbox" onclick="cocheTout(this)"/>
                        <br/>
                        <a href="adm_courriels_absents.php?tri=absent_asc"><img src="images/fleche_haut.png" alt="tri par pr&eacute;sence ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_absents.php?tri=absent_desc"><img src="images/fleche_bas.png" alt="tri par pr&eacute;sence descendant" width="11" height="11" border="0" /></a></td>
                    </tr>

                    <?php  afficheListeStagiaires($h) ?>
                  </table>
		          <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_courriels_absents_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_courriels_absents.php&amp;id_seance=<?php print $id_seance?>','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_courriels_absents,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="valider" type="submit" class="bouton_enregistre" id="valider" value="enregistre" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
            </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_courriels_absents?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
