<?php
/* 
	Menu documentation et crdits
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_documentation=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_documentation']=$url_ret_adm_documentation;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_documentation'])) {
		$url_ret_adm_documentation=$_SESSION['circonscript7_url_ret_adm_documentation'];
	}
	else $url_ret_adm_documentation="adm_circo_bienvenue.php";
	$_SESSION['circonscript7_session_menu_page']=7;
	$h=connect();	
	ejecteSiFerme($h);
	if (isset($_SESSION['circonscript7_id_circo'])) $id_circo=$_SESSION['circonscript7_id_circo'];
	else $id_circo=0;
	if (isset($_SESSION['circonscript7_id_intervenant'])) $id_intervenant=$_SESSION['circonscript7_id_intervenant'];
	else $id_intervenant=0;
	$administration=isset($_SESSION['circonscript7_administration']);
	if (!$id_intervenant && !$id_circo && !$administration) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_documentation=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_documentation']=$url_ret_adm_documentation;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_documentation'])) {
		$url_ret_adm_documentation=$_SESSION['circonscript7_url_ret_adm_documentation'];
	}
	else {
		if( $id_circo) $url_ret_adm_documentation='adm_circo_bienvenue.php';
		else $url_ret_adm_documentation='index.php';
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_documentation?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				  <?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
				if ($id_circo || $administration) print "<h1 class=\"help\">Documentation</h1>\n";
			    if ($id_circo) { ?>
				<h2><a href="adm_checklist.php?url_ret=adm_documentation.php">La check-list de l'administrateur de circo</a></h2>
			    <p>Etape par &eacute;tape, l'ensemble des op&eacute;rations &agrave; faire avec des liens directs vers les pages concern&eacute;es. Pour ne rien oublier et tout faire dans les r&egrave;gles. Utile aussi aux d&eacute;butants. </p>
			    <?php } 
					if ($administration) {
				?>
				<h2><a href="Doc/Circonscript71_Guide_Administrateur.pdf">Le guide de l'administrateur principal </a> </h2>
			    <p>Format pdf. Mode d'emploi de l'administrateur. Doit &ecirc;tre compl&eacute;t&eacute; par la lecture du manuel de l'administrateur de circonscription. </p>
				<?php } 
					if ($id_circo || $administration) {
				?>				
				<h2><a href="Doc/Circonscript71_Guide_Circonscription.pdf">Le manuel de l'administrateur de la circonscription</a> </h2>
			    <p>Format pdf. Mode d'emploi complet pour administrer les animations p&eacute;dagogiques sur une circonscription. </p>
	            <?php } ?>
				<h2><a href="Doc/Circonscript71_Guide_Intervenant.pdf">Le manuel de l'intervenant </a> </h2>
			    <p>Format pdf. Mode d'emploi destin&eacute; aux intervenants. </p>
	      </div>
			<a name="bas" id="bas"></a>	
					<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_documentation?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
				</ul>
			</div>
</div>
	</body>
</html>