<?php
/* 
	Popup d'explication sur l'impossibilit de convoquer certains stagiaires  une sance
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}
	else $id_circo=$_SESSION['circonscript7_id_circo'];
	include('_fonctions.inc.php');		
	if (!isset($_GET['id_seance'])) {
		header( 'Location: erreur_popup.php?erreur=seance');
		exit;
	}
	$id_seance=abs(intval($_GET['id_seance']));
	debugInit();
	$h=connect();
	$max=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
	$circos=array();
	$r=query("SELECT circos.libelle_court FROM partages,circos WHERE partages.id_seance=$id_seance AND partages.accepte<>0 AND partages.id_circo=circos.id_circo AND circos.stag_etat=1",$h);
	while ($row=@mysqli_fetch_row($r)) $circos[]=$row[0];	
	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body class="popup" >
	<a name="haut" id="haut"></a>
	<div id="conteneur_popup">
	<div id="header_popup">Information	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="javascript:close()">fermer</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps_popup">
	  <h2>
	    <?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
	?>
      Pour le moment, vous ne pouvez pas convoquer certains stagiaires &agrave; cette s&eacute;ance </h2>
	  <p>En effet, pour &eacute;viter de d&eacute;passer le maximum autoris&eacute;, Circon'script a &eacute;tabli des r&egrave;gles de gestion. Lorsque le nombre de places est plafonn&eacute; dans une animation, on ne peut pas y convoquer un stagiaire qui n'y est pas inscrit, sauf si <em>toutes</em> les circonscriptions proposant l'animation ont termin&eacute; la phase des inscriptions.</p>
	  <p>Dans le cas pr&eacute;sent:  </p>
	  <ul><li>le nombre de places disponibles est plafonn&eacute (<?php print $max?>)</li>
	    <li>le stagiaire n'est pas inscrit &agrave; cette animation </li>
	    <li>les inscriptions des stagiaires sont encore en cours dans les circos suivantes : <?php for ($i=0;$i<count($circos);++$i) {
			print $circos[$i];
			if ($i<count($circos)-1) print ", ";
		}?>.</li>
	  </ul>
	  <p>Si vous souhaitez convoquer un stagiaire &agrave; cette animation, il faut:</p>
	  <ul>
	    <li>qu'il s'inscrive lui-m&ecirc;me (<em>ou que vous le fassiez pour lui si cette fonctionnalit&eacute; est autoris&eacute;e par l'administrateur </em>) -ensuite, vous pourrez le convoquer </li>
        <li>OU que toutes les circonscriptions proposant cette animation quittent l'tat "inscriptions en cours". </li>            
      </ul>
	  <p>&nbsp;</p>
	  </div>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="javascript:close()">fermer</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>
	</body>
</html>