<?php
/* 
	Feuille de prsence  imprimer	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])&& !isset($_SESSION['circonscript7_id_intervenant'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	if (isset($_GET['id_date'])) $id_date=abs(intval($_GET['id_date']));
	else {
		header( 'Location: erreur.php?erreur=seance');
		exit;
	}
	if (isset($_GET['type'])) $type=abs(intval($_GET['type']));
	else $type=0;
	if (isset($_SESSION['circonscript7_id_intervenant'])) $type=0;
	$convocations='convocations';
	$id_convoc='id_convoc';
	if ($type==1) {
		$convocations='inscriptions';
		$id_convoc='id_inscr';
	}

	$q="SELECT animations.intitule, seances.public, dates.date, dates.lieu, dates.horaire, dates.duree,dates.id_seance,COUNT($convocations.$id_convoc) as nb_participants FROM (animations,seances, dates) LEFT JOIN $convocations ON $convocations.id_seance=seances.id_seance  WHERE dates.id_date=$id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim GROUP BY $convocations.id_seance";
	$r=query($q,$h);
		$row=@mysqli_fetch_array($r);
		$intitule=htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15');
		$public=htmlentities($row['public'],ENT_COMPAT,'ISO-8859-15');
		$date=dateSQLEnTexte($row['date']);
		$lieu=htmlentities($row['lieu'],ENT_COMPAT,'ISO-8859-15');
		$horaire=horaireSqlEnHeure($row['horaire']);
		//$intervenant=htmlentities($row['intervenant'],ENT_COMPAT,'ISO-8859-15');
		$duree=reelEnHeure($row['duree']);
		$id_seance=$row['id_seance'];
		$nb_participants=$row['nb_participants'];
		
		$liste_circos='';
		$q="SELECT circos.libelle FROM stagiaires, ecoles, $convocations,circos WHERE $convocations.id_seance=$id_seance AND $convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole= ecoles.id_ecole AND circos.id_circo=ecoles.id_circo GROUP BY circos.id_circo ORDER BY circos.libelle";
		$r=query($q,$h);
		while ($row=@mysqli_fetch_row($r)) {
			if ($liste_circos) $liste_circos.=', ';
			$liste_circos.=$row[0];
		}
		$liste_circos=htmlentities($liste_circos,ENT_COMPAT,'ISO-8859-15');
		
		
		$q="SELECT civilite, nom, prenom, fonction FROM intervenants, interventions WHERE interventions.id_date=$id_date AND interventions.id_intervenant=intervenants.id_intervenant GROUP BY intervenants.id_intervenant ORDER BY nom ASC";
		$r=query($q,$h);
		$intervenant='';
		$nb_intervenants=@mysqli_num_rows($r);
		while($row=@mysqli_fetch_array($r)) {
			$s=formateIntervenant($row['civilite'],$row['nom'],$row['prenom'],$row['fonction']);
			if ($s) {
				if (!empty($intervenant)) $intervenant.=', ';
				$intervenant.=$s;
			}
		}
		if (!empty($intervenant)) $intervenant.='.';

function afficheStagiaires($h)
{	
	global $id_seance,$convocations,$id_convoc;
	$q="SELECT concat(stagiaires.nom,' ',stagiaires.prenom) as nom, ecoles.nom as ecole, circos.libelle as circo, niveau FROM stagiaires,ecoles,$convocations,circos WHERE $convocations.id_seance=$id_seance AND $convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole= ecoles.id_ecole AND circos.id_circo=ecoles.id_circo ORDER BY nom";
	$r=query($q,$h);
	$i=0;
	while ($row=@mysqli_fetch_array($r)) {
		$niv=trim(str_replace('/',' ',$row['niveau']));
		if ($niv=='') $niv='-';
		print "<tr>\n";
		printf("<td><p>%02d</p></td>\n",++$i);
		printf("<td><p>%s</p></td>\n",htmlentities($row['nom'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td><p>%s</p></td>\n",htmlentities($niv,ENT_COMPAT,'ISO-8859-15'));
		printf("<td><p>%s</p></td>\n",htmlentities($row['ecole'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td><p>%s</p></td>\n",htmlentities($row['circo'],ENT_COMPAT,'ISO-8859-15'));
		print "<td><p>&nbsp;&nbsp;&nbsp;</p></td>\n";
		print "</tr>\n";
	}		
}
function formateIntervenant($civ,$nom, $prenom, $fonction)
{
	if ($nom=='' && $prenom=='') return'';
	$nom=htmlentities($nom,ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($prenom,ENT_COMPAT,'ISO-8859-15');
	$s='';
	if ($prenom=='') {
		if ($civ==0) $s.='M. ';
		else if ($civ==1) $s.='Mme ';
		$s.=$nom;
	}
	else $s.="$nom $prenom";
	if ($fonction) $s.=sprintf(" (%s)",htmlentities($fonction,ENT_COMPAT,'ISO-8859-15'));
	return $s;

}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
	    <style type="text/css">
<!--
body {
	font-family:Verdana, Arial, Helvetica, sans-serif;
	font-size:0.65em;
}
h1 {
	font-size:1.3em;
	margin-top: 0.8em;
	margin-right: 0.5em;
	margin-bottom: 0.3em;
	margin-left: 0;
	font-weight: bold;
	height: 1.5em;
	border-top-width: 1px;
	border-right-width: 1px;
	border-bottom-width: 1px;
	border-left-width: 1px;
	border-top-style: none;
	border-right-style: none;
	border-bottom-style: solid;
	border-left-style: solid;
	border-top-color: #CCCCFF;
	border-right-color: #CCCCFF;
	border-bottom-color: #CCCCFF;
	border-left-color: #CCCCFF;
	background-image: url(images/degrade.png);
	background-repeat: no-repeat;
}
h2 {
font-size:1.2em;
margin:0.8em 0.5em 0.3em 0.6em;
}

h3 {
	font-size:1.1em;
	margin-top: 0.8em;
	margin-right: 0.5em;
	margin-bottom: 0.3em;
	margin-left: 1.5em;
}

h4 {
font-size:1em;
margin:0.7em 0.5em 0.3em 1em;
}

h5 {
font-size:0.9em;
margin:0.6em 0.5em 0.2em 1.5em;
}

p {
font-size:1em;
margin:1px 0.5em 0.5em 1.5em;
}


-->
        </style>
</head>
	<body>
		<div id="conteneur">
			
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
	          <h1>Feuille de pr&eacute;sence</h1>
<?php
	if ($liste_circos) print "<p>&Agrave; t&eacute;l&eacute;copier &agrave; : $liste_circos.</p>\n";
?>								
		        <h2><?php print $intitule?></h2>
				<h3>Public : <?php print $public?></h3>
				<h3>Date : <?php print "$date - $horaire"?></h3>
				<p>Lieu : <?php print $lieu?></p>
				<p>Intervenant : <?php print $intervenant?></p>
				<p>Dur&eacute;e : <?php print $duree?></p>
				<p>Nombre de participants : <?php print $nb_participants?></p>
				<table width="80%" border="1" align="center" cellpadding="5" cellspacing="0" >
                  <tr>
                    <th scope="col">&nbsp;</th>
                    <th scope="col"><div align="center">Stagiaire</div></th>
                    <th scope="col">Niveau classe</th>
                    <th scope="col">Ecole</th>
                    <th scope="col">Circonscript&deg;</th>
                    <th scope="col">Emargement</th>
                  </tr>
				  <?php afficheStagiaires($h)?>
                </table>
		        <div align="center"></div>
		  </div>
			<a name="bas" id="bas"></a> </div>
	</body>
</html>