<?php
/* 
	Paramtres gnraux d'administration, pour l'admin
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions.inc.php';

	if (isset($_GET['url_ret'])) {
		$url_ret_adm_general=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_general']=$url_ret_adm_general;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_general'])) {
		$url_ret_adm_general=$_SESSION['circonscript7_url_ret_adm_general'];
	}
	else $url_ret_adm_general="administration.php";
	debugInit();
	$erreur='';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	if (!isset($titre_site)) $titre_site=""; // pour les versions o _paramtres.inc.php n'a pas le titre
	if (!isset($url_site)) $url_site=""; // pour les versions o _paramtres.inc.php n'a pas l'url_site
	$q="SELECT * FROM general";
	$r=query($q,$h);
	$quota='';
	$horaire_defaut='';
	$intervalle_svg=0;
	$saisie_courriel=1;
	$courriel='';
	$nom_admin='';
	$autorisations='000';
	$webcourriel='';
	$taille_max_description=500;
	$taille_max_remarque=200;
	$avertissementChoix=1;
	$intervenants_ical=10;
	$bannissement=1;
	$ban_duree=30;
	$ban_tentatives=10;
	$ban_oubli=10;
	if ($r) {
		$row=@mysqli_fetch_array($r);
		$quota=$row['quota'];
		$duree_seance=$row['duree_seance'];
		$horaire_defaut=$row['horaire_defaut'];
		$intervalle_svg=$row['intervalle_svg'];
		$courriel=$row['courriel'];
		$saisie_courriel=$row['saisie_courriel'];
		$nom_admin=$row['nom_admin'];
		$autorisations=$row['autorisations'];
		if (strlen($autorisations)<3) $autorisations.=str_repeat("0",3-strlen($autorisations));
		$webcourriel=$row['webcourriel'];
		$taille_max_description=$row['taille_max_description'];
		$taille_max_remarque=$row['taille_max_remarque'];
		$avertissementChoix=$row['avertissementChoix'];
		$intervenants_ical=$row['intervenants_ical'];
		$bannissement=$row['bannissement'];
		$ban_duree=$row['ban_duree'];
		$ban_tentatives=$row['ban_tentatives'];
		$ban_oubli=$row['ban_oubli'];
	}
	if (isset($_POST['valider'])||isset($_POST['btUrl'])) {
		if (isset( $_POST['nom_admin'])) {
			$nom_admin=normaliseT($_POST['nom_admin'],255);
			if (!nomValide($nom_admin)) $erreur="Nom de l'administrateur invalide.";
		}
		else $erreur="Nom de l'administrateur absent";
		if (isset($_POST['quota_g'])) $quota=normaliseT($_POST['quota_g'],7);
		$b=settype($quota,"double");
		if (!$b||$quota<=0) $erreur.="Nombre d'heures invalide. ";
		if (isset($_POST['duree_seance_circo'])) $duree_seance=normaliseT($_POST['duree_seance_circo'],7);
		$b=settype($duree_seance,"double");
		if (!$b||$duree_seance<=0) $erreur.="Dure sance: nombre d'heures invalide. ";
		if (isset($_POST['horaire_defaut'])) {
			$horaire_defaut=horaireSaisiEnSql(normaliseT($_POST['horaire_defaut'],16));
			if ($horaire_defaut=='') $erreur.="Horaire incorrect. ";
		}
		else $horaire_defaut='';
		if (isset($_POST['intervalle_svg'])) {
			$intervalle_svg=decimal($_POST['intervalle_svg']);
			if ($intervalle_svg!=0 && ($intervalle_svg<0.5 ||$intervalle_svg>168.0)) $erreur.="L'intervalle	doit tre compris entre 0,5 et 168. ";
		}
		if (isset($_POST['saisie_courriel'])) $saisie_courriel=intval($_POST['saisie_courriel']);
		else $saisie_courriel=1;
		if ($saisie_courriel<0 || $saisie_courriel>1) $saisie_courriel=1;
		if (isset($_POST['courriel'])) {
			$courriel=normaliseT($_POST['courriel'],255);
			if (!testeEmail($courriel)) $erreur.="Courriel invalide. ";
		}
		else $erreur.="Courriel indispensable.";
		$webcourriel='';
		if (isset($_POST['webcourriel'])) {
			$webcourriel=trim(normaliseT($_POST['webcourriel'],255));
			if ($webcourriel && !preg_match( URL_FORMAT,$webcourriel)) $erreur.="L'URL de la messagerie acadmique semble incorrecte.";	
		}
		if (isset($_POST['edTailleDescription'])) {
			$taille_max_description=intval(abs($_POST['edTailleDescription']));
			if ($taille_max_description<100) $taille_max_description=100;
			else if ($taille_max_description>9999) $taille_max_description=9999;
		}
		else $taille_max_description=500;
		if (isset($_POST['edTailleRemarque'])) {
			$taille_max_remarque=intval(abs($_POST['edTailleRemarque']));
			if ($taille_max_remarque<100) $taille_max_remarque=100;
			else if ($taille_max_remarque>9999) $taille_max_remarque=9999;
		}
		else $taille_max_remarque=200;
		if (isset($_POST['avertissement'])) $avertissementChoix=1;
		else $avertissementChoix=0;
		if (isset($_POST['ediCalendar'])) {
			$intervenants_ical=intval($_POST['ediCalendar']);
			if ($intervenants_ical<0)$intervenants_ical=0;
			else if ($intervenants_ical>127) $intervenants_ical=127;
		}
		$bannissement=isset($_POST['bannissement'])?1:0;
		if (isset($_POST['ban_duree'])) {
				$ban_duree=intval($_POST['ban_duree']);
				if ($ban_duree<=0) $erreur.="La dure du bannissement doit tre suprieure  0. ";
		}
		if (isset($_POST['ban_oubli'])) {
				$ban_oubli=intval($_POST['ban_oubli']);
				if ($ban_oubli<=0) $erreur.="La dure du seuil d'oubli doit tre suprieure  0. ";
		}
		if (isset($_POST['ban_tentatives'])) {
				$ban_tentatives=intval($_POST['ban_tentatives']);
				if ($ban_tentatives<=0) $erreur.="Le nombre de tentatives doit tre suprieur  0. ";
		}
		
		if (isset($_POST['btUrl'])) while(1){
			// url du site...
			$domaine=$_SERVER['HTTP_HOST'];
			$path=$_SERVER['SCRIPT_NAME'];
			$t=explode('/',$path);
			if (sizeof($t)>1) {
				unset($t[sizeof($t)-1]);
				$path=implode('/',$t);
			}
			else $path='';
			$id=substr(session_id(),0,32);
			query("UPDATE general SET session_svg='$id'",$h);
			if (!isset($url_site) || $url_site=='') {
				$http='http';
				if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on') $http='https';			
				$site="$http://$domaine$path/adm_clique_et_sauve.php?id=$id";
			}
			else $site=$url_site."/adm_clique_et_sauve.php?id=$id";
			$file="temp/tmp_url";
			$fp=fopen($file,'w');
			if (!$fp) {
				$erreur="Impossible de crer le fichier: $file";
				break;
			}
			fputs($fp,"[InternetShortcut]\r\n");
			fputs($fp,"URL=$site\r\n");
			fclose($fp);
			// envoi du fichier			
			$fich="Circonscript-clique et sauve.url";
			header('Content-Transfer-Encoding: none');
			header("Content-Type: application/octetstream; name=\"$fich\"");
			header("Content-Disposition: attachment; filename=\"$fich\"");
			header('Content-length: '.filesize($file));
			@readfile($file);
			unlink($file);
			exit;
		}
		else if (!$erreur) {
			$nb=queryValue("SELECT COUNT(*) FROM general",$h);
			if ($nb>0) 
				$q=sprintf("UPDATE general SET quota='%.2f', duree_seance='%.2f', horaire_defaut='%s', intervalle_svg='%.2f', courriel='$courriel', saisie_courriel=$saisie_courriel, nom_admin='%s',webcourriel='%s',taille_max_description='%d',taille_max_remarque='%d',avertissementChoix='%d', intervenants_ical='%d', bannissement='%d', ban_oubli='%d',ban_duree='%d',ban_tentatives='%d'",$quota,$duree_seance, $horaire_defaut,$intervalle_svg,myEscapeString($h,$nom_admin),myEscapeString($h,$webcourriel),$taille_max_description,$taille_max_remarque,$avertissementChoix,$intervenants_ical,$bannissement,$ban_oubli,$ban_duree,$ban_tentatives);
			else
				$q=sprintf("INSERT INTO general(quota, duree_seance,horaire_defaut, intervalle_svg, courriel, saisie_courriel, nom_admin,webcourriel,taille_max_description,taille_max_remarque,avertissementChoix,intervenants_ical,bannissement,ban_oubli,ban_duree,ban_tentatives) VALUES('%.2f', '%.2f','%s','%.2f','$courriel',$saisie_courriel,'%s','%s','%d','%d','$avertissementChoix','%d','%d','%d','%d','%d')",$quota,$duree_seance, $horaire_defaut,$intervalle_svg,myEscapeString($h,$nom_admin),myEscapeString($h,$webcourriel),$taille_max_description, $taille_max_remarque,$intervenants_ical,$bannissement,$ban_oubli,$ban_duree,$ban_tentatives);
			query($q,$h);
			if (!$erreur) $erreur="Modifications enregistres";
		}
	}
	// Modifier directementle fichier _parametres.inc.php
	else if (isset($_POST['commande']) && $_POST['commande']=='fichier') while(1){
		if (isset($_POST['cle1'])) $cle1=$_POST['cle1'];
		else $cle1='';
		if (isset($_POST['cle2'])) $cle2=$_POST['cle2'];
		else $cle2='';
		if ($cle1!='' && strlen($cle1)<8) {
			$erreur= "La cl de fichier doit comporter au moins 8 caractres";
			break;
		}
		if (strlen($cle2)<16) {
			$erreur= "La cl AES doit comporter au moins 16 caractres";
			break;
		}
		if (strlen($cle2)>255) {
			$erreur= "La cl AES est trop longue (max: 255 caractres)";
			break;
		}
		if (htmlspecialchars($cle2,ENT_QUOTES,'ISO-8859-15')!=$cle2) {
			$erreur="La cl contient une apostrophe ou un guillemet.";
			break;
		}
		$cle_anc=$cle_aes;
		$titre_siteIn='';
		$urlIn='';
		
		
		if (isset($_POST['edTitre'])) $titre_siteIn=normaliseT($_POST['edTitre'],200);
		if (isset($_POST['edUrl'])) $urlIn=rtrim(normaliseT($_POST['edUrl'],256),'/');
		ecrireElements($cle1,$cle2,$titre_siteIn,$urlIn);
		if (!$erreur && $cle2 && $cle_anc!=$cle2  && isset($_POST['majmdp'])) {
			@set_time_limit(0);
			//rencodage de tous les mots de passe aes 
			$q="REPLACE INTO utilisateurs (id_uti,login, mdp, codage,date_publipostage) SELECT id_uti,login,AES_ENCRYPT(AES_DECRYPT(mdp,'$cle_anc'),'$cle2'),codage, date_publipostage FROM utilisateurs WHERE codage=2";
			query($q,$h); 
		}
		if (!$erreur) {
			header("Location: adm_general.php?url_ret=$url_ret_adm_general");
			exit;
		}
		break;
	}
	else if (isset($_POST['champLogo'])) {
		if (isset($_POST['chkLogo'])) $autorisations[2]='1'; 
		else $autorisations[2]='0';
		query("UPDATE general SET autorisations='$autorisations'",$h);
		if (!$erreur) $erreur="Modifications enregistres";		
	}		

	$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	
function ecrireElements($cleIn, $cle_aes_in, $titre_siteIn,$urlIn)
{
	global $erreur,$cle, $cle_aes,$titre_site,$url_site;
	if ($cleIn==$cle && $cle_aes_in==$cle_aes && $titre_site==$titre_siteIn && $url_site==$urlIn) return;
	if (strpos($cleIn,'"')!==false) {
		$erreur="Il est interdit de mettre un guillemet (\") dans la cl.";
		return;
	} 
	if (strpos($cle_aes_in,'"')!==false) {
		$erreur="Il est interdit de mettre un guillemet (\") dans la cl AES.";
		return;
	} 
	if (strpos($cle_aes_in,"'")!==false) {
		$erreur="Il est interdit de mettre une apostrophe (') dans la cl AES.";
		return;
	} 
	if (strpos($titre_siteIn,'"')!==false) {
		$erreur="Il est interdit de mettre un guillemet (\") dans le titre du site.";
		return;
	} 
	
	if ($urlIn!='' && (!filter_var($urlIn, FILTER_VALIDATE_URL) !== false)){		
		$erreur="L'URL du site est incorrecte";
		return;
	} 
	
	$t=file('parametres/_parametres.inc.php');
	if (sizeof($t)<10) {
		$erreur.="Problme sur le fichier '_parametres.inc.php' - il ne semble pas correct. ";
		return;
	}
	$s=implode("",$t);
	if ($cle!=$cleIn)
		$s=preg_replace('(\$cle=\"([^"])*\")',"\$cle=\"$cleIn\"",$s);
	if ($cle_aes_in!=$cle_aes)
		$s=preg_replace('(\$cle_aes=\"([^"])*\")',"\$cle_aes=\"$cle_aes_in\"",$s);
	if ($titre_siteIn=='') $titre_siteIn="Circon'script";
	if ($titre_siteIn!=$titre_site) {
		if (strpos($s,'titre_site=')!==false) $s=preg_replace('(\$titre_site=\"([^"])*\")',"\$titre_site=\"$titre_siteIn\"",$s);
		else $s=preg_replace('#\?>#',"\t\$titre_site=\"$titre_siteIn\";\n?>",$s);
				
	}
	if ($urlIn!=$url_site) {
		if (strpos($s,'url_site=')!==false) $s=preg_replace('(\$url_site=\"([^"])*\")',"\$url_site=\"$urlIn\"",$s);
		else $s=preg_replace('#\?>#',"\t\$url_site=\"$urlIn\";\n?>",$s);
				
	}
	
	$tmpfile=tempnam('./temp',"txt");		
	$fp=fopen($tmpfile,"w");
	if (!$fp) {
		$erreur.="Impossible d'crire dans le dossier courant. ";
		return;
	}
	$b=fputs($fp,$s,strlen($s));
	fclose($fp);
	if (!$b) {
		$erreur="Problme d'criture dans le fichier '$tmpfile' du dossier /temp. ";
		return;
	}
	$b=unlink('./parametres/_parametres.inc.php');
	if (!$b) {
		$erreur.="Impossible de supprimer le fichier '_parametres.inc.php'. ";
		return;
	}
	$b=rename($tmpfile,'./parametres/_parametres.inc.php');
	if (!$b) {
		$erreur="Impossible de renommer le fichier '$tmpfile' en '_parametres.inc.php' dans le dossier courant. ";
		return;
	}
	$cle=$cleIn;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function envoyer()
		{
			var cle1, cle2;
			if (document.getElementById('edCle1').style.display=="inline") cle1=document.getElementById("edCle1").value;
			else cle1=document.getElementById("edCle2").value;
			if (document.getElementById('edCleAES1').style.display=="inline") cle2=document.getElementById("edCleAES1").value;
			else cle2=document.getElementById("edCleAES2").value;
			
			document.form5.cle1.value=cle1;
			document.form5.cle2.value=cle2;
			document.form5.commande.value='fichier';
			document.form5.submit();
			
		}
		function jsMontrer1()
		{
			var b=document.form5.chkMontrer1.checked;
			if (b) {
				document.getElementById('edCle1').style.display="none";
				document.getElementById('edCle2').style.display="inline";
				document.getElementById('edCle2').value=document.getElementById("edCle1").value;
				
			}
			else {
				document.getElementById('edCle1').style.display="inline";
				document.getElementById('edCle2').style.display="none";
				document.getElementById('edCle1').value=document.getElementById("edCle2").value;
			}			
		
		}
		function jsMontrer2()
		{
			var b=document.form5.chkMontrer2.checked;
			if (b) {
				document.getElementById('edCleAES1').style.display="none";
				document.getElementById('edCleAES2').style.display="inline";
				document.getElementById('edCleAES2').value=document.getElementById("edCleAES1").value;
				
			}
			else {
				document.getElementById('edCleAES1').style.display="inline";
				document.getElementById('edCleAES2').style.display="none";
				document.getElementById('edCleAES1').value=document.getElementById("edCleAES2").value;
			}			
		
		}
		//-->
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_general?>">retour</a></li>
<li><a href="#bas">bas</a></li>
</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Param&egrave;tres g&eacute;n&eacute;raux d'administration </h1>
				<p><strong>Attention</strong>, il y a 4 parties ind&eacute;pendantes sur cette page. Validez au bon endroit. </p>
				<form name="form1" method="post" action="">
				<div class="cadre_hb">

				    <p>Nom par d&eacute;faut de l'administrateur principal: 
				      <input name="nom_admin" type="text" id="nom_admin" value="<?php print htmlentities($nom_admin,ENT_COMPAT,'ISO-8859-15') ?>" size="100" maxlength="255" />
				    </p>
				    <p>Courriel par d&eacute;faut de l'administrateur principal:
				      <input name="courriel" type="text" id="courriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15') ?>" size="100" maxlength="255" />
			        </p>
				    <p>Quota d'heures d'animations par d&eacute;faut, pour les stagiaires travaillant &agrave; temps plein:
                      <input name="quota_g" type="text" id="quota_g" value="<?php print sprintf("%.2f",$quota)?>" size="7" maxlength="7" />
				    </p>
				    <p>Dur&eacute;e standard d'une s&eacute;ance :
                      <input name="duree_seance_circo" type="text" id="duree_seance_circo" value="<?php print sprintf("%.2f",$duree_seance)?>" size="7" maxlength="7" />
</p>
				    <p>Horaire par d&eacute;faut du d&eacute;but des s&eacute;ances : 
				      <input name="horaire_defaut" type="text" id="horaire_defaut" value="<?php print horaireSqlEnHeure($horaire_defaut)?>" size="16" maxlength="16" />
				    </p>
				    <h2>Avertissement aux stagiaires</h2>
				    <p>Avant d'acc&eacute;der au choix de leurs voeux les stagiaires lisent un avertissement leur pr&eacute;cisant le fonctionnement: une fois leurs voeux enregistr&eacute;s, les convocations seront &eacute;tablies; celles-ci peuvent &ecirc;tre diff&eacute;rentes des voeux initiaux. Aussi, les stagiaires doivent retourner sur le site pour prendre connaissance de leurs convocations.</p>
				    <p><a href="ins_avertissement.php?url_ret=adm_general.php">Voir l'avertissement</a>. Faire [retour] pour revenir &agrave; cette page,ou cliquez sur le bouton. </p>
				    <p>Si dans votre acad&eacute;mie, la publication de cet avertissement pose probl&egrave;me, vous pouvez la d&eacute;sactiver ici. </p>
			      <p>
				      <input name="avertissement" type="checkbox" id="avertissement" value="1" <?php if ($avertissementChoix==1) print 'checked="checked"'?> />
			        Pr&eacute;senter l'avertissement aux	stagiaires.</p>
				    <h2>Formulaire de demande de r&eacute;initialisation du mot de passe</h2>
				    <p>Ce formulaire est diponible pour les stagiaires qui ont oubli&eacute; leur mot de passe. </p>
				    <p>
				      <input type="radio" name="saisie_courriel" value="0" <?php if ($saisie_courriel==0) print 'checked="checked"'?> /> 
				      Autoriser toutes les adresses courriel</p>
				    <p>
<input type="radio" name="saisie_courriel" value="1" <?php if ($saisie_courriel>=1) print 'checked="checked"'?> />				      
Obliger les stagiaires &agrave; indiquer une adresse acad&eacute;mique dans le formulaire</p>
				    <h2>Adresse de la messagerie web acad&eacute;mique</h2>
				    <p>Si renseign&eacute;, ce lien sera indiqu&eacute; dans la page de demande d'envoi du mot de passe.</p>
				    <p>
				      <input name="webcourriel" type="text" id="webcourriel" value="<?php print htmlentities($webcourriel,ENT_COMPAT,'ISO-8859-15') ?>" size="100" maxlength="255" />
</p>
				    <h2>Longueurs maximum des textes </h2>
				    <p>Longueur maximale des descriptions des animations&nbsp;: 
				      <input name="edTailleDescription" type="text" id="edTailleDescription" value="<?php print $taille_max_description ?>" size="4" maxlength="4" />
				    signes.</p>
				    <p>Longueur maximale des remarques des animations et des s&eacute;ances &nbsp;: 
				      <input name="edTailleRemarque" type="text" id="edTailleRemarque" value="<?php print $taille_max_remarque ?>" size="4" maxlength="4" />
				    signes.</p>
				    <h2>Sauvegardes</h2>
				    <h3>Sauvegardes automatiques</h3>
				    <p>Lorsqu'une personne se d&eacute;connecte, le logiciel peut sauvegarder automatiquement la base de donn&eacute;es dans le dossier 'svg'. Ce processus est gourmand en temps de calcul. D&eacute;finissez l'intervalle minimum, en heures, entre deux sauvegardes, sous la forme d'un nombre d&eacute;cimal.</p>
				    <p>
				      <input name="intervalle_svg" type="text" id="intervalle_svg" value="<?php print htmlentities($intervalle_svg,ENT_COMPAT,'ISO-8859-15') ?>" size="6" maxlength="6" />
heures<em> (Nombre d&eacute;cimal: 0,25 = 1/4 d'heure. Minimum 0,50 (toutes les demi-heures); maximum 168,00. Mettre 0 si pas de sauvegarde automatique.)</em></p>
				    <h2>Sessions de calendrier iCalendar pour les intervenants </h2>
				    <p>Autoriser les intervenants &agrave; synchroniser leurs calendriers personnels sur Circon'script. <br />
			        Si la valeur est 0, aucune session iCalendar n'est plus autoris&eacute;e et cette option n'appara&icirc;t pas dans la page des intervenants. <br />
				    Une valeur sup&eacute;rieure &agrave; 0 indique le nombre minimum de pr&eacute;sentiels que doit faire un intervenant pour autoriser les sessions iCalendar. </p>
				    <p>Un changement sur cette option n'a pas de r&eacute;percussion sur les sessions actuelles.</p>
				    <p>En cas d'utilisation du SSO et si vous interdisez tout acc&egrave;s ext&eacute;rieur &agrave; Circon'script, vous devez interdire la fonction iCalendar. </p>
				    <p>Nombre minimum de pr&eacute;sentiels pour autoriser iCalendar (0 = pas d'autorisation) : 
				      <input name="ediCalendar" type="text" id="ediCalendar" value="<?php print $intervenants_ical ?>" size="4" maxlength="4" />
				    </p>
				    <h2>S&eacute;curit&eacute; : bannissement des IP intrusives </h2>
				    <p>Emp&ecirc;cher les attaques malveillantes qui tentent de forcer l'entr&eacute;e dans Circon'script. D&egrave;s que le seuil de  tentatives d'acc&egrave;s est franchi par un utilisateur, son adresse IP est automatiquement bloqu&eacute;e et l'administrateur est pr&eacute;venu par un courriel automatique (champ <em>courriel par d&eacute;faut</em>). </p>
				    <p>Le compteur de tentatives est remis &agrave; z&eacute;ro lorsque l'utilisateur cesse ses tentatives de connexion pendant la dur&eacute;e du <strong>seuil d'oubli</strong> au moins, ou lorsque le bannissement prend fin. </p>
				    <p>Ce processus est ind&eacute;pendant du processus de blocage par session au bout de cinq tentatives, qui peut facilement &ecirc;tre d&eacute;jou&eacute; en d&eacute;truisant le cookie de session. </p>
				    <p>Si c'est vous-m&ecirc;me qui &ecirc;tes bloqu&eacute; et que vous souhaitez acc&eacute;der rapidement &agrave; Circon'script, vous pouvez vous rendre dans l'administration de la base de donn&eacute;es et d&eacute;truire la ligne concernant votre adresse IP dans la table &quot;acc&egrave;s&quot;.</p>
				    <p>Ceci concerne uniquement les acc&egrave;s ext&eacute;rieurs (par index.php ou par adm_identification.php), <strong>pas les acc&egrave;s via le SSO </strong>qui sont toujours ouverts m&ecirc;me pour une IP bannie. </p>
				    <p>Nous conseillons d'activer cette s&eacute;curit&eacute; si votre site poss&egrave;de un acc&egrave;s ext&eacute;rieur.</p>
				    <p>Cette s&eacute;curit&eacute; a pour but de ralentir les tentatives d'intrusion. N&eacute;anmoins, si vous constatez des tentatives nombreuses  qui reprennent apr&egrave;s le d&eacute;lai de bannissement, en provenance d'une m&ecirc;me adresse IP, mieux vaut modifier le pare-feu pour bannir plus efficacement cette adresse.  C'est le r&ocirc;le du courriel automatique que de vous pr&eacute;venir de cette attaque. </p>
				    <p><strong>
				      <input name="bannissement" type="checkbox" id="bannissement" value="checkbox" <?php if ($bannissement) print 'checked="checked"'?>/>
			        Activer le blocage IP </strong></p>
				    <p>Dur&eacute;e du bannissement (mn) : 
				      <input name="ban_duree" type="text" id="ban_duree" value="<?php print $ban_duree ?>" size="6" maxlength="6" />
				    </p>
				    <p>D&eacute;lai du seuil d'oubli (mn) : 
				      <input name="ban_oubli" type="text" id="ban_oubli" value="<?php print $ban_oubli ?>" size="6" maxlength="6" />
				    <em>intervalle de temps qui s'&eacute;coule apr&egrave;s la derni&egrave;re tentative de connexion pour oublier l'adresse IP incrimin&eacute;e. </em></p>
				    <p>Nombre de tentatives autoris&eacute;es : 
				      <input name="ban_tentatives" type="text" id="ban_tentatives" value="<?php print $ban_tentatives ?>" size="6" maxlength="6" />
				    <em>lorsque le quorum est d&eacute;pass&eacute;, le bannissement se produit. </em></p>
				    <p align="center">
				      <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />
				    </p>
			      </div>				    
					<div class="cadre_hb">
				    <h3>Clique et sauve </h3>
				    <p>La fonctionnalit&eacute; &quot;clique et sauve&quot; permet de stocker une ic&ocirc;ne sur le bureau de votre ordinateur. En actionnant cette ic&ocirc;ne, l'ordinateur se connecte &agrave; Circon'script, lance une sauvegarde et r&eacute;cup&egrave;re le fichier de sauvegarde par t&eacute;l&eacute;chargement. Vous n'avez donc que deux choses &agrave; faire: cliquer sur l'ic&ocirc;ne, et enregistrer le fichier re&ccedil;u. C'est donc tr&egrave;s rapide, tr&egrave;s souple, et n&eacute;anmoins s&eacute;curis&eacute; car un identifiant de session unique est utilis&eacute;. </p>
				    <p>En cliquant sur le bouton ci-dessous, vous r&eacute;cup&eacute;rez un fichier avec une extension &quot;.url&quot; &agrave; stocker o&ugrave; vous voulez (bureau conseill&eacute;). Ce faisant, vous <strong>d&eacute;sactivez</strong> les pr&eacute;c&eacute;dentes url qui pourraient d&eacute;j&agrave; fonctionner sur votre ordinateur ou ailleurs. Le fait de cliquer plusieurs fois sur ce bouton pendant la m&ecirc;me session produira la m&ecirc;me url. </p>
				    <p align="center">
				      <input name="btUrl" type="submit" class="bouton_standard" id="btUrl" value="R&eacute;cup&eacute;rer le fichier URL &agrave; stocker sur le bureau" />
				    </p>
					</div>
			</form>
<div class="cadre_hb">
				    <h1>Affichage du logo acad&eacute;mique</h1>
				    <p>L'image du logo acad&eacute;mique se trouve dans le dossier <em>images, </em>sous le nom <em>logo_academie.png</em><em>.</em> Au format png, l'image mesure 150 pixels de large et 100 pixels de haut. Par d&eacute;faut, c'est le logo de l'acad&eacute;mie de Strasbourg qui est affich&eacute;.</p>
				    <p>Remplacer le fichier <em>logo_academie.png</em> par le v&ocirc;tre puis cocher la case ci-dessous.</p>
                   <form id="form4" name="form4" method="post" action="">
 <p>
                      <input name="chkLogo" type="checkbox" id="chkLogo" value="checkbox" onclick="document.form4.submit();" <?php if ($autorisations[2]=='1') print 'checked="checked"';?> />
                      Afficher le logo acad&eacute;mique. <em>La modification est imm&eacute;diate, pas besoin de valider. La page sera recharg&eacute;e, les autres modifications non valid&eacute;es seront perdues. </em>
  <input name="champLogo" type="hidden" id="champLogo" value="0" />
                   </p>
				   </form>
		    </div>
				   <div class="cadre_hb">
                    <form id="form5" name="form5" method="post" action="">
					<h1>Modifications du fichier _parametres.inc.php </h1>
				    <p>Il est conseill&eacute; de recopier le fichier _parametres.inc.php et de placer la copie en lieu s&ucirc;r. </p>
				    <h3>Cl&eacute; de chiffrement des fichiers de sauvegarde </h3>
				    <p>Les fichiers de sauvegarde peuvent &ecirc;tre chiffr&eacute;s: dans ce cas, il n'est pas possible de lire leur contenu sans une cl&eacute; de chiffrement. Cette cl&eacute; est d&eacute;finie dans le fichier &quot;_parametres.inc.php&quot;, variable $cle. En principe, vous avez d&eacute;fini cette cl&eacute; au moment de l'installation. </p>
				    <p>Si vous laissez ce champ vide, alors les fichiers de sauvegarde ne sont pas crypt&eacute;s. </p>
				    <p><strong>COPIEZ CETTE CLE et mettez-la en lieu s&ucirc;r! Sans elle, il est impossible  de r&eacute;cup&eacute;rer une sauvegarde.</strong> </p>
				    <p>Si vous modifiez cette cl&eacute;, faites imm&eacute;diatement une sauvegarde de la base: en effet, <em>toutes les sauvegardes pr&eacute;c&eacute;dentes seront caduques. </em> </p>
				    <p>Cl&eacute; de chiffrement<strong> (8 signes minimum, PAS de guillemets &quot;):</strong>
                      <br />
                      <input name="edCle1" type="password" id="edCle1" value="<?php print htmlentities($cle,ENT_COMPAT,'ISO-8859-15') ?>" size="100" />
<input name="edCle2" type="text" id="edCle2" value="<?php print htmlentities($cle,ENT_COMPAT,'ISO-8859-15') ?>" size="100" />
				    <input name="chkMontrer1" type="checkbox" id="chkMontrer1" onclick="javascript:jsMontrer1()" value="1" />
				    Montrer</p>

				    <h3>Cl&eacute; de chiffrement pour mots de passe (obligatoire !)</h3>
				    <p>Cette cl&eacute; permet le cryptage de tous les mots de passe, selon l'algorithme AES qui autorise un cryptage r&eacute;versible. Evitez les caract&egrave;res sp&eacute;ciaux, les guillemets <strong>et l'apostrophe</strong>. </p>
				    <p><strong>COPIEZ CETTE CLE et mettez-la en lieu s&ucirc;r! Sans elle, il est impossible  de retrouver les mots de passe ! </strong></p>
				    <p>Cl&eacute; de cryptage AES des mots de passe <strong>(16 signes au minimum, PAS de guillemets &quot;) </strong>:<br /> 
				      <input name="edCleAES1" type="password" id="edCleAES1" value="<?php print htmlentities($cle,ENT_COMPAT,'ISO-8859-15') ?>" size="100" />
				      <input name="edCleAES2" type="text" id="edCleAES2" value="<?php print htmlentities(stripslashes($cle_aes),ENT_COMPAT,'ISO-8859-15') ?>" size="100" />
				      <input name="chkMontrer2" type="checkbox" id="chkMontrer2" onclick="javascript:jsMontrer2()" value="1" /> 
                    Montrer</p>
				    <p>
				      <input name="majmdp" type="checkbox" id="majmdp" value="1" />
Mettre &agrave; jour tous les mots de passe de la base (uniquement si  changement de cl&eacute;). Les mots de passe seront d&eacute;cod&eacute;s avec l'ancienne cl&eacute; puis r&eacute;encod&eacute;s avec la nouvelle cl&eacute;. A faire <em>en m&ecirc;me temps </em>que le changement de cl&eacute;; ensuite il sera trop tard, le syst&egrave;me ne se souviendra plus de l'ancienne cl&eacute;. </p>
				    <h3>Titre du site </h3>
				    <p>Sera affich&eacute; dans le bandeau sup&eacute;rieur de la page d'accueil. Ne doit pas contenir de guillemets &quot; et ne doit pas &ecirc;tre trop long. Exemple: &#8220;Circon'script Bas-Rhin&#8221;. Utile pour diff&eacute;rencier les diff&eacute;rentes plates-formes de Circon'script sur le net! </p>
				    <p>
				      <input name="edTitre" type="text" id="edTitre" size="100" maxlength="200" value="<?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15')?>"/>
				    </p>
				    <h3>URL du site</h3>
				    <p>Si vous laissez ce champ vide, Circon'script calculera automatiquement l'URL du site en interrogeant le serveur. Si vous indiquez une URL, ne compltez PAS avec un slash final. Exemple: https://si.ac-ademie.fr/circonscript. Utilisez cette fonctionnalit si votre serveur renvoie une adresse interne qui diffre de l'adresse officielle. </p>
				    <p>
				      <input name="edUrl" type="text" id="edUrl" size="100" maxlength="256" value="<?php print htmlentities($url_site,ENT_COMPAT,'ISO-8859-15')?>"/>
				    </p>
				    <p align="center">
			          <input name="valider2" type="button" class="bouton_standard" id="valider2" value="Valider les modifications du fichier" onclick="javascript:envoyer()" />
				      </p>
				    <hr />
				    <h2>SERVICES SSO</h2>
				    <p>Les services SSO sont aussi inscrits dans le fichier <em>parametres/_parametres.inc.php. </em>Pour des raisons de s&eacute;curit&eacute;, leur programmation n'est pas disponible dans cette page. Revenez &agrave; l'administration, et choisissez l'entr&eacute;e &quot;administration SSO&quot;. </p>
				    <h3>
				      <input name="cle1" type="hidden" id="cle1" />
				      <input name="cle2" type="hidden" id="cle2" />
				    </h3>
				    <p>
				      <input name="commande" type="hidden" id="commande" />
</p>
				  
			</form>
			</div>
		  </div>
			<script type="text/javascript"> jsMontrer1();jsMontrer2(); </script>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_general?>">retour</a></li>
<li><a href="#haut">haut</a></li>
</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
</body>
</html>
