<?php
/* 
	Accs extrieur administrateur (utile lorsque le site est ferm)
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	require '_version.inc.php';
	require '_securite.inc.php';
		
	debugInit();
	$h=connect();
	$r=query("SELECT ferme, message_maintenance,bannissement,ban_duree,ban_tentatives,ban_oubli FROM general",$h);
	$row=@mysqli_fetch_row($r);
	$ferme=$row[0];
	$message=$row[1];
	$bannissement=$row[2];
	$ban_duree=$row[3];
	$ban_tentatives=$row[4];
	$ban_oubli=$row[5];
	if ($bannissement) testSecurite($h,$_SERVER['REMOTE_ADDR'],$ban_duree);
	if (isset($_SESSION['circonscript7_tentatives'])) $tentatives=$_SESSION['circonscript7_tentatives'];
	else $tentatives=0;
	if ($tentatives>=3) {
		header('Location: erreur.php?erreur=tentatives');
		exit;
	}
	
	$login_connexion='';
	if (isset($_COOKIE["CirconscriptId$hash"])) {
		$login_connexion=encodeCookieLogin($_COOKIE["CirconscriptId$hash"],false);
		$remember=true;
	}
	if (isset($_POST['login']) && isset($_POST['mdp'])) while(1){
		if ($tentatives>=3) {
			$erreur="Trop de tentatives de connexion ont eu lieu. La connexion est dsactive. Veuillez fermer votre navigateur puis le relancer.";
			break;
		}
		$login='';
		if (isset($_POST['login'])) $login=normaliseT($_POST['login'],256);
		if (!$login){
			$erreur="Veuillez indiquer un identifiant de connexion. ";
			break;
		}
		$mdp='';
		if (isset($_POST['mdp_hex'])) $mdp=normalise($_POST['mdp_hex'],32);
		if (strlen($mdp)!=32){
			$erreur="Veuillez indiquer un mot de passe de connexion. ";
			break;
		}
		$r=connexion($login,$mdp,$h,true);	
		if ($r<=0) {
			if ($r<0) $erreur="Mot de passe incorrect. ";
			else $erreur="Identifiant incorrect";
			++$tentatives;
			$_SESSION['circonscript7_tentatives']=$tentatives;
			if($bannissement) majSecurite($h,$_SERVER['REMOTE_ADDR'],$login,$ban_oubli,$ban_tentatives);
		}
		else {
			$portailSSO=$use_sso && ($sso_login!='' || $sso_usermail!='');
			$id_uti=$r;
			enregistreAcces($id_uti,$h,$portailSSO?9:3);
			$_SESSION['circonscript7_id_uti']=$id_uti;
			$_SESSION['circonscript7_tentatives']=0;
			$id_admin=queryValue("SELECT id_admin FROM administrateurs WHERE id_uti=$id_uti",$h);
			if (!$id_admin) {
					$erreur="Impossible d'accder au compte d'administration";
					break;
				}
			$_SESSION['circonscript7_administration']=$id_admin; 	
			header('Location: compte.php');
			exit;
		}
		break;
	}



?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="mdp.js"></script>
		<script type="text/javascript" src="md5.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
	function car(event)
	{
		if (event.keyCode==13)  jsValider();
	}
	function jsValider()
	{
		var mdp=document.form1.mdp.value;
		var login=document.form1.login.value;
		if (login=='') {
			alert("Veuillez indiquer un identifiant");
			return;
		}
		if (mdp=='') {
			alert ("Veuillez entrer un mot de passe");
			return;
		}
		if (mdp.length>16) {
			alert("Le mot de passe est trop long.");
			return;
		}
		var mdp_encode=MD5(mdp);
		if (mdp_encode.length!=32) return;
		document.form1.mdp_hex.value=mdp_encode;
		document.form1.mdp.value='';
		document.form1.submit();	
	}
//-->
        </script>		
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
		  <div id="corps">	 
				<?php
				if ($erreur==1) print "<p class=\"erreur\">Identifiant ou mot de passe incorrects.</p>\n";
				else if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";
				if ($ferme) {
					if ($message) printf("<h3 class=\"erreur\">%s</h3>\n",htmlentities($message,ENT_COMPAT,'ISO-8859-15'));
					else print "<h3 class=\"erreur\">Le site est ferm&eacute; pour maintenance. Revenez plus tard.</h3>\n";
				}
				?>
				<script type="text/javascript">
				</script>
				<noscript>
				<h2 class="erreur">JavaScript n'est pas activ&eacute; dans votre navigateur. Circon'script ne peut pas fonctionner correctement. Modifiez les options de votre navigateur pour autoriser JavaScript.</h2>
				</noscript>
				<h1>Bienvenue sur Circon'script, un scribe &eacute;lectronique au service de vos animations p&eacute;dagogiques </h1>
				<h3>Vous &ecirc;tes administrateur principal: </h3>
				<p>Cet acc&egrave;s est strictement r&eacute;serv&eacute; aux super-administrateurs, pour des op&eacute;rations de maintenance. </p>
		        <form name="form1" method="post" action="">
		          <input name="mdp_hex" type="hidden" id="mdp_hex" />
		          <table border="0" align="center" cellpadding="0" cellspacing="0">
                    <tr>
                      <td>Identifiant :&nbsp;</td>
                      <td><input name="login" type="text" id="login" value="<?php print htmlentities($login_connexion,ENT_COMPAT,'ISO-8859-15') ?>" size="32" maxlength="256"/></td>
                    </tr>
                    <tr>
                      <td>Mot de passe :&nbsp;</td>
                      <td><input name="mdp" type="password" id="mdp"  onkeypress="javascript:car(event)" /></td>
                    </tr>
                    <tr>
                      <td colspan="2"><div align="center">
                        <input name="Submit" type="button" class="bouton_standard" value="Valider" onclick="javascript:jsValider()" />
                      </div></td>
                    </tr>
                  </table>
		          <p>&nbsp;</p>
            </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li> &copy; 2008, 2010 Thierry Gangloff, mission TICE Strasbourg</li>
	<li><p><?php print "Version $version_cs"?></p>
  </li>				    
  <li><p>
    <img
        src="images/htmlvalide.png"
        alt="Valid XHTML 1.0 Transitional" height="31" width="88" />
  </p></li>
  <li>
  <p>
    <a href="licence.php?url_ret=adm_identification.php"><img
        src="images/gycecill_f.gif"
        alt="Licence Cecill"  /></a>  </p></li>
				</ul>
		  </div>
		  
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>