<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	require '_version.inc.php';
	$h=connect();
	$erreur="";
	debugInit();
	if (version_compare(phpversion(),"5.1.0",'>=')) date_default_timezone_set($timezone);	

	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_infobase=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_infobase']=$url_ret_adm_infobase;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_infobase'])) {
		$url_ret_adm_infobase=$_SESSION['circonscript7_url_ret_adm_infobase'];
	}
	else $url_ret_adm_infobase="administration.php";
	$_SESSION['circonscript7_session_menu_page']=1;
	if (isset($_POST['phpinfo'])) {
		phpinfo();
		exit;
	}
		
function afficherInfos($h)
{	
	global $host, $user,$bdd,$version_cs,$debug;
	$vers=queryValue("SELECT VERSION()",$h);
	printf( "<p>Version de PHP : %s</p>\n",htmlentities(phpversion(),ENT_COMPAT,'ISO-8859-15'));
	printf( "<p>Version de MySql : %s</p>\n",htmlentities($vers,ENT_COMPAT,'ISO-8859-15'));
	printf( "<p>Version de Circon'script : %s</p>\n",htmlentities($version_cs,ENT_COMPAT,'ISO-8859-15'));
	printf( "<p>H&ocirc;te : %s</p>\n",htmlentities($host,ENT_COMPAT,'ISO-8859-15'));
	printf( "<p>Utilisateur : %s</p>\n",htmlentities($user,ENT_COMPAT,'ISO-8859-15'));
	printf( "<p>Base de donn&eacute;es : %s</p>\n",htmlentities($bdd,ENT_COMPAT,'ISO-8859-15'));
	print "<p>Mot de passe :  ###</p>\n";
	printf( "<p>Fonctionnement en mode dbuggage : %s</p>\n",$debug?'oui':'non');
	
	
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_infobase?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>Informations sur la base de donn&eacute;es </h1>
		<?php afficherInfos($h) ?>
	    <form id="form1" name="form1" method="post" action="">
	      <input name="phpinfo" type="submit" class="bouton_standard" id="phpinfo" value="PHPInfo" />
                <em>(Utilisez </em><em>la touche 'retour arri&egrave;re' du navigateur pour revenir &agrave; Circon'script) </em>
	    </form>
      </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_infobase?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>
