<?php
/*	
	Affiche la liste des intervenants d'une circo
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenants_liste_circo=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenants_liste_circo']=$url_ret_adm_intervenants_liste_circo;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenants_liste_circo'])) {
		$url_ret_adm_intervenants_liste_circo=$_SESSION['circonscript7_url_ret_adm_intervenants_liste_circo'];
	}
	else $url_ret_adm_intervenants_liste_circo="adm_animations.php";
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	//debugInit();
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom ASC, prenom ASC',
		'nom_desc' => 'nom DESC, prenom ASC',
		'fonction_asc'=>'fonction ASC, nom ASC',
		'fonction_desc'=>'fonction DESC,nom ASC',
		'courriel_asc'=>'courriel ASC, nom ASC',
		'courriel_desc'=>'courriel DESC, nom ASC'
	);
	
	if (isset($_GET['tri'])) {
		$tri_adm_intervenants_liste_circo=$tris[$_GET['tri']];
		if (!isset($tri_adm_intervenants_liste_circo)) $tri_adm_intervenants_liste_circo=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_intervenants_liste_circo']=$tri_adm_intervenants_liste_circo;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_intervenants_liste_circo'])) {
		$tri_adm_intervenants_liste_circo=$_SESSION['circonscript7_tri_adm_intervenants_liste_circo'];
	}
	else {
		$tri_adm_intervenants_liste_circo=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_intervenants_liste_circo']=$tri_adm_intervenants_liste_circo;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_intervenants_liste_circo'])) 
		$filtre_adm_intervenants_liste_circo=$_SESSION['circonscript7_filtre_adm_intervenants_liste_circo'];
	else $filtre_adm_intervenants_liste_circo='';
  
   if (isset($_SESSION['circonscript7_id_intervenants'])) $id_intervenants=$_SESSION['circonscript7_id_intervenants'];
   else $id_intervenants=array();
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_intervenants_liste_circo) $filtre_adm_intervenants_liste_circo=$filtre1;
		else $filtre_adm_intervenants_liste_circo=$filtre2;
		$_SESSION['circonscript7_filtre_adm_intervenants_liste_circo']=$filtre_adm_intervenants_liste_circo;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_intervenants_liste_circo='';
		$_SESSION['circonscript7_filtre_adm_intervenants_liste_circo']=$filtre_adm_intervenants_liste_circo;
   }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*) FROM intervenants WHERE id_circo=$id_circo";
	$nb_intervenants=queryValue($q,$h);
	if ($filtre_adm_intervenants_liste_circo) {
		$filtre2=myLikeEscapeString($h,$filtre_adm_intervenants_liste_circo);
		$q.= " AND (intervenants.nom LIKE '%$filtre2%' OR intervenants.prenom LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_intervenants_liste_circo_page'])) $page=$_SESSION['circonscript7_adm_intervenants_liste_circo_page'];
	else $page=0;
	if (isset($_SESSION['circonscript7_filtre_bascule']) && $_SESSION['circonscript7_filtre_bascule']==1) {
		$page=0;
		$filtre_bascule=0;
		$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
	}
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   		if (--$page<0) $page=0;
   }
	$adm_intervenants_liste_circo_page=$page;
	$_SESSION['circonscript7_adm_intervenants_liste_circo_page']=$adm_intervenants_liste_circo_page;
	
	// Commandes

	if (isset($_POST['Executer'])) while(1){
		$id_intervenants=array();
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $v) $id_intervenants[]=intval($v);
		// Supprimer tous les intervenants cochs si possible.
		if (count($id_intervenants)==0) {
			$erreur="Aucun intervenant slectionn";
			break;
		}
		$nb_supp=0;
		for ($i=0;$i<count($id_intervenants);++$i) {
			$id_intervenant=$id_intervenants[$i];
			$nb=queryValue("SELECT COUNT(*) FROM interventions WHERE id_intervenant=$id_intervenant",$h);
			if ($nb==0) {
				query("DELETE FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
				++$nb_supp;
				$id_intervenants[$i]=0;
			}
			if ($erreur) break;
		}
		if (!$erreur) $erreur="$nb_supp intervenant(s) supprim(s). ";
		$_SESSION['circonscript7_id_intervenants']=$id_intervenants;
		break;
	
	}

	
	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_intervenants_liste_circo.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function afficheListeintervenants($h,$id_intervenants)
{
	global $tri_adm_intervenants_liste_circo,$filtre_adm_intervenants_liste_circo,$page,$taille,$id_circo;
	$impair=0;
	$q="SELECT intervenants.id_intervenant,civilite, nom, prenom, intervenants.courriel, fonction, ouvert FROM intervenants ";
	$q.=" WHERE intervenants.id_circo=$id_circo";
	if ($filtre_adm_intervenants_liste_circo) 
		$q.=" AND ( intervenants.nom LIKE '%$filtre_adm_intervenants_liste_circo%' OR intervenants.prenom LIKE '%$filtre_adm_intervenants_liste_circo%')";
	if ($tri_adm_intervenants_liste_circo) $q.=" ORDER BY ".$tri_adm_intervenants_liste_circo;
	$lim=$page*$taille;
	$t=$taille;
	$q.=" LIMIT $lim,$t";
	$r=query($q,$h);
	if (($nb_intervenants=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		$id_intervenant=$row['id_intervenant'];
		if ($row['ouvert']) $nb=1;
		else $nb=queryValue("SELECT COUNT(*) FROM interventions, dates,seances,positions,domaines WHERE interventions.id_intervenant=$id_intervenant AND interventions.id_date=dates.id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo<>$id_circo",$h);
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		if ($nb==0)
			printf("<td><p><a href=\"adm_intervenant_edite_circo.php?id_intervenant=$id_intervenant&amp;url_ret=adm_intervenants_liste_circo.php\">%s</a></p></td>\n",formateIntervenant($row['civilite'],$row['nom'],$row['prenom']));
		else
			printf("<td><p>%s</p></td>\n",formateIntervenant($row['civilite'],$row['nom'],$row['prenom']));
		
		printf("<td><p><a href=\"mailto:%s\">%s</a></p></td>\n",$row['courriel'],htmlentities($row['courriel'],ENT_COMPAT,'ISO-8859-15'));
		if ($row['fonction'])
			printf("<td><p>%s</p></td>\n",htmlentities($row['fonction'],ENT_COMPAT,'ISO-8859-15'));
		else print"<td><p>&nbsp;</p></td>\n";	

		print "</tr>\n";
		$impair=!$impair;
	}
}

function formateIntervenant($civ,$nom, $prenom)
{
	if ($nom=='' && $prenom=='') return'&nbsp;';
	$nom=htmlentities($nom,ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($prenom,ENT_COMPAT,'ISO-8859-15');
	$s='';
	if ($prenom=='') {
		if ($civ==0) $s.='M. ';
		else if ($civ==1) $s.='Mme ';
		$s.=$nom;
	}
	else $s.="$nom $prenom";
	return $s;

}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenants_liste_circo?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h1>Liste (partielle) des intervenants programm&eacute;s par vous (<?php print $nb_intervenants ?>)</h1>
		    <p>La liste n'est pas forc&eacute;ment compl&egrave;te. Les fiches modifi&eacute;es par l'administrateur principal ou par l'intervenant lui-m&ecirc;me ne sont plus visibles. Certaines fiches ne peuvent plus &ecirc;tre modifi&eacute;es lorsqu'elles ont &eacute;t&eacute; import&eacute;es par d'autres circonscriptions. Dans ce cas, vous voyez l'intervenant dans la liste mais ne pouvez cliquer sur son nom pour modifier sa fiche.  </p>
		    <p>Signalez &agrave; l'administrateur les cas  sur lesquels vous ne pouvez pas agir. </p>
		    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>

		    <form method="post" action="">
				  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				<table align="center">
                  <tr align="center" valign="top">
                    <td width="311"><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_intervenants_liste_circo,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td width="22"><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td width="23"><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td width="22" height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td width="22"><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td width="22"><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td width="22"><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td width="41"><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                    </select>                    </td>
                    <td width="38"><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Intervenant &nbsp; <a href="adm_intervenants_liste_circo.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste_circo.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Courriel&nbsp;<a href="adm_intervenants_liste_circo.php?tri=courriel_asc"><img src="images/fleche_haut.png" alt="tri par courriel ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste_circo.php?tri=courriel_desc"><img src="images/fleche_bas.png" alt="tri par courriel descendant" width="11" height="11" border="0" /></a></td>
                    <td>Fonction&nbsp;<br />
                    <a href="adm_intervenants_liste_circo.php?tri=fonction_asc"><img src="images/fleche_haut.png" alt="tri par fonction ascendant" width="11" height="11" border="0" /></a><a href="adm_intervenants_liste_circo.php?tri=fonction_desc"><img src="images/fleche_bas.png" alt="tri par fonction descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
                  
				<?php  afficheListeintervenants($h,$id_intervenants) ?>
				</table>
				<table align="center">
                  <tr align="center" valign="top">
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_intervenants_liste_circo,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenants_liste_circo?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
