<?php
/* 
	Publipostage des convocations	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenants_publipostage=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenants_publipostage']=$url_ret_adm_intervenants_publipostage;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenants_publipostage'])) {
		$url_ret_adm_intervenants_publipostage=$_SESSION['circonscript7_url_ret_adm_intervenants_publipostage'];
	}
	else $url_ret_adm_intervenants_publipostage="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_admin=$_SESSION['circonscript7_administration'];
	$h=connect();

	if (isset($_SESSION['circonscript7_adm_intervenants_publipostage_adr_de'])) $adm_intervenants_publipostage_adr_de=$_SESSION['circonscript7_adm_intervenants_publipostage_adr_de'];
	else $adm_intervenants_publipostage_adr_de=queryValue("SELECT courriel FROM administrateurs WHERE id_admin=$id_admin",$h);
	if (isset($_SESSION['circonscript7_adm_intervenants_publipostage_nom_de'])) $adm_intervenants_publipostage_nom_de=$_SESSION['circonscript7_adm_intervenants_publipostage_nom_de'];
	else 
		$adm_intervenants_publipostage_nom_de=queryValue("SELECT nom FROM administrateurs WHERE id_admin=$id_admin",$h);
	if (isset($_SESSION['circonscript7_adm_intervenants_publipostage_cci'])) $adm_intervenants_publipostage_cci=$_SESSION['circonscript7_adm_intervenants_publipostage_cci'];
	else $adm_intervenants_publipostage_cci=false;
	if (isset($_SESSION['circonscript7_adm_intervenants_publipostage_copie'])) $adm_intervenants_publipostage_copie=$_SESSION['circonscript7_adm_intervenants_publipostage_copie'];
	else $adm_intervenants_publipostage_copie='';
	if (isset($_SESSION['circonscript7_adm_intervenants_publipostage_adr_cci'])) $adm_intervenants_publipostage_adr_cci=$_SESSION['circonscript7_adm_intervenants_publipostage_adr_cci'];
	else $adm_intervenants_publipostage_adr_cci=$adm_intervenants_publipostage_adr_de;
	if (isset($_SESSION['circonscript7_adm_intervenants_publipostage_objet'])) $adm_intervenants_publipostage_objet=$_SESSION['circonscript7_adm_intervenants_publipostage_objet'];
	else $adm_intervenants_publipostage_objet="Vos paramtres de connexion  Circon'script";
	if (isset($_POST['suivant'])) {
		if (isset($_POST['edAdrDe'])) {
			$adm_intervenants_publipostage_adr_de=normaliseT($_POST['edAdrDe'],250);
			if ($adm_intervenants_publipostage_adr_de && !testeEmail($adm_intervenants_publipostage_adr_de)) $erreur.="Courriel invalide dans le champ 'De (courriel)'";
		}
		else $adm_intervenants_publipostage_adr_de='';
		if ($adm_intervenants_publipostage_adr_de=='') $erreur.="Champ 'De (courriel)' non renseign. ";
		
		
		if (isset($_POST['edNomDe'])) 
			$adm_intervenants_publipostage_nom_de=normaliseT($_POST['edNomDe'],250);
		else $adm_intervenants_publipostage_nom_de='';
		if ($adm_intervenants_publipostage_nom_de=='') $erreur.="Champ 'De (nom de l'expditeur)' non renseign. ";
		
		 $adm_intervenants_publipostage_cci=isset($_POST['chkCci']);
		 if (isset($_POST['rbCopie'])) {
		 	$adm_intervenants_publipostage_copie=$_POST['rbCopie'];
			if ($adm_intervenants_publipostage_copie!='tous' && $adm_intervenants_publipostage_copie!='1')  $adm_intervenants_publipostage_copie='';
		 }
		 if ($adm_intervenants_publipostage_copie=='' && $adm_intervenants_publipostage_cci==true) $erreur="Il faut prciser la frquence d'envoi de la copie invisible. "; 		 
			
		if (isset($_POST['edCci'])) {
			$adm_intervenants_publipostage_adr_cci=normaliseT($_POST['edCci'],250);
			if ($adm_intervenants_publipostage_adr_cci && !testeEmail($adm_intervenants_publipostage_adr_cci)) $erreur.="Courriel invalide dans le champ 'adresse invisible'. ";
		}
		else $adm_intervenants_publipostage_adr_cci='';
		if ($adm_intervenants_publipostage_adr_cci=='' && $adm_intervenants_publipostage_copie==true) $erreur.="Champ 'adresse invisible' non renseign. ";
		if (isset($_POST['edObjet'])) $adm_intervenants_publipostage_objet=normaliseT($_POST['edObjet'],250);
		else $adm_intervenants_publipostage_objet='';
		if ($adm_intervenants_publipostage_objet=='') $erreur="Champ 'Objet' non renseign. ";

		if (strpos($adm_intervenants_publipostage_objet,'"')!==FALSE)	 $erreur.="Ne mettez pas de guillemets (\") dans l'objet. ";
		
		$_SESSION['circonscript7_adm_intervenants_publipostage_adr_de']=$adm_intervenants_publipostage_adr_de;
		$_SESSION['circonscript7_adm_intervenants_publipostage_nom_de']=$adm_intervenants_publipostage_nom_de;
		$_SESSION['circonscript7_adm_intervenants_publipostage_copie']=$adm_intervenants_publipostage_copie;
		$_SESSION['circonscript7_adm_intervenants_publipostage_cci']=$adm_intervenants_publipostage_cci;
		$_SESSION['circonscript7_adm_intervenants_publipostage_adr_cci']=$adm_intervenants_publipostage_adr_cci;
		$_SESSION['circonscript7_adm_intervenants_publipostage_objet']=$adm_intervenants_publipostage_objet;		 
		if (!$erreur) {
			header("Location: adm_intervenants_publipostage2.php");
			exit;
		}
	}		 
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');	

	
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenants_publipostage?>">retour</a></li>
<li><a href="#bas">bas</a></li>
</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			  <h1>Publipostage des param&egrave;tres de connexion des intervenants </h1>
				<p>Envoi des param&egrave;tres &agrave; chaque intervenant, pourvu qu'il ait une adresse courriel, que son compte soit ouvert et qu'un mot de passe soit d&eacute;fini. </p>
				<form id="form1" name="form1" method="post" action="">
				  <p>De <em>(courriel) </em>:
			        <input name="edAdrDe" type="text" id="edAdrDe" value="<?php print htmlentities($adm_intervenants_publipostage_adr_de,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
	              <em>(adresse pour la r&eacute;ponse &eacute;ventuelle) </em></p>
				  <p>De <em>(nom de l'exp&eacute;diteur): </em>  
				    <input name="edNomDe" type="text" id="edNomDe" value="<?php print htmlentities($adm_intervenants_publipostage_nom_de,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
				  <em>(ce qui appara&icirc;t dans le champ &quot;De&quot; et dans la signature du message )</em></p>
				  <p>
			        <input name="chkCci" type="checkbox" id="chkCci" value="checkbox" <?php if ($adm_intervenants_publipostage_cci) print "checked=\"checked\"";?> /> 
			      M'envoyer une copie invisible (CCi)</p>
				  <p><em>Remarque:</em> les copies ne sont envoy&eacute;es que s'il y a  des messages sans mot de passe personnel. </p>
				  <blockquote>
				    <p>
				      <input type="radio" name="rbCopie" value="tous" <?php if ($adm_intervenants_publipostage_copie=='tous') print "checked=\"checked\"";?> />
 pour chaque envoi  </p>
				    <p>
				      <input type="radio" name="rbCopie" value="1" <?php if ($adm_intervenants_publipostage_copie=='1') print "checked=\"checked\"";?> />
une seule fois pour un lot donn&eacute; </p>
				    <p>&nbsp;</p>
				    <p>&agrave; l'adresse invisible: 
				      <input name="edCci" type="text" id="edCci" value="<?php print htmlentities($adm_intervenants_publipostage_adr_cci,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
				    </p>
				  </blockquote>
				  <p> Objet:
<input name="edObjet" type="text" id="edObjet" value="<?php print htmlentities($adm_intervenants_publipostage_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
		          </p>
				  <p align="center">
				    <input name="suivant" type="submit" class="bouton_standard" id="suivant" value="Suite &gt;&gt;" />
			      <em>(vers la liste des stagiaires) </em>				  </p>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenants_publipostage?>">retour</a></li>
<li><a href="#haut">haut</a></li>
</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
</body>
</html>