<?php
/* 
	Interventions 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_interventions=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_interventions']=$url_ret_adm_interventions;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_interventions'])) {
		$url_ret_adm_interventions=$_SESSION['circonscript7_url_ret_adm_interventions'];
	}
	else $url_ret_adm_interventions="administration.php";
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_intervenants.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$erreur='';
	$h=connect();
	if (isset($_GET['id_intervenant'])) {
		$id_intervenant=abs(intval($_GET['id_intervenant']));
		$_SESSION['circonscript7_adm_interventions_id_intervenant']=$id_intervenant;
	}
	else if (isset($_SESSION['circonscript7_adm_interventions_id_intervenant'])) $id_intervenant=$_SESSION['circonscript7_adm_interventions_id_intervenant'];
	else {
		header("Location: erreur.php?erreur=id_intervenant");
		exit;
	}
	$r=query("SELECT civilite, nom, prenom FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
	$row=@mysqli_fetch_row($r);
	$civ=$row[0];
	switch ($civ) {
		case 2: $civilite='';break;
		case 0: $civilite='M.';break;
		case 1: $civilite='Mme';break;
		default: $civilite='';
	}
	$nom=$row[1];
	$prenom=$row[2];
	if (isset($_POST['commande']) && $_POST['commande']>0) while(1){
		$id_date=abs(intval($_POST['commande']));
		$n=queryValue("SELECT COUNT(*) FROM interventions WHERE id_date=$id_date AND id_intervenant=$id_intervenant",$h);
		if ($n==0) {
			$erreur="La date entre est incorrecte.";
			break;
		}
		// trouver la circo organisatrice
		$r=query("SELECT animations.id_circo, positions.id_anim, domaines.annee FROM dates,seances,positions,domaines,animations WHERE dates.id_date=$id_date AND dates.id_seance=seances.id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND seances.id_anim=animations.id_anim",$h); 
		if (!$r) {
			$erreur="Cette animation ne semble pas exister.";
			break;
		}
		$row=@mysqli_fetch_row($r);
		$id_circo=$row[0];
		$id_anim=$row[1];
		$annee=$row[2];
		$_SESSION['circonscript7_id_circo']=$id_circo; // pour le plan de formation
		$_SESSION['circonscript7_adm_interventions_id_intervenant']=$id_intervenant; // pour le retour
		$_SESSION['circonscript7_annee']=$annee;
		header( "Location: adm_animations_modif.php?url_ret=adm_interventions.php&Modifier=$id_anim" );
		exit;
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=700,height=580');	
				win.focus();
			}
			function jsEditer(id_date)
			{
				document.form1.commande.value=id_date;
				document.form1.submit();
			}	
//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_interventions?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Planning des interventions</h1>
				<h2><?php print "$civilite $nom $prenom"?></h2>
				<form id="form1" name="form1" method="post" action="">
				  <input name="commande" type="hidden" id="commande" value="0" />
				  <?php afficherInterventions($h,$id_intervenant,0) ?>
                                                </form>
		    
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_interventions?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>