<?php
/* 
	Liste des derniers accs administrateur	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_liste_acces=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_liste_acces']=$url_ret_adm_liste_acces;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_liste_acces'])) {
		$url_ret_adm_liste_acces=$_SESSION['circonscript7_url_ret_adm_liste_acces'];
	}
	else $url_ret_adm_liste_acces="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	debugInit();
	
	if (isset($_SESSION['adm_liste_acces_filtre'])) $filtre=$_SESSION['adm_liste_acces_filtre'];
	else $filtre=0;
	$d=queryValue("SELECT NOW()",$h);
	$date=dateSqlEnSaisie(substr($d,0,10));
	$heure=substr($d,11);
	if (isset($_POST['rb'])) {
		$filtre=intval($_POST['rb']);
		if ($filtre<0 || $filtre >4) $filtre=0;
		$_SESSION['adm_liste_acces_filtre']=$filtre;	
	}
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*) FROM utilisateurs WHERE dt_connexion >(NOW()-INTERVAL 1 DAY)";
	$nb_elements=queryValue($q,$h);	
   
	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_liste_acces_page'])) $page=$_SESSION['circonscript7_adm_liste_acces_page'];
	else $page=0;

	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }

	$_SESSION['circonscript7_adm_liste_acces_page']=$page;

function afficheAcces($h)
{
	global $filtre, $page, $taille;
	$lim=$page*$taille;
	debug("lim=$lim");
	$maintenant=queryValue("SElECT NOW()",$h);
	$q="SELECT utilisateurs.login, utilisateurs.dt_connexion, utilisateurs.acces, stagiaires.id_stagiaire, intervenants.id_intervenant, administrateurs.id_admin, administrateurs.type_admin FROM utilisateurs ";
	$q.="LEFT JOIN stagiaires ON stagiaires.id_uti=utilisateurs.id_uti ";
	$q.="LEFT JOIN intervenants ON intervenants.id_uti=utilisateurs.id_uti ";
	$q.="LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti ";
	$q.="WHERE dt_connexion > (NOW()-INTERVAL 1 DAY) ";
	$q.="GROUP BY utilisateurs.id_uti ";
	switch($filtre) {
		case 1: $q.="HAVING id_admin IS NOT NULL AND type_admin=1 ";break;
		case 2: $q.="HAVING id_admin IS NOT NULL AND type_admin=0 ";break;
		case 3: $q.="HAVING id_intervenant IS NOT NULL ";break;
		case 4: $q.="HAVING id_stagiaire IS NOT NULL ";break;
	}
	$q.="ORDER BY dt_connexion DESC LIMIT $lim,$taille";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_array($r)) {
		$d=$row['dt_connexion'];
		$diff=differenceDates($maintenant,$d);
		$date=dateSqlEnSaisie(substr($d,0,10));
		$heure=substr($d,11);
		printf("<tr><td>%s</td>\n<td>$date $heure</td>\n<td>&nbsp;|&nbsp;$diff</td>",htmlentities($row['login'],ENT_COMPAT,'ISO-8859-15'));
		afficherUnAcces(isset($row['id_admin']) && $row['type_admin']==1);
		afficherUnAcces(isset($row['id_admin'])&& $row['type_admin']==0);
		afficherUnAcces(isset($row['id_intervenant']));
		afficherUnAcces(isset($row['id_stagiaire']));
		print "<td class=\"centre\">";
		switch($row['acces']) {
			case 0: print "extrieur standard"; break;
			case 1: print "extrieur circo"; break;
			case 2: print "extrieur nouv. stag.";break;
			case 3: print "extrieur admin";break;
			case 4: print "portail SSO identifiant";break;
			case 5: print "portail SSO courriel";break;
			case 6: print "portail standard";break;
			case 7: print "portail circo"; break;
			case 8: print "portail nouv. stag.";break;
			case 9: print "portail admin";break;
			case 10: print "extrieur refus";break;
			default: print "?";
		}
		print "</td>\n";
		print "</tr>\n";
	}
	
}
function affichepages()
{
	global $nb_pages, $page;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_liste_acces.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function afficherUnAcces($oui)
{
	print "<td class=\"centre\">";
	if ($oui) print "<img src=\"images/bouton_bleu_plein.png\" alt=\"oui\" />";
	else print "<img src=\"images/bouton_bleu_vide.png\" alt=\"non\" />";
	print "</td>\n";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
//-->
        </script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_liste_acces?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Liste des  derniers acc&egrave;s des utilisateurs uniques </h1>
				<p>Sur le site, nous sommes le <?php print $date ?> et il est maintenant <?php print $heure ?></p>
				<p><em>Remarque: </em>lorsqu'un utilisateur se connecte plusieurs fois, seule la derni&egrave;re connexion est retenue. </p>
				<form id="form1" name="form1" method="post" action="">
				  <h4>
				    <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
			      Choix des fitres
			      </h4>
				  <blockquote>
				    <table>
                      <tr>
                        <td><p>
                          <input type="radio" name="rb" value="0" <?php if ($filtre==0) print 'checked="checked"'?> onclick="javascript:submit()" />
                          Aucun filtre</p>
                          <p>
                            <input type="radio" name="rb" value="1" <?php if ($filtre==1) print 'checked="checked"'?> onclick="javascript:submit()"/>
                            SuperAdmins</p>
                          <p>
                            <input type="radio" name="rb" value="2" <?php if ($filtre==2) print 'checked="checked"'?>  onclick="javascript:submit()"/>
                            Admins d&eacute;l&eacute;gu&eacute;s</p>
                          <p>
                            <input type="radio" name="rb" value="3" <?php if ($filtre==3) print 'checked="checked"'?>  onclick="javascript:submit()" />
                            Intervenants</p>
                          <p>
                            <input type="radio" name="rb" value="4" <?php if ($filtre==4) print 'checked="checked"'?> onclick="javascript:submit()"/>
                        Stagiaires</p></td>
                        <td><table align="center">
                          <tr align="center" valign="top">
                            <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                            </td>
                            <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                            </td>
                            <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                            </td>
                            <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                            </td>
                            <td><select name="menu_page" onchange="sauteMenu(this)">
                                <?php affichepages()?>
                              </select>                            </td>
                            <td><p><b>
                                <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                            </b></p></td>
                          </tr>
                        </table></td>
                        <td>Nombre total d'enregistrements: <?php print $nb_elements ?></td>
                      </tr>
                    </table>
		          </blockquote>
				<table>
                  <tr class="table_entete">
                    <td>login</td>
                    <td>date/heure</td>
                    <td>Connect&eacute; il y a... </td>
                    <td>SuperAdmin</td>
                    <td>Admin d&eacute;l&eacute;gu&eacute; </td>
                    <td>Intervenant</td>
                    <td>Stagiaire</td>
                    <td>Interface</td>
                  </tr>
				  <?php afficheAcces($h); ?>
                </table>
				
		        <table align="center">
                  <tr align="center" valign="top">
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                    </td>
                    <td><select name="select" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>
                    </td>
                    <td><p><b>
                        <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
                </table>
				</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_liste_acces?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
