<?php
/* 
	Modification du plan de formation
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require('_sqlconnect.inc.php');
	require('_fonctions.inc.php');
	require('_fonctions_animation.inc.php');
	// Url retour
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_plan_calendrier=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_plan_calendrier']=$url_ret_adm_plan_calendrier;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_plan_calendrier'])) {
		$url_ret_adm_plan_calendrier=$_SESSION['circonscript7_url_ret_adm_plan_calendrier'];
	}
	else $url_ret_adm_plan_calendrier="adm_animations.php";

	$erreur='';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	// oublie les modifications opres dans admi_seance_modif.php
	if (isset($_SESSION['circonscript7_animation'])) unset($_SESSION['circonscript7_animation']);
	if (isset($_SESSION['circonscript7_seances'])) unset($_SESSION['circonscript7_seances']);
	
	
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	$impair=0;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function ouvreLien(url)
		{
			if (url) window.open(url);
		}
		//-->
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_calendrier?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_animations_modif.php?Modifier=0&amp;url_ret=adm_plan_calendrier.php">ajout</a></li>
				</ul>
			</div>
			<div id="corps">
			  <h1>Bilan des animations propos&eacute;es par la circonscription class&eacute;es par date 
		      <?php
			  	if ($annee==1) print '(plan futur)';
			?></h1>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
		  <div id="animation">
			<?php affichePlanFormation($id_circo,$h,17,0,'adm_plan_calendrier.php',0, 0,'',$annee) ?>
		  </div>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_plan_calendrier?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_animations_modif.php?Modifier=0&amp;url_ret=adm_plan_calendrier.php">ajout</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	
	</body>
</html>