<?php
/* 
	Supprimer animations du plan de formation
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2012 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_plan_supprime=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_plan_supprime']=$url_ret_adm_plan_supprime;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_plan_supprime'])) {
		$url_ret_adm_plan_supprime=$_SESSION['circonscript7_url_ret_adm_plan_supprime'];
	}
	else $url_ret_adm_plan_supprime="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	if (isset($_POST['check'])) {
		$nb_supp=0;
		$nb_ign=0;
		foreach($_POST['check'] as $id_anim) {
			if ($id_anim=='theme' || $id_anim=='domaine') continue;	
			$b=supprimeAnim($id_anim, $h);
			if ($b) ++$nb_supp;
			else ++$nb_ign;
		}
		$erreur="Opration termine.<br/>\nNombre d'animations supprim&eacute;es: $nb_supp<br/>\nNombre d'animations maintenues car des stagiaires y sont inscrits ou convoqu&eacute;s: $nb_ign";
	}
	

function affichePlan($h)
{
	global $erreur,$annee,$id_circo;
	$q="SELECT animations.id_anim,domaines.libelle as domaine, themes.libelle as theme, animations.intitule,domaines.id_domaine,themes.id_theme, positions.tri FROM  animations,positions,domaines,themes 
	WHERE animations.id_circo=$id_circo AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=$annee AND themes.id_theme=positions.id_theme ORDER BY domaines.tri,themes.tri, positions.tri";
	$r=query($q,$h);
	$id_domaine_anc=0;
	$id_theme_anc=0;
	while ($row=@mysqli_fetch_array($r)) {
		$id_domaine=$row['id_domaine'];
		$id_theme=$row['id_theme'];
		if ($id_domaine!=$id_domaine_anc) {
			$id_domaine_anc=$id_domaine;
			printf("<h2><input type=\"checkbox\" name=\"check[]\" value=\"domaine\" onclick=\"javascript:coche(this)\" />%s</h2>\n",htmlentities($row['domaine'],ENT_COMPAT,'ISO-8859-15'));
			$id_theme_anc=$id_theme;
			if ($row['theme']=='-') $row['theme']='[thme invisible]';
			printf("<h3><input type=\"checkbox\" name=\"check[]\" value=\"theme\" onclick=\"javascript:coche(this)\" />%s</h3>\n",htmlentities($row['theme'],ENT_COMPAT,'ISO-8859-15'));
		}
		if ($id_theme_anc!=$id_theme) {
			$id_theme_anc=$id_theme;
			if ($row['theme']=='-') $row['theme']='[thme invisible]';
			printf("<h3><input type=\"checkbox\" name=\"check[]\" value=\"theme\" onclick=\"javascript:coche(this)\" />%s</h3>\n",htmlentities($row['theme'],ENT_COMPAT,'ISO-8859-15'));

		}
		$id_anim=$row['id_anim'];
		$n=queryValue("SELECT COUNT(*) FROM inscriptions, seances WHERE inscriptions.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
		if (!$n) $n=queryValue("SELECT COUNT(*) FROM convocations, seances WHERE convocations.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
		$r2=query("SELECT libelle_court FROM circos, partages, seances WHERE circos.id_circo=partages.id_circo AND partages.accepte=1 AND partages.id_seance=seances.id_seance AND seances.id_anim=$id_anim GROUP BY circos.id_circo ORDER BY circos.libelle_court ASC",$h);
		$libelles='';
		while ($row2=@mysqli_fetch_row($r2)) {
			if ($libelles) $libelles.=', ';
			$libelles.=$row2[0];
		}
		if (!$libelles) $libelles='-';
		if (!$n) printf("<p><input type=\"checkbox\" name=\"check[]\" value=\"%d\" />[%3d]: %s (%s)</p>\n",$id_anim,$row['tri'],htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'), htmlentities($libelles,ENT_COMPAT,'ISO-8859-15'));
		else printf("<p><img src=\"images/transfert_impossible.png\" width=\"13\" height=\"13\" alt=\"suppression impossible\"/> [%3d]: %s (%s)</p>\n",$row['tri'],htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'),htmlentities($libelles,ENT_COMPAT,'ISO-8859-15'));
	}

}
function supprimeAnim($id_anim,$h)
{
	global $erreur, $id_circo;
	$id_circo_lue=queryValue("SELECT id_circo FROM animations WHERE id_anim=$id_anim",$h);
	if ($id_circo_lue!=$id_circo) {
		header( 'Location: erreur.php?erreur=id_circo');
		exit;
	}
	$n=queryValue("SELECT COUNT(*) FROM inscriptions, seances WHERE inscriptions.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
	if (!$n) $n=queryValue("SELECT COUNT(*) FROM convocations, seances WHERE convocations.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
	if ($n) return 0;
	$q="SELECT id_seance FROM seances WHERE id_anim=$id_anim";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_seance=$row[0];
		query("DELETE absences FROM absences,dates WHERE absences.id_date=dates.id_date AND dates.id_seance=$id_seance",$h);
		query("UPDATE intervenants INNER JOIN interventions ON interventions.id_intervenant=intervenants.id_intervenant INNER JOIN dates ON dates.id_date=interventions.id_date AND dates.id_seance=$id_seance SET ical_timestamp=NULL, ical_cache=NULL",$h);
		query("DELETE interventions FROM interventions, dates WHERE interventions.id_date=dates.id_date AND dates.id_seance=$id_seance",$h);
		query("DELETE FROM convocations WHERE id_seance=$id_seance",$h);
		query("DELETE FROM inscriptions WHERE id_seance=$id_seance",$h);
		query("DELETE FROM partages WHERE id_seance=$id_seance",$h);
		query("DELETE FROM dates WHERE id_seance=$id_seance",$h);
		query("DELETE FROM groupements WHERE id_seance=$id_seance",$h);
		query("DELETE FROM items WHERE id_seance=$id_seance",$h);
	}				
	query("DELETE FROM seances WHERE id_anim=$id_anim",$h);
	query("DELETE FROM positions WHERE id_anim=$id_anim",$h);
	query("DELETE FROM animations WHERE id_anim=$id_anim",$h);
	return 1;
}		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function coche(obj)
			{
				// on rcupre le formulaire des objets  modifier
			  	leForm = obj.form;
			  	liste = leForm["check[]"]
				if (liste== null || liste.length == null) return;			
				// recherche du domaine ou du theme cliqu
				index=-1;
				for(i=0; i < liste.length; i++) 
					if (liste[i]==obj) {
						index=i;
						break;
					}  
				if (index<0) return;
		
				while (++i <liste.length){
					if (liste[i].value!='domaine' && liste[i].value!=obj.value) liste[i].checked=obj.checked;
					else break;
				} 
			  
			}
			function confirme()
			{
			  
			  leForm = document.formulaire;
			  if (leForm.edConfirme.value!='oui') {
			  	alert("Vous devez d'abord confirmer la suppression en crivant 'oui' dans le champ");
				return;
			  }
			  
			  laListe = leForm["check[]"];
				n=0;
				if (laListe != null) {
					if (laListe.length != null) {
						for (i=0;i<laListe.length; ++i) if (laListe[i].checked && laListe[i].value!="domaine" && laListe[i].value!="theme") ++n;
					}
					else {
						if (laListe.checked && laListe.value!="domaine" && laListe.value!="theme" ) ++n;
					}
				}
				if (n==0) alert("Il faut cocher au moins une animation  supprimer !");
				else {
					b=window.confirm("Voulez-vous vraiment suprimer les animations coches ? ("+n+")"   );
					if (b) document.formulaire.submit();
				}				
			}
		//-->	
		</script>					

	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_supprime?>">retour</a></li>
					<li><a href="#bas">bas</a></li>
					<li><a href="adm_plan_supprime.php"></a></li>
				</ul>
			</div>
		  <div id="corps">	 
			  <h1>Supprimer des lots d'animations
		      <?php
			  	if ($annee>0) print '(plan futur)';
			  ?></h1>
			  <p>Les animations auxquelles des stagiaires sont inscrits ou convoqu&eacute;s ne sont pas supprimables et sont indiqu&eacute;es par une case barr&eacute;e. Les intitul&eacute;s sont suivis par la liste des circonscriptions qui ont effectivement import&eacute; l'animation  dans leurs plans de formation. </p>
			  <p>Si vous cochez/d&eacute;cochez un domaine, toutes les animations du domaine seront coch&eacute;es ou d&eacute;coch&eacute;es. Idem pour un th&egrave;me. Les domaines ou les th&egrave;mes ne sont pas supprim&eacute;s.</p>
			  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			<div id="animation">
			<form name="formulaire" method="post" action="">
		      <?php affichePlan($h) ?>
		      <p><input name="Supprimer" type="button" class="bouton_standard" id="Supprimer" value="Supprimer les animations coch&eacute;es" onclick="javascript:confirme()" />
		      Ecrivez 'oui' dans ce champ pour confirmer: 
		        <input name="edConfirme" type="text" id="edConfirme" size="3" maxlength="3" />
		      </p>
			</form>	
		</div>    
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_supprime?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_plan_supprime.php"></a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
