<?php
/* 
	Signaler les absences	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_presence_anim=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_presence_anim']=$url_ret_adm_presence_anim;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_presence_anim'])) {
		$url_ret_adm_presence_anim=$_SESSION['circonscript7_url_ret_adm_presence_anim'];
	}
	else $url_ret_adm_presence_anim="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	$id_anim=0;
	$id_seance=0;
	if (isset($_SESSION['circonscript7_adm_presence_anim_id_date'])) {
		$adm_presence_anim_id_date=$_SESSION['circonscript7_adm_presence_anim_id_date'];
		$r=query("SELECT seances.id_anim, seances.id_seance FROM seances,dates WHERE dates.id_date=$adm_presence_anim_id_date AND dates.id_seance=seances.id_seance",$h);
		$row=@mysqli_fetch_row($r);
		if (!$erreur) {
			$id_anim=$row[0];
			$id_seance=$row[1];
		}
	}
	else {
		$adm_presence_anim_id_date=0;
		$id_anim=0;
		$id_seance=0;
	}
	if (isset($_SESSION['circonscript7_adm_presence_anim_date_sql'])) 
		$adm_presence_anim_date_sql=$_SESSION['circonscript7_adm_presence_anim_date_sql'];
	else 
		$adm_presence_anim_date_sql='';
	
	
	if (isset($_POST['cbDate'])) {
		$adm_presence_anim_date_sql=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_presence_anim_date_sql']=$adm_presence_anim_date_sql;
		$id_seance=0;
		$id_anim=0;
		$adm_presence_anim_id_date=0;
		// s'il n'y a qu'une seule anim choisir automatiquement cette anim
		while ($adm_presence_anim_date_sql!='') {
			$q="SELECT seances.id_anim FROM partages, seances,  dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND dates.date='$adm_presence_anim_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY seances.id_anim";
			$r=query($q,$h);
			$nb_rows=@mysqli_num_rows($r);
			if ($nb_rows!=1) break;
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			// il n'y a qu'une seule anim. Choisir une sance avec la date propose
			$q="SELECT dates.id_date,seances.id_seance FROM seances,dates WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND dates.date='$adm_presence_anim_date_sql'";
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$adm_presence_anim_id_date=$row[0];
			$id_seance=$row[1];
			break;
		}
		$_SESSION['circonscript7_adm_presence_anim_id_date']=$adm_presence_anim_id_date;
	}
	if (isset($_POST['cb_animations'])){
		$id_anim=abs(intval($_POST['cb_animations']));
		if($adm_presence_anim_date_sql!='') 
			$q="SELECT dates.id_date,seances.id_seance FROM seances,dates,partages WHERE  dates.date='$adm_presence_anim_date_sql' AND seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 ORDER BY dates.date";	
		else
			$q="SELECT dates.id_date,seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 ORDER BY dates.date";		
		$r=query($q,$h);
		$row=mysqli_fetch_row($r);
		$adm_presence_anim_id_date=$row[0];
		if ($adm_presence_anim_id_date=='') $adm_presence_anim_id_date=0;
		if($adm_presence_anim_id_date==0) {
			$id_seance=0;
			$id_anim=0;
		}
		else {
			$id_seance=$row[1];
		}
		$_SESSION['circonscript7_adm_presence_anim_id_date']=$adm_presence_anim_id_date;
	}
	if (isset($_POST['cb_seances'])) {
		$id_date=abs(intval($_POST['cb_seances']));
		$r=query("SELECT seances.id_anim, seances.id_seance FROM seances, dates,partages WHERE dates.id_date=$id_date AND dates.id_seance=seances.id_seance AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND partages.id_circo=$id_circo",$h);
		if (@mysqli_num_rows($r)!=1) 
			$erreur="Cette sance n'appartient pas  votre plan de formation";
		else {
			$row=@mysqli_fetch_row($r);
			$id_anim=$row[0];
			$adm_presence_anim_id_date=$id_date;
			$_SESSION['circonscript7_adm_presence_anim_id_date']=$adm_presence_anim_id_date;
			$id_seance=$row[1];
		}
	}

	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'absent_asc'=>'absent ASC, nom_stagiaire ASC',
		'absent_desc'=>'absent DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'quota_desc'=>'quota_reel DESC, nom_stagiaire ASC',
		'quota_asc'=>'quota_reel ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC',
		'excuse_asc'=>'excuse ASC, nom_stagiaire ASC',
		'excuse_desc'=>'excuse DESC, nom_stagiaire ASC'
		
		
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_presence_anim_filtre_special=1;
		$_SESSION['circonscript7_adm_presence_anim_filtre_special']=$adm_presence_anim_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_presence_anim_filtre_special=0;
		$_SESSION['circonscript7_adm_presence_anim_filtre_special']=$adm_presence_anim_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	
	if (isset($_SESSION['circonscript7_adm_presence_anim_filtre_special'])) $adm_presence_anim_filtre_special=$_SESSION['circonscript7_adm_presence_anim_filtre_special'];
	else $adm_presence_anim_filtre_special=0;

	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_presence_anim_filtre_special!=$f1) {
				$adm_presence_anim_filtre_special=$f1;
				$_SESSION['circonscript7_adm_presence_anim_filtre_special']=$adm_presence_anim_filtre_special;
			}
		}
		else {
			$adm_presence_anim_filtre_special=!$adm_presence_anim_filtre_special;
			$_SESSION['circonscript7_adm_presence_anim_filtre_special']=$adm_presence_anim_filtre_special;
		}
   }

	
	if (isset($_GET['tri'])) {
		$tri_adm_presence_anim=$tris[$_GET['tri']];
		if (!isset($tri_adm_presence_anim)) $tri_adm_presence_anim=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_presence_anim']=$tri_adm_presence_anim;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_presence_anim'])) {
		$tri_adm_presence_anim=$_SESSION['circonscript7_tri_adm_presence_anim'];
	}
	else {
		$tri_adm_presence_anim=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_presence_anim']=$tri_adm_presence_anim;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_presence_anim'])) 
		$filtre_adm_presence_anim=$_SESSION['circonscript7_filtre_adm_presence_anim'];
		else $filtre_adm_presence_anim='';

	if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_presence_anim) $filtre_adm_presence_anim=$filtre1;
		else $filtre_adm_presence_anim=$filtre2;
		$_SESSION['circonscript7_filtre_adm_presence_anim']=$filtre_adm_presence_anim; 
   	}	
	$taille=30;
	if ($id_seance) {
		// Nombre de pages
		$q="SELECT COUNT(*) FROM convocations, stagiaires, ecoles WHERE convocations.id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
		if ($filtre_adm_presence_anim) {
			$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_presence_anim));
			$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
		}
		$nb_elements=queryValue($q,$h);		//nombre maximal de stagiaires admissibles
	}
	else $nb_elements=0;
	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if ($id_seance>0) {
		$max_stagiaires=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
		if ($max_stagiaires=='') {
			$max_stagiaires=0;
			$erreur="Problme d'accs  la base";
		}
	}
	else $max_stagiaires=0;	
	// Nombre de pages
	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   		if (--$page<0) $page=0;
   }
   else if (isset($_POST['enregistre']) && $adm_presence_anim_id_date>0 )  {  
		$absents=array();
		if (isset($_POST['absent'])) $absents=$_POST['absent'];
		$excuses=array();
		if (isset($_POST['excuse'])) $excuses=$_POST['excuse'];
		$nb_supprimes=$nb_inseres=$nb_maj=0;
		if (isset($_POST['convocation'])) foreach($_POST['convocation'] as $id_convoc=>$id_stagiaire) {
			$id_convoc=intval($id_convoc);
			$id_stagiaire=intval($id_stagiaire);
			$coche=in_array($id_convoc,$absents)?1:0;
			// contrle
			$n=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE convocations.id_convoc=$id_convoc AND convocations.id_stagiaire=$id_stagiaire AND stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
			if ($n!=1) {
				$erreur="Erreur sur les valeurs envoyes par le formulaire";
				break;
			}
			$n=queryValue("SELECT COUNT(*) FROM absences WHERE id_stagiaire=$id_stagiaire AND id_date=$adm_presence_anim_id_date",$h);
			if ($coche==1 && $n==0) {
				$excuse=in_array($id_convoc,$excuses)?1:0;
				query("INSERT INTO absences(id_date,id_stagiaire,excuse) VALUES('$adm_presence_anim_id_date','$id_stagiaire','$excuse')",$h);
				if (!$erreur) ++$nb_inseres;
			}
			else if ($coche==0 && $n>0) {
				query("DELETE FROM absences WHERE id_date='$adm_presence_anim_id_date' AND id_stagiaire='$id_stagiaire'",$h);
				if (!$erreur) ++$nb_supprimes;
			}
			else if ($coche==1 && $n>0) {
				$excuse=in_array($id_convoc,$excuses)?1:0;
				query("UPDATE absences SET excuse='$excuse' WHERE id_date='$adm_presence_anim_id_date' AND id_stagiaire='$id_stagiaire'",$h);
				++$nb_maj;
			}
		}
		if (!$erreur) {
			if ($nb_inseres==0 && $nb_supprimes==0 && $nb_maj==0) $erreur="Aucune modification n'a t faite.";
			if ($nb_inseres>0) $erreur="$nb_inseres absence(s) signale(s).";
			if ($nb_supprimes>0) {
				if ($erreur) $erreur.=', ';
				$erreur.="$nb_supprimes absence(s) supprime(s).";
			}
			if ($nb_maj>0) $erreur.=" $nb_maj absence(s) mise(s)  jour.";
			
			if ($nb_maj > 0 || $nb_inseres>0 || $nb_supprimes >0) {
				$n=queryValue("SELECT COUNT(*) FROM tmp_absences WHERE id_circo=$id_circo AND id_uti=$id_uti",$h);
				if ($n>0) {
					query("DELETE FROM tmp_absences WHERE id_circo=$id_circo AND id_uti=$id_uti",$h);
					$erreur.=" La table temporaire des absences a t efface. Il faudra la ractualiser.";
				}
			}
		}
	}
   else if (isset($_POST['actualise'])) {
		$filtre_adm_presence_anim='';
		$_SESSION['circonscript7_filtre_adm_presence_anim']=$filtre_adm_presence_anim;
   }
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	
function afficheAnims($h)
{
	global $id_circo, $id_anim,$adm_presence_anim_date_sql;
	
	if ($adm_presence_anim_date_sql=='') $q="SELECT animations.id_anim, animations.intitule, animations.annule FROM partages, seances, animations,positions,domaines WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";
	else
		$q="SELECT animations.id_anim, animations.intitule, animations.annule FROM partages, seances, animations, positions,domaines,themes,dates WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=0 AND themes.id_theme=positions.id_theme 
		AND dates.date='$adm_presence_anim_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule ASC";
	
	$r=query($q,$h);
	$n=@mysqli_num_rows($r);
	if ($id_anim==0 && $n>1) 
			print "<option value=\"0\" selected=\"selected\">Choisissez une animation</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=$row[1];
		if (strlen($intitule)>63) $intitule=substr($intitule,0,60).'...';
		$intitule=sprintf("%s%s",$row[2]?'[ANNUL&Eacute;]&nbsp;:&nbsp;':'', htmlentities($intitule,ENT_COMPAT,'ISO-8859-15'));
		if ($id_anim==$id_anim_cour || ($id_anim==0 && $n==1) ) {
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
			$id_anim=$id_anim_cour;
		}
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}
function afficherSeances($h)
{
	global $id_circo,$id_anim, $adm_presence_anim_id_date;
	if ($id_anim==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une animation</option>\n";
		return;
	}
	
	$q="SELECT dates.id_date, dates.date, dates.lieu FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0  ORDER BY dates.tri";		
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_date=$row[0];
		$date=dateSqlEnSaisie($row[1]);
		if ($date=='') $date="Date &agrave; d&eacute;finir";
		$lieu=$row[2];		
		if (strlen($lieu)>33) $lieu=substr($lieu,0,30).'...';
		$lieu=htmlentities($lieu,ENT_COMPAT,'ISO-8859-15');
		if ($lieu) $date.=" ($lieu)"; 
		print "<option value=\"$id_date\"";
		if ($id_date==$adm_presence_anim_id_date) 
			print " selected=\"selected\"";
		print ">$date</option>\n";
	}
	
}	

function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_presence_anim.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}	
function requete($h)
{
	global $id_circo,$page,$taille,$tri_adm_presence_anim,$id_seance, $adm_presence_anim_id_date,$filtre_adm_presence_anim,$filtre_special_where,$adm_presence_anim_filtre_special;
	$lim=$page*$taille;   
	$filtre2='';
	if ($filtre_adm_presence_anim) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_presence_anim)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, ecoles.nom AS nom_ecole, stagiaires.niveau, quotite, quota_reel, COUNT(absences.id_stagiaire) as absent,convocations.id_convoc,groupes.libelle as groupe, CASE WHEN absences.id_stagiaire IS NULL THEN 0 ELSE absences.excuse END as excuse
		FROM stagiaires
		INNER JOIN ecoles ON stagiaires.id_ecole = ecoles.id_ecole AND ecoles.id_circo =$id_circo
		INNER JOIN convocations ON convocations.id_stagiaire=stagiaires.id_stagiaire AND convocations.id_seance=$id_seance
		LEFT JOIN absences ON absences.id_stagiaire=stagiaires.id_stagiaire AND absences.id_date=$adm_presence_anim_id_date
		LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe";
		$q1='';
		$q2='';
		if ($filtre2) 
			$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
		if ($adm_presence_anim_filtre_special && $filtre_special_where) 
			$q2="$filtre_special_where";
		if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
		else if ($q1) $q.=" WHERE ($q1)";
		else if ($q2) $q.=" WHERE ($q2)";
		$q.=" GROUP BY stagiaires.id_stagiaire
			 ORDER BY $tri_adm_presence_anim
			LIMIT $lim , $taille";
	return $q;
}
	 
function afficheListeStagiaires($h)
{
	global $id_seance,$adm_presence_anim_id_date;
	
	if (!$id_seance||!$adm_presence_anim_id_date) return;
	$impair=0;
	$r=query(requete($h),$h);
	
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		$id_convoc=$row['id_convoc'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($row['absent']==0)
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td><a href=\"adm_convocation_un_stagiaire.php?id_stagiaire=%d&amp;url_ret=adm_presence_anim.php\">%s</a></td>\n",$id_stagiaire,htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%.2f</td>\n",$row['quotite']);
		printf("<td>%s&nbsp;</td>\n",reelEnHeure($row['quota_reel']));
		print "<td class=\"centre\">";
		printf ("<input type=\"checkbox\" name=\"absent[]\" value='$id_convoc' onclick=\"decocheExcuse(this)\" %s/>", $row['absent']>0?'checked="checked"':'');

		print "<input type=\"hidden\" name=\"convocation[$id_convoc]\" value='$id_stagiaire'/>";
		print "</td>\n";
		print "<td class=\"centre\">";
		printf("<input type=\"checkbox\" name=\"excuse[]\" value='$id_convoc' onclick=\"cocheAbsent(this)\" %s/>", $row['excuse']>0?'checked="checked"':'');
		print "</td>\n";
		print "</tr>\n";
	}

}
function afficherDates($h)
{
	global $id_circo,$adm_presence_anim_date_sql;
	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages, positions,domaines WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' AND positions.id_anim=seances.id_anim AND domaines.id_domaine=positions.id_domaine AND domaines.annee=0 ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$adm_presence_anim_date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
    	<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["absent[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
function cocheTout2(obj)
{

	leForm=obj.form;
	excuses=leForm["excuse[]"];
	absences=leForm["absent[]"];
	if (absences!=null) {
		if (absences.length!=null) {
			for (i=0;i<absences.length;i++) {
				if (absences[i].checked)  {
					excuses[i].checked=obj.checked;
				}
			}
		}
		else {
			if (absences.checked ) excuses.checked=obj.checked;
		}
	}
}
function decocheExcuse(obj)
{
	leForm=obj.form;
	excuses=leForm["excuse[]"];
	absences=leForm["absent[]"];
	if (absences!=null) {
		if (absences.length!=null) {
			for (i=0;i<absences.length;i++) {
				if (!absences[i].checked) excuses[i].checked=false;
			}
		}
		else {
			if (!absences.checked ) excuses.checked=false;
		}
	}
}
function cocheAbsent(obj)
{
	leForm=obj.form;
	excuses=leForm["excuse[]"];
	absences=leForm["absent[]"];
	if (excuses!=null) {
		if (excuses.length!=null) {
			for (i=0;i<excuses.length;i++) {
				if (excuses[i].checked) absences[i].checked=true;
			}
		}
		else {
			if (excuses.checked ) absences.checked=true;
		}
	}
}

//-->
        </script></head>
	<body>
	
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_presence_anim?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_courriels_absents.php?id_date=<?php print $adm_presence_anim_id_date?>&amp;url_ret=adm_presence_anim.php">courriel</a></li>
				</ul>
			</div>
		  <div id="corps">	 
		    <h1>Noter les absences</h1>
		    <p>Cliquez sur <em>absent </em>pour signaler une absence injustifi&eacute;e, ou sur <em>Excus&eacute;</em> si l'absence est justifi&eacute;e (on peut aussi cocher<em> Excus&eacute;</em> plus tard),  puis enregistrez. Une fois l'enregistrement effectu&eacute;, vous pouvez convoquer les stagiaires absents &agrave; d'autres animations, en cliquant sur leurs noms.  </p>
		    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 

			    <form name="form1" method="post" action="">
			      <p>Choix de la date:
			        <select name="cbDate" id="cbDate" onchange="javascript:submit()">
                      <?php afficherDates($h)?>
                    </select>
                  </p>
			    </form>
			    <form name="form2" method="post" action="">
                  <p>Animation:
                    <select name="cb_animations" id="cb_animations" onchange="javascript:submit()">
                        <?php afficheAnims($h) ?>
                    </select>
                  </p>
	        </form>
			    <form name="form3" method="post" action="">
                  <p>S&eacute;ance:
                    <select name="cb_seances" id="cb_seances" onchange="javascript:submit()">
                        <?php afficherSeances($h) ?>
                    </select>
                  </p>
	        </form>
		        <form method="post" action="">
                  <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>" />
                  <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_presence_anim_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_presence_anim.php&amp;id_seance=<?php print $id_seance?>','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_presence_anim,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="enregistre" type="submit" class="bouton_enregistre" value="enregistre" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
		          <table>
                    <tr class="table_entete">
                      <td>Nom stagiaire&nbsp; <a href="adm_presence_anim.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                      <td>Niveau<br/>
                        <a href="adm_presence_anim.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                      <td>Ecole&nbsp;<a href="adm_presence_anim.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe<a href="adm_presence_anim.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                      <td align="center">Quotit&eacute;<br/>
                          <a href="adm_presence_anim.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;</td>
                      <td align="center">Quota<a href="adm_presence_anim.php?tri=quota_asc"><br />
                          <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                      <td>Absent&nbsp;
                          <input name="checkbox" type="checkbox" onclick="cocheTout(this)"/>
                        <br/>
                        <a href="adm_presence_anim.php?tri=absent_asc"><img src="images/fleche_haut.png" alt="tri par pr&eacute;sence ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=absent_desc"><img src="images/fleche_bas.png" alt="tri par pr&eacute;sence descendant" width="11" height="11" border="0" /></a></td>
                      <td>Excus&eacute;&nbsp; 
                      <input name="checkbox2" type="checkbox" onclick="cocheTout2(this)"/>
                      <a href="adm_presence_anim.php?tri=excuse_asc"><img src="images/fleche_haut.png" alt="tri par excus&eacute; ascendant" width="11" height="11" border="0" /></a><a href="adm_presence_anim.php?tri=excuse_desc"><img src="images/fleche_bas.png" alt="tri par excus&eacute; descendant" width="11" height="11" border="0" /></a></td>
                    </tr>

                    <?php  afficheListeStagiaires($h) ?>
                  </table>
		          <table align="center">
                    <tr align="center" valign="top">
                      <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_presence_anim_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                        <a href="javascript:popUp('adm_filtre_simple_popup.php?url_ret=adm_presence_anim.php&amp;id_seance=<?php print $id_seance?>','console',600,500);">Utiliser filtre</a> </td>
                      <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                          <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_presence_anim,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                      <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                      <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                      <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />
                      </td>
                      <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />
                      </td>
                      <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />
                      </td>
                      <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />
                      </td>
                      <td><select name="menu_page" onchange="sauteMenu(this)">
                          <?php affichepages()?>
                        </select>
                      </td>
                      <td><input name="enregistre" type="submit" class="bouton_enregistre" value="enregistre" /></td>
                      <td><p><b>
                          <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                    </tr>
                  </table>
            </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_presence_anim?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
					<li><a href="adm_courriels_absents.php?id_date=<?php print $adm_presence_anim_id_date?>&amp;url_ret=adm_presence_anim.php">courriel</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
