<?php
/*	
	Liste de tous les stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');  
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_recherche=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_recherche']=$url_ret_adm_recherche;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_recherche'])) {
		$url_ret_adm_recherche=$_SESSION['circonscript7_url_ret_adm_recherche'];
	}
	else $url_ret_adm_recherche="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	$h=connect();
	debugInit();
	//diffrents tris en cours
	$tris=array(
		'login_asc'=> 'login ASC',
		'login_desc' => 'login DESC',
		'login_sso_asc'=> 'sso_login ASC',
		'login_sso_desc' => 'sso_login DESC',
		'codage_asc'=>'codage ASC, login ASC',
		'codage_desc'=>'codage DESC, login ASC',
		'admin_asc'=>'admin ASC, login ASC',
		'admin_desc'=>'admin DESC, login ASC',
		'intervenant_desc'=>'intervenant DESC, login ASC',
		'intervenant_asc'=>'intervenant ASC, login ASC',
		'stagiaire_desc'=>'stagiaire DESC, login ASC',
		'stagiaire_asc'=>'stagiaire ASC, login ASC',
		'orphelin_asc'=>'orphelin ASC, login ASC',
		'orphelin_desc'=>'orphelin DESC, login ASC'
	);
	if (isset($_GET['tri'])) {
		$tri_adm_recherche=$tris[$_GET['tri']];
		if (!isset($tri_adm_recherche)) $tri_adm_recherche=$tris['login_asc'];
		$_SESSION['circonscript7_tri_adm_recherche']=$tri_adm_recherche;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_recherche'])) {
		$tri_adm_recherche=$_SESSION['circonscript7_tri_adm_recherche'];
	}
	else {
		$tri_adm_recherche=$tris['login_asc'];
		$_SESSION['circonscript7_tri_adm_recherche']=$tri_adm_recherche;
	}	
	if (isset($_SESSION['circonscript7_adm_recherche_nom'])) $nom=$_SESSION['circonscript7_adm_recherche_nom'];
	else $nom='';
	if (isset($_SESSION['circonscript7_adm_recherche_prenom'])) $prenom=$_SESSION['circonscript7_adm_recherche_prenom'];
	else $prenom='';
	if (isset($_SESSION['circonscript7_adm_recherche_courriel'])) $courriel=$_SESSION['circonscript7_adm_recherche_courriel'];
	else $courriel='';
	if (isset($_SESSION['circonscript7_adm_recherche_uti'])) $uti=$_SESSION['circonscript7_adm_recherche_uti'];
	else $uti='';
	if (isset($_SESSION['circonscript7_adm_recherche_cryptage'])) $cryptage=$_SESSION['circonscript7_adm_recherche_cryptage'];
	else $cryptage=-1;
	if (isset($_SESSION['circonscript7_adm_recherche_sso'])) $sso_login=$_SESSION['circonscript7_adm_recherche_sso'];
	else $sso_login='';


	   
   if (isset($_POST['chercher'])) {
		
		if (isset($_POST['nom'])) 
			$nom=myEscapeString($h,normaliseNom($_POST['nom']));
		else $nom='';
		if (isset($_POST['prenom'])) 
			$prenom=myEscapeString($h,normaliseNom($_POST['prenom']));
		else $prenom='';
		if (isset($_POST['courriel'])) 
			$courriel=myEscapeString($h,strtolower(normalise($_POST['courriel'])));
		else $courriel='';
		if (isset($_POST['uti'])) 
			$uti=myEscapeString($h,strtolower(normalise($_POST['uti'])));
		else $uti='';
		if (isset($_POST['sso_login'])) 
			$sso_login=myEscapeString($h,strtolower(normalise($_POST['sso_login'])));
		else $sso_login='';
	
		if (isset($_POST['cryptage']))  { 
			$cryptage=intval($_POST['cryptage']);
			if ($cryptage<-1 || $cryptage>2) $cryptage=-1;
		}
		else $cryptage=-1;
		$_SESSION['circonscript7_adm_recherche_cryptage']=$cryptage;
		$_SESSION['circonscript7_adm_recherche_nom']=$nom;
		$_SESSION['circonscript7_adm_recherche_prenom']=$prenom;
		$_SESSION['circonscript7_adm_recherche_courriel']=$courriel;
		$_SESSION['circonscript7_adm_recherche_uti']=$uti;
		$_SESSION['circonscript7_adm_recherche_sso']=$sso_login;
   }
   else if (isset($_POST['actualise'])) {
   		$nom=$prenom=$uti=$courriel=$sso_login='';
		$cryptage=-1;
		$_SESSION['circonscript7_adm_recherche_cryptage']=$cryptage;
		$_SESSION['circonscript7_adm_recherche_nom']=$nom;
		$_SESSION['circonscript7_adm_recherche_prenom']=$prenom;
		$_SESSION['circonscript7_adm_recherche_courriel']=$courriel;
		$_SESSION['circonscript7_adm_recherche_uti']=$uti;
  		$_SESSION['circonscript7_adm_recherche_sso']=$sso_login;
 }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*) FROM utilisateurs";
	$nb_utilisateurs=queryValue($q,$h);
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_recherche_page'])) $page=$_SESSION['circonscript7_adm_recherche_page'];
	else $page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	$adm_recherche_page=$page;
	$_SESSION['circonscript7_adm_recherche_page']=$adm_recherche_page;
	
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_recherche.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}
function requete($h)
{
	global $nom, $prenom, $courriel, $uti,$cryptage,$sso_login;
	global $tri_adm_recherche,$page,$taille;
	$nom=addcslashes($nom,'%_');
	$prenom=addcslashes($prenom,'%_');
	$courriel=addcslashes($courriel,'%_');
	$uti=addcslashes($uti,'%_');
	
	
	$q="SELECT utilisateurs.id_uti, utilisateurs.login, CASE utilisateurs.codage WHEN 1 THEN 'md5' WHEN 2 THEN 'aes' ELSE 'non' END AS codage, COUNT(DISTINCT stagiaires.id_stagiaire) as stagiaire, COUNT(DISTINCT intervenants.id_intervenant) AS intervenant, COUNT(DISTINCT administrateurs.id_admin) AS admin, utilisateurs.sso_login";
	$stag="LEFT JOIN stagiaires ON stagiaires.id_uti=utilisateurs.id_uti";
	$int="LEFT JOIN	intervenants ON intervenants.id_uti=utilisateurs.id_uti";
	$adm="LEFT JOIN administrateurs ON administrateurs.id_uti=utilisateurs.id_uti";
	if ($nom) {
		$stag.=" AND stagiaires.nom_f LIKE '%$nom%'";
		$int.=" AND intervenants.nom_f LIKE '%$nom%'";
	}
	if ($prenom) {
		$stag.=" AND stagiaires.prenom_f LIKE '%$prenom%'";
		$int.=" AND intervenants.prenom_f LIKE '%$prenom%'";
	}
	if ($courriel) {
		$stag.=" AND stagiaires.courriel LIKE '%$courriel%'";
		$int.=" AND intervenants.courriel LIKE '%$courriel%'";
		$adm.=" AND administrateurs.courriel LIKE '%$courriel%'";
	}			
	// complter le compte administrateur
	if ($nom && $prenom) 
		$adm.=" AND (administrateurs.nom LIKE '%$nom%' OR administrateurs.nom LIKE '%$prenom%')";
	else if ($nom)
		$adm.=" AND administrateurs.nom LIKE '%$nom%'";
	else if ($prenom)
		$adm.=" AND administrateurs.nom LIKE '%$prenom%'";
	$q.=" FROM utilisateurs $stag $int $adm";
	$where='';
	if ($uti) $where=" WHERE utilisateurs.login LIKE '%$uti%'";
	if ($sso_login) {
		if ($where=='') $where=" WHERE";
		else $where.=" AND";
		$where.=" utilisateurs.sso_login LIKE '%$sso_login%'";
	}
	if ($cryptage>=0) {
		if ($where=='') $where=" WHERE";
		else $where.=" AND";
		$where.=" utilisateurs.codage=$cryptage";
	}
	$q.=$where;
	if ($nom || $prenom || $courriel)
		$q.=" GROUP BY utilisateurs.id_uti HAVING (stagiaire >0) OR (intervenant >0) OR (admin >0)  ";
	else
		$q.=" GROUP BY utilisateurs.id_uti ";
	if ($tri_adm_recherche) $q.=" ORDER BY ".$tri_adm_recherche;
	$lim=$page*$taille;
	$q.=" LIMIT $lim,$taille";
	debug($q);
	return $q;
		
}
function afficheListeUtilisateurs($h)
{
	global $tri_adm_recherche,$filtre_adm_recherche,$page,$taille;
	$impair=0;
	$q=requete($h);	
	$r=query($q,$h);
	if (($nb_utilisateurs=@mysqli_num_rows($r))==0) {
		return 0;
	}
	while ($row=@mysqli_fetch_array($r)) {
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		$id_uti=$row['id_uti'];
		printf("<td><a href=\"adm_utilisateur_edite.php?id_uti=$id_uti&amp;url_ret=adm_recherche.php\">%s</a></td>\n",htmlentities($row['login'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>",htmlentities($row['sso_login'],ENT_COMPAT,'ISO-8859-15')); 
		printf("<td class=\"centre\">%s</td>\n",$row['codage']);
			printf("<td class=\"centre\">%s</td>\n",$row['stagiaire']);
			
		printf("<td class=\"centre\">%s</td>\n",$row['intervenant']);
		printf("<td class=\"centre\">%s</td>\n",$row['admin']);
		print "</tr>\n";
	}
	return $nb_utilisateurs;
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}

//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_recherche?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_utilisateur_nouveau.php?url_ret=adm_recherche.php">nouvel util.</a></li>
					<li><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0&amp;url_ret=adm_recherche.php">nouveau stag.</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h1>Recherche d'une personne sur toute la base </h1>
		    <h2>Comptes utilisateurs :
	          <?php print $nb_utilisateurs?></h2>
		    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		    <form method="post" action="" name="form">
				  
			  <p>
				    <input type="hidden" name="page" value="<?php print htmlentities($page,ENT_COMPAT,'ISO-8859-15')?>"/>
				    <input name="Commande" type="hidden" id="Commande" />
			  </p>
				  <table>
                  <tr align="center" valign="top">
                    <td align="left">
                      <h3>Chercher sur:</h3>
                      <table>
                        <tr>
                          <td>nom:</td>
                          <td><input name="nom" type="text" id="nom" value="<?php print htmlentities(strtolower($nom),ENT_COMPAT,'ISO-8859-15')?>" onfocus="javascript:this.value=''" /></td>
                        </tr>
                        <tr>
                          <td>pr&eacute;nom:</td>
                          <td><input name="prenom" type="text" id="prenom" value="<?php print htmlentities(strtolower($prenom),ENT_COMPAT,'ISO-8859-15')?>" onfocus="javascript:this.value=''" /></td>
                        </tr>
                        <tr>
                          <td>courriel: </td>
                          <td><input name="courriel" type="text" id="courriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" onfocus="javascript:this.value=''"  /></td>
                        </tr>
                        <tr>
                          <td>Identifiant:</td>
                          <td><input name="uti" type="text" id="uti" value="<?php print htmlentities($uti,ENT_COMPAT,'ISO-8859-15')?>" onfocus="javascript:this.value=''" /></td>
                        </tr>
                        <tr>
                          <td>Identifiant SSO: </td>
                          <td><input name="sso_login" type="text" id="sso_login" value="<?php print htmlentities($sso_login,ENT_COMPAT,'ISO-8859-15')?>" onfocus="javascript:this.value=''" /></td>
                        </tr>
                        <tr>
                          <td>Cryptage : </td>
                          <td><select name="cryptage" id="cryptage">
                            <option value="-1" <?php if ($cryptage<0) print 'selected="selected"'?>>tous</option>
                            <option value="0" <?php if ($cryptage==0) print 'selected="selected"'?>>aucun</option>
                            <option value="1" <?php if ($cryptage==1) print 'selected="selected"'?>>md5</option>
                            <option value="2" <?php if ($cryptage==2) print 'selected="selected"'?>>aes</option>
                          </select>                          </td>
                        </tr>
                      </table>
</td>
                    <td valign="middle"><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td valign="middle"><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43" valign="middle"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td valign="middle"><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td valign="middle"><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td valign="middle"><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td valign="middle"><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                    </select>                    </td>
                    <td valign="middle"><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                    </b></p></td>
                  </tr>
              </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>identifiant<br />
                    <a href="adm_recherche.php?tri=login_asc"><img src="images/fleche_haut.png" alt="tri par login ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche.php?tri=login_desc"><img src="images/fleche_bas.png" alt="tri par login descendant" width="11" height="11" border="0" /></a></td>
                    <td>login&nbsp;SSO<br />
                    <a href="adm_recherche.php?tri=login_sso_asc"><img src="images/fleche_haut.png" alt="tri par login SSO ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche.php?tri=login_sso_desc"><img src="images/fleche_bas.png" alt="tri par login SSO descendant" width="11" height="11" border="0" /></a></td>
                    <td>codage&nbsp;<br />
                    <a href="adm_recherche.php?tri=codage_asc"><img src="images/fleche_haut.png" alt="tri par codage ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche.php?tri=codage_desc"><img src="images/fleche_bas.png" alt="tri par codage descendant" width="11" height="11" border="0" /></a></td>
                    <td>Stagiaire&nbsp;<br />
                    <a href="adm_recherche.php?tri=stagiaire_asc"><img src="images/fleche_haut.png" alt="tri par stagiaire ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche.php?tri=stagiaire_desc"><img src="images/fleche_bas.png" alt="tri par stagiaire descendant" width="11" height="11" border="0" /></a></td>
                    <td>Intervenant<a href="adm_recherche.php?tri=intervenant_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par intervenant ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche.php?tri=intervenant_desc"><img src="images/fleche_bas.png" alt="tri par intervenant descendant" width="11" height="11" border="0" /></a></td>
                    <td>Admin<br />
                    <a href="adm_recherche.php?tri=admin_asc"><img src="images/fleche_haut.png" alt="tri par admin ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche.php?tri=admin_desc"><img src="images/fleche_bas.png" alt="tri par admin descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
				<?php  $nb=afficheListeUtilisateurs($h) ?>
				</table>
				<?php printf( "<h3>Nombre de personnes trouv&eacute;es sur la page %d : $nb</h3>\n",$page+1); ?>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_recherche?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_utilisateur_nouveau.php?url_ret=adm_recherche.php">nouvel util.</a></li>
					<li><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0&amp;url_ret=adm_recherche.php">nouveau stag.</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
