<?php
/* 
	Liste des stagiaires de la circo pour accs individuel au plan de formation perso de chacun	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_recherche_dates=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_recherche_dates']=$url_ret_adm_recherche_dates;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_recherche_dates'])) {
		$url_ret_adm_recherche_dates=$_SESSION['circonscript7_url_ret_adm_recherche_dates'];
	}
	else $url_ret_adm_recherche_dates="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';

	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	

	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'circo_asc'=>'nom_circo ASC, nom_stagiaire ASC',
		'circo_desc'=>'nom_circo DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'quota_desc'=>'quota_reel DESC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC',
		'quota_asc'=>'quota_reel ASC, nom_stagiaire ASC'
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	
	if (isset($_SESSION['circonscript7_adm_recherche_dates_date'])) $date=$_SESSION['circonscript7_adm_recherche_dates_date'];
	else $date='';
	$datesql='';
	if ($date) $datesql=dateSaisieEnSql($date);
	if (isset($_SESSION['circonscript7_adm_recherche_dates_convocations'])) $convocations=$_SESSION['circonscript7_adm_recherche_dates_convocations'];
	else {
		$convocations='convocations';
		$_SESSION['circonscript7_adm_recherche_dates_convocations']=$convocations;
	}
	if (isset($_SESSION['circonscript7_adm_recherche_dates_recherche_circo'])) $recherche_circo=$_SESSION['circonscript7_adm_recherche_dates_recherche_circo'];
	else $recherche_circo='toutes';
	
	if (isset($_POST['rechercher'])) {
		if (isset($_POST['inscriptions'])) {
			if ($_POST['inscriptions']=='inscriptions') $convocations='inscriptions';
			else $convocations='convocations';
		}	
		else $convocations='convocations';
		$_SESSION['circonscript7_adm_recherche_dates_convocations']=$convocations;
		if (isset($_POST['date'])) {
			$date=normaliseT($_POST['date'],10);
			$datesql='';
			if ($date) {
				$datesql=dateSaisieEnSql($date);
				if ($datesql=='') $erreur.="Date incorrecte";
				else {
					$date=dateSqlEnSaisie($datesql);	
					$_SESSION['circonscript7_adm_recherche_dates_date']=$date;
				}
			}
			else $_SESSION['circonscript7_adm_recherche_dates_date']=$date;
		}
		if (isset($_POST['recherche_circo'])) {
			if ($_POST['recherche_circo']=='courante') $recherche_circo='courante';
			else $recherche_circo='toutes';
			$_SESSION['circonscript7_adm_recherche_dates_recherche_circo']=$recherche_circo;
		}
	}
	if ($filtre_special_actif==1) {
		$adm_recherche_dates_filtre_special=1;
		$_SESSION['circonscript7_adm_recherche_dates_filtre_special']=$adm_recherche_dates_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_recherche_dates_filtre_special=0;
		$_SESSION['circonscript7_adm_recherche_dates_filtre_special']=$adm_recherche_dates_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	if (isset($_SESSION['circonscript7_adm_recherche_dates_filtre_special'])) $adm_recherche_dates_filtre_special=$_SESSION['circonscript7_adm_recherche_dates_filtre_special'];
	else $adm_recherche_dates_filtre_special=0;
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_recherche_dates_filtre_special!=$f1) {
				$adm_recherche_dates_filtre_special=$f1;
				$_SESSION['circonscript7_adm_recherche_dates_filtre_special']=$adm_recherche_dates_filtre_special;
			}
		}
		else {
			$adm_recherche_dates_filtre_special=!$adm_recherche_dates_filtre_special;
			$_SESSION['circonscript7_adm_recherche_dates_filtre_special']=$adm_recherche_dates_filtre_special;
		}
   }
	
	if (isset($_GET['tri'])) {
		$tri_adm_recherche_dates=$tris[$_GET['tri']];
		if (!isset($tri_adm_recherche_dates)) $tri_adm_recherche_dates=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_recherche_dates']=$tri_adm_recherche_dates;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_recherche_dates'])) {
		$tri_adm_recherche_dates=$_SESSION['circonscript7_tri_adm_recherche_dates'];
	}
	else {
		$tri_adm_recherche_dates=$tris['nom_asc'];
		$_SESSION['circonscript7_tri_adm_recherche_dates']=$tri_adm_recherche_dates;
	}		
	if (isset($_SESSION['circonscript7_filtre_adm_recherche_dates'])) 
		$filtre_adm_recherche_dates=$_SESSION['circonscript7_filtre_adm_recherche_dates'];
	else $filtre_adm_recherche_dates='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_recherche_dates) $filtre_adm_recherche_dates=$filtre1;
		else $filtre_adm_recherche_dates=$filtre2;
		$_SESSION['circonscript7_filtre_adm_recherche_dates']=$filtre_adm_recherche_dates;    		
   }
   elseif (isset($_POST['actualise'])) {
		$filtre_adm_recherche_dates='';
		$_SESSION['circonscript7_filtre_adm_recherche_dates']=$filtre_adm_recherche_dates;
   }
   $taille=30;
	// Nombre de pages
	if ($datesql) {
		$q="SELECT COUNT(DISTINCT stagiaires.id_stagiaire) FROM stagiaires, $convocations,seances,dates WHERE stagiaires.id_stagiaire=$convocations.id_stagiaire AND $convocations.id_seance=seances.id_seance AND seances.id_seance=dates.id_seance AND dates.date='$datesql'";
		if ($filtre_adm_recherche_dates) {
			$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_recherche_dates));
			$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
		}
		$nb_elements=queryValue($q,$h);	
   	}
	else $nb_elements=0;
	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	if (isset($_SESSION['circonscript7_adm_recherche_dates_page'])) {
		$page=$_SESSION['circonscript7_adm_recherche_dates_page'];
	}
	else $page=0;
	if (isset($_SESSION['circonscript7_filtre_bascule']) && $_SESSION['circonscript7_filtre_bascule']==1) {
		$page=0;
		$filtre_bascule=0;
		$_SESSION['circonscript7_filtre_bascule']=$filtre_bascule;
	}
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	if (isset($_POST['rechercher'])) $page=0; // on montre la premire page si recherche de date
	$adm_recherche_dates_page=$page;
	$_SESSION['circonscript7_adm_recherche_dates_page']=$adm_recherche_dates_page;
	//statistiques
	$n=queryValue("SELECT COUNT(*) FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	// Affichage des fleches de tri pour convocations et inscriptions
	$tri_convoc=false;
	$tri_inscr=false;
	$b=false;
	if ($adm_recherche_dates_filtre_special && $filtre_special_where) {
		$b=strpos($filtre_special_where,'inscriptions')!==false;
		if (!$b)
			$b=strpos($filtre_special_where,"convocations")!==false;
	}
   
function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_recherche_dates.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}

function requete($h)
{
	
	global $id_circo,$page,$taille,$tri_adm_recherche_dates,$id_seance, $filtre_adm_recherche_dates,$filtre_special_where,$adm_recherche_dates_filtre_special,$convocations,$datesql,$recherche_circo;
	$lim=$page*$taille;
	$filtre2='';
	if ($filtre_adm_recherche_dates) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_recherche_dates)).'%';
	if (!$datesql) return'';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, ecoles.nom AS nom_ecole, stagiaires.niveau,  quotite,quota_reel, groupes.libelle as groupe,circos.libelle as nom_circo, circos.id_circo
	FROM stagiaires 
	INNER JOIN dates ON dates.date='$datesql'
	INNER JOIN seances ON seances.id_seance=dates.id_seance
	INNER JOIN $convocations ON $convocations.id_stagiaire=stagiaires.id_stagiaire AND $convocations.id_seance=seances.id_seance
	INNER JOIN ecoles ON stagiaires.id_ecole=ecoles.id_ecole
	INNER JOIN circos ON ecoles.id_circo=circos.id_circo";
	if ($recherche_circo=='courante') $q.=" AND circos.id_circo=$id_circo";
	$q.=" LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe\n";
	if ($adm_recherche_dates_filtre_special && isset($_SESSION['circonscript7_filtre_special_id_seance'] ) && $_SESSION['circonscript7_filtre_special_id_seance']>0) {
		$q.=" INNER JOIN $convocations AS c2 ON c2.id_stagiaire=stagiaires.id_stagiaire AND c2.id_seance=".$_SESSION['circonscript7_filtre_special_id_seance'];
	}
	$q1='';
	$q2='';
	if ($filtre2) 
		$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
	if ($adm_recherche_dates_filtre_special && $filtre_special_where) 
		$q2=$filtre_special_where;
	if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
	else if ($q1) $q.=" WHERE $q1";
	else if ($q2) $q.=" WHERE $q2";
	$q.=" GROUP BY stagiaires.id_stagiaire";	
	$q.=" ORDER BY $tri_adm_recherche_dates LIMIT $lim , $taille";
	return $q;
}	 	

function afficheListeStagiaires($h)
{
	global $tri_adm_recherche_dates,$adm_recherche_dates_filtre_special,$id_circo,$filtre_special_where;
	$impair=0;
	
	$q=requete($h);
	if (!$q) return 0;
	$r=query($q,$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return 0;
	}
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		$quota_reel=$row['quota_reel'];
		$id_circo_stag=$row['id_circo'];
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($id_circo_stag==$id_circo)
			printf("<td><a href=\"adm_convocation_un_stagiaire.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_recherche_dates.php\">%s</a></td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",htmlentities($row['nom_circo'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		if ($groupe) printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		else print"<td>&nbsp;</td>\n";
		printf("<td>%.2f</td>\n",$row['quotite']);
		printf("<td>%s</td>\n",reelEnHeure($row['quota_reel']));
		print "</tr>\n";
	}
	return $nb_stagiaires;
}
	

	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["convoque[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
        </script></head>
	<body>
		<table>
          <tr>
            <td>&nbsp;</td>
            <td>&nbsp;</td>
          </tr>
        </table>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_recherche_dates?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h2>Recherche sur date: liste des stagiaires inscrits ou convoqu&eacute;s &agrave; la date indiqu&eacute;e </h2>
		    <p>Utilisez le filtre pour une recherche &eacute;tendue (par exemple: pour savoir quels stagiaires, convoqu&eacute;s &agrave; une animation donn&eacute;e, ne sont pas libres au jour indiqu&eacute;) </p>
		    <form id="form1" name="form1" method="post" action="">
		      <h3>Rechercher sur.. </h3>
		      <table class="cadre">
                <tr>
                  <td><input type="radio" name="inscriptions" value="inscriptions" <?php if ($convocations=='inscriptions') print 'checked="checked"'?> />
inscriptions 
		        <br />
		        <input type="radio" name="inscriptions" value="convocations" <?php if ($convocations=='convocations') print 'checked="checked"'?>/>
convocations </td>
                  <td><input type="radio" name="recherche_circo" value="toutes" <?php if ($recherche_circo=='toutes') print 'checked="checked"'?>/>
                    toutes les circos (utile si animations partag&eacute;es) <br />
                    <input type="radio" name="recherche_circo" value="courante" <?php if ($recherche_circo=='courante') print 'checked="checked"'?> />
                    uniquement la circo </td>
                </tr>
                <tr>
                  <td colspan="2">&agrave; la date:
                    <input name="date" type="text" id="date" size="10" maxlength="10" <?php print "value=\"$date\""?> />
                    <input name="rechercher" type="submit" class="bouton_standard" value="Rechercher" />
                    <em>format de la date: j/m ou j/m/a </em></td>
                </tr>
              </table>
		      <p>&nbsp;</p>
		    </form>

		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>

		    <form method="post" action="">
				  <input type="hidden" name="page" value="<?php print $page?>"/>
				<table align="center">
                  <tr align="center" valign="top">
                    <td>
                    <input name="filtre_spe1" type="checkbox" value="checkbox" <?php if ($adm_recherche_dates_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                    <a href="javascript:popUp('adm_filtre_special_popup_date.php?url_ret=adm_recherche_dates.php','console',600,600);">Utiliser filtre </a></td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_recherche_dates,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ' max.)';
						?>
                      </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td>Nom stagiaire&nbsp; <a href="adm_recherche_dates.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td>Niveau&nbsp;<a href="adm_recherche_dates.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td>Ecole&nbsp;<a href="adm_recherche_dates.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Circo<br />
                    <a href="adm_recherche_dates.php?tri=circo_asc"><img src="images/fleche_haut.png" alt="tri par circo ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=circo_desc"><img src="images/fleche_bas.png" alt="tri par circo descendant" width="11" height="11" border="0" /></a></td>
                    <td>Groupe<a href="adm_recherche_dates.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                    <td>Quotit&eacute;<a href="adm_recherche_dates.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td>Quota<a href="adm_recherche_dates.php?tri=quota_asc"><br />
                          <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_recherche_dates.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                  </tr>
				<?php  $nb_stagiaires= afficheListeStagiaires($h) ?>
				</table>
				<?php
				print "<h3>Nombre de stagiaires affich&eacute;s sur cette page : $nb_stagiaires</h3>\n";
			    ?>
				<table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" value="checkbox"  <?php if ($adm_recherche_dates_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_special_popup_date.php?url_ret=adm_recherche_dates.php','console',600,600);">Utiliser filtre</a> </td>
                    <td>Chercher sur nom/pr&eacute;nom: &nbsp;
                    <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_recherche_dates,ENT_COMPAT,'ISO-8859-15')?>" /></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ' max.)';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_recherche_dates?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
