<?php
/* 
	Etat du site
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_site=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_site']=$url_ret_adm_site;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_site'])) {
		$url_ret_adm_site=$_SESSION['circonscript7_url_ret_adm_site'];
	}
	else $url_ret_adm_site="adm_configuration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	automatisationCirco($id_circo,$h);
	$q="SELECT stag_etat,stag_enregistrement,exportations_autorisees, autoriser_plan_futur, dt_ouverture,dt_fermeture, NOW(),type_circo FROM circos WHERE id_circo=$id_circo";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$stag_etat=$row[0];
	$stag_enregistrement=$row[1];
	$exportations_autorisees=$row[2];
	$autoriser_plan_futur=$row[3];
	$dt_ouverture=$row[4];
	$dt_fermeture=$row[5];
	$maintenant=$row[6];
	$type_circo=$row[7];
	$etats=array(1,1,1,1);
	if ($dt_ouverture  && $maintenant<$dt_ouverture) 
		$etats[1]=$etats[2]=$etats[3]=0; 
	else if ($dt_fermeture && $maintenant <= $dt_fermeture) 
		$etats[0]=$etats[2]=$etats[3]=0;
	$msg='';
	if (isset($_POST['valider'])) {
		$stag_enregistrement=isset($_POST['enregistrement'])?'1':'0';
		$stag_etat2=$stag_etat;
		if (isset($_POST['etat'])) {
			$stag_etat2=intval($_POST['etat']);
			if ($stag_etat2<0||$stag_etat2>3) $stag_etat2=$stag_etat;
			if ($etats[$stag_etat2]==0) {
				query("UPDATE cicos SET stag_enregistrement=$stag_enregistrement WHERE id_circo=$id_circo" ,$h);
				$erreur="Certaines modifications sont impossibles pour le moment. Attendez que les dates d'automatisation soient passes ou contactez l'administrateur.";
			}
			else { 
				$q="UPDATE circos SET stag_etat=$stag_etat2,stag_enregistrement=$stag_enregistrement WHERE id_circo=$id_circo";
				query($q,$h);
				if ($stag_etat2==2 && $stag_etat<2) {
					$msg=convoquerInscrits($id_circo,true,$h);
				}
				$stag_etat=$stag_etat2;
			}
		}
		else {
			query("UPDATE circos SET stag_enregistrement=$stag_enregistrement WHERE id_circo=$id_circo",$h);
		}
		if (isset($_POST['export'])) {
			switch($_POST['export']) {
				case 0: 
					$exportations_autorisees=0;
					break;
				case 1:
					$exportations_autorisees=1;
					break;
			}
			$q="UPDATE circos SET exportations_autorisees=$exportations_autorisees WHERE id_circo=$id_circo";
			query($q,$h);
		}
		if (isset($_POST['autoriser_plan_futur'])) $autoriser_plan_futur=1;
		else $autoriser_plan_futur=0;
		
		query("UPDATE circos SET autoriser_plan_futur=$autoriser_plan_futur WHERE id_circo=$id_circo",$h);
		if (!$erreur) $erreur="Configuration enregistre. ";
	}
	if ($msg) $erreur.=$msg;
	if ($erreur) $erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	
	$maintenant=queryValue("SELECT NOW()",$h);
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function changeEtat(etat_initial)
		{
			if (etat_initial<2) alert("Lorsque vous cliquerez sur le bouton  \"valider\" du formulaire, les convocations seront automatiquement tablies  partir des nouvelles inscriptions. Elles ne seront pas encore publies ! Vous pourrez donc toujours \"d-convoquer\" un stagiaire.");
		}
		function confirme()
		{
			if (typeof document.form1.etat!=='undefined' ) {
				var n=document.form1.etat.value;
				if (n==2) {
					var b=window.confirm("Valider les nouvelles inscriptions des stagiaires et les transformer automatiquement en convocations ?");
				}
			}
		}
		//-->
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_site?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
				<form name="form1" method="post" action="">
				  <h1>L'&eacute;tat du site pour les stagiaires</h1>
				    <?php if ($type_circo==0):?>
				    <p>NB: Pour entrer dans l'tat 4 vous devez d'abord activer l'tat 3. </p>
					<?php 
				if ($dt_ouverture || $dt_fermeture) {
					print "<p class=\"important\">ATTENTION :</p>\n";
					print "<p>Certaines modifications dans cette section ne sont pas possibles pour le moment. Adressez-vous &agrave; l'administrateur.</p>";
					if ($dt_ouverture) printf("<p>Ouverture automatique des inscriptions le %s  %s</p>\n",dateSQLEnTexte(substr($dt_ouverture, 0,10)),horaireSqlEnHeure(substr($dt_ouverture,10),true));
					if ($dt_fermeture) printf("<p>Fermeture automatique des inscriptions le %s  %s</p>\n",dateSQLEnTexte(substr($dt_fermeture, 0,10)),horaireSqlEnHeure(substr($dt_fermeture,10),true));
					print "<hr/>\n";
				}
				
				?>

				  <p>
				    <?php if ($dt_ouverture||$dt_fermeture) :?>
					<?php if ($stag_etat==0) :?>
					<img src="images/bouton_bleu_plein.png" alt="[activ&eacute;]" />
					<?php else :?>
					<img src="images/bouton_bleu_vide.png" alt="[desactiv&eacute;]" />
					<?php endif ?>
					<?php else :?>
				<input type="radio" name="etat" value="0" <?php if ($stag_etat==0) print "checked=\"checked\"" ?>/>		
					<?php endif ?>
					1.- Le site est ferm&eacute;. Aucune inscription ou consultation n'est possible pour les stagiaires. Votre circo peut cependant exporter des animations.</p>
				  <p>
				    <?php if ($dt_ouverture||$dt_fermeture) :?>
					<?php if ($stag_etat==1) :?>
					<img src="images/bouton_bleu_plein.png" alt="[activ&eacute;]" />
					<?php else :?>
					<img src="images/bouton_bleu_vide.png" alt="[desactiv&eacute;]" />
					<?php endif ?>
					<?php else :?>
					<input type="radio" name="etat" value="1" <?php if ($stag_etat==1) print "checked=\"checked\"" ?>/>				    
					<?php endif ?>
2.- Les inscriptions sont ouvertes, les stagiaires peuvent choisir leurs animations.		          </p>
				  
			      <p>
				    <?php if ($dt_ouverture||$dt_fermeture) :?>
					<?php if ($stag_etat==2) :?>
					<img src="images/bouton_bleu_plein.png" alt="[activ&eacute;]" />
					<?php else :?>
					<img src="images/bouton_bleu_vide.png" alt="[desactiv&eacute;]" />
					<?php endif ?>
					<?php else :?>
			        <input type="radio" name="etat" value="2" onchange="javascript:changeEtat(<?php print $stag_etat?>)" <?php if ($stag_etat==2) print "checked=\"checked\"" ?>/>
					<?php endif ?>
			        3.- Les convocations sont en cours de r&eacute;alisation: les stagiaires ne peuvent plus s'inscrire aux animations. Les nouveaux stagiaires ne peuvent plus s'enregistrer. Les consultations sont toujours possibles. <br />
			      <strong>Les convocations sont automatiquement effectu&eacute;es &agrave; partir des nouvelles inscriptions. </strong>Il vous sera toujours loisible de &quot;d&eacute;-convoquer&quot; un stagiaire. </p>
			      <p><em>Si vous faites plusieurs phases d'inscriptions</em> : ce processus ne s'enclenche que pour les inscriptions qui n'ont pas d&eacute;j&agrave; &eacute;t&eacute; trait&eacute;es : si vous avez d&eacute;j&agrave; &quot;d&eacute;-convoqu&eacute;&quot; un stagiaire inscrit, il ne sera plus &quot;re-convoqu&eacute;&quot;. Les stagiaires convoqu&eacute;s, mais non inscrits, ne sont pas touch&eacute;s. </p>
			      <p>
				    <?php if ($dt_ouverture||$dt_fermeture) :?>
					<?php if ($stag_etat==3) :?>
					<img src="images/bouton_bleu_plein.png" alt="[activ&eacute;]" />
					<?php else :?>
					<img src="images/bouton_bleu_vide.png" alt="[desactiv&eacute;]" />
					<?php endif ?>
					<?php else :?>
				    	<input type="radio" name="etat" value="3" <?php if ($stag_etat==3) print "checked=\"checked\""; if ($stag_etat!=2 && $stag_etat!=3) print "disabled "?>/>
					<?php endif ?>
				    4.- Les convocations sont publi&eacute;es.  </p>
				  <p>
                    <input name="enregistrement" type="checkbox" id="enregistrement" value="1" <?php if ($stag_enregistrement)print'checked="checked"' ?>/>
Lorsque les inscriptions sont ouvertes, de nouveaux stagiaires peuvent s'inscrire eux-m&ecirc;mes sur le site (si d&eacute;coch&eacute;, seuls les stagiaires  pr&eacute;-inscrits pourront se connecter, aucun nouveau stagiaire ne sera accept&eacute;).</p>
				  <?php else :?>
				  <p>[Ferm] : Les circos vituelles sont toujours fermes pour les stagiaires.</p>
				  <?php endif;?>
				  <h1>
				    L'&eacute;tat du site pour les autres circonscriptions</h1>
				  <p>
				    <input type="radio" name="export" value="0" <?php if ($exportations_autorisees==0) print "checked=\"checked\"" ?> />
Les animations  exportables ne sont pas visibles par les autres circonscriptions.</p>
				  <p>
                    <input type="radio" name="export" value="1" <?php if ($exportations_autorisees==1) print "checked=\"checked\"" ?>/>
				    Les animations exportables sont visibles par les autres circonscriptions.</p>
				  <h1>Plan de formation futur </h1>
				  <p>
				    <input name="autoriser_plan_futur" type="checkbox" id="autoriser_plan_futur" value="1" <?php if ($autoriser_plan_futur) print "checked=\"checked\""?> /> 
				    Autoriser la cr&eacute;ation d'un nouveau plan de formation (le &quot;plan futur&quot;) alors que le plan actuel est encore en fonction. Typiquement, vous pouvez faire ceci lorsqu'au mois de juin, vous pr&eacute;voyez d&eacute;j&agrave; vos animations de septembre. La page du  menu &quot;animations&quot; propose alors de travailler sur le plan actuel ou le plan futur. Par la suite, dans la section <em>remise &agrave; z&eacute;ro,</em> vous pourrez basculer le plan futur vers le plan actuel. </p>
				  <p align="center">
				    <input name="valider" type="submit" class="bouton_standard" value="Valider"  />
			      </p>
		    </form>
		  </div>
		  <div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_site?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
		  </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>