<?php
/*	
	Administration
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (isset($_SESSION['circonscript7_id_circo'])) 
		$id_circo=$_SESSION['circonscript7_id_circo'];
	else
		$id_circo=0;
	if (isset($_SESSION['circonscript7_id_stagiaire'])) unset($_SESSION['circonscript7_id_stagiaire']);
	if (isset($_SESSION['circonscript7_id_intervenant'])) unset($_SESSION['circonscript7_id_intervenant']);
	//$adm_maj= file_exists('adm_maj.php');
	$h=connect();
	if (isset($_POST['circos'])) {
		$id_circo=abs(intval($_POST['circos']));
		detruireVariablesSession();
		$_SESSION['circonscript7_id_circo']=$id_circo;
	}
	$_SESSION['circonscript7_session_menu_page']=0;
	$n=queryValue("SELECT ferme FROM general",$h);
	if ($n) $erreur.="AVERTISSEMENT: le site est ferm pour maintenance";
	
function afficheCircos($h)
{
	global $erreur,$id_circo;
	$q="SELECT id_circo, libelle, type_circo FROM circos WHERE 1 ORDER BY type_circo ASC, libelle ASC";
	$r=query($q,$h);
	$trouve=false;
	while ($row=@mysqli_fetch_row($r)) {
		$s='';
		if ($id_circo==$row[0]) {
			$s="selected=\"selected\"";
			$trouve=true;
		}
		$type_circo=$row[2];
		$t='';
		if ($type_circo==1) $t='[Virtuelle] ';
		else if ($type_circo==2) $t='[Transfert] ';
		printf("<option value=\"%s\" %s>%s%s</option>\n",$row[0],$s,$t,tronque($row[1],40));
	}
	if (!$trouve) {
		$id_circo=0;
		$_SESSION['circonscript7_id_circo']=$id_circo;
	}
	if ($id_circo==0) {
		print "<option value=\"0\" selected=\"selected\">* aucune *</option>\n";
	}

}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> 
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
		  <div id="corps" class="fond">	 
				
				  <?php 
				  if ($erreur) print "<p class=\"erreur\">$erreur</p>";
				  if ($debug) print "<p class=\"attention\">Circon'script est en mode de dbogage.</p>"	
				  /*
				  if ($adm_maj) {
				  	print "<div class=\"cadre_marge\">\n";
					print "<h1 class=\"maj\">MISE A JOUR DE CIRCON'SCRIPT</h1>\n";
					print"<h2><a href=\"adm_maj.php\">Mise &agrave; jour du logiciel</a></h2>\n";
					print "<p>Faites d'abord une sauvegarde.</p>\n";
					print "</div>\n";
				  }
				  */
				  ?> 
				<h1>Administration g&eacute;n&eacute;rale </h1>
				<h2><a href="adm_general.php">Param&egrave;tres g&eacute;n&eacute;raux d'administration</a></h2>
				<h2><a href="adm_sso.php?url_ret=administration.php">Administration du SSO</a> </h2>
				<h2><a href="adm_etat.php">Maintenance du site, messages</a></h2>
				<p>Mise en maintenance, affichage des messages de la page d'accueil.  </p>
				<h1>Les circonscriptions </h1>
				<h2><a href="adm_circos_liste.php?url_ret=administration.php">Liste des circonscriptions</a> (et envoi de courriels aux administrateurs) </h2>
				<p>Avec la liste des administrateurs pour chaque circo. </p>
				<h2>Choix de la circonscription de r&eacute;f&eacute;rence: </h2>
				<form name="form1" method="post" action="">
				  <p>
				    <select name="circos" id="circos" onchange="javascript:submit()">
				      <?php afficheCircos($h) ?>
			        </select>
			      </p>
				  
		      <h3><a href="adm_circo_ajoute.php">Ajouter une nouvelle circonscription</a></h3>

	          <?php 
				  if (isset($id_circo) && $id_circo>0) {
				  		print "<p><a href=\"adm_circo_supprime.php\">Supprimer cette circo </a></p>\n";
						print "<p><a href=\"adm_circo.php?url_ret=administration.php\">Modifier les param&egrave;tres de cette circo</a></p>\n";
					}
				  ?>
				</form>
              <h2>Gestion des circonscriptions </h2>
                <h3><a href="adm_adm_etat_circos.php">Etat du site, type des diff&eacute;rentes circonscriptions </a></h3>
                <h3><a href="adm_adm_automatisation.php">Automatisation des dates d'ouverture et de fermeture des inscriptions</a></h3>
              <p>Oblige certaines circonscriptions &agrave; ouvrir ou fermer les inscriptions &agrave; des dates fixes. </p>
              <h3><a href="adm_liens_externes.php">R&eacute;capitulation des liens externes cr&eacute;&eacute;s par les circonscriptions</a> </h3>
              <p>Pour v&eacute;rifier les documents vers lesquels pointent les liens externes, afin de prot&eacute;ger les utilisateurs. </p>
              <h3><a href="adm_adm_autorisations.php?url_ret=administration.php">Autorisations sp&eacute;ciales pour les circonscriptions </a></h3>
              <p>Gestion de droits sp&eacute;cifiques pouvant, en cas d'utilisation inconsid&eacute;r&eacute;e par les circos, destabiliser tout le syst&egrave;me. </p>
              <h3><a href="adm_adm_ecoles_transfert.php?url_ret=administration.php">Transfert d'&eacute;coles d'une circonscription &agrave; une autre </a></h3>
              <p>En cas de cr&eacute;ation ou de modification de la r&eacute;partition des &eacute;coles entre les circonscriptions. 	Attention, les inscriptions, convocations, absences, groupes des stagiaires concern&eacute;s seront remis &agrave; 0!</p>
              <h1>Les personnes </h1>
                <h2>Personnes</h2>
                <h3><a href="adm_recherche.php">Recherche de toute personne, sur toute la base, administrateur, intervenant ou stagiaire. </a></h3>
                <h2>Utilisateurs</h2>
                <h3><a href="adm_utilisateurs.php?url_ret=administration.php">Liste des utilisateurs</a> </h3>
                <h3><a href="adm_liste_acces.php">Derniers acc&egrave;s utilisateurs </a></h3>
                <h2>Administrateurs</h2>
                <h3><a href="adm_administrateurs.php?url_ret=administration.php">Liste des administrateurs</a>,</h3>
                <p>Cr&eacute;ation de comptes, modification, suppression des comptes d'admnistrateurs d&eacute;l&eacute;gu&eacute;s ou principaux. </p>
                <h3> <a href="adm_circos_liste.php?url_ret=administration.php">Envoi de courriels aux administrateurs par circos,</a> <a href="adm_courriels_admin.php?url_ret=administration.php">Envoi  de courriels aux administrateurs par ordre alphab&eacute;tique </a> </h3>
                <h2>Stagiaires</h2>
                <h3><a href="adm_stagiaire_tous_liste.php?url_ret=administration.php">Liste des stagiaires </a></h3>
                <p>Possibilit&eacute; de modifier leur affectation.</p>
                <h3><a href="adm_adm_stagiaire_edite.php?id_stagiaire=0&amp;url_ret=administration.php">Nouveau stagiaire</a></h3>
                <p>Inscrire un nouveau stagiaire dans la base  </p>
                <h2>Intervenants</h2>
                <h3><a href="adm_intervenants_operations.php?url_ret=administration.php">Op&eacute;rations globales sur les intervenants</a> </h3>
                <h3><a href="adm_intervenants_liste.php?url_ret=administration.php">Liste des intervenants et op&eacute;rations diverses </a> </h3>
              <h3><a href="adm_intervenants_publipostage.php">Publipostage: envoi des informations de connexion aux intervenants </a></h3>
              <h1>Param&eacute;trage des tables</h1>
              <h2>R&eacute;initialisations des tables</h2>
              <h3><a href="adm_adm_raz.php">Effacer les param&egrave;tres des circos</a> (stagiaires, plans, etc) d'une ann&eacute;e et pr&eacute;parer l'ann&eacute;e suivante. </h3>
              <h3><a href="adm_adm_raz_stag.php">Effacer les stagiaires sur un ensemble de circos </a></h3>
              <h3><a href="adm_adm_raz_tout.php">Tout effacer</a>, pour recommencer une nouvelle session &agrave; partir de z&eacute;ro. </h3>
              <h3><a href="adm_sauvegardes.php">Sauvegardes</a>, <a href="adm_restauration.php">Restauration</a></h3>
              <p><em>Vous pouvez aussi restaurer un fichier provenant de la version 6. </em></p>
              <h2>La base </h2>
              <h3><a href="adm_infobase.php">Informations sur la base de donn&eacute;es </a></h3>
              <h3><a href="adm_adm_statistiques.php">Statistiques</a></h3>
              <h3><a href="adm_test_integrite.php">Test d'int&eacute;grit&eacute; de la base</a>, <a href="adm_auto_repare.php">Auto-r&eacute;paration de la base</a></h3>
              <h3><a href="adm_reindexer.php">R&eacute;indexation de la base </a></h3>
              <h3><a href="adm_niveaux.php?url_ret=administration.php">Modifier les diff&eacute;rents niveaux d'enseignement </a></h3>
              <h3><a href="adm_suffixes.php?url_ret=administration.php">Modifier les suffixes de courriels acad&eacute;miques et professionnels </a></h3>
              <h3><a href="adm_categories.php?url_ret=administration.php">Programmer les cat&eacute;gories </a></h3>
              <h3><a href="adm_quotites.php?url_ret=administration.php">Modifier les quotit&eacute;s</a></h3>
              <h1>Importations, exportations</h1>
              <h2>Exportations et importations au format  csv (codage ISO 8859-1) </h2>
              <h3><a href="adm_circos_export.php?url_ret=administration.php">Exporter les circos</a>, <a href="adm_circos_import.php?url_ret=administration.php">importer les circos</a> </h3>
              <h3><a href="adm_ecoles_export.php">Exporter toutes les &eacute;coles</a>, <a href="adm_importe_toutes_ecoles.php">Importer toutes les &eacute;coles</a></h3>
              <h3><a href="adm_intervenants_export.php">Exporter les intervenants,</a> <a href="adm_intervenants_importe.php">Importer des intervenants </a></h3>
            <h3><a href="adm_tout_exporte.php">Exporter toutes les &eacute;coles avec les stagiaires</a>, <a href="adm_tout_importe.php">Importer toutes les &eacute;coles et tous les stagiaires </a></h3>
            <h3><a href="adm_adm_convocation_export.php?url_ret=administration.php">Exporter toutes les convocations ou toutes les inscriptions</a> de plusieurs circos </h3>
            <p>Pour les circos s&eacute;lectionn&eacute;es, toutes les convocations ou inscriptions aux animations organis&eacute;es par ces circos. &Agrave; utiliser pour exporter les convocations vers un autre logiciel (M@gist&egrave;re, Ga&iuml;a...) </p>
            <h2>Exportations et importations au format xml (codage UTF-8)</h2>
            <h3><a href="adm_adm_plan_export_xml.php">Exporter les plans de formation des circos</a></h3>
            <h3><a href="adm_adm_plan_import_xml.php">Importer les plans de formation dans les circos</a> </h3>
            <?php
			  	if (isset($id_stagiaire) && $id_stagiaire>0) print "<p><a href=\"adm_stagiaire_connect.php?id_stagiaire=$id_stagiaire&amp;url_ret=administration.php\">Se connecter comme le stagiaire en cours</a></p>\n";
			?>
		  </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>