<?php
/* 
	Voir paramtres stagiaire
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_comptes_supprime=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_$url_ret_ins_comptes_supprime']=$url_ret_ins_comptes_supprime;
	}
	else if (isset($_SESSION['circonscript7_$url_ret_ins_comptes_supprime'])) {
		$url_ret_ins_comptes_supprime=$_SESSION['circonscript7_$url_ret_ins_comptes_supprime'];
	}
	else $url_ret_ins_comptes_supprime="ins_menu.php";
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	debugInit();
	ejecteSiFerme($h);
	$_SESSION['circonscript7_session_menu_page']=8;
	$id_stagiaires=array();
	$r=query("SELECT stagiaires.id_stagiaire, COUNT(convocations.id_convoc) AS c, COUNT(inscriptions.id_inscr) as i 
	FROM stagiaires 
	LEFT JOIN convocations ON convocations.id_stagiaire=stagiaires.id_stagiaire
	LEFT JOIN inscriptions ON inscriptions.id_stagiaire=stagiaires.id_stagiaire
	WHERE id_uti=$id_uti
	GROUP BY stagiaires.id_stagiaire 
	HAVING c=0 AND i=0",$h);
	while ($row=@mysqli_fetch_row($r)) $id_stagiaires[]=$row[0];
	while (isset($_POST['id'])) {
		$id_stagiaire=intval($_POST['id']);
		if (!in_array($id_stagiaire,$id_stagiaires)){
			$erreur="identificateur incorrect";
			break;
		}
		$_SESSION['circonscript7_id_stagiaire']=$id_stagiaire;
		header('Location: ins_comptes_supprime_verif.php?url_ret=ins_comptes_supprime.php');
		exit;
	}
	
	
function afficheComptes($h)
{
	global $id_uti,$id_stagiaires;
	print "<ul class=\"fleche\">\n";
	foreach($id_stagiaires as $id_stagiaire) {
		$r=query("SELECT concat(stagiaires.nom,' ',stagiaires.prenom), ecoles.nom, circos.libelle FROM stagiaires, ecoles,circos WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h);
		while ($row=@mysqli_fetch_row($r)) {
			printf("<li><p><a href=\"javascript:connect($id_stagiaire)\">%s</a> %s (%s)</p></li>\n", htmlentities($row[0],ENT_COMPAT,'ISO-8859-15'),htmlentities($row[1],ENT_COMPAT,'ISO-8859-15'),htmlentities($row[2],ENT_COMPAT,'ISO-8859-15'));
		}
	}
	print "</ul>\n";
	
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function connect(ident)
		{
			document.form1.id.value=ident;
			document.form1.submit();
		}			
		//-->	
		</script>	
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
			  <li><a href="<?php print $url_ret_ins_comptes_supprime?>">retour</a></li>
			  <li><a href="#bas">bas</a></li>
			</ul>
			</div>  
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>
				Supprimer des comptes "enseignants" inutiliss </h1>
				<p>Seuls figurent dans cette liste des comptes "enseignants" pour lesquels vous n'avez pas effectu de voeux et pour lesquels il n'y a pas de convocation.</p>
				<p>Pour supprimer un compte, cliquez sur son libell. Une nouvelle page vous rappellera les paramtres de ce compte et permettra de le supprimer.</p>
				<h2>Liste des comptes pouvant tre supprims</h2>
				<form name="form1" method="post" action="">
		      <input name="id" type="hidden" id="id" />
				<?php afficheComptes($h)?>
				</form>
          </div>
			<a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  <li><a href="<?php print $url_ret_ins_comptes_supprime?>">retour</a></li>
		  <li><a href="#haut">haut</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>