<?php
/* 
	Envoi de courriels aux stagiaires ayant perdu leur mot de passe	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	require '_fonctions_identifiant.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	
	if (isset($_GET['id_circo'])) $id_circo=intval(normalise($_GET['id_circo']));
	else $id_circo=0;
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_envoi_courriel=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_envoi_courriel']=$url_ret_ins_envoi_courriel;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_envoi_courriel'])) {
		$url_ret_ins_envoi_courriel=$_SESSION['circonscript7_url_ret_ins_envoi_courriel'];
	}
	else $url_ret_ins_envoi_courriel="index.php";
	
	$erreur='';
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$courriel='';
	$webcourriel='';
	$courriel_admin='';
	$r=query("SELECT courriel, webcourriel FROM general",$h);
	$row=@mysqli_fetch_row($r);
	if ($row){
		$courriel_admin=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		$webcourriel=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
	}
	if ($id_circo>0)  {
		$courriel_circo=htmlentities(queryValue("SELECT circos.courriel FROM circos WHERE circos.id_circo=$id_circo",$h),ENT_COMPAT,'ISO-8859-15');
		$nom_circo=htmlentities(queryValue("SELECT circos.libelle FROM circos WHERE circos.id_circo=$id_circo",$h),ENT_COMPAT,'ISO-8859-15');
	}
	else { 
		$courriel_circo='';
		$nom_circo='';
	}
	$suffixe_courriel=suffixeDefaut($h);
	if ($courriel_admin) {
		list($a,$b)=explode('@',$courriel_admin);
		$courriel1="<a href=\"#\" onclick=\"javascript:jsCourriel('$b','$a')\"><img src=\"images/internet-mail.png\" alt=\"courriel\" width=\"22\" height=\"22\" border=\"0\" /></a>";
	}
	else $courriel1="[courriel indisponible]";	
	if ($courriel_circo) {
		list($a,$b)=explode('@',$courriel_circo);
		$courriel2="<a href=\"#\" onclick=\"javascript:jsCourriel('$b','$a')\"><img src=\"images/internet-mail.png\" name=\"courriel\" width=\"22\" height=\"22\" border=\"0\" alt=\"courriel\" /></a>";
	}
	else $courriel2="[courriel indisponible]";	
	while (isset($_POST['courriel'])) {
		$courriel=strtolower(normaliseT($_POST['courriel'],255));
		if ($courriel=='') {
			$erreur="Veuillez indiquer une adresse de courriel valide";
			break;
		}
		if (!testeEMail($courriel)) {
			$erreur="Adresse de courriel incorrecte";
			break;		
		}
		if (isset($_SESSION['circonscript7_ins_envoi_courriel']) && $_SESSION['circonscript7_ins_envoi_courriel']==$courriel) { 								
			$erreur="Un courriel a dj t envoy  cette adresse.";
			break;
		}
		$id_uti=0;
		$hash='';
		$sso_login_lu='';
		$q="SELECT id_uti,hash,sso_login FROM utilisateurs WHERE login LIKE '$courriel'";
		$r=query($q,$h);
		if ($r) {
			$row=@mysqli_fetch_row($r);
			if (count($row)==3) {
				$id_uti=$row[0];
				$hash=$row[1];
				$sso_login_lu=$row[2];
			}
		}
		if ($id_uti=='') {
			$erreur="Adresse courriel non trouve dans les listes.";
			if ($suffixe_courriel) {
				$x=strpos($courriel,"@$suffixe_courriel");
				if (!$x) $erreur.=" Essayez aussi l'adresse de courriel en \"@$suffixe_courriel\".";
				else { //adresse acadmique existe sous deux formes: nom.prenom@ac-xxx, ou pnom@ac-xxx. 
					// si le stagiaire utilise pnom@xxx, on lui demande d'essayer prenom.nom
					$p=strpos(substr($courriel,0,$x),'.');
					if (!$p) $erreur.=" Essayez aussi l'adresse acadmique sous la forme: prenom.nom@$suffixe_courriel (c'est la forme officielle).";
				}
			}
			break;
		}
/*
		// si tentative d'obtenir les identifiants via l'extrieur alors qu'on doit se connecter via le portail
		// c'est possible que pour les superadmins. Attention, on l'autorise tout de mme si on est dj sur le portail SSO (sso_login ou sso_usermail renseigns) car cela signifie que l'accs via les services sso a chou.
		if ($use_sso && $sso_bloque_exterieur && $sso_login_lu) {
			$b=queryValue("SELECT COUNT(*) FROM administrateurs WHERE id_uti=$id_uti AND type_admin=1",$h);
			if (!$b && empty($sso_login) && empty($sso_usermail)) {
				$erreur="Envoi de courriel bloqu: vous devez passer par le portail $sso_portail. L'accs extrieur  Circon'script vous est interdit.";
				break;
			}
		}
*/		
		if ($hash=='bloque') {
			header('Location: erreur.php?erreur=bloque');
			exit;
		}
		// force l'affichage de tous les paramtres si sso_login n'est pas vide,
		// car cela signifie qu'on s'est connect sur le portail SSO mais que le compte est 
		// renseign avec un mauvais sso_login, et donc la connexion n'a pas t faite puisqu'on se 
		// retrouve sur  cette page...
		publipostage($id_uti,$h,$courriel,'','','','',$sso_login!='');
		if (!$erreur) {
			$erreur="Un courriel vient d'tre envoy  l'adresse: $courriel";
			$_SESSION['circonscript7_ins_envoi_courriel']=$courriel;
		}
		break;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function jsCourriel(a,b)
			{
				parent.location='mailto:'+b+'@'+a;
			}
		//-->	
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print "$url_ret_ins_envoi_courriel?id_circo=$id_circo"  ?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Recevoir le mot de passe et les autres informations de connexion par courriel </h1>
				<div class="alaffiche">
				<p>Indiquez votre adresse de courriel (celle r&eacute;f&eacute;renc&eacute;e dans Circon'script). Vous recevrez <strong>le mot de passe </strong>et les autres param&egrave;tres de connexion.</p>
				<h3>Adresse de courriel r&eacute;f&eacute;renc&eacute;e dans Circon'script : </h3>
				<form name="form1" method="post" action="">
			      <p>
			        <input name="courriel" type="text" size="80" maxlength="250" value="<?php print htmlspecialchars($courriel,ENT_COMPAT,'ISO-8859-15')?>" />
			        <input name="Submit" type="submit" class="bouton_standard" value="Envoyer un courriel &agrave; cette adresse" />
			      </p>
			</form>
			<?php if ($webcourriel) print "<p><a href=\"$webcourriel\" target=\"blank\">Acc&eacute;dez &agrave; la messagerie acadmique</a></p>\n"; ?>
            </div>
			    <h1>M&eacute;thodes alternatives  </h1>
			    <p>Utilisez ces m&eacute;thodes uniquement si l'envoi de courriel a &eacute;chou&eacute; (courriel non reconnu, mot de passe non r&eacute;v&eacute;l&eacute; dans le courriel). </p>
			    <h2> Contacter l'administrateur via un formulaire</h2>
			    <p>Utilisez ce formulaire <strong>uniquement si l'envoi des informations par courriel, ci-dessus, a &eacute;chou&eacute; et vous ne pouvez pas entrer sur le site via l'entr&eacute;e &quot;acc&egrave;s par circonscription&quot;. </strong>  </p>
            <p><a href="ins_form_mdp.php?url_ret=ins_envoi_courrier.php&amp;id_circo=<?php print $id_circo ?>">Formulaire pour  la v&eacute;rification du compte.</a>  </p>
            <h2> Contacts directs par courriel </h2>
            <p>Si vraiment, aucune des m&eacute;thodes ci-dessus n'a abouti... </p>
            <h3>Administration du site <?php print $courriel1?> </h3>
            <p>Contactez l'administrateur du site pour tout probl&egrave;me informatique (bugs, probl&egrave;mes informatiques,...).</p>
	          <p><span class="important">Indiquez clairement votre nom, pr&eacute;nom et &eacute;cole de rattachement.</span></p>
<?php if ($id_circo>0) { ?>
			  <h3>Administration des animations p&eacute;dagogiques de la circonscription: <?php print "$nom_circo $courriel2"?>
              </h3>
	          <p>Contactez l'animateur de votre circonscription pour tout ce qui concerne la gestion de vos animations p&eacute;dagogiques (inscriptions, convocations, plan de formation).</p>
			    <p class="important">Indiquez clairement votre nom, pr&eacute;nom et &eacute;cole de rattachement. </p>
<?php } ?>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print "$url_ret_ins_envoi_courriel?id_circo=$id_circo"  ?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>