<?php
/* 
	Plan de formation complet, stagiaire
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_plan=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_plan']=$url_ret_ins_plan;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_plan'])) {
		$url_ret_ins_plan=$_SESSION['circonscript7_url_ret_ins_plan'];
	}
	else $url_ret_ins_plan="adm_animations.php";
	if (!isset($_SESSION['circonscript7_id_stagiaire'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	$_SESSION['circonscript7_session_menu_page']=3;
	$h=connect();
	ejecteSiFerme($h);
	
	$q="SELECT circos.id_circo, circos.libelle FROM circos,ecoles, stagiaires WHERE  stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole and circos.id_circo=ecoles.id_circo";
	$row=queryRow($q,$h);
	$id_circo=$row[0];
	$libelle=$row[1];
	if (isset($_SESSION['circonscript7_ins_plan_test_date'])) $test_date=$_SESSION['circonscript7_ins_plan_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_ins_plan_date'])) $date=$_SESSION['circonscript7_ins_plan_date'];
	else $date='';
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0&&$test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_ins_plan_test_date']=$test_date;
			$_SESSION['circonscript7_ins_plan_date']=$date;
		}
	}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> 
		<link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}	
	//-->	
		</script>
		
		</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_ins_plan?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
	  				<li><a href="javascript:print()">imprimer</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  	<h1>Plan de formation <?php print htmlentities($libelle,ENT_COMPAT,'ISO-8859-15')?></h1>
				<?php afficherLienExterne($id_circo,0,$h)?>
			    <form method="post" action="">
			      <table border="0">
                    <tr>
                      <td>Surligner</td>
                      <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>

                      </select></td>
                      <td>&agrave; date:
                        <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/>
                        <br />
                        <em>Tapez une date au format j/m/aaaa </em></td>
                      <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                    </tr>
                  </table>
		      </form>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
			  	<div id="animation">
				 <?php if ($id_circo) affichePlanFormation($id_circo,$h,14,$id_stagiaire,'',0,$test_date,$date,0) ?>
			  	</div>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_ins_plan?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
	  				<li><a href="javascript:print()">imprimer</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>