<?php
/* 
	Transfert obligatoire du stagiaire vers une circo / cole (utilis dans une circo virtuelle de transfert)
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	$id_stagiaire=queryValue("SELECT stagiaires.id_stagiaire FROM stagiaires, ecoles, circos WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole =ecoles.id_ecole AND ecoles.id_circo=circos.id_circo AND circos.type_circo=2",$h);
	if (!$id_stagiaire) {
		header('Location: erreur.php?erreur=affectation');
		exit;
	}
	$page=1;
	if (isset($_SESSION['circonscript7_ins_transfert_page'])) $page=$_SESSION['circonscript7_ins_transfert_page'];
	$q="Select nom, prenom FROM stagiaires WHERE id_stagiaire=$id_stagiaire";
	$r=query($q,$h);
	$row=@mysqli_fetch_array($r);
	$nom=htmlentities($row['nom'],ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($row['prenom'],ENT_COMPAT,'ISO-8859-15');
	$id_circo_stag=0;
	$id_ecole_stag=0;
	if (isset($_SESSION['circonscript7_ins_transfert_id_circo_stag'])) $id_circo_stag=$_SESSION['circonscript7_ins_transfert_id_circo_stag'];
	if (isset($_SESSION['circonscript7_ins_transfert_id_ecole_stag'])) $id_ecole_stag=$_SESSION['circonscript7_ins_transfert_id_ecole_stag'];
	$circo='';
	$ecole='';
	if (isset($_POST['commande'])&& $_POST['commande']=='circo' && isset($_POST['circos_stag'])) {
		$id_circo_stag=abs(intval($_POST['circos_stag']));
		if ($id_circo_stag)
			if (queryValue("SELECT COUNT(*) FROM circos , ecoles WHERE circos.id_circo='$id_circo_stag' AND circos.type_circo=0 AND ecoles.id_circo=circos.id_circo GROUP BY circos.id_circo",$h)==0) $id_circo_stag=0;
		$id_ecole_stag=0;
	}
	else if (isset($_POST['valider']) && $page==1){
		$id_circo_stag=0;
		if (isset($_POST['circos_stag'])) {
			$id_circo_stag=abs(intval($_POST['circos_stag']));
			if ($id_circo_stag)
				if (queryValue("SELECT COUNT(*) FROM circos , ecoles WHERE circos.id_circo='$id_circo_stag' AND circos.type_circo=0 AND ecoles.id_circo=circos.id_circo GROUP BY circos.id_circo",$h)==0) $id_circo_stag=0;
		}
		$id_ecole_stag=0;
		if (isset($_POST['ecoles_stag'])) {
			$id_ecole_stag=abs(intval($_POST['ecoles_stag']));
			if ($id_ecole_stag)
				if (queryValue("SELECT COUNT(*) FROM ecoles WHERE id_circo='$id_circo_stag' AND id_ecole='$id_ecole_stag'",$h)==0) $id_circo_stag=0;
		}
		if (!$id_circo_stag) $erreur="Choisissez une circonscription. ";
		else if (!$id_ecole_stag) $erreur="Choisissez une cole. ";
		if (!$erreur) {
			$page=2;
			$_SESSION['circonscript7_ins_transfert_id_circo_stag']=$id_circo_stag;
			$_SESSION['circonscript7_ins_transfert_id_ecole_stag']=$id_ecole_stag;	
			$_SESSION['circonscript7_ins_transfert_page']=$page;
		}
	}
	if (isset($_POST['retour']) && $page==2) {
		$page=1;
		$_SESSION['circonscript7_ins_transfert_page']=$page;
	}
	if (isset($_POST['valider2']) && $page==2) {
		query("DELETE FROM inscriptions WHERE id_stagiaire='$id_stagiaire'",$h);
		query("DELETE FROM convocations WHERE id_stagiaire='$id_stagiaire'",$h);
		query("DELETE FROM absences WHERE id_stagiaire='$id_stagiaire'",$h);
		// normalement le stagiaire ne devrait pas tre dj dans l'cole qu'il a choisie... sauf si, entretemps, une circo l'y a plac!
		$n=queryValue("SELECT COUNT(*) FROM stagiaires WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole=$id_ecole_stag",$h);
		if (!$n) query("UPDATE stagiaires SET id_groupe=0,id_ecole='$id_ecole_stag' WHERE id_stagiaire='$id_stagiaire'",$h);
		else query("DELETE FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
		// supprime tous les comptes des circos virtuelles de transfert que l'utilisateur pourrait encore avoir
		$r=query("SELECT stagiaires.id_stagiaire FROM stagiaires, ecoles, circos WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo AND circos.type_circo=2",$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_stagiaire=$row[0];
			query("DELETE FROM inscriptions WHERE id_stagiaire='$id_stagiaire'",$h);
			query("DELETE FROM convocations WHERE id_stagiaire='$id_stagiaire'",$h);
			query("DELETE FROM absences WHERE id_stagiaire='$id_stagiaire'",$h);
			query("DELETE FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
		}
		header('Location: compte.php');
		exit;
	}
	if ($page==2) {
		$circo=queryValue("SELECT libelle FROM circos WHERE id_circo='$id_circo_stag'",$h);
		$ecole=queryValue("SELECT nom FROM ecoles WHERE id_ecole='$id_ecole_stag'",$h);
	}
function afficheCircos($h,$id_circo)
{
	$q="SELECT circos.id_circo, circos.libelle FROM circos, ecoles WHERE type_circo=0 AND ecoles.id_circo=circos.id_circo GROUP BY circos.id_circo ORDER BY circos.libelle ASC";
	$r=query($q,$h);
	$trouve=false;
	while($row=@mysqli_fetch_row($r)) {
		$id_circo_courante=$row[0];
		$circo=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_circo_courante\"";
		if (isset($id_circo) && $id_circo==$id_circo_courante) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">$circo</option>\n";
	}
	if (!$trouve) print "<option value=\"0\" selected=\"selected\">Choisissez une circo</option>\n";
}
function afficheEcoles($h,$id_circo,$id_ecole)
{
	global $erreur;
	if ($id_circo==0) {
		print "<option value=\"0\" selected=\"selected\">Choisissez d'abord une circo</option>\n";
		return;
	}
	$q="SELECT id_ecole, nom FROM ecoles WHERE ecoles.id_circo=$id_circo ORDER BY nom ASC";
	$r=query($q,$h);
	$trouve=false;
	while($row=@mysqli_fetch_row($r)) {
		$id_ecole_courante=$row[0];
		$nom_ecole=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_courante\"";
		if (isset($id_ecole) && $id_ecole_courante==$id_ecole) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">$nom_ecole</option>\n";
	}
	if (!$trouve) print "<option value=\"0\" selected=\"selected\">Choisissez une &eacute;cole</option>\n";
}
	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function circochange()
			{
				document.formulaire.commande.value='circo';
				document.formulaire.submit();	
			}
	//-->	
		</script>
		</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal_vide.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
			  <li><a href="#bas">bas</a></li>
			</ul>
			</div>  
		  <div id="corps">	 
				<h1>
				Affectation sur une circonscription et une &eacute;cole </h1>
                  <?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>
			    <h4>Votre compte : <?php print "$nom $prenom"; ?></h4>
			    <?php if ($page==1) :?>
				<p>Bonjour,</p>
			    <p>Veuillez choisir votre circonscription et votre &eacute;cole de rattachement.</p>
			    <p><strong>Apr&egrave;s validation, le choix de cette circonscription sera d&eacute;finitif</strong>. <br />
		        Vous pourrez  modifier le choix de l'&eacute;cole &agrave; tout moment dans la rubrique &quot;mon compte&quot;.</p>
			    <p>Si vous &ecirc;tes affect&eacute;(e) sur plusieurs circonscriptions et souhaitez participer aux animations p&eacute;dagogiques de chacune, choisissez ici une premi&egrave;re circonscription. Une fois affect&eacute;(e) &agrave; cette circonscription, demandez aux mod&eacute;rateurs des autres circonscriptions de vous inscrire parmi leurs stagiaires. Vous aurez ainsi un acc&egrave;s &agrave; plusieurs plans de formation. </p>
			    <form method="post" action="" name="formulaire">
				<table>
                  <tr class="survol">
                    <td><h4>
                      <input name="commande" type="hidden" id="commande" value="0" />
                    Circonscription :  </h4></td>
                    <td><select name="circos_stag" id="circos_stag" onchange="javascript:circochange()">
						<?php afficheCircos($h,$id_circo_stag)?>
                    </select></td>
                  </tr>
                  <tr class="survol">
                    <td><h4>Ecole : </h4></td>
                    <td><select name="ecoles_stag" id="ecoles_stag" >
						<?php afficheEcoles($h,$id_circo_stag,$id_ecole_stag)?>
                    </select></td>
                  </tr>
                  <tr class="survol">
                    <td>&nbsp;
                    </td>
                    <td>
                      <input name="valider" type="submit" class="bouton_standard" id="valider" value="Suite" />
                      <em>
                    Vers la page de r&eacute;capitulation, pour validation d&eacute;finitive. </em></td>
                  </tr>
                  <tr class="survol">
                    <td>&nbsp;</td>
                    <td><p>&nbsp;</p></td>
                  </tr>
                  <tr class="survol">
                    <td>&nbsp;</td>
                    <td><p>&nbsp;</p></td>
                  </tr>
            </table>
			<?php else :?>
				<h2>Rcapitulation</h2>
				<p>Vous tes sur le point d'tre affect(e) sur : </p>
				<table>
				<tr>
				<td><h4>Circonscription :</h4></td><td><h4> <?php  print htmlentities($circo,ENT_COMPAT,'ISO-8859-15')?></h4></td>
				</tr>
				<tr>
				<td><h4>Ecole : </h4></td><td><h4><?php  print htmlentities($ecole,ENT_COMPAT,'ISO-8859-15')?></h4></td>
				</tr>
				</table>
				 <p>Si vous validez, le choix de la circonscription sera dfinitif. Le choix de l'cole,  l'intrieur de la circonscription, pourra tre modifi  tout moment dans la rubrique "mon compte".</p>
				 <h4>Validez-vous cette affectation ?</h4>
			    <form method="post" action="" name="formulaire2">
				  <div align="center">
  <input name="valider2" type="submit" class="bouton_standard" id="valider2" value="OUI, je valide d&eacute;finitivement cette affectation " />
  &nbsp;&nbsp;
				    <input name="retour" type="submit" class="bouton_standard" id="retour" value="NON, je souhaite revenir sur mon choix" />
			        </div>
			    </form>
			<?php endif ?>
			</form>
          </div>
		  <a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  <li><a href="#haut">haut</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>