<?php
/* 
	Popup filtre courriel
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_intervenant'])&& !isset($_SESSION['circonscript7_id_admin'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}
	include('_fonctions.inc.php');		
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	// rcupre id_seance de la page appelante
	$id_seance=0;
	if (isset($_SESSION['circonscript7_int_courriels_id_date'])) $id_date=$_SESSION['circonscript7_int_courriels_id_date'];
	else {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}

	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_id_ecole']))$int_filtre_courriel_popup_id_ecole=$_SESSION['circonscript7_int_filtre_courriel_popup_id_ecole'];
	else $int_filtre_courriel_popup_id_ecole=0;
	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_id_circo']))$int_filtre_courriel_popup_id_circo=$_SESSION['circonscript7_int_filtre_courriel_popup_id_circo'];
	else $int_filtre_courriel_popup_id_circo=0;
	
	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_niveau']))$int_filtre_courriel_popup_niveau=$_SESSION['circonscript7_int_filtre_courriel_popup_niveau'];
	else $int_filtre_courriel_popup_niveau='';
	
	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_action_niveau']))$int_filtre_courriel_popup_action_niveau=$_SESSION['circonscript7_int_filtre_courriel_popup_action_niveau'];
	else $int_filtre_courriel_popup_action_niveau=0;
	
	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_action_ecole']))$int_filtre_courriel_popup_action_ecole=$_SESSION['circonscript7_int_filtre_courriel_popup_action_ecole'];
	else $int_filtre_courriel_popup_action_ecole=0;

	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_action_circo']))$int_filtre_courriel_popup_action_circo=$_SESSION['circonscript7_int_filtre_courriel_popup_action_circo'];
	else $int_filtre_courriel_popup_action_circo=0;
	
	if (isset($_SESSION['circonscript7_int_filtre_courriel_popup_action_operateur']))$int_filtre_courriel_popup_action_operateur=$_SESSION['circonscript7_int_filtre_courriel_popup_action_operateur'];
	else $int_filtre_courriel_popup_action_operateur='OR';
	
	while (isset($_POST['valider'])) {
		$cde_niveau='';
		$quota=queryValue("SELECT quota FROM general",$h);
		if (isset($_POST['ensemble'])) $int_filtre_courriel_popup_action_operateur=$_POST['ensemble']=='et'?'AND':'OR';
		if (isset($_POST['niveau_1']) && isset($_POST['niveau_stag'])) {
			foreach($_POST['niveau_stag'] as $nv) {
				$nv=myLikeEscapeString($h,$nv);
				$int_filtre_courriel_popup_niveau.='/'.$nv; // niveau est utilis pour rafficher les coches
				if ($cde_niveau=='') $cde_niveau="niveau LIKE '%/$nv/%'";
				else $cde_niveau.=" $int_filtre_courriel_popup_action_operateur niveau LIKE '%/$nv/%'";
			}
			if ($int_filtre_courriel_popup_niveau) $int_filtre_courriel_popup_niveau.='/';
			$int_filtre_courriel_popup_action_niveau=1;
		}
		else $int_filtre_courriel_popup_action_niveau=0;
		if (isset($_POST['ecole_1']) && isset($_POST['ecole_stag'])) {
			$id_ecole=abs(intval($_POST['ecole_stag']));
			$int_filtre_courriel_popup_id_ecole=$id_ecole;
			$int_filtre_courriel_popup_action_ecole=1;
		}
		else $int_filtre_courriel_popup_action_ecole=0;
		if (isset($_POST['circo_1']) && isset($_POST['circo_stag'])) {
			$id_circo=abs(intval($_POST['circo_stag']));
			$int_filtre_courriel_popup_id_circo=$id_circo;
			$int_filtre_courriel_popup_action_circo=1;
		}
		else $int_filtre_courriel_popup_action_circo=0;

		$_SESSION['circonscript7_int_filtre_courriel_popup_niveau']=$int_filtre_courriel_popup_niveau;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_niveau']=$int_filtre_courriel_popup_action_niveau;
		$_SESSION['circonscript7_int_filtre_courriel_popup_id_ecole']=$int_filtre_courriel_popup_id_ecole;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_ecole']=$int_filtre_courriel_popup_action_ecole;
		$_SESSION['circonscript7_int_filtre_courriel_popup_id_circo']=$int_filtre_courriel_popup_id_circo;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_circo']=$int_filtre_courriel_popup_action_circo;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_operateur']=$int_filtre_courriel_popup_action_operateur;
		
		$q='';
		if ($int_filtre_courriel_popup_action_niveau) $q="($cde_niveau)";
		if ($int_filtre_courriel_popup_action_ecole) 
			if ($q) $q.=" AND ecoles.id_ecole=$int_filtre_courriel_popup_id_ecole";
			else $q="ecoles.id_ecole=$int_filtre_courriel_popup_id_ecole";
		if ($int_filtre_courriel_popup_action_circo) 
			if ($q) $q.=" AND circos.id_circo=$int_filtre_courriel_popup_id_circo";
			else $q="circos.id_circo=$int_filtre_courriel_popup_id_circo";
		
		
		// Communications vers le parent
		$filtre_courriel_where=$q;
		$_SESSION['circonscript7_filtre_courriel_where']=$filtre_courriel_where; // le filtre  ajouter  WHERE
		$filtre_courriel_actif= $int_filtre_courriel_popup_action_niveau||$int_filtre_courriel_popup_action_ecole||$int_filtre_courriel_popup_action_circo?1:2;
		$_SESSION['circonscript7_filtre_courriel_actif']=$filtre_courriel_actif;// 1 si un filtre doit tre slectionn dans la page parent
		break;
	}
	if (isset($_POST['raz'])) {
		$int_filtre_courriel_popup_niveau=0;
		$int_filtre_courriel_popup_action_niveau=0;
		$int_filtre_courriel_popup_id_ecole=0;
		$int_filtre_courriel_popup_action_ecole=0;
		$int_filtre_courriel_popup_id_circo=0;
		$int_filtre_courriel_popup_action_circo=0;
		$int_filtre_courriel_popup_action_operateur=0;
		$filtre_courriel_where='';
		$filtre_courriel_actif=2; // 2: le filtre doit tre dsactiv car tout est mis  0
		$_SESSION['circonscript7_int_filtre_courriel_popup_niveau']=$int_filtre_courriel_popup_niveau;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_niveau']=$int_filtre_courriel_popup_action_niveau;
		$_SESSION['circonscript7_int_filtre_courriel_popup_id_ecole']=$int_filtre_courriel_popup_id_ecole;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_ecole']=$int_filtre_courriel_popup_action_ecole;
		$_SESSION['circonscript7_int_filtre_courriel_popup_id_circo']=$int_filtre_courriel_popup_id_circo;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_circo']=$int_filtre_courriel_popup_action_circo;
		$_SESSION['circonscript7_int_filtre_courriel_popup_action_operateur']=$int_filtre_courriel_popup_action_operateur;
		$_SESSION['circonscript7_filtre_courriel_where']=$filtre_courriel_where; // le filtre  ajouter  WHERE
		$_SESSION['circonscript7_filtre_courriel_actif']=$filtre_courriel_actif;// 1 si un filtre doit tre slectionn dans la page parent
	}
	
function afficheNiveaux($h)
{
	global $int_filtre_courriel_popup_niveau;

	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($int_filtre_courriel_popup_niveau,$nv[$col][$lig])===false)) $chk='checked="checked"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" %s onclick=\"javascript:cocheNiveau()\" />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "</table>\n";
}
function afficheEcoles($h)
{
	global $erreur,$int_filtre_courriel_popup_id_ecole,$id_date;
	
	$r=query("SELECT ecoles.id_ecole, ecoles.nom FROM ecoles,convocations,dates,stagiaires WHERE convocations.id_seance=dates.id_seance AND dates.id_date=$id_date AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole GROUP BY ecoles.id_ecole ORDER BY ecoles.nom",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_ecole_cour=$row[0];
		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_cour\"";
		if ($int_filtre_courriel_popup_id_ecole==$id_ecole_cour) print " selected=\"selected\" ";
		print">$libelle</option>\n";
	}
}	
function afficheCircos($h)
{
	global $erreur,$id_date,$int_filtre_courriel_popup_id_circo;
	
	$r=query("SELECT circos.id_circo, circos.libelle FROM circos,ecoles,convocations,stagiaires,dates WHERE convocations.id_seance=dates.id_seance AND dates.id_date=$id_date AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND circos.id_circo=ecoles.id_circo GROUP BY circos.id_circo ORDER BY circos.libelle",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_circo_cour=$row[0];
		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_circo_cour\"";
		if ($int_filtre_courriel_popup_id_circo==$id_circo_cour) print " selected=\"selected\" ";
		print">$libelle</option>\n";
	}

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function coche(obj)
{
	if (obj.checked) {
		leForm=obj.form;
		if (obj==leForm.ecole_1) leForm.circo_1.checked=false;
		else leForm.ecole_1.checked=false;
	}
}
function cocheListe(obj)
{
	if (obj==document.form.ecole_stag) {
		document.form.ecole_1.checked=true;
		document.form.circo_1.checked=false;
	}
	else if (obj==document.form.circo_stag) {
		document.form.circo_1.checked=true;
		document.form.ecole_1.checked=false;
	}

}
function cocheNiveau()
{
	c=false;
	laListe = document.form["niveau_stag[]"]

  	if (laListe != null){
		if (laListe.length != null){
	  		for(i=0; i < laListe.length; i++) 
				if (laListe[i].checked) {
					c=true;
					break;
				}
			
		}	 
		else c=laListe.checked;
	}
	document.form.niveau_1.checked=c;
}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["niveau_stag[]"]
  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
  leForm.niveau_1.checked=obj.checked;
}
//-->
        </script>
	</head>
	<body class="popup" >
	<div id="conteneur_popup">
	<div id="header_popup">Filtre sp&eacute;cial </div>
	<div id="corps_popup">
	<?php  
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
		else if (isset($_POST['annuler'])||isset($_POST['valider'])) {
			print "<script language=\"javascript\">\r\n";
			print "var x=window.opener.location.href;\r\n";
			print "var p=x.indexOf(\"?\");\r\n";
			print "if (p>0) x=x.substr(0,p);\r\n";
			print "window.opener.location=x;\r\n";
			print "self.close();\r\n"; 
			print "</script>"; 
		}
	?>
	<form name="form" method="post" action="">
				  <table align="center">
                    <tr>
                      <td colspan="2"><h1>filtrer les stagiaires: <br />
                      </h1></td>
                    </tr>
                    <tr>
                      <td rowspan="2" valign="top"><input name="niveau_1" type="checkbox" id="niveau_1" value="1" <?php  if($int_filtre_courriel_popup_action_niveau) print 'checked="checked"'?> />
                        de niveau : </td>
                      <td><?php
				  	afficheNiveaux($h);
				?>
                      <input name="tout" type="checkbox" id="tout" value="checkbox" onclick="cocheTout(this)" />
                      Tout</td>
                    </tr>
                    <tr>
                      <td><p>
                        <input type="radio" name="ensemble" value="ou" <?php  if ($int_filtre_courriel_popup_action_operateur=='OR') print "checked=\"checked\""?> />
                        S&eacute;lectionner les stagiaires qui poss&egrave;dent au moins un des niveaux coch&eacute;s</p>
                        <p>
                          <input type="radio" name="ensemble" value="et" <?php  if ($int_filtre_courriel_popup_action_operateur=='AND') print "checked=\"checked\""?>/> 
                      S&eacute;lectionner les stagiaires qui poss&egrave;dent exactement tous les niveaux coch&eacute;s</p></td>
                    </tr>
                    <tr>
                      <td valign="top"><input name="ecole_1" type="checkbox" id="ecole_1" value="1" <?php  if($int_filtre_courriel_popup_action_ecole) print 'checked="checked"'?> onclick="javascript:coche(this)" />                        
                      provenant de l'&eacute;cole: </td>
                      <td><select name="ecole_stag" id="ecole_stag" onchange="javascript:cocheListe(this)" >
                         <?php  afficheEcoles($h); ?>
                      </select>                     </td>
                    </tr>
                    <tr>
                      <td colspan="2" valign="top"><input name="circo_1" type="checkbox" id="circo_1" value="checkbox"  <?php  if($int_filtre_courriel_popup_action_circo) print 'checked="checked"'?> onclick="javascript:coche(this);" />
                        provenant de la circo: 
                          <select name="circo_stag" id="circo_stag" onchange="javascript:cocheListe(this)" >
                            <?php  afficheCircos($h); ?>
                                                    </select></td>
                    </tr>
                    <tr>
                      <td colspan="2"><div align="center">
                        <input name="valider" type="submit" class="bouton_standard" value="Valider" />&nbsp;
                        <input name="raz" type="submit" class="bouton_standard" id="raz" value="R.A.Z." />
                        &nbsp; 
                        <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Fermer" />
                      </div></td>
                    </tr>
                  </table>
      </form>

	</div>
	</div>
	</body>
</html>
