﻿<?php
/* 
	Codes d'erreur
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	$libelle='';
	switch($erreur)
	{
		case 'bdd1': $libelle="Impossible de se connecter à MySql";break;
		case 'bdd2': $libelle="Impossible de se connecter à la base de données";break;
		case 'expiree': $libelle="Session expirée";break;
		case 'var_session': $libelle="Une variable de session n'a pas été transmise correctement";break;
		case 'id_seance_inconnu': $libelle="L'identificateur de séance n'est pas valide";break;
		case 'id_date_erronee': $libelle="Vous n'avez pas acces a cette séance";break;
		case 'date_incorrecte': $libelle="Identificateur de date incorrect";break;
		case 'bdd': $libelle="Probleme d'acces a la base de données";break;
		case 'stagiaire_inexistant': $libelle="L'dentificateur du stagiaire n'est pas défini";break;
		case 'acces_site':$libelle="L'acces au site est fermé.";break;
		case 'id_circo': $libelle="Circonscription incorrecte";break;
		case 'id_ecole': $libelle="Ecole incorrecte";break;
		case 'enregistrement': $libelle="L'acces aux inscriptions des nouveaux stagiaires est fermé";break;
		case 'seance': $libelle="Séance non trouvée";break;
		case 'fermee': $libelle="L'acces a la circonscription est fermé";break;
		case 'stagiaire_circo': $libelle="Ce stagiaire n'appartient pas a votre circonscription";break;
		case 'index': $libelle="index incorrect";break;
		case 'licence_refusee': $libelle="L'installation de Circon'script est impossible tant que vous n'acceptez pas le contrat de licence";break;
		case 'id_intervenant': $libelle="Intervenant incorrect ou non renseigné";break;
		case 'id_groupe': $libelle="Groupe non spécifié ou incorrect.";break;
		case '404': $libelle="Erreur 404 : page non trouvée.";break;
		case 'id': $libelle="Identificateur incorrect";break;
		case 'courriel_admin': $libelle="Impossible d'envoyer un courriel a l'administrateur.";break;
		case 'theme': $libelle="Le domaine ou le thème n'appartiennent pas a votre circonscription.";break;
		case 'tentatives': $libelle="Trop de tentatives de connexion ont eu lieu. Veuillez fermer votre navigateur puis le relancer pour vous connecter a Circon'script.";break;
		case 'tentatives_courriel': $libelle="Trop de tentatives ont eu lieu. Vous devez fermer votre navigateur puis le relancer pour effectuer la réinitialisation du mot de passe.";break;
		case 'acces': $libelle="Probleme d'accès a la base de données";break;
		case 'utilisateur': $libelle="Identifiant de l'utilisateur inconnu ou incorrect";break;
		case 'admin': $libelle="Identifiant de l'administrateur inconnu ou incorrect";break;
		case 'suffixe': $libelle="L'administrateur n'a pas défini de suffixe de courriel.";break;
		case 'anim_non_trouvee': $libelle="Animation non trouvée (supprimée ?)";break;
		case 'autorisation':$libelle="L'identificateur d'autorisation n'est pas valide";break;
		case 'identifiant_pas_courriel': $libelle="Votre identifiant n'est pas une adresse de courriel valide. Opération annulée car impossible de vous envoyer le nouveau mot de passe. Contactez l'administrateur.";break;
		case 'hash': $libelle="La demande de réinitialisation du mot de passe ne peut pas (ou plus) être traitée. Il faut redemander le mot de passe par courriel à Circon'script";break; 
		case 'bloque': $libelle="L'administrateur principal a bloqué l'envoi des informations pour votre compte. Veuillez contacter l'administrateur principal.";break;
		case 'inscription':$libelle="Impossible de créer ce compte car l'identifiant (l'adresse de courriel) est déjà utilisé.";break;
		case 'portailSSO': $libelle="Cette opération est interdite dans le portail de services.";break;
		case 'portail':$libelle=sprintf("Cet accès est réservé aux intervenants extérieurs. Vous devez vous connecter à Circon'script via le portail%s.",empty($sso_portail)?'':" $sso_portail"); break;
		case 'sso_connexion': $libelle="Vous ne pouvez pas vous connecter à Circon'script dans le portail $sso_portail.";break;
		case 'affectation': $libelle="Ce stagiaire n'est pas en attente d'affectation.";break;
		case 'acces_page': $libelle="L'accès à cette partie du site est interdit.";break;
		case 'ban': $libelle="Trop de tentatives d'accès. Votre adresse IP est bannie pendant une durée limitée. Revenez plus tard.";break;
		default: $libelle="erreur inconnue";
		
	}
?>