<?php
/* 
	Menu absences
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	
	require('_session.php');  
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_absences_edite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_absences_edite']=$url_ret_adm_absences_edite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_absences_edite'])) {
		$url_ret_adm_absences_edite=$_SESSION['circonscript7_url_ret_adm_absences_edite'];
	}
	else $url_ret_adm_absences_edite="adm_presence_controle.php";
	$id_stagiaire=0;
	if (isset($_GET['id_stagiaire'])) $id_stagiaire=abs(intval($_GET['id_stagiaire']));
	else {
		header('Location: erreur.php?erreur=stagiaire_inexistant');
		exit;
	}
	$n=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if ($n==0) {
		header('Location: erreur.php?erreur=stagiaire_circo');
		exit;
	}
	$nom=queryValue("SELECT concat(nom,' ', prenom) FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
	if (isset($_POST['valider'])) {
		query("DELETE FROM absences WHERE id_stagiaire=$id_stagiaire",$h);
		$nb_abs=0;
		if (isset($_POST['absence'])) foreach($_POST['absence'] as $id_date) {
			if ($erreur) break;
			$id_date=intval($id_date);
			if (!$id_date) continue;
			$excuse=0;
			if (isset($_POST['excuse'])) if (in_array($id_date,$_POST['excuse'])) $excuse=1;
			$n=queryValue("SELECT COUNT(*) FROM convocations,dates WHERE convocations.id_stagiaire=$id_stagiaire AND convocations.id_seance=dates.id_seance AND dates.id_date=$id_date",$h); // petite vrification...
			if ($n==1) {
				query("INSERT INTO absences(id_stagiaire,id_date, excuse) VALUES($id_stagiaire,$id_date,$excuse)",$h); 
				if (!$erreur) ++$nb_abs;
			}
		}
		if (!$erreur) $erreur="$nb_abs absence(s) enregistre(s)";
		//modifier la table tmp_absences
		$n=queryValue("SELECT COUNT(*) FROM tmp_absences WHERE id_stagiaire=$id_stagiaire AND id_circo=$id_circo AND id_uti=$id_uti",$h);
		if ($n) {
			query("DELETE FROM tmp_absences WHERE id_circo=$id_circo AND id_uti=$id_uti",$h);
			$erreur.=htmlentities(" La table temporaire des absences a t efface. Vous devrez ractualiser la table.",ENT_COMPAT,'ISO-8859-15');

		}
	}	
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
    	<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function decocheExcuse(obj)
{
	leForm=obj.form;
	excuses=leForm["excuse[]"];
	absences=leForm["absence[]"];
	if (absences!=null) {
		if (absences.length!=null) {
			for (i=0;i<absences.length;i++) {
				if (!absences[i].checked) excuses[i].checked=false;
			}
		}
		else {
			if (!absences.checked ) excuses.checked=false;
		}
	}
}
function cocheAbsent(obj)
{
	leForm=obj.form;
	excuses=leForm["excuse[]"];
	absences=leForm["absence[]"];
	if (excuses!=null) {
		if (excuses.length!=null) {
			for (i=0;i<excuses.length;i++) {
				if (excuses[i].checked) absences[i].checked=true;
			}
		}
		else {
			if (excuses.checked ) absences.checked=true;
		}
	}
}

//-->
        </script>

	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print "$url_ret_adm_absences_edite?id_stagiaire=$id_stagiaire" ?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
			<li><a href="<?php print "adm_convocation_un_stagiaire.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_absences_edite.php" ?>">plan</a></li>
		</ul>
	</div>
	<div id="corps">	 
	  <h1>Absences de <?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?></h1>
		<p>Voici les animations o&ugrave; le stagiaire a &eacute;t&eacute; convoqu&eacute;.</p>
		<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>"; ?>
			  <div id="animation">
	  	<form method="post" action="">
	  <?php affichePlanFormation($id_circo,$h,16,$id_stagiaire,'',0,0,'',0) ?>
	
	</form>
	</div>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print "$url_ret_adm_absences_edite?id_stagiaire=$id_stagiaire"?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
			<li><a href="<?php print "adm_convocation_un_stagiaire.php?id_stagiaire=$id_stagiaire&amp;url_ret=adm_absences_edite.php" ?>">plan</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>