<?php
/* 
	Menu absences
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	$erreur="";
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';

	$h=connect();
	ejecteSiFerme($h);

	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_absences_voir=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_absences_voir']=$url_ret_adm_absences_voir;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_absences_voir'])) {
		$url_ret_adm_absences_voir=$_SESSION['circonscript7_url_ret_adm_absences_voir'];
	}
	else $url_ret_adm_absences_voir="adm_presence_controle.php";
	$id_stagiaire=0;
	if (isset($_GET['id_stagiaire'])) $id_stagiaire=abs(intval($_GET['id_stagiaire']));
	else {
		header('Location: erreur.php?erreur=stagiaire_inexistant');
		exit;
	}
	$n=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	if ($n==0) {
		header('Location: erreur.php?erreur=stagiaire_circo');
		exit;
	}
	$nom=queryValue("SELECT concat(nom,' ', prenom) FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);

	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print "$url_ret_adm_absences_voir?id_stagiaire=$id_stagiaire"?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
			<li><a href="adm_absences_edite.php?url_ret=adm_absences_voir.php&amp;id_stagiaire=<?php print $id_stagiaire?>">&eacute;diter</a></li>
		</ul>
	</div>
	<div id="corps">	 
	  <h1>Bilan des absences de <?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?></h1>
	  <p>Cliquez sur le lien <em>&eacute;diter</em> du menu pour modifier les absences du stagiaire. </p>
	  <div id="animation">
	  
	  <?php afficherParDate(3,$id_stagiaire,$h)  ?>
	</div>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print "$url_ret_adm_absences_voir?id_stagiaire=$id_stagiaire"?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
			<li><a href="adm_absences_edite.php?url_ret=adm_absences_voir.php&amp;id_stagiaire=<?php print $id_stagiaire?>">&eacute;diter</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>