<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_automatisation=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_automatisation']=$url_ret_adm_adm_automatisation;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_automatisation'])) {
		$url_ret_adm_adm_automatisation=$_SESSION['circonscript7_url_ret_adm_adm_automatisation'];
	}
	else $url_ret_adm_adm_automatisation="administration.php";
	$_SESSION['circonscript7_session_menu_page']=1;
	$r=query("SELECT id_circo FROM circos WHERE type_circo=0",$h);
	while ($row=@mysqli_fetch_row($h)) automatisationCirco($row[0],$h);
	$date_ouv='';
	$date_ferm='';
	$hor_ouv='';
	$hor_ferm='';
	if (isset($_SESSION['circonscript7_adm_adm_automatisation_date_ouv'])) $date_ouv=$_SESSION['circonscript7_adm_adm_automatisation_date_ouv'];
	if (isset($_SESSION['circonscript7_adm_adm_automatisation_date_ferm'])) $date_ferm=$_SESSION['circonscript7_adm_adm_automatisation_date_ferm'];
	if (isset($_SESSION['circonscript7_adm_adm_automatisation_hor_ouv'])) $hor_ouv=$_SESSION['circonscript7_adm_adm_automatisation_hor_ouv'];
	if (isset($_SESSION['circonscript7_adm_adm_automatisation_hor_ferm'])) $hor_ferm=$_SESSION['circonscript7_adm_adm_automatisation_hor_ferm'];
	while (isset($_POST['valider'])) {
		$erreur='';
		if (isset($_POST['date_ouverture']))  {
			$date=trim($_POST['date_ouverture']);
			if ($date) {
				$date_ouv=dateSaisieEnSql($date);
				if ($date_ouv==''||$date_ouv>='9999-12-30') {
					$erreur.="Date d'ouverture incorrecte. "; 
				}
			}
			else $date_ouv='';
		}
		if (isset($_POST['date_fermeture']))  {
			$date=trim($_POST['date_fermeture']);
			if ($date) {
				$date_ferm=dateSaisieEnSql($date);
				if ($date_ferm==''||$date_ferm>='9999-12-30') {
					$erreur="Date de fermeture incorrecte. "; 
				}
			}
			else $date_ferm='';
			
		}
		if (isset($_POST['heure_ouverture']))  {
			$hor=trim($_POST['heure_ouverture']);
			if ($hor) {
				$hor_ouv=horaireSaisiEnSql($hor);
				if ($hor_ouv=='') {
					$erreur.="Horaire d'ouverture incorrect. "; 
				}
			}
			else 
				if($date_ouv) $hor_ouv='00:00:00';
				else $hor_ouv='';
		}
		if (isset($_POST['heure_fermeture']))  {
			$hor=trim($_POST['heure_fermeture']);
			if ($hor) {
				$hor_ferm=horaireSaisiEnSql($hor);
				if ($hor_ferm=='') {
					$erreur.="Horaire de fermeture incorrect. "; 
				}
			}
			else if ($date_ferm) $hor_ferm='00:00:00';
			else $hor_ferm='';
		}
		$dt1='';
		$dt2='';
		if ($date_ouv && $hor_ouv) 
			$dt1=$date_ouv.' '.$hor_ouv;
		if ($date_ferm && $hor_ferm) 
			$dt2=$date_ferm.' '.$hor_ferm;
		if (!$date_ouv) $hor_ouv='';
		if (!$date_ferm) $hor_ferm='';
		if ($dt1 && $dt2 && dateSub($dt2,$dt1)<=0) $erreur="La moment de fermeture doit tre postrieur au moment d'ouverture";
		if ($dt2) {
			$n=queryValue("SELECT '$dt2'>NOW()",$h);
			if (!$n) $erreur="La date de fermeture ne peut tre infrieure ou gale  la date actuelle";
		}
		$_SESSION['circonscript7_adm_adm_automatisation_date_ouv']=$date_ouv;
		$_SESSION['circonscript7_adm_adm_automatisation_date_ferm']=$date_ferm;
		$_SESSION['circonscript7_adm_adm_automatisation_hor_ouv']=$hor_ouv;
		$_SESSION['circonscript7_adm_adm_automatisation_hor_ferm']=$hor_ferm;
		if($erreur) break;
		
		if (isset($_POST['circos']))foreach($_POST['circos'] as $id_circo) {
			$id_circo=intval($id_circo);
			if (!queryValue("SELECT COUNT(*) FROM circos WHERE id_circo=$id_circo",$h)) continue;
			if (!$dt1) query("UPDATE circos SET dt_ouverture = NULL WHERE id_circo=$id_circo",$h);
			else query("UPDATE circos SET dt_ouverture='$dt1' WHERE id_circo=$id_circo",$h);
			if (!$dt2) query("UPDATE circos SET dt_fermeture = NULL WHERE id_circo=$id_circo",$h);
			else query("UPDATE circos SET dt_fermeture='$dt2' WHERE id_circo=$id_circo",$h);
			automatisationCirco($id_circo,$h);		
		}
		break;
	}

function afficherCircos($h)
{
	$r2=query("SELECT id_circo FROM circos WHERE type_circo=0 ORDER BY libelle ASC",$h);
	if (@mysqli_num_rows($r2)==0) {
		print '<p class="erreur">Aucune circo ferm&eacute;e.</p>';
	}
	else {
		print "<table border=\"1\" cellpadding=\"0\" cellspacing=\"0\">\n";
		print "<tr class=\"table_entete\">\n";
		print "<td>S&eacute;lection <input name=\"checkbox\" type=\"checkbox\" onclick=\"cocheTout(this)\"/></td>\n";
		print "<td>Libell&eacute;</td>\n";
		print "<td>Date ouverture</td>\n";
		print "<td>Horaire ouverture</td>\n";
		print "<td>Date fermeture</td>\n";
		print "<td>Horaire fermeture</td>\n";
		print "</tr>\n";
		while ($row2=@mysqli_fetch_row($r2)) {
			$id_circo=$row2[0];
			automatisationCirco($id_circo,$h);
			$r=query("SELECT libelle, dt_ouverture, dt_fermeture,libelle_court,stag_etat FROM circos WHERE id_circo=$id_circo",$h);
			$row=@mysqli_fetch_row($r);
			$libelle=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
			$libelle_court=htmlentities($row[3],ENT_COMPAT,'ISO-8859-15');
			$stag_etat=$row[4];
			$etat='?';
			switch($stag_etat) {
				case 0: $etat="ferme";break;
				case 1: $etat="inscr. en cours";break;
				case 2: $etat="conv. en cours"; break;
				case 3: $etat="conv. publies";break;
			}
			$dt_ouverture=$row[1];
			$dt_fermeture=$row[2];
			$date_ouverture='-';
			$heure_ouverture='-';
			if ($dt_ouverture) {
				$date_ouverture=dateSQLEnTexte(substr($dt_ouverture,0,10));
				$heure_ouverture=horaireSqlEnHeure(substr($dt_ouverture,10));
				if (!$heure_ouverture) $heure_ouverture="0 h";
			}
			$date_fermeture='-';
			$heure_fermeture='-';
			if ($dt_fermeture) {
				$date_fermeture=dateSQLEnTexte(substr($dt_fermeture,0,10));
				$heure_fermeture=horaireSqlEnHeure(substr($dt_fermeture,10));
				if (!$heure_fermeture) $heure_fermeture="0 h";
			}
			print "<tr class=\"survol\">\n";
			print "<td><p><input type=\"checkbox\" name=\"circos[]\" value=\"$id_circo\" />$libelle_court [$etat]</p></td>\n";					
			
			print "<td><p>$libelle</p></td>\n";
			print "<td><p>$date_ouverture</p></td>\n";
			print "<td><p>$heure_ouverture</p></td>\n";
			print "<td><p>$date_fermeture</p></td>\n";
			print "<td><p>$heure_fermeture</p></td>\n";
			print "</tr>\n";
		
		}
		print "</table>\n";
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
    	<script type="text/JavaScript" charset="ISO-8859-15">
<!--
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form
  laListe = leForm["circos[]"]
  if (laListe != null){
	if (laListe.length != null){
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
//-->
</script></head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_adm_automatisation?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	<?php	if ($erreur) print "<p class=\"erreur\">$erreur</p>"; ?>
	  <h1>Automatisation des p&eacute;riodes d'ouverture et/ou de fermeture des inscriptions (circos relles)</h1>
	  <p class="attention">Pour effectuer des modifications sur cette page il est <a href="adm_etat.php?url_ret=adm_adm_automatisation.php">CONSEILLE DE FERMER LE SITE</a>. Explications dans le texte. </p>
	  <p>Cette page permet de d&eacute;finir des dates d'ouverture ou de fermeture pour un ensemble de circos relles qui travaillent en bassin. Si des dates sont choisies, le m&eacute;canisme d'ouverture et de fermeture automatique prend le pas sur les ouvertures et fermetures manuelles par les circos.</p>
	  <p>Rappel des diff&eacute;rents &eacute;tats du site pour une circo:</p>
	  <ul>
        <li>ferm&eacute;</li>
	    <li>inscriptions en cours</li>
	    <li>convocations en cours</li>
	    <li>convocations publi&eacute;es </li>
      </ul>
	  <p>Pour une circonscription donn&eacute;e: </p>
	  <ul>
	    <li>Si une date d'ouverture est d&eacute;finie, le site passe de l'&eacute;tat &quot;ferm&eacute;&quot; &agrave; l'&eacute;tat &quot;inscriptions en cours&quot; lorsque la date est atteinte. Avant cette date le site passe &agrave; l'&eacute;tat &quot;ferm&eacute;&quot;. </li>
        <li>Si une date de fermeture est d&eacute;finie, le site passe de l'&eacute;tat &quot;ferm&eacute;&quot; ou de l'&eacute;tat &quot;inscriptions en cours&quot; &agrave; l'&eacute;tat &quot;convocations en cours&quot; lorsque la date est atteinte. S'il est dans un autre &eacute;tat, rien n'est chang&eacute;. </li>
      </ul>
	  <p>Losqu'une circo passe de l'&eacute;tat &quot;ferm&eacute;&quot; ou &quot;inscriptions en cours&quot; &agrave; l'&eacute;tat &quot;convocations en cours&quot; <strong>les convocations sont automatiquement effectu&eacute;es.</strong> Ce m&eacute;canisme se produit lors d'une connexion  (par un stagiaire, un intervenant, un administrateur) &agrave; la circo<em> mais affecte aussi toutes les autres </em><em>circos susceptibles de basculer au m&ecirc;me moment.</em> Le m&eacute;canisme se produit aussi lorsque quelqu'un se rend en &quot;circo, &eacute;tat du site&quot;. </p>
	  <p><span class="attention">ATTENTION !!! Si vous choisissez des dates de fermeture inad&eacute;quates, VOUS ALLEZ CONVOQUER LES STAGIAIRES ! </span>De ce fait, un test est effectu&eacute; sur les dates de fermeture qui ne peuvent &ecirc;tre ant&eacute;rieures ou &eacute;gales &agrave; la date actuelle. </p>
	  <p>Attention, l'&eacute;tat des circos risque de se modifier en fonction des dates indiqu&eacute;es. Certaines dates d&eacute;pass&eacute;es sont effac&eacute;es. </p>
	  <p>Lorsque les dates d'automatisation sont d&eacute;pass&eacute;es, elles sont automatiquement effac&eacute;es. Les circos retrouvent alors leur libert&eacute; d'action. </p>
	  <p>Indiquez une date/heure d'ouverture et de fermeture pour les circos coch&eacute;es, et validez. Pour supprimer l'automatisation, mettez une date vide. Si l'heure est omise, elle sera remplac&eacute;e par 0h. </p>
	  <p>La date est au format j/m/aaaa ou j/m, l'heure est au format 0h (18h, 15h30, etc). </p>
	  <form id="form1" name="form1" method="post" action="">
	    <table border="00">
          <tr>
            <td><table border="1" cellpadding="1" cellspacing="0">
              <tr>
                <td>&nbsp;</td>
                <td>Date</td>
                <td>Heure</td>
              </tr>
              <tr>
                <td>Ouverture des inscriptions </td>
                <td><input name="date_ouverture" type="text" id="date_ouverture" value="<?php print dateSqlEnSaisie($date_ouv)?>" size="10" maxlength="10" /></td>
                <td><input name="heure_ouverture" type="text" id="heure_ouverture" value="<?php print horaireSqlEnHeure($hor_ouv,true)?>" size="8" maxlength="8" /></td>
              </tr>
              <tr>
                <td>Fermeture des inscriptions </td>
                <td><input name="date_fermeture" type="text" id="date_fermeture" value="<?php print dateSqlEnSaisie($date_ferm)?>" size="10" maxlength="10" /></td>
                <td><input name="heure_fermeture" type="text" id="heure_fermeture" value="<?php print horaireSqlEnHeure($hor_ferm,true)?>" size="8" maxlength="8" /></td>
              </tr>
            </table></td>
            <td><input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" /></td>
          </tr>
        </table>
        <p>&nbsp;</p>
        <?php afficherCircos($h) ?>		
	  </form>
	  <p>&nbsp;</p>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_adm_automatisation?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>