<?php
/* 
	Remise  0 complte de la base pour l'admin principal
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_adm_raz_tout=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_adm_raz_tout']=$url_ret_adm_adm_raz_tout;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_adm_raz_tout'])) {
		$url_ret_adm_adm_raz_tout=$_SESSION['circonscript7_url_ret_adm_adm_raz_tout'];
	}
	else $url_ret_adm_adm_raz_tout="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	
	$erreur='';
	$resultat='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	$h=connect();
	debugInit();
	while (isset($_POST['confirmer']) && $_POST['confirmer']=='oui') {
		$tablesV5=array('absences','administrateurs','animations','bassin','circos','convocations','dates','domaines','droits','ecoles','general','groupements','groupes','inscriptions','intervenants','interventions','niveaux','partages','quotites','regles','seances','stagiaires','themes','positions','utilisateurs','suffixes', 'categories', 'tmp_absences','items','listes');

		$r=query("SELECT ferme FROM general",$h);
		$row=@mysqli_fetch_row($r);
		if (!isset($row) || $row[0]!=1) {
			$erreur="Le site n'est pas ferm&eacute;.";
			break;
		}
		$utilisateur_courant=array();
		$r=query("SELECT * FROM utilisateurs WHERE id_uti=$id_uti",$h);
		if (!$r || @mysqli_num_rows($r)!=1) {
			$erreur="Impossible d'acc&eacute;der &agrave; votre compte utilisateur";
			break;
		}
		$utilisateur_courant=@mysqli_fetch_array($r);
		
		debugArray($utilisateur_courant,"utilisateur_courant");
		$admin_courant=array();
		$r=query("SELECT * FROM administrateurs WHERE id_uti=$id_uti",$h);
		if (!$r || @mysqli_num_rows($r)==0) {
			$erreur="Impossible d'accder  votre compte administrateur";
			break;
		}
		
		$admin_courant=@mysqli_fetch_array($r);
		debugArray($admin_courant,"admin_courant");
		
		foreach($tablesV5 as $table) {
			
			query("TRUNCATE $table",$h);
			
		}
		$q=sprintf("INSERT INTO utilisateurs(id_uti,login,mdp,codage,date_publipostage) VALUES('%d','%s','%s','%d','%s')",
			1,
			myEscapeString($h,$utilisateur_courant['login']),
			myEscapeString($h,$utilisateur_courant['mdp']),
			$utilisateur_courant['codage'],
			'9999-12-31'
		);
		query($q,$h);
		$q=sprintf("INSERT INTO administrateurs(id_admin,id_uti,type_admin,nom,courriel) VALUES('%d','%d','%d','%s','%s')",
			1,
			1,
			1,
			myEscapeString($h,$admin_courant['nom']),
			myEscapeString($h,$admin_courant['courriel']));
		query($q,$h);
		
		$q=sprintf("INSERT INTO general(nom_admin,actualite,ferme) VALUES('%s','%s','%d')",
			myEscapeString($h,$admin_courant['nom']),
			'',
			1);			
		query($q,$h);
		
		if (isset($_SESSION['circonscript7_id_circo'])) unset($_SESSION['circonscript7_id_circo']);
		$_SESSION['circonscript7_id_uti']=1;
		$_SESSION['circonscript7_id_admin']=1;
		$resultat=htmlentities("Rinitialisation termine.",ENT_COMPAT,'ISO-8859-15');
			
		
		break;
	}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function toucheEnfoncee(event)
			{
				
				if (event.keyCode==13) {
						confirme();
					}

			}
			function confirme()
			{
				leConfirme=document.form1["confirmer"];
				if (leConfirme.value!="oui") 
					alert("Vous devez confirmer votre choix en crivant 'oui' dans le champ");
				else {
					var host=window.location.host;
					var s="Vous tes sur : "+host+"\nVoulez-vous vraiment rinitialiser l'ensemble de la base de donnes ?";
					b=window.confirm(s);
					if (b) 	{
						s="Vous tes sur : "+host+"\nConfirmez une dernire fois en cliquant sur OK";
						b= window.confirm(s);
						if (b) {
							document.form1.submit();
						}

					}
				}
							
			}
		//-->	
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_raz_tout?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
			  </ul>
			</div>
		  <div id="corps">
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";		  	 
		  	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";?>
		    <h1>Remise &agrave; Z&eacute;ro g&eacute;n&eacute;rale: initialisation g&eacute;n&eacute;rale de toutes les tables </h1>
		    <p>Cette page va r&eacute;initialiser l'ensemble des tables de Circon'script et remettre &agrave; z&eacute;ro tous les compteurs d'index dans les tables, afin que les prochaines insertions d&eacute;marrent avec l'index 1. </p>
		    <p>Les seules donn&eacute;es qui seront conserv&eacute;es sont vos param&egrave;tres d'administrateur et votre compte utilisateur (le mot de passe de connexion est conserv&eacute;). Votre nom d'administrateur (d&eacute;fini dans <em>Mon compte, param&egrave;tres du compte administrateur) </em>sera recopi&eacute; dans les param&egrave;tres g&eacute;n&eacute;raux d'administration. Tout le reste, absolument tout, sera effac&eacute; ou remis &agrave; z&eacute;ro. </p>
		    <p>NB: pour proc&eacute;der, le site <a href="adm_etat.php?url_ret=adm_adm_raz_tout.php">doit &ecirc;tre ferm&eacute;</a>. </p>
		    <form id="formulaire" name="form1" method="post" action="">
		      <p>Validez en &eacute;crivant &quot;oui&quot; en minuscules, dans le champ suivant. Vous serez appel&eacute; &agrave; confirmer encore. </p>
		      <p>
		        <input name="confirmer" type="text" size="3" maxlength="3" onkeypress="javascript:toucheEnfoncee(event)" />
                <input name="button" type="button" class="bouton_standard" value="Valider"  onclick="javascript:confirme()" onkeypress="javascript:toucheEnfoncee(event)"  />
		      </p>
		    </form>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_adm_raz_tout?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
			  </ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>