<?php
/* 
	Modification d'une animation	
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');

	require('_sqlconnect.inc.php');
	require('_fonctions.inc.php');
	$erreur='';
	// Url retour
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_animations_modif=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_animations_modif']=$url_ret_adm_animations_modif;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_animations_modif'])) {
		$url_ret_adm_animations_modif=$_SESSION['circonscript7_url_ret_adm_animations_modif'];
	}
	else $url_ret_adm_animations_modif="adm_animations.php";
	$ancre='';
	if (isset($_GET['Ancre'])) $ancre=htmlentities(normalise($_GET['Ancre']),ENT_COMPAT,'ISO-8859-15');
	else if (isset($_SESSION['adm_animations_modif_ancre'])) $ancre=$_SESSION['adm_animations_modif_ancre'];
	$_SESSION['adm_animations_modif_ancre']=$ancre;
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	
	/******************************
		initialisations
	*******************************/
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$nb_categories=queryValue("SELECT COUNT(*) FROM categories",$h); // s'il n'y a absolument aucune catgorie (ni plan actuel, ni plan futur) ne pas afficher la ligne dans le formulaire
	$_SESSION['circonscript7_adm_seance_modif_changement']=0;
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;
	$r=query("SELECT duree_seance, horaire_defaut FROM circos WHERE id_circo=$id_circo",$h);
	$row=@mysqli_fetch_row($r);
	$duree_seance=$row[0];
	$horaire=$row[1];
	if ($duree_seance=='' || $duree_seance==0) $duree_seance=3;
	$r=query("SELECT taille_max_description, taille_max_remarque FROM general",$h);
	$row=@mysqli_fetch_row($r);
	$taille_max_description=$row[0];
	$taille_max_remarque=$row[1];
	$anim_vide=array('id_circo'=>$id_circo,'id_anim'=>'0','id_categorie'=>'0','intitule'=>'', 'description'=>'', 'remarque'=>'','lien'=>'','participation'=>'', 'annule'=>'0');
	$position_vide=array('id_position'=>0,'id_domaine'=>0,'id_theme'=>0,'tri'=>0,'id_anim'=>0);
	$datelieu_vide=array('id_date'=>0,'id_seance"'=>0,'date'=>'9999-12-31','horaire'=>"$horaire",'lieu'=>'','intervenants'=>array(),'intervenants_initiaux'=>array(),'remarque'=>'','duree'=>$duree_seance, 'tri'=>0);
	$seance_vide=array('id_seance'=>'0','id_anim'=>'0','public'=>'','max'=>'0','partage'=>array(),'datelieu'=>array(),'inscrits'=>0,'convoques'=>0,'tri'=>0,'cond'=>0,'duree_initiale'=>0);
	$seance_vide['partage'][]=-$id_circo; //ngatif car par dfaut, partage accept pour la circo en cours.
	$seance_vide['datelieu'][]=$datelieu_vide;
	$erreur='';
	/******************************
		rcupration de l'animation en cours
	*******************************/
	if (isset($_SESSION['circonscript7_animation'])) $animation=$_SESSION['circonscript7_animation'];
	else $animation=$anim_vide;
	if (isset($_SESSION['circonscript7_position'])) $position=$_SESSION['circonscript7_position'];
	else $position=$position_vide;
	if (isset($_SESSION['circonscript7_seances'])) $seances=$_SESSION['circonscript7_seances'];
	else {
		$seances=array();
		$seances[]=$seance_vide;
	}
	
	//modifier: si true des modifications ont t faites.
	if (isset($_SESSION['circonscript7_adm_animations_modif_modifier'])) $modifier=$_SESSION['circonscript7_adm_animations_modif_modifier'];
	else  $modifier=false;
	
	// DONNEES GET
	while (isset($_GET['Modifier']) || (isset($_POST['commande']) && $_POST['commande']=='annuler')) {
		if (isset($_POST['commande']) && $_POST['commande']=='annuler') {
			$id_anim=$animation['id_anim'];
			$animation['id_anim']=0;
		}
		else $id_anim=isset($_GET['Modifier'])?abs(intval($_GET['Modifier'])):0;

		//charge l'animation de la bdd si elle ne correspond pas  celle en mmoire
		// mode "dition"
		if ($animation['id_anim']!=$id_anim && $id_anim>0) {
			$id_circo_anim=queryValue("SELECT id_circo FROM animations WHERE animations.id_anim=$id_anim",$h);
			if ($id_circo_anim!=$id_circo) {
				$erreur="Impossible de modifier cette animation car elle n'appartient pas  la circo";
				$animation=$anim_vide;
				$seances=array();
				$seances[]=$seance_vide;
				break;
			}
			$r=query("SELECT * FROM animations WHERE id_anim=$id_anim",$h);
			if (!$r) break;
			$row=@mysqli_fetch_array($r);
			$animation=$row;
			$r=query("SELECT positions.id_position,positions.id_domaine,positions.id_theme,positions.id_anim,positions.tri FROM (positions,domaines) WHERE positions.id_anim=$id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
			if (!$r) break;
			$row=@mysqli_fetch_array($r);
			$position=$row;
			
			// modifie l'anne en cours dans la variable $_SESSION; c'est juste une prcaution, en principe l'anne est mise  jour par la page appelante
			$annee=queryValue("SELECT annee FROM domaines WHERE id_domaine=".$position['id_domaine'],$h);
			if ($annee<0) $annee=0;
			else if ($annee>1) $annee=1;
			$_SESSION['circonscript7_annee']=$annee;
			//charge toutes les sances
			$seances=array();
			$r=query("SELECT * FROM seances WHERE id_anim=$id_anim ORDER BY tri",$h);
			while ($seance=@mysqli_fetch_array($r)) {
				$id_seance=$seance['id_seance'];
				// renseigne les dates pour la sance en cours
				$seance['datelieu']=array();
				$r2=query("SELECT * FROM dates WHERE id_seance=$id_seance ORDER BY tri",$h);
				$duree_totale=0;
				while ($datelieu=@mysqli_fetch_array($r2)) {
					// recherche les interventions
					$datelieu['intervenants']=array();
					$datelieu['intervenants_initiaux']=array();
					$id_date=$datelieu['id_date'];
					$r3=query("SELECT id_intervenant FROM interventions WHERE id_date=$id_date",$h);
					while ($int=@mysqli_fetch_row($r3)) {
						$datelieu['intervenants'][]=$int[0];
						$datelieu['intervenants_initiaux'][]=$int[0];
					}	
					$seance['datelieu'][]=$datelieu;
					$duree_totale+=doubleval($datelieu['duree']);
				}
				$seance['duree_initiale']=$duree_totale;
				//renseigne les partages pour la sance en cours
				$seance['partage']=array();
				$r2=query("SELECT id_circo, accepte FROM partages WHERE id_seance=$id_seance",$h);
				// un partage accept est ngatif.
				if ($r2) while ($circo_part=@mysqli_fetch_row($r2)) {
					if ($circo_part[1]<>0)
						$seance['partage'][]=-$circo_part[0];
					else
						$seance['partage'][]=$circo_part[0];
				}
				$seances[]=$seance;
			}
			$modifier=false;
		}
		// Mode "ajout" alors qu'il existe dj une animation en mmoire
		else if ($animation['id_anim']!=$id_anim && $id_anim==0) {
			$animation=$anim_vide;
			$position=$position_vide;
			$seances=array();
			$seances[]=$seance_vide;
			$modifier=false;
			$ancre='';
			$_SESSION['adm_animations_modif_ancre']=$ancre;
			
		}
		else if ($id_anim==0){ // mode ajout, aucune animation en mmoire
			$ancre='';
			$_SESSION['adm_animations_modif_ancre']=$ancre;
		}
		break;
	}
	//  la sortie: $animation contient l'animation en cours, $seances contient la liste des sances en cours.
	// Validation
	if (isset($_POST['valider'])|| (isset($_POST['commande']) && $_POST['commande']=='valider'))  
	{
		lireFormulaire();
		if ($animation['intitule']=='') $erreur.="Intitul absent. ";
		if (strlen($animation['description'])>$taille_max_description) $erreur.="Description trop longue. ";
		if (strlen($animation['remarque'])>$taille_max_remarque) $erreur.="Remarque trop longue. ";
		if ($position['id_domaine']==0 || $position['id_domaine']=='') $erreur.="Il faut spcifier un domaine. ";
		if ($position['id_theme']==0 || $position['id_theme']=='') $erreur.="Il faut spcifier un thme. ";
		$l=trim($animation['lien']);
		if ($l) {
			if (substr($l,0,7)!='http://' && substr($l,0,8)!='https://') $l='http://'.$l;
			if (!preg_match( URL_FORMAT,$l)) $erreur.="Mauvaise URL dans le lien externe. ";
			else $animation['lien']=$l;
		}
		if( sizeof($seances)==0) $erreur.="Il faut dfinir au moins une sance. ";
		//tests sur les conditions.
		else {
			if ($seances[0]['cond']>0) $erreur="Vous ne pouvez pas dfinir une condition pour l'ensemble 1 - supprimez la condition dans le champ 'Suppl'.";
			else {
				$max_prec=0;
				for ($i=0;$i<count($seances);++$i) {
					if ($seances[$i]['cond']>0 && $max_prec==0) {
						$erreur=sprintf("La condition de l'ensemble %d n'est pas valide car l'ensemble prcdent n'a pas dfini de maximum",$i+1);
						break;
					}
					$max_prec=$seances[$i]['max'];
					// pas de circos en surnombre dans les sances conditionnelles par rapport  la sance mre
					if ($i>0 && $seances[$i]['cond']>0 && !$erreur) {
						foreach($seances[$i]['partage'] as $id_circo_partagee) {
							if (!in_array($id_circo_partagee,$seances[$i-1]['partage']) && !in_array(-$id_circo_partagee,$seances[$i-1]['partage'])) {
								$erreur=sprintf("L'ensemble %d contient une condition qui se rfre  l'ensemble %d. Il ne peut pas partager des circonscriptions qui ne sont pas dans la l'ensemble %d.",$i+1,$i,$i);
								break;
							}
						}
						// pas de circos partageant cette sance alors qu'elles ne partagent pas la sance prcdente
						$circos='';
						foreach($seances[$i]['partage'] as $id_circo_partagee) {
							if ($id_circo_partagee>=0) continue;
							if (!in_array($id_circo_partagee,$seances[$i-1]['partage'])) {
								if ($circos) $circos.=', ';
								$id=-$id_circo_partagee;
								$circos.=queryValue("SELECT libelle_court FROM circos WHERE id_circo=$id",$h);
							}
						}
						if ($circos) $erreur=sprintf("Une ou plusieurs circonscriptions importent l'ensemble %d mais n'importent pas l'ensemble prcdent (%d)  sur lequel porte la condition. Circonscriptions concernes : $circos. tez la condition sur l'ensemble %d ou demandez aux circonscriptions concernes d'importer l'ensemble %d.",$i+1,$i,$i+1,$i);					
					}
					
					
					// pas de groupe contenant une sance conditionnelle s'il ne contient pas la sance mre
					if (!$erreur && $i>0 && $seances[$i]['cond']>0 && $seances[$i]['id_seance']>0) while(1){
						$id_seance=$seances[$i]['id_seance'];
						$id_seance_prec=$seances[$i-1]['id_seance'];
						if ($id_seance_prec==0) break;
						$r=query("SELECT id_groupe FROM groupements WHERE id_seance=$id_seance GROUP BY id_groupe",$h);
						$n=@mysqli_num_rows($r);
						if ( $n==0) break;
						while ($row=@mysqli_fetch_row($r)) {
							$id_groupe=$row[0];
							$n=queryValue("SELECT COUNT(*) FROM groupements WHERE id_groupe=$id_groupe AND id_seance=$id_seance_prec",$h);
							if ($n==0) {
								$nom_groupe=queryValue("SELECT libelle FROM groupes WHERE id_groupe=$id_groupe",$h);
								$num=$i+1;
								$erreur="Le groupe \"$nom_groupe\" contient l'ensemble N $num qui possde une condition portant sur l'ensemble N $i, mais  ne contient cet ensemble N $i; veuillez soit modifier le groupe \"$nom_groupe\" et y intgrer l'ensemble N $i, soit supprimer la condition sur l'ensemble $num.";
								break;
							}
						}
						break;								
					} 
				}
			}
		}		
		if (!$erreur) {
			// trier correctement avant l'enregistrement
			for ($i=0;$i<count($seances);++$i) {
				$seances[$i]['tri']=$i;
				for ($j=0;$j<count($seances[$i]['datelieu']);++$j) $seances[$i]['datelieu'][$j]['tri']=$j;
			}
			// supprimer la condition pour la premire sance
			if ($id_animation_inseree=enregistreDansBase($h)) { // si l'enregistrement russit: on cre une nouvelle anim. vide
				$modifier=false;
				$_SESSION['circonscript7_adm_animations_modif_modifier']=$modifier;
				$animation=$anim_vide;
				$position['id_anim']=0;
				$position['tri']=0;
				$seances=array();
				$seances[]=$seance_vide;
				$_SESSION['circonscript7_animation']=$animation;
				$_SESSION['circonscript7_position']=$position;
				$_SESSION['circonscript7_seances']=$seances;
				$url="adm_animations_bilan.php?url_ret=".$url_ret_adm_animations_modif;
				$url.="&id_anim=".$id_animation_inseree;
				header("Location: $url");
				exit;
			}
			
		}
	}

	// passer  l'animation suivante ?
	else if (isset($_POST['commande']) && $_POST['commande']=='anim_suivante' && $animation['id_anim']>0) while(1){
		$id_anim=$animation['id_anim'];
		$q="SELECT positions.id_anim FROM positions, animations, domaines, themes WHERE positions.id_anim=animations.id_anim AND animations.id_circo=$id_circo AND domaines.id_domaine=positions.id_domaine  AND themes.id_theme= positions.id_theme AND domaines.id_circo=$id_circo AND domaines.annee=$annee ORDER BY domaines.tri, themes.tri, positions.tri";
		$r=query($q,$h);
		$anims=array();
		while ($row=@mysqli_fetch_row($r)) $anims[]=$row[0];
		if (count($anims)==0) break;
		$index=array_search($id_anim,$anims);
		if ($index===false) break;
		++$index;
		if ($index >= count($anims)) {
			$index=0;
			$erreur="Fin de la liste. Reprise au dbut.";
		}
		$id_anim=$anims[$index];
		header("Location: adm_animations_modif.php?Modifier=$id_anim&url_ret=$url_ret_adm_animations_modif");
		exit;
	}		
	// nombre d'inscrits et de convoqus  chaque sance (toujours mis  jour)
	for($i=0;$i<count($seances);++$i) 
		if ($seances[$i]['id_seance']>0) {
			$seances[$i]['inscrits']=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=".$seances[$i]['id_seance'],$h);
			$seances[$i]['convoques']=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=".$seances[$i]['id_seance'],$h);	
		}	

	/******************************
	Traitement des vnements
	*******************************/	
	//Descendre une date d'un cran
	if (isset($_POST['tri_date_bas'])) {
		lireFormulaire();
		$index_seance=key($_POST['tri_date_bas']);
		$index_date=current($_POST['tri_date_bas']);
		if ($index_seance<count($seances) && $index_seance>=0 && $index_date<count($seances[$index_seance]['datelieu'])-1) {
			$d=$seances[$index_seance]['datelieu'][$index_date+1];
			$seances[$index_seance]['datelieu'][$index_date+1]=$seances[$index_seance]['datelieu'][$index_date];
			$seances[$index_seance]['datelieu'][$index_date]=$d;
			$modifier=true;
		}
	}
	//Monter une date d'un cran
	else if (isset($_POST['tri_date_haut'])) {
		lireFormulaire();
		$index_seance=key($_POST['tri_date_haut']);
		$index_date=current($_POST['tri_date_haut']);
		if ($index_seance<count($seances) && $index_seance>=0 && $index_date<count($seances[$index_seance]['datelieu']) &&$index_date>0) {
			$d=$seances[$index_seance]['datelieu'][$index_date-1];
			$seances[$index_seance]['datelieu'][$index_date-1]=$seances[$index_seance]['datelieu'][$index_date];
			$seances[$index_seance]['datelieu'][$index_date]=$d;
			$modifier=true;
		}
	}
	//descendre un groupe d'un cran
	else if (isset($_POST['tri_groupe_bas'])) {
		lireFormulaire();
		$index_seance=$_POST['tri_groupe_bas'];
		if ($index_seance>=0 && $index_seance<count($seances)-1) {
			$s=$seances[$index_seance+1];
			$seances[$index_seance+1]=$seances[$index_seance];
			$seances[$index_seance]=$s;
			$modifier=true;
		}
	}
	//monter un groupe d'un cran
	else if (isset($_POST['tri_groupe_haut'])) {
		lireFormulaire();
		$index_seance=$_POST['tri_groupe_haut'];
		if ($index_seance>0 && $index_seance<count($seances)) {
			$s=$seances[$index_seance-1];
			$seances[$index_seance-1]=$seances[$index_seance];
			$seances[$index_seance]=$s;
			$modifier=true;
		}
	}
	else if (isset($_POST['supprimer'])) { // supprimer une sance
		lireFormulaire();
		$index_seance=key($_POST['supprimer']);
		$index_date=current($_POST['supprimer']);
		if ($index_seance<count($seances) && $index_seance>=0 && $index_date<count($seances[$index_seance]['datelieu']) &&$index_date>=0) {
			$datelieu=$seances[$index_seance]['datelieu'];
			if($datelieu[$index_date]['id_date']==0) {
				unset($datelieu[$index_date]);
				$datelieu2=array();
				foreach($datelieu as $d) $datelieu2[]=$d;
				$seances[$index_seance]['datelieu']=$datelieu2;
				if (sizeof($datelieu2)==0) { // plus de datelieux ? Supprimerla sance correspondante.
					unset($seances[$index_seance]);
					$seances2=array();
					foreach($seances as $s) $seances2[]=$s;
					$seances=$seances2;
					$modifier=true;
				}
			}
			else { // la sance existe dans la base de donnes. On peut la supprimer si le nombre d'inscriptions et de convocations est 0, OU s'il existe plus d'une date pour cette sance.
				$id_seance=$seances[$index_seance]['id_seance'];
				$nb_convoc=$nb_inscr=0;
				if (count($seances[$index_seance]['datelieu'])<=1) {
					$nb_convoc=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
					$nb_inscr=queryValue("SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance",$h);
					//$nb_partages=queryValue("SELECT COUNT(*) FROM partages WHERE id_circo<>$id_circo AND accepte=1 AND id_seance=$id_seance",$h);
				}
				if ($nb_inscr>0)$erreur.="Il y a $nb_inscr stagiaire(s) inscrit(s). ";
				if ($nb_convoc>0) $erreur.="Il y a $nb_convoc stagiaire(s) convoqu(s). ";
				//if ($nb_partages>0) $erreur.="La sance est dj partage avec $nb_partages circonscription(s). ";
				if (!$erreur) {
					unset($datelieu[$index_date]);
					$datelieu2=array();
					foreach($datelieu as $d) $datelieu2[]=$d;
					$seances[$index_seance]['datelieu']=$datelieu2;
					if (sizeof($datelieu2)==0) { // plus de datelieux ? Supprimerla sance correspondante.
						unset($seances[$index_seance]);
						$seances2=array();
						foreach($seances as $s) $seances2[]=$s;
						$seances=$seances2;
					}
					$modifier=true;
				}
				else $erreur="Impossible de supprimer cette sance. ".$erreur;	
			}
		}
	}
					
	// ajouter une sance (nouveau groupe)  -pas de condition particulire, on peut toujours depuis la v2
	else if (isset($_POST['ajouter'])) {
		lireFormulaire();
		$seances[]=$seance_vide;
		$modifier=true;
	}
	// diter une sance
	else if (isset($_POST['editer'])) { 
		$index_seance=key($_POST['editer']);
		$index_date=current($_POST['editer']);
		lireFormulaire();
		if ($index_seance<count($seances) && $index_seance>=0 && $index_date<count($seances[$index_seance]['datelieu']) &&$index_date>=0) {
			$_SESSION['circonscript7_animation']=$animation;
			$_SESSION['circonscript7_seances']=$seances;		
			$_SESSION['circonscript7_position']=$position;
			$url="Location: adm_seance_modif.php?url_ret=adm_animations_modif.php&modifier=$index_seance&index=$index_date";
			header($url);
			exit;
		}
	}
	//dupliquer un groupe
	else if (isset($_POST['dupliquer_groupe'])) {
		$index_seance=key($_POST['dupliquer_groupe']);
		lireFormulaire();
		if ($index_seance>=0 && $index_seance<count($seances)) {
			$s=$seances[$index_seance];
			$s['id_seance']=0;
			for($i=0;$i<count($s['datelieu']);++$i) {
				$s['datelieu'][$i]['id_date']=0;
				$s['datelieu'][$i]['id_seance']=0;
				$s['inscrits']=0;
				$s['convoques']=0;
				for ($j=0;$j<count($s['partage']);++$j) {
					$s['partage'][$j]=abs($s['partage'][$j]);
					if ($s['partage'][$j]==$id_circo) $s['partage'][$j]=-$id_circo; // on accepte sa propre circo par dfaut
				}
			}
			$seances[]=$s;
			$modifier=true;
		}
	}
	// dupqliquer une sance
	else if (isset($_POST['dupliquer'])) { 
		$index_seance=intval(key($_POST['dupliquer']));
		$index_date=intval(current($_POST['dupliquer']));
		lireFormulaire();
		if ($index_seance<count($seances) && $index_seance>=0 && $index_date<count($seances[$index_seance]['datelieu']) &&$index_date>=0) {
			$_SESSION['circonscript7_animation']=$animation;
			$_SESSION['circonscript7_position']=$position;
			$_SESSION['circonscript7_seances']=$seances;	
			$_SESSION['circonscript7_adm_animations_modif_modifier']=false;	
			$url="Location: adm_seance_modif.php?url_ret=adm_animations_modif.php&dupliquer=$index_seance&index=$index_date";
			header($url);
			exit;
		}
	}
	// Supprimer l'animation entire
	else if (isset($_POST['supprimer_anim'])) {		
		if ($animation['id_anim']>0) {
			$id_anim=$animation['id_anim'];
			//vrifier les inscrits et les convoques
			$n=queryValue("SELECT COUNT(*) FROM inscriptions,seances WHERE inscriptions.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
			if ($n>0) $erreur.="Il y a $n stagiaire(s) inscrit(s)  cette animation. ";
			$n=queryValue("SELECT COUNT(*) FROM convocations,seances WHERE convocations.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
			if ($n>0) $erreur.="Il y a $n stagiaire(s) convoqu(s)  cette animation. ";
			if (!$erreur) {
				header("Location: adm_animations_supprime.php?id_anim=$id_anim&url_ret=adm_animations_modif.php&url2_ret=$url_ret_adm_animations_modif");
				exit;
			}
			else $erreur="Suppression impossible. ".$erreur;
			//vrifier les partages
			
		}
		if (!$erreur) {	
			$animation=$anim_vide;
			$position['id_anim']=0;
			$position['tri']=0;
			$seances=array();
			$seances[]=$seance_vide;
			$erreur="Animation supprime: passage en mode 'ajout'";
		}
	}
	//dupliquer une animation
	else if (isset($_POST['commande']) &&$_POST['commande']=='dupliquer_anim' && $animation['id_anim']>0 && !$erreur) {
		lireFormulaire();
		$animation['id_anim']=0;
		$animation['annule']=0;
		for ($i=0;$i<sizeof($seances);++$i) {
			$seances[$i]['id_seance']=0;
			$seances[$i]['inscrits']=0;
			$seances[$i]['convoques']=0;
			for ($j=0;$j<sizeof($seances[$i]['datelieu']);++$j) $seances[$i]['datelieu'][$j]['id_date']=0;
		}
		$modifier=true;
		$_SESSION['circonscript7_adm_animations_modif_modifier']=true;	
		$_SESSION['circonscript7_animation']=$animation;
		$position['tri']=0; //rinitialiser la position de la future animation
		$_SESSION['circonscript7_position']=$position;
		$_SESSION['circonscript7_seances']=$seances;
		header("Location: adm_animations_modif.php?url_ret=$url_ret_adm_animations_modif");//relance pour faire dispariaitre commande Modifier=id_anim; passage en mode ajout
		exit;	
	}
	// vrification de la conformit des dures (si suppression ou duplication lorsqu'il y a des inscriptions ou des convocations: affichage du warning.
	$avertissement='';
	$num=1;
	foreach($seances as $s)
	{
		if ($s['inscrits']>0 || $s['convoques']>0 ) {
			$duree_totale=0;
			foreach($s['datelieu'] as $d) $duree_totale+=doubleval($d['duree']);
			if (round($duree_totale,2)!=round($s['duree_initiale'],2)) {
				$h1=reelEnHeure($s['duree_initiale']);
				$h2=reelEnHeure($duree_totale);
				if ($avertissement) $avertissement.="<br/>";
				$avertissement.="La dure totale de l'ensemble $num devrait tre de $h1 au lieu de $h2.\n";
			}
		}
		++$num;
	}

	/******************************
	enregistrement des variables de session
	*******************************/	
	$_SESSION['circonscript7_animation']=$animation;
	$_SESSION['circonscript7_position']=$position;
	$_SESSION['circonscript7_seances']=$seances;
	$_SESSION['circonscript7_adm_animations_modif_modifier']=true;

	/******************************
		sous-programmes
	*******************************/	
/*
	AfficherDomaines
	Affiche le tableau global $domaines dans le menu 
*/
function afficherDomaines($h,$id_domaine)
{
	global $id_circo,$annee;
	$q="SELECT id_domaine, libelle FROM domaines WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri;";
	$r=query($q,$h);
	if ($r) 
		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_domaine']);
			if ($row['id_domaine']==$id_domaine) print ' selected="selected"';
			printf(">%s</option>\r\n",tronque($row['libelle'],90));
		}
}	
	
function afficherThemes($h,$id_theme)
{
	global $id_circo,$annee;
	$q="SELECT id_theme, libelle FROM themes WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri;";
	$r=query($q,$h);
	if ($r) 
		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_theme']);
			if ($row['id_theme']==$id_theme) print ' selected="selected"';
			printf(">%s</option>\r\n",tronque($row['libelle'],90));
		}
}	
function afficherCategories($h,$id_categorie)
{
	$q="SELECT id_categorie, codage, libelle FROM categories ORDER BY tri ASC";
	$r=query($q,$h);
	if ($r) 
		if (@mysqli_num_rows($r)>0)	print "<option value=\"0\">Aucune slectionne</option>\r\n";
		else 	print "<option value=\"0\">Aucune disponible pour le moment</option>\r\n";
 		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_categorie']);
			if ($row['id_categorie']==$id_categorie) print ' selected="selected"';
			printf(">%s</option>\r\n",tronque($row['codage'].": ".$row['libelle'],90));
		}
	
}
function afficherChamp( $champ)
{
	global $animation;
	print htmlentities($animation[$champ],ENT_COMPAT,'ISO-8859-15');
}
/*
	Affiche les circos: 
		en gras, les circos qui acceptent le partage
	renvoie vrai s'il existe des partages accepts
*/
function afficherCircos($h,$id_circos)
{
	global $id_circo;
	$partage=false;
	$q="SELECT id_circo, libelle_court FROM circos ORDER BY libelle_court";
	$r=query($q,$h);
	$s='';
	if ($r) while ($row=@mysqli_fetch_row($r)) {
		$trouve=false;
		for ($i=0;$i<sizeof($id_circos);++$i) if (abs($id_circos[$i])==$row[0]) {
			$trouve=true;
			break;
		}
		if ($trouve) {
			if ($s!='') $s.=', ';
			if ($id_circos[$i]<0) {
				$s.="<b>".$row[1]."</b>";
				if ($id_circo!=abs($id_circos[$i])) $partage=true;
			}
			else $s.=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		}
	}
	if ($s!='') {
		$s.='.'; 
		print "<p>$s</p>\n";
	}
	else print "<p>&nbsp;</p>\n";
	return $partage;
}

function afficherSeances($h)
{
	global $seances;
	$conditions=array( '-','max','max-1','max-2','max-3','max-4','max-5','max-6','max-7','max-8','max-9','max-10','max-11','max-12','max-13','max-14','max-15','max-16','max-17','max-18','max-19','max-20','?');
	if (count($seances)==0) return;
	print "<table>\n";
	print "<tr class=\"table_entete\">\n";
	print "<td colspan=\"3\">Ensemble N</td>\n";
	print"<td>Suppl.</td>\n";
	print"<td>Max</td>\n";
	print"<td>Public</td>\n";
	print"<td>Circos</td>\n";
	print"<td>&nbsp;</td>\n";
	print"<td>Date</td>\n";
	print"<td>Horaire</td>\n";
	print"<td>Dur&eacute;e</td>\n";
	print"<td>Lieu</td>\n";
	print"<td>Intervenants</td>\n";
	print"<td>Remarque</td>\n";
	print"<td>&nbsp;&nbsp;Pos&nbsp;&nbsp;</td>\n";
	print"<td>Mod</td>\n";
	print"<td>Dupl</td>\n";
	print"<td>Sup</td>\n";
	print"</tr>\n";
	
	for ($i=0;$i<count($seances);++$i) {
		$s=$seances[$i];
		$nb_dates=sizeof($s['datelieu']);
		// faut-il insrer une ligne d'espace
		//if ($i>0 && $nb_dates>1 && sizeof($seances[$i-1]['datelieu'])>1) 
		if ($i>0)
			print "<tr><td colspan=\"16\"><hr/></td></tr>\n";
		$rowspan='';
		if ($nb_dates>1) $rowspan=" rowspan=\"$nb_dates\"";
		print "<tr>\n";
		print "<td$rowspan>\n";
		printf("<h4>%d</h4>\n",$i+1); //groupe
		print "</td>\n";
		
		print "<td$rowspan>\n";
		if (count($seances)>1) {
			if ($i==0) 
				printf("<input name=\"tri_groupe_bas\" type=\"submit\" value=\"%d\" class=\"bouton_bas\" title=\"d&eacute;place l'ensemble vers le bas\"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$i);
			else if ($i==count($seances)-1) 
				printf("&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name=\"tri_groupe_haut\" type=\"submit\" value=\"%d\" class=\"bouton_haut\" title=\"d&eacute;place l'ensemble vers le haut\"/>",$i);
			else 
				printf("<input name=\"tri_groupe_bas\" type=\"submit\" value=\"%d\" class=\"bouton_bas\" title=\"d&eacute;place l'ensemble vers le bas\" /><input name=\"tri_groupe_haut\" type=\"submit\" value=\"%d\" class=\"bouton_haut\" title=\"d&eacute;place l'ensemble vers le haut\"/>",$i,$i);
		}
		else print"&nbsp;\n"; 
		print "</td>\n";
		
		print "<td$rowspan>\n";
		print "<input type=\"submit\" class=\"bouton_dupliquer\" name=\"dupliquer_groupe[$i]\" title=\"dupliquer l'ensemble\"/>";
		print "</td>\n";
		
		$c=$s['cond'];
		if ($c>sizeof($conditions)-2 || $c<0) $c=sizeof($conditions)-1;
		
		print"<td$rowspan";
		if ($c) print ' class="seance_suppl"';
		printf("><p>%s</p></td>\r\n",$conditions[$c]);
		printf("<td$rowspan><p>%s</p></td>\r\n",htmlentities($s['max'],ENT_COMPAT,'ISO-8859-15'));
		$pub=$s['public'];
		if (strlen($pub)>53) $pub=substr($pub,0,50).'...';
		if ($pub) printf("<td$rowspan><p>%s</p>\r\n",htmlentities($pub,ENT_COMPAT,'ISO-8859-15'));
		else print "<td$rowspan><p>&nbsp;</p>\r\n";
		if ($s['inscrits']>0 || $s['convoques']>0) {
			print "<p class=\"remarque\">";
			if ($s['inscrits']>0) printf("<a href=\"javascript:ouvre('adm_voir_stagiaires.php?inscrits=%d')\">inscrits&nbsp;:%d</a>",$s['id_seance'],$s['inscrits']);
			if ($s['inscrits']>0 && $s['convoques']>0) print "<br/>\n";
			if ($s['convoques']>0) printf("<a href=\"javascript:ouvre('adm_voir_stagiaires.php?convoques=%d')\">convoqu&eacute;s&nbsp;:%d</a>",$s['id_seance'],$s['convoques']);
			print "</p>\n";
		}
		print"</td>\n";
		print "<td$rowspan>\n";
		$partage=afficherCircos($h,$s['partage']);
		print "</td>\n";
		if ($nb_dates>1) print "<td$rowspan class=\"accolade_d\">$nb_dates s&eacute;ances</td>";
		else print "<td>&nbsp;</td>\n";
		$j=0;
		foreach($s['datelieu'] as $d) {		
			if ($j>0) print "<tr>\n";	
			$date_aff=dateSqlEnSaisie($d['date']);
			
			if ($date_aff)
				printf("<td><p>%s</p></td>\r\n",$date_aff);
			else print"<td><p>&nbsp;</p></td>\n";
			$horaire=horaireSqlEnHeure($d['horaire']);
			if ($horaire && $d['date']!='9999-12-30') 
				printf("<td><p>%s</p></td>\r\n",$horaire);
			else print"<td><p>&nbsp;</p></td>\n";
						
			printf("<td><p>%s</p></td>\r\n",reelEnHeure($d['duree']));
			$lieu=$d['lieu'];
			if (strlen($lieu)>53) $lieu=substr($lieu,0,50).'...';
			if	($lieu)
				printf("<td><p>%s</p></td>\r\n",htmlentities($lieu,ENT_COMPAT,'ISO-8859-15'));
			else
				print "<td><p>&nbsp;</p></td>\r\n";
			$int='';
			if ($d['intervenants']) {
				$id=implode(',',$d['intervenants']);
				$r=query("SELECT civilite, nom, prenom, fonction FROM intervenants WHERE id_intervenant in ($id) ORDER BY nom ASC",$h);
				while ($row=@mysqli_fetch_row($r)) {
					$str='';
					$civ=$row[0];
					$nom=$row[1];
					$prenom=$row[2];
					$fonction=$row[3];
					if ($nom && $prenom) $str="$nom $prenom";
					else if ($nom) {
						if($civ==0) $str="M $nom";
						else if ($civ==1) $str.="Mme $nom";
						else $str=$nom;
					}
					if ($str && $fonction) $str.=" ($fonction)";
					if ($str) {
						if ($int) $int.=', ';
						$int.=$str;
					}
				}
			}
			if (strlen($int)>53) $int=substr($int,0,50).'...';
			if ($int)printf("<td><p>%s</p></td>\r\n",htmlentities($int,ENT_COMPAT,'ISO-8859-15'));
			else print "<td><p>&nbsp;</p></td>\n";
			$rem=$d['remarque'];
			if (strlen($rem)>53) $rem=substr($rem,0,50).'...';
			if ($rem) printf("<td><p>%s</p></td>\r\n",htmlentities($rem,ENT_COMPAT,'ISO-8859-15'));
			else print "<td><p>&nbsp;</p></td>\n";
			print "<td class=\"controle\">\n";
			if ($nb_dates>1) {
				if ($j==0) 
					printf("<p><input name=\"tri_date_bas[%d]\" type=\"submit\" value=\"%d\" class=\"bouton_bas\" title=\"D&eacute;place la s&eacute;ance vers le bas\" />&nbsp;</p>",$i,$j);
				else if ($j==$nb_dates-1) 
					printf("<p>&nbsp;<input name=\"tri_date_haut[%d]\" type=\"submit\" value=\"%d\" class=\"bouton_haut\" title=\"D&eacute;place la s&eacute;ance vers le haut\"/></p>",$i,$j);
				else 
					printf("<input name=\"tri_date_bas[%d]\" type=\"submit\" value=\"%d\" class=\"bouton_bas\" title=\"D&eacute;place la s&eacute;ance vers le bas\"/><input name=\"tri_date_haut[%d]\" type=\"submit\" value=\"%d\" class=\"bouton_haut\" title=\"D&eacute;place la s&eacute;ance vers le haut\"/>",$i,$j,$i,$j);
			}
			else print "&nbsp;\n";
			print "</td>\n";
			printf("<td class=\"controle\"><input name=\"editer[$i]\" type=\"submit\" class=\"bouton_modifier\" value=\"%s\" title=\"&Eacute;diter la s&eacute;ance\"/></td>\r\n",$j);
			//duplication
			//if ($s['inscrits']==0 && $s['convoques']==0 && $partage==false) 
				printf("<td class=\"controle\"><input name=\"dupliquer[$i]\" type=\"submit\" class=\"bouton_dupliquer2\" value=\"%s\" title=\"Dupliquer la s&eacute;ance pour cr&eacute;er un ensemble (groupe).\" /></td>\r\n",$j);
			/* else
				printf("<td class=\"controle\"><input class=\"bouton_interdit\" type=\"button\" title=\"Duplication impossible. Cliquez pour savoir pourquoi\" onclick=\"javascript:popUp('adm_expl_pas_dup.php?inscrits=%d&amp;convoques=%d&amp;id_seance=%d','console',600,480)\" /></td>\n", $s['inscrits'],$s['convoques'],$s['id_seance']);
			*/
			//suppression
			if (($s['inscrits']==0 && $s['convoques']==0) || count($s['datelieu'])>1 ) 
				printf("<td class=\"controle\"><input name=\"supprimer[$i]\" type=\"submit\" class=\"bouton_supprimer\" value=\"%s\" title=\"Supprimer la s&eacute;ance\" /></td>\r\n",$j);
			else printf("<td class=\"controle\"><input class=\"bouton_interdit\" type=\"button\" title=\"Suppression interdite. Cliquez pour savoir pourquoi.\" onclick=\"javascript:popUp('adm_expl_pas_sup.php?inscrits=%d&amp;convoques=%d&amp;id_seance=%d','console',600,480)\" /></td>\n", $s['inscrits'],$s['convoques'],$s['id_seance']);		
			print "</tr>\n";
			++$j;
		}
	}
	print "</table>\n";

}

/******************************
	Entres-sorties
*******************************/
/* EnregistreDansBase
Enregistre une animation et les sances correspondantes dans la base de donnes, si c'est possible.
Renvoie id_anim si tout est ok, sinon 0.
*/
function enregistreDansBase($h)
{
	global $animation,$position, $seances, $erreur;
	$erreur='';
	//$id_anims=array(); //tableau pour classement des anims
	$id_domaine=$position['id_domaine'];
	$id_theme=$position['id_theme'];
	$nb=queryValue("SELECT COUNT(*)FROM positions WHERE id_theme=$id_theme AND id_domaine=$id_domaine",$h);
	if ($position['tri']==0) $position['tri']=$nb+1;
	$id_anim_retour=0;
	if ($animation['id_anim']==0) { //nouvelle anim: pas de contrle  faire dans la base; juste ajouter...
		$q=sprintf("INSERT INTO animations(id_circo,intitule,description,remarque, id_categorie,lien) VALUES(\"%d\",\"%s\",\"%s\",\"%s\",\"%d\",\"%s\")",
		$animation['id_circo'],
		myEscapeString($h,$animation['intitule']),
		myEscapeString($h,$animation['description']),
		myEscapeString($h,$animation['remarque']),
		$animation['id_categorie'],
		myEscapeString($h,$animation['lien'])
		);
		$r=query($q,$h);
		if (!$r) return 0;
		$id_anim=@mysqli_insert_id($h);
		$q=sprintf("INSERT INTO positions(id_domaine,id_theme,tri,id_anim) VALUES( '%d','%d','%d','%d')",
		$id_domaine,
		$id_theme,
		$position['tri'],
		$id_anim); 
		$position['id_position']=@mysqli_insert_id($h);
		$r=query($q,$h);
		if (!$r) return 0;
		// insre les sances.
		foreach($seances as $s) {
			$q=sprintf("INSERT INTO seances(id_anim,max,public,tri,cond) VALUES(\"%s\",\"%s\",\"%s\",\"%d\",\"%d\")",
			$id_anim,
			$s['max'],
			myEscapeString($h,$s['public']),
			$s['tri'],
			$s['cond']);
			$r=query($q,$h);
			if (!$r) return 0;
			$id_seance=@mysqli_insert_id($h);
			$datelieu=$s['datelieu'];
			foreach($datelieu as $d) {
				$q=sprintf("INSERT INTO dates(id_seance,date,lieu,remarque,duree,tri,horaire) VALUES(\"%s\", \"%s\",\"%s\",\"%s\",\"%s\",\"%d\",\"%s\")",
				$id_seance,
				$d['date'],
				myEscapeString($h,$d['lieu']),
				myEscapeString($h,$d['remarque']),
				$d['duree'],
				$d['tri'],
				myEscapeString($h,$d['horaire']));
				query($q,$h);
				
				$id_date=@mysqli_insert_id($h);
				foreach ($d['intervenants'] as $id_intervenant) {
					// teste existence intervenant
					$n=queryValue("SELECT count(*) FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
					if ($n==1 ) 
							query("INSERT INTO interventions(id_date, id_intervenant) VALUES ($id_date,$id_intervenant)",$h);
				}
			}					
			// renseigne maintenant les animations partages pour cette sance
			partage($id_seance,$s['partage'],$h);
		}
		$id_anim_retour=$id_anim;
	}
	else { // l'animation existe dj: il faut la mettre  jour
		$q=sprintf("REPLACE INTO animations(id_anim, id_circo,intitule,description,remarque,id_categorie,lien,annule) VALUES(\"%d\",\"%d\",\"%s\",\"%s\",\"%s\",\"%d\",\"%s\",\"%d\")",
		$animation['id_anim'],
		$animation['id_circo'],
		myEscapeString($h,$animation['intitule']),
		myEscapeString($h,$animation['description']),
		myEscapeString($h,$animation['remarque']),
		$animation['id_categorie'],
		myEscapeString($h,$animation['lien']),
		$animation['annule']
		);
		$r=query($q,$h);
		if (!$r) return 0;
		$q=sprintf("REPLACE INTO positions(id_position,id_domaine,id_theme,tri,id_anim) VALUES('%d','%d','%d','%d','%d')",
		$position['id_position'],
		$position['id_domaine'],
		$position['id_theme'],
		$position['tri'],
		$position['id_anim']);
		$r=query($q,$h);
		if (!$r) return 0;
		// modifie les sances existantes...
		if (!supprimeSeances($h)) return 0;
		foreach($seances as $s) {
			$s['id_anim']=$animation['id_anim'];
			if ($s['id_seance']!=0) $r=remplaceSeance($s,$h);
			else $r=ajouteSeance($s,$h);
		}
		$id_anim_retour= $r? $animation['id_anim']: 0;
	}
	// mettre  jour les icalendriers des intervenants concerns (pour une mise  jour immdiate)
	$intervenants=array();
	foreach($seances as $s) {
		$datelieu=$s['datelieu'];
		foreach($datelieu as $d) {
			foreach($d['intervenants_initiaux'] as $id_intervenant) if (!in_array($id_intervenant,$intervenants)) $intervenants[]=$id_intervenant;
			foreach($d['intervenants'] as $id_intervenant) if (!in_array($id_intervenant,$intervenants)) $intervenants[]=$id_intervenant;
		}
	}
	if (!empty($intervenants)) {
		$liste=implode(',',$intervenants);
		query("UPDATE intervenants SET ical_cache=NULL, ical_timestamp=NULL WHERE id_intervenant IN ($liste)",$h);
	}
	return $id_anim_retour;
}

function remplaceSeance($s,$h)
{
	$q=sprintf("REPLACE INTO seances(id_seance, id_anim,max,public,tri,cond) VALUES(\"%s\",\"%s\",\"%s\",\"%s\",\"%d\",\"%d\")",
	$s['id_seance'],
	$s['id_anim'],
	$s['max'],
	myEscapeString($h,$s['public']),
	$s['tri'],
	$s['cond']);
	$r=query($q,$h);
	partage($s['id_seance'],$s['partage'],$h);
	//remplace les dates de la sance
	// supprimer les dates rsiduelles
	$r=query("SELECT id_date FROM dates WHERE id_seance=".$s['id_seance'],$h);
	$dates_en_cours=array();
	while ($row=@mysqli_fetch_row($r)) $dates_en_cours[]=$row[0];
	foreach($s['datelieu'] as $d) {
		if ($d['id_date']>0) {
			$q=sprintf("REPLACE INTO dates(id_date,id_seance,date,lieu,remarque,duree,tri,horaire) VALUES(\"%s\",\"%s\",\"%s\",\"%s\",\"%s\",\"%s\",\"%d\",\"%s\")",
			$d['id_date'],
			$s['id_seance'],
			$d['date'],
			myEscapeString($h,$d['lieu']),
			myEscapeString($h,$d['remarque']),
			$d['duree'],
			$d['tri'],
			myEscapeString($h,$d['horaire'])
			);
			query($q,$h);
			$pos= array_search($d['id_date'],$dates_en_cours);
			if ($pos>=0) $dates_en_cours[$pos]=0;
			$id_date=$d['id_date'];
			query("DELETE FROM interventions WHERE id_date=$id_date",$h);
		}
		else {//ajoute une date 
			$q=sprintf("INSERT INTO dates(id_seance,date,lieu,remarque,duree,tri,horaire) VALUES(\"%s\",\"%s\",\"%s\",\"%s\",\"%s\",\"%d\",\"%s\")",
			$s['id_seance'],
			$d['date'],
			myEscapeString($h,$d['lieu']),
			myEscapeString($h,$d['remarque']),
			$d['duree'],
			$d['tri'],
			myEscapeString($h,$d['horaire']));
			query($q,$h);
			$id_date=@mysqli_insert_id($h);
		}
		// programme les interventions
		foreach($d['intervenants'] as $id_intervenant) {
			$n=queryValue("SELECT COUNT(*) FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
			if ($n==1) query("INSERT INTO interventions(id_date,id_intervenant) VALUES($id_date, $id_intervenant)",$h);
		}
	}
	//supprime les dates restantes
	for ($i=0;$i<sizeof($dates_en_cours);++$i) 
		if ($dates_en_cours[$i]>0) { 
			query("DELETE FROM interventions WHERE id_date=".$dates_en_cours[$i],$h);			
			query("DELETE FROM dates WHERE id_date=".$dates_en_cours[$i],$h);
		}
	return $r? true: false;
}
function ajouteSeance($s,$h)
{
	$q=sprintf("INSERT INTO seances( id_anim,max,public,tri,cond) VALUES(\"%s\",\"%s\",\"%s\",\"%d\",\"%d\")",
		$s['id_anim'],
		$s['max'],
		myEscapeString($h,$s['public']),
		$s['tri'],
		$s['cond']);
	$r=query($q,$h);
	if (!$r) return false;
	$id_seance=@mysqli_insert_id($h);
	foreach($s['datelieu'] as $d) {
		$q=sprintf("INSERT INTO dates(id_seance,date,lieu,remarque,duree,tri,horaire) VALUES(\"%s\",\"%s\",\"%s\",\"%s\",\"%s\",\"%d\",\"%s\")",
		$id_seance,
		$d['date'],
		myEscapeString($h,$d['lieu']),
		myEscapeString($h,$d['remarque']),
		$d['duree'],
		$d['tri'],
		$d['horaire']);
		query($q,$h);
		$id_date=@mysqli_insert_id($h);
		foreach($d['intervenants'] as $id_intervenant) {
			$n=queryValue("SELECT COUNT(*) FROM intervenants WHERE id_intervenant=$id_intervenant",$h);
			if ($n==1) query("INSERT INTO interventions(id_date,id_intervenant) VALUES($id_date, $id_intervenant)",$h);
		}
	}
	partage($id_seance,$s['partage'],$h);
	return $r? true: false;
}

/*SupprimeSeances
	Supprime les sances qui ne sont pas dans la liste des sances.
	retourne true si ok
*/

function supprimeSeances($h)
{
	global $seances, $animation,$erreur;
	$q=sprintf("SELECT id_seance FROM seances WHERE id_anim=%s",$animation['id_anim']);
	$r=query($q,$h);
	if (!$r) return false;
	$supprimer=array();
	while ($row=@mysqli_fetch_row($r)) {
		$id_seance=$row[0];
		$trouve=false;
		foreach ($seances as $s) if ($s['id_seance']==$id_seance) {
			$trouve=true;
			break;
		}
		if (!$trouve) { // si sance non trouve dans $seances, alors vrifie qu'on peut la supprimer.
			$q="SELECT COUNT(*) FROM inscriptions WHERE id_seance=$id_seance";
			$n=queryValue($q,$h);
			if ($n>0) {
				$erreur.="Impossible de supprimer certaines sances car des stagiaires y sont inscrits. ";
				return false;
			}
			$q="SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance";
			$n=queryValue($q,$h);
			if ($n>0) {
				$erreur.="Impossible de supprimer certaines sances car des stagiaires y sont convoqus. ";
				return false;
			}
			$supprimer[]=$id_seance;
		}
	}
	// tout va bien: on peut supprimer
	foreach ($supprimer as $id_s) {
		$erreur='';
		query("DELETE interventions FROM interventions,dates WHERE interventions.id_date=dates.id_date AND dates.id_seance=$id_s",$h);
		if ($erreur) return false;
		$r3=supprimerPositionsExterieures($h,$id_s);
		$q="DELETE FROM dates WHERE id_seance=$id_s";
		$r0=query($q,$h);
		$q="DELETE FROM items WHERE id_seance=$id_s";
		$r5=query($q,$h);
		$q="DELETE FROM seances WHERE id_seance=$id_s";
		$r1=query($q,$h);
		// dtruit aussi la table des exportations
		$q="DELETE FROM partages WHERE id_seance=$id_s";
		$r2=query($q,$h);
		$q="DELETE FROM groupements WHERE id_seance=$id_s";
		$r4=query($q,$h);
		if (!$r0||!$r1||!$r2||!$r3||!$r4||!$r5) return false;
	}
	return true;	
}
/* on supprime les positions correspondant  la sance mais extrieures  la circo. Le problme c'est que les positions se rfrent  une animation, pas  une sance. Donc on doit tester si la circo extrieure importe une autre sance de l'animation. Si c'est le cas, on  laisse en place la position. Sinon, on la supprime.
*/

function supprimerPositionsExterieures($h,$id_seance)
{
	global $id_circo;
	// repre toutes les positions hors circo organisatrice
	
	$r=query("SELECT id_position,domaines.id_circo FROM seances, positions, domaines WHERE seances.id_seance=$id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo<>$id_circo",$h);
	
	while ($row=@mysqli_fetch_row($r)) {
		$id_position=$row[0];// la position  dtruire peut-etre
		$id_circo_concernee=$row[1];// la circo qui renferme la position
		//vrifie que cette circo accepte bien la sance $id_seance qui sera suprime plus tard
		$n=queryValue("SELECT COUNT(*) FROM partages WHERE id_circo=$id_circo_concernee AND id_seance=$id_seance AND accepte<>0",$h);
		if (!$n) continue;
		
		//compter le nombre de sances acceptes qui restent accroches  l'animation. UNE DE CES SEANCES EST $id_seance
		$n=queryValue("SELECT SUM(accepte) FROM partages, seances, positions, domaines WHERE partages.id_seance=seances.id_seance AND partages.id_circo=domaines.id_circo AND domaines.id_domaine = positions.id_domaine AND positions.id_position=$id_position AND positions.id_anim=seances.id_anim",$h);
		if ($n==1) {// Il ne reste qu'une seule sance importe dans cette position. Il s'agit forcment de $id_seance. On peut donc dtruire la position, ili n'y aura plus de sance accepte pour cette animation dans cette circo lorsqu'on aura dtruit $id_seance.
			
			query("DELETE FROM positions WHERE id_position=$id_position",$h);
		}
	}
	return true;
}

/*Partage
	Modifie le partage d'une sance donnes
*/

function partage($id_seance,$partages_nouv,$h)
{
	global $id_circo;
	if (is_array($partages_nouv)) for ($i=0;$i<count($partages_nouv);++$i) $partages_nouv[$i]=abs($partages_nouv[$i]);
	else $partages_nouv=abs($partages_nouv);
	//reconstruit les partages pour une sance donne.
	$q="SELECT id_circo FROM partages WHERE id_seance=$id_seance";
	$r=query($q,$h);
	$partages_en_cours=array();
	while($row=@mysqli_fetch_row($r)) $partages_en_cours[]=$row[0];
	// Ajoute les nouveaux partages dans la base
	if (is_array($partages_nouv)) foreach($partages_nouv as $p_nouv) {
		if (!in_array($p_nouv,$partages_en_cours)){
			$v=$p_nouv==$id_circo?'1':'0';
			
			$q="INSERT INTO partages (id_seance,id_circo,accepte) VALUES('$id_seance','$p_nouv','$v')";// les partages spcifiques  la circonscription sont accepts d'office
			query($q,$h);
		}	
	}
	else { // problmes de compatibilit avec php versions anciennes (4.3.9), ncessite de tester si partages_nouv est un tableau
		if (!in_array($partages_nouv,$partages_en_cours)){
			$v=$partages_nouv==$id_circo?'1':'0';
			
			$q="INSERT INTO partages (id_seance,id_circo,accepte) VALUES('$id_seance','$partages_nouv','$v')";// les partages spcifiques  la circonscription sont accepts d'office
			query($q,$h);
		}	
	
	
	}
	// supprime les partages de la base qui ne sont plus valables
	foreach($partages_en_cours as $p_cours) {
		if(!in_array($p_cours,$partages_nouv)){
			$q="DELETE FROM partages WHERE id_circo='$p_cours' AND id_seance='$id_seance'";
			query($q,$h);
		}
	}
}

function lireFormulaire()
{
	global $animation,$position,$seances,$_POST;
	if (isset($_POST['id_domaine']))$position['id_domaine']=intval(normalise($_POST['id_domaine']));
	else $position['id_domaine']=0;
	if (isset($_POST['id_theme'])) $position['id_theme']=intval(normalise($_POST['id_theme']));
	else $position['id_theme']=0;
	if (isset($_POST['id_categorie'])) $animation['id_categorie']=intval(normalise($_POST['id_categorie']));
	else $animation['id_categorie']=0;
	
	if (isset($_POST['intitule'])) $animation['intitule']=normaliseT(nettoyerApostrophes($_POST['intitule']),255);
	else $animation['intitule']='';
	if (isset($_POST['description'])) $animation['description']=normalise(nettoyerApostrophes($_POST['description']));
	else $animation['description']='';
	if (isset($_POST['remarque']))$animation['remarque']=normalise(nettoyerApostrophes($_POST['remarque']));
	else $animation['remarque']='';
	if (isset($_POST['lien']))$animation['lien']=normaliseT($_POST['lien'],255);
	else $animation['lien']='';
	if (isset($_POST['annule']))$animation['annule']='1';
	else $animation['annule']='0';

	
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--
			var changement=<?php print  $modifier==false?"false":"true" ?>;
			function keyPress(event) {
				if (event.keyCode==13) validation();
			}
			function change()
			{
				changement=true;
			}
			function change2()
			{
				changement=true;
				document.formulaire.position.value=0;
				
			}
			function confirme()
			{
				var b=true;
				if (changement) 
					b=window.confirm("Si vous quittez maintenant, vous perdrez toutes les modifications car vous n'avez pas valid. Faut-il vraiment quitter ?\nCliquez sur OK pour quitter cette page, ANNULER pour rester sur cette page (et pensez  valider).");
				if (b) 	
					location.href="<?php print $url_ret_adm_animations_modif;
						if ($ancre) print "#$ancre";
					?>";
			}
			function confirmeAnimationSuivante()
			{
				var b=true;
				if (changement) 
					b=window.confirm("Vous tes sur le point de passer  l'animation suivante. Vous allez perdre tous les changements oprs sur l'animation en cours. Confirmez-vous ?");
				if (b) {
					document.formulaire.commande.value="anim_suivante";
					document.formulaire.submit();
				}
			}
			function confirmeDuplication()
			{
				var b=true;
				if (changement) 
					b=window.confirm("Vous tes sur le point de DUPLIQUER cette animation. Vous allez perdre tous les changements oprs sur l'animation en cours. L'animation duplique reprendra tous les lments de l'ancienne animation. Confirmez-vous ?");
				else
					b=window.confirm("Vous tes sur le point de DUPLIQUER cette animation. Confirmez-vous ?");
						
					if (b) {
						document.formulaire.commande.value="dupliquer_anim";
						document.formulaire.submit();
					}
			}
		
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=700,height=580');	
				win.focus();
			}
			function testerLien(url)
			{
				if (url) {
					if (url.substr(0,7).toLowerCase()!='http://' && url.substr(0,8).toLowerCase()!='https://') url='http://'+url;
					window.open(url);
				}
			}
			function validation()
			{
				<?php if ($avertissement) :?>
				if (!window.confirm("Etes-vous VRAIMENT sr(e) de vouloir changer les dures de participation des stagiaires ?")) return;
				<?php endif?>
				var al='';
				var a=document.formulaire.description.value.length;
				var b=document.formulaire.remarque.value.length;
				if (a><?php print $taille_max_description;?>) al="La description est trop longue ("+a+" signes). ";
				if (b><?php print $taille_max_remarque;?>) al=al+"La remarque est trop longue ("+b+" signes). ";
				if (al) alert(al+"\nVeuillez rsumer davantage.");
				else {
					document.formulaire.commande.value='valider';
					document.formulaire.submit();
				}
				
			}
			function annulation()
			{
				document.formulaire.commande.value='annuler';
				document.formulaire.submit();

			}				
			function countChars(from,to,max) {
			  var len = from.value.length;
			  document.getElementById(to).innerHTML = len+"/"+max+" signes";
			  changement=true;
			}
		//-->	
		</script>
	</head>
	<body>
	<div id="conteneur">
	 <?php 
		include('menu_principal.inc.php');
		
	?>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="javascript:confirme()">retour</a></li>
      <li><a href="#bas">bas</a></li>
	  <?php if ($animation['id_anim']>0 && $url_ret_adm_animations_modif=='adm_plan_modif.php') print "<li><a href=\"javascript:confirmeAnimationSuivante()\">animation suivante</a></li>\n";
	  ?>
	</ul>
	</div>
	<div id="corps">
	<?php
		if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); 
	?>
	Les champs * sont obligatoires.
	<form name="formulaire" method="post" action="" >
	<table>
      <tr class="table_entete">
        <td>
 		<?php 
		// affichage conditionnel du bouton supprimer_anim
		$afficher=true;
		foreach($seances as $s) 
			if ($s['inscrits']>0 || $s['convoques']>0 ){
				$afficher=false;
				break;
			}
			/*else foreach($s['partage'] as $p) {
				if ($p<0 && $p!=-$id_circo) {
					$afficher=false;
					break;
				}
			}
			*/
		if ($afficher) print "<input name=\"supprimer_anim\" type=\"submit\" class=\"bouton_supprimer\" id=\"supprimer_anim\" value=\"Supprimer\" title=\"Supprimer toute l'animation\" />\n";   	
		if ($animation['id_anim']!=0) 
			print "&nbsp;<input name=\"dupliquer_anim\" type=\"button\" class=\"bouton_dupliquer\" id=\"dupliquer_anim\" value=\"Dupliquer\" title=\"Dupliquer toute l'animation\" onclick=\"javascript:confirmeDuplication()\" />\n";
			?>		</td>
        <td><?php if ($animation['id_anim']!=0) {
			if ($animation['intitule']) printf("%s%s",$animation['annule']?"[ANNUL&Eacute;] : ":'',htmlentities($animation['intitule'],ENT_COMPAT,'ISO-8859-15'));
			else print "Modification d'une animation";
		} 
		else print "Ajout d'une animation";
		if ($annee>0) print ' (plan futur)';
		?></td>
        <td><h4>&nbsp;</h4></td>
      </tr>
      <tr class="survol">
        <td><h4>Domaine*
            <input name="commande" type="hidden" id="ActionCourante" value="0" />
        </h4></td>
        <td><span class="table_entete">
          <select name="id_domaine" class="survol" id="id_domaine" onchange="javascript:change2()">
            <?php afficherDomaines($h,$position['id_domaine'])?>
          </select>
        </span></td>
        <td><p><a href="adm_domaines.php?url_ret=adm_animations_modif.php"> Domaines... </a></p></td>
      </tr>
      <tr class="survol">
        <td><h4>Th&egrave;me*</h4></td>
        <td><select name="id_theme" class="survol" id="id_theme" onchange="javascript:change2()">
		  <?php afficherThemes($h,$position['id_theme'])?>
                </select></td>
	    <td><p><a href="adm_themes.php?url_ret=adm_animations_modif.php">Th&egrave;mes... </a></p></td>
      </tr>
	  <?php if ($nb_categories>0) { ?>
      <tr class="survol">
	  <td><h4>Cat&eacute;gorie</h4></td>
       <td><select name="id_categorie" class="survol" id="id_categorie">
		  <?php afficherCategories($h,$animation['id_categorie'])?>
        </select></td>
	    <td>
		
		  <p><a href="adm_categories_voir.php?url_ret=adm_animations_modif.php">Cat&eacute;gories...</a></p></td>	  
	  </tr>
	  <?php } ?>
	  <tr class="survol">
        <td><h4>Intitul&eacute;* </h4></td>
        <td><input name="intitule" type="text" class="survol" id="intitule" value="<?php afficherChamp('intitule')?>" size="80" maxlength="255" onchange="javascript:change()" onkeypress="javascript:keyPress(event)" /></td>
        <td><p class="remarque">Titre g&eacute;n&eacute;ral de l'animation</p></td>
      </tr>
      <tr class="survol">
        <td><h4>Description</h4>
          <p id="descriptionId" class="remarque"><?php print "Max. $taille_max_description signes"?></p>		  </td>
        <td>
          <textarea name="description" cols="50" rows="4" class="survol" onkeyup="javascript:countChars(this,'descriptionId',<?php print $taille_max_description?>)"><?php afficherChamp('description') ?></textarea>       </td>
        <td>&nbsp;</td>
      </tr>
      <tr class="survol">
        <td><h4>Remarque</h4>
          <p id="remarqueId" class="remarque"><?php print "Max. $taille_max_remarque signes"?></p>		</td>
        <td>
          <textarea name="remarque" cols="50" rows="4" class="survol" id="remarque" onkeyup="javascript:countChars(this,'remarqueId',<?php print $taille_max_remarque?>)"><?php afficherChamp('remarque')?></textarea>       </td>
        <td><p class="remarque">&nbsp;</p></td>
      </tr>
      <tr class="survol">
        <td><h4>Lien externe </h4></td>
        <td><input name="lien" type="text" class="survol" id="lien" value="<?php afficherChamp('lien')?>" size="80" maxlength="255" onchange="javascript:change()" onkeypress="javascript:keyPress(event)" />
          <span class="remarque"><a href="javascript:testerLien(document.formulaire.lien.value)" title="S'ouvre dans une nouvelle fen&circ;tre">s'y rendre</a></span></td>
        <td><p class="remarque">Lien facultatif vers une page web ext&eacute;rieure contenant des informations compl&eacute;mentaires.</p></td>
      </tr>
     <?php if ($animation['id_anim']!=0): ?>
	  <tr class="survol">
        <td><h4>Annulation</h4></td>
        <td><input name="annule" type="checkbox" id="annule" value="1" <?php if ($animation['annule']) print 'checked="checked"'?>/>
          Annuler l'animation: un champ &quot;[ANNUL&Eacute;] appara&icirc;tra dans le titre et sera imprim&eacute; par-dessus le descriptif. </td>
        <td class="remarque"><p>Ce champ n'agit que sur l'affichage. Il ne modifie pas les inscriptions, convocations, absences. </p></td>
      </tr>
	<?php endif ?>
      <tr class="table_entete">
        <td class="table_entete"><h4>
          <input name="ajouter" type="submit" class="bouton_ajoute" id="ajouter" value="Ajouter" title="Ajouter un ensemble"/>
        </h4></td>
        <td class="table_entete">S&eacute;ances</td>
        <td class="table_entete">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3">
		<?php afficherSeances($h)?>		</td>
      </tr>
      <tr>
        <td colspan="3"><div align="center">
          <?php 
		  	$s='';
			if ($annee>0) $s='(plan futur)';
			if ($avertissement) {
				print "<p class=\"erreur\">AVERTISSEMENT: vous tes en train de MODIFIER LE TEMPS DE PARTICIPATION des stagiaires aux animations !<br/>\n";
				print "Sauf cas exceptionnel, rorganisez les sances pour rtablir les dures totales (aidez-vous des rappels ci-dessous). Ne validez que lorsque ce message a disparu !<br/><br/>\n";
				print $avertissement;
				print "</p>\n";
			}
			$malgre_tout='';
			if ($avertissement) $malgre_tout=" MALGRE TOUT";
		  	if ($animation['id_anim']>0) {
		  		print "<input name=\"valider\" type=\"button\" class=\"bouton_standard\" id=\"valider\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;Valider$malgre_tout les modifications de l'animation&nbsp;$s&nbsp;&nbsp;&nbsp;\" onclick=\"javascript:validation()\"  />";
				if ($avertissement) 
					print "<input name=\"annuler\" type=\"button\" class=\"bouton_standard\" id=\"annuler\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;ANNULER toutes les modifications de l'animation&nbsp;$s&nbsp;&nbsp;&nbsp;\" onclick=\"javascript:annulation()\"  />";
					
			
			}
			else 
		  		print "<input name=\"valider\" type=\"button\" class=\"bouton_standard\" id=\"valider\" value=\"&nbsp;&nbsp;&nbsp;&nbsp;Valider l'Ajout de l'animation au plan de formation&nbsp;$s&nbsp;&nbsp;&nbsp;\" onclick=\"javascript:validation()\" />";
		?>	
        </div></td>
      </tr>
	</table>
		<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\r\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15')); ?>
	</form>
	</div>
	<div class="menu_secondaire">
	<ul class="menu2">
	  <li><a href="javascript:confirme()">retour</a></li>
	  <li><a href="#haut">haut</a></li>
	  <?php if ($animation['id_anim']>0 && $url_ret_adm_animations_modif=='adm_plan_modif.php') print "<li><a href=\"javascript:confirmeAnimationSuivante()\">animation suivante</a></li>\n";
	  ?>
	</ul>
	</div>

	<a name="bas" id="bas"></a></div>
	
	</body>
</html>
