<?php
/*	
	Auto rparation de la base
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	require '_sqlconnect.inc.php';
	require('_requetes.inc.php');
	require('_fonctions_mdp.inc.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_auto_repare=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_auto_repare']=$url_ret_adm_auto_repare;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_auto_repare'])) {
		$url_ret_adm_auto_repare=$_SESSION['circonscript7_url_ret_adm_auto_repare'];
	}
	else $url_ret_adm_auto_repare="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	
	$erreur='';
	$page='';
	debugInit();
	$err=false;
	$temps=ini_get("max_execution_time");
	while (isset($_POST['edOui'])) {
		$oui='';
		$h=connect();
		$oui=$_POST['edOui'];
		if ($oui!='oui') $erreur="Vous devez crire oui en minuscules dans le champ de texte. ";
		$ferme=queryValue("SELECT ferme FROM general",$h);
		if (!$ferme) $erreur.="Il faut d'abord fermer le site. ";
		if ($erreur) break;
		@set_time_limit(0);
		foreach($req as $t=>$q) {
			effectue($t,$q);
			if ($erreur) break;
		}
		$erreur="Traitement effectu. ";
		if ($err) $erreur.="Des erreurs ont t rpares. Vous devriez relancer l'auto-rparation jusqu' ce qu'il n'y ait plus d'erreurs.";
		else $erreur.="Aucune erreur n'a t dtecte ! Rien n'a t modifi.";
		break;
	}
	
function my_field_name($result, $field_offset)
{
    $properties = mysqli_fetch_field_direct($result, $field_offset);
    return is_object($properties) ? $properties->name : '';
}
function my_table_name($result,$field_offset)
{
    $properties = mysqli_fetch_field_direct($result, $field_offset);
    return is_object($properties) ? $properties->orgtable : '';

}
function creerNouvelUtilisateur($id,$num)
{
	global $h,$page,$erreur,$err;
	$mdp=getMdp();
	$login=loginGeneriqueUnique(0,$h);// utilisateur0 ou autre...
	$r=query("INSERT INTO utilisateurs(login,mdp,codage) VALUES('$login','$mdp','0')",$h);
	$id_uti=@mysqli_insert_id($h);
	if ($id_uti) {
		$login=loginGeneriqueUnique($id_uti,$h);// renomme avec un nom plus appropri
		query("UPDATE utilisateurs SET login='$login' WHERE id_uti='$id_uti'",$h);
		switch($num) {
			case 0: query("UPDATE stagiaires SET id_uti='$id_uti' WHERE id_stagiaire='$id'",$h);break;
			case 1: query("UPDATE intervenants SET id_uti='$id_uti' WHERE id_intervenant='$id'",$h);break;
			case 2: query("UPDATE administrateurs SET id_uti='$id_uti' WHERE id_admin='$id'",$h);break;
		}	
	}	
}	
function supprimerDoublonsOrphelins($id_uti)
{
	global $h;
	$login=queryValue("SELECT login FROM utilisateurs WHERE id_uti=$id_uti",$h);
	if ($login=='') return; // l'utilisateur peut avoir t supprim s'il est orphelin
	$r=query("SELECT id_uti FROM utilisateurs WHERE login='$login' ORDER BY id_uti DESC",$h);// le plus rcent sera supprim en premier
	$n=@mysqli_num_rows($r);
	while (($row=@mysqli_fetch_row($r)) && $n>1) {
		$id_uti_courant=$row[0];
		if (orphelin($id_uti_courant,$h)) {
			query("DELETE FROM utilisateurs WHERE id_uti=$id_uti_courant",$h);
			--$n;
		}
	}
	if ($n>1) {
		$r=query("SELECT id_uti FROM utilisateurs WHERE login='$login'",$h);
		$row=@mysqli_fetch_row($r);// passe le premier
		while ($row=@mysqli_fetch_row($r)) {
			$id_uti=$row[0];
			$login=loginGeneriqueUnique($id_uti,$h);
			query("UPDATE utilisateurs SET login='$login' WHERE id_uti=$id_uti",$h);
		}
	
	}
}
function restaurerPosition($id_partage)
{
	global $h;
	$r=query("SELECT id_seance, id_circo FROM partages WHERE id_partage=$id_partage",$h);
	if(!$r) return;
	$row=@mysqli_fetch_row($r);
	$id_seance=$row[0];
	$id_circo=$row[1];
	$id_domaine=queryValue("SELECT id_domaine FROM domaines WHERE id_circo=$id_circo AND libelle='[Rcupration]'",$h);
	if (!$id_domaine) {
		$tri=queryValue("SELECT COUNT(*) FROM domaines WHERE id_circo=$id_circo",$h)+1;
		$r2=query("INSERT INTO domaines (id_circo,libelle,tri,annee) VALUES($id_circo,'[Rcupration]',$tri,0)",$h);
		$id_domaine=@mysqli_insert_id($h);
	}
	$id_theme=queryValue("SELECT id_theme FROM themes WHERE id_circo=$id_circo and libelle='-'",$h);
	if (!$id_theme) {
		$tri=queryValue("SELECT COUNT(*) FROM themes WHERE id_circo=$id_circo",$h)+1;
		$r2=query("INSERT INTO themes (id_circo,libelle,tri,annee) VALUES($id_circo,'-',$tri,0)",$h);
		$id_theme=@mysqli_insert_id($h);
	}
	$id_anim=queryValue("SELECT id_anim FROM seances WHERE id_seance=$id_seance",$h);
	$nb=queryValue("SELECT COUNT(*) FROM positions,domaines WHERE positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND positions.id_anim=$id_anim",$h);
	if ($nb==0) query("INSERT INTO positions(id_domaine,id_theme,id_anim) VALUES($id_domaine,$id_theme,$id_anim)",$h);
}
function effectue($titre,$q)
{
	global $page,$h,$err,$erreur;
	$r=query($q[0],$h);	
	$n=@mysqli_num_rows($r);
	$q2='';
	if (count($q)>1) $q2=$q[1];
	if ($n) {
		$page.="<h2>$titre : $n erreur(s) --- rparation ";
		if( $q2) $page.="par mise  jour.</h2>\n";
		else $page.="par suppression.</h2>\n";
		$err=true;
		$table=my_table_name($r,0);
		$champ=my_field_name($r,0);
		if (!$table||!$champ) return;
		while ($row=@mysqli_fetch_row($r)) {
			if ($erreur) break;
			$id=$row[0];
			if($id) {
				if (!$q2)query("DELETE FROM $table WHERE $champ = '$id'",$h);
				else 
					if ($q2[0]=='*') {
						switch($q2[1]){
							case '0':
							case '1':
							case '2':
								creerNouvelUtilisateur($id,intval($q2[1]));
							break;
							case '3':
								supprimerDoublonsOrphelins($id);
								break;
							case '4':
								restaurerPosition($id);
								break;
						}
					}
					else query(sprintf($q2,$id),$h);
				
			}
		}		
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
	function confirme()
	{
		if (document.form1.edOui.value!='oui') {
			alert('Vous devez crire "oui" dans le champ');
			return;
		}
		var b=window.confirm("tes-vous sr de lancer maintenant l'autorparation ?");
		if (b) document.form1.submit();	
	}

//-->
        </script>		
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_auto_repare?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Auto-rparation de la base</h1>
				<p>L'auto-rparation a pour but de tenter une rparation complte de la base de donnes. Elle dtecte les incohrences et dans la majorit des cas, MET A JOUR ou SUPPRIME les enregistrements erron&eacute;s. Autrement dit, l'auto-rparation produit souvent des PERTES de donnes. Normalement, ces donnes ne sont pas accessibles et ne devraient pas affecter le fonctionnement. Mais il existe toujours un risque IMPORTANT de destruction des donnes ! C'est pourquoi <b>VOUS <u>DEVEZ TOUJOURS</u>  SAUVEGARDER LA BASE AVANT TOUTE AUTO-REPARATION !!!</b></p>
				<p>L'auto-r&eacute;paration se comporte ainsi: </p>               
			  
				<ul>
				  <li>si un stagiaire, un intervenant ou un administrateur n'est pas li&eacute; &agrave; un compte utilisateur, il y a cr&eacute;ation d'un compte utilisateur  (&quot;utilisateurXXX&quot; avec XXX : nombre ) avec un mot de passe provisoire al&eacute;atoire, et le stagiaire, intervenant ou administrateur y est reli&eacute;. </li>
			      <li>les animations dans une cat&eacute;gorie inexistante sont maintenues, la cat&eacute;gorie erron&eacute;e est effac&eacute;e de l'animation </li>
			      <li>les intervenants programm&eacute;s par une circo inexistante sont maintenus, mais pris en charge par l'administrateur</li>
			      <li>les stagiaires faisant partie d'un groupe inexistant sont maintenus mais ne font plus partie de ce groupe  </li>
			      <li>les partages accept&eacute;s sans position sont recr&eacute;&eacute;s; cela a pour effet de refaire appara&icirc;tre des animations qui ont disparu du plan, &agrave; l'int&eacute;rieur d'un domaine appel&eacute; [R&eacute;cup&eacute;ration], avec un th&egrave;me invisible.</li>
			      <li>dans tous les autres cas, les enregistrements erron&eacute;s sont effac&eacute;s.                     </li>
			  </ul>
				
				<p>Pour effectuer une auto-rparation, il faut: </p>
				<ul>
				<li>D'abord vrifier si elle est ncessaire en faisant le <a href="adm_test_integrite.php?url_ret=adm_auto_repare.php">test d'intgrit</a> et vrifier si le script dispose d'assez de temps pour s'effectuer (nombre d'erreurs pas trop important). Si ce n'est pas le cas utiliser le fichier de logs pour effectuer les modifications manuellement.</li>
				<li><a href="adm_etat.php?url_ret=adm_auto_repare.php">fermer le site</a></li>
				<li><a href="adm_sauvegardes.php?url_ret=adm_auto_repare.php"> FAIRE UNE SAUVEGARDE !</a> C'EST EXTREMEMENT IMPORTANT !!!</li>
				<li>Faire une double sauvegarde avec un autre outil (phpMyAdmin...), ne pas se contenter de celle de Circon'script !</li>
				<li>Rpter l'auto-rparation jusqu' ce qu'il n'y ait plus d'erreurs. En effet, une rparation peut amener des erreurs supplmentaires en cascade.</li>
				</ul>
				<p>Pour information, le temps maximum d'ex&eacute;cution d'un script sur votre serveur est de : <?php  print $temps ?> secondes (0 = infini). 
				<?php
					$x=@set_time_limit(0);
					if(!$x) print "Votre serveur refuse la modification de ce temps limite.\n";
					else print "Votre serveur accepte d'excuter ce script sur une dure infinie.\n";
				?>	
				
				
				</p>
			
				<form name="form1" method="post" action="">
				  <div align="center">Ecrivez &quot;oui&quot; dans la case
				    <input name="edOui" size="3" maxlength="3"/>
				    <input name="Submit" type="button" class="bouton_standard" value="Commencer l'auto-rparation" onclick="javascript:confirme()"/>
				    
				  </div>
				</form>
				<?php print $page ?>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_auto_repare?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
