<?php
/* 
	Paramtrage d'une circo
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_circo=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_circo']=$url_ret_adm_circo;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_circo'])) {
		$url_ret_adm_circo=$_SESSION['circonscript7_url_ret_adm_circo'];
	}
	else $url_ret_adm_circo="adm_configuration.php";
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: adm_configuration.php');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$erreur='';
	$resultat='';
	$avertissement='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	debugInit();	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$administration=isset($_SESSION['circonscript7_administration']);
	//$administration=false;
	$h=connect();
	ejecteSiFerme($h);
	$change_quota=0;
	$q="SELECT rne, libelle, libelle_court, saisie_courriel, quota, regle, duree_seance, horaire_defaut, saisie_quotite, courriel,refuser_courriel_ecole,type_circo,inscriptions_autorisees FROM circos WHERE id_circo=$id_circo";
	$row=queryArray($q,$h);
	$rne=$row['rne'];
	$libelle=$row['libelle'];
	$libelle_court=$row['libelle_court'];
	$quota_global=$row['quota'];
	$saisie_courriel=$row['saisie_courriel'];
	$regle=$row['regle'];
	$duree_seance=$row['duree_seance'];
	$horaire_defaut=$row['horaire_defaut'];
	$saisie_quotite=$row['saisie_quotite'];
	$courriel=$row['courriel'];
	$regles=regles($id_circo,$h);
	$refuser_courriel_ecole=$row['refuser_courriel_ecole'];
	$type_circo=$row['type_circo'];
	$type_circo_lu=$type_circo;
	$inscriptions=$row['inscriptions_autorisees'];
	if (isset($_POST['rne_circo']) && !isset($_POST['modifier'])) {
		$rne=strtoupper(normaliseT($_POST['rne_circo'],8));
		$libelle=normaliseT($_POST['libelle_circo'],255);
		$libelle_court=normaliseT($_POST['libelle_court_circo'],7);
		$courriel=normaliseT($_POST['courriel'],250);
		$saisie_courriel=abs(intval($_POST['saisie_courriel']));
		$quota_global=normaliseT($_POST['quota_circo'],7);
		$duree_seance=normaliseT($_POST['duree_seance'],7);
		if (isset($_POST['calcul']))
			$regle=$_POST['calcul'];
		else
			$regle=0;	
		$regle=intval($regle);
		if ($regle<0|$regle>4) $regle=0;
		$horaire_defaut=normaliseT($_POST['horaire_defaut'],16);
		$type_circo_lu=intval($_POST['type_circo']);
		if ($type_circo_lu<0||$type_circo_lu>2) $type_circo_lu=0;
		$inscriptions=isset($_POST['inscriptions'])?1:0;
	}
	
	if (isset($_POST['modifier'])) {
		if (isset($_POST['rne_circo'])) {
			$rne=strtoupper(normaliseT($_POST['rne_circo'],8));
			if (strlen($rne)!=8 || !preg_match("#([0-9]){7}[a-zA-Z]#",$rne) ) $erreur.="RNE invalide. ";
		}
		if (isset($_POST['libelle_circo'])) {
			$libelle=normaliseT($_POST['libelle_circo'],255);
			if (!nomValide($libelle)) $erreur.="Libell long non valide. ";
		}
		if (isset($_POST['libelle_court_circo'])) {
			$libelle_court=normaliseT($_POST['libelle_court_circo'],7);
			if (!nomValide($libelle_court)) $erreur.="Libell court invalide. ";
		}
		if (isset($_POST['courriel'])) {
			$courriel=strtolower(normaliseT($_POST['courriel'],250));
			if (!testeEMail($courriel)) $erreur.="Adresse de courriel incorrecte. ";
		}
		if (isset($_POST['saisie_courriel'])) {
			$saisie_courriel=intval($_POST['saisie_courriel']);
			if ($saisie_courriel <0 || $saisie_courriel>2) $erreur.="Saisie du courriel par le stagiaire non renseigne. ";
		}
		$refuser_courriel_ecole=isset($_POST['refuser_courriel_ecole'])?1:0;

		if (isset($_POST['saisie_quotite'])) {
			$saisie_quotite=intval($_POST['saisie_quotite']);
			if ($saisie_quotite <0 || $saisie_quotite>1) $erreur.="Saisie de la quotit par le stagiaire non renseigne. ";
		}
		else if ($type_circo==0) $erreur.='Saisie de la quotit. ';
		else $saisie_quotite=0;
		if (isset($_POST['quota_circo'])) $quota_global=normaliseT($_POST['quota_circo'],7);
		$b=settype($quota_global,"double");
		if (!$b||$quota_global<=0) $erreur.="Quota: Nombre d'heures invalide. ";
		if (isset($_POST['duree_seance'])) $duree_seance=normaliseT($_POST['duree_seance'],7);
		$b=settype($duree_seance,"double");
		if (!$b||$duree_seance<=0) $erreur.="Sance: Nombre d'heures invalide. ";
		if (isset($_POST['calcul'])) $regle=$_POST['calcul'];
		else $regle=0;
		$regle=intval($regle);
		if ($regle<0|$regle>4) $regle=0;
		if (isset($_POST['horaire_defaut'])) {
			$horaire_defaut=horaireSaisiEnSql(normaliseT($_POST['horaire_defaut'],16));
			if ($horaire_defaut=='') $erreur.="Horaire incorrect. ";
		}
		else $erreur.='Horaire dfaut. ';
		$inscriptions=isset($_POST['inscriptions'])?1:0;
		if ($administration && isset($_POST['type_circo'])) {
			$type_circo_lu=intval($_POST['type_circo']);
			if ($type_circo_lu<0||$type_circo_lu>2) $type_circo_lu=0;
			if($type_circo_lu!=$type_circo){
				$n=0;
				$err='';
				if ($type_circo_lu>0) {
					$n=queryValue("SELECT COUNT(*) FROM inscriptions, stagiaires,ecoles WHERE inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n) $err.="Il reste des inscriptions. ";
					$n=queryValue("SELECT COUNT(*) FROM convocations, stagiaires,ecoles WHERE convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n) $err.="Il reste des convocations. ";
					$n=queryValue("SELECT COUNT(*) FROM absences, stagiaires,ecoles WHERE absences.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n) $err.="Il reste des absences. ";
					$n=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if ($n)
						if ($type_circo_lu==2) $avertissement="Attention: il y a des stagiaires. Il devront se transfrer vers une autre circo.";
						else $err="Il reste des stagiaires. ";
					$n=queryValue("SELECT COUNT(*) FROM partages,seances, animations WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo<>$id_circo",$h);
					if ($n) $err.="Il reste des importations. ";
					
				}
				if(!$err) $type_circo=$type_circo_lu;	
				else $erreur="Type de circo impossible. ".$err;
			}
		}
		if (!$erreur) {
			if ($inscriptions && $type_circo!=0) $inscriptions=0;
			$q=sprintf("UPDATE circos SET  rne='$rne', libelle='%s', libelle_court='%s', quota='%f', saisie_courriel='%d', duree_seance='%3.2f', regle='$regle', horaire_defaut='$horaire_defaut', saisie_quotite='$saisie_quotite', courriel='$courriel', refuser_courriel_ecole='$refuser_courriel_ecole',type_circo='$type_circo',inscriptions_autorisees='$inscriptions' WHERE id_circo=$id_circo",myEscapeString($h,$libelle),myEscapeString($h,$libelle_court),$quota_global,$saisie_courriel,$duree_seance,$type_circo);
			query($q,$h);
			if ($type_circo>0) {
				query("UPDATE circos SET stag_etat=0, stag_enregistrement=0 WHERE id_circo=$id_circo",$h);
			}
			
			if (!$erreur) {
				if (isset($_POST['change_quota'])) {
					modifieQuotaStagiaires($quota_global,$duree_seance,$regle,$regles,$h);
					$change_quota=1;
					if (!$erreur) $resultat="Modifications enregistres. Quotas des stagiaires recaculs.";
				}
				else {
					$change_quota=0;
					$resultat="Modifications enregistres";			
				}
			}
		}
	
	}

	
function modifieQuotaStagiaires($quota_global,$duree_seance,$regle,$regles,$h)
{
	global $id_circo;
	$r=query("SELECT id_stagiaire,quotite,stagiaires.id_ecole, niveau ,id_groupe FROM stagiaires,ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_stagiaire=$row[0];
		$quotite=$row[1];
		$id_ecole=$row[2];
		$niveau=$row[3];
		$id_groupe=$row[4];
		$quota=quotaReferenceStagiaire($id_ecole,$id_groupe,$niveau,$regles);
		if ($quota<0) $quota=$quota_global;
		$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);
		$q=sprintf("UPDATE stagiaires SET quota='%.2f', quota_reel='%.2f' WHERE id_stagiaire=%d",$quota,$quota_reel,$id_stagiaire);
		query($q,$h);
	}
	
}
function afficherTableQuotas($h)
{
	global $quota_global,$duree_seance,$regle;

	$r=query("SELECT DISTINCT quotite FROM quotites ORDER BY quotite DESC LIMIT 0,10",$h);
	$quotites=array();
	while ($row=@mysqli_fetch_row($r)) $quotites[]=$row[0];
	print "<table>\n";
	print "<tr class=\"table_entete\">\n";
	print "<td><p>R&egrave;gles&nbsp;/&nbsp;quotit&eacute;s</p></td>\n";
	for ($i=0;$i<sizeof($quotites);++$i) 
		print "<td><p>$quotites[$i]</p></td>\n";
	print "</tr>\n";
	for ($i=0;$i<5;++$i) {
		$checked='';
		if ($i==$regle) $checked="checked=\"checked\""; 
		switch($i) {
			case 0: print "<tr><td><p><input type=\"radio\" name=\"calcul\" value=\"0\" $checked />R&egrave;gle de trois simple</p></td>\n";
				break;
			case 1: print "<tr><td><p><input type=\"radio\" name=\"calcul\" value=\"1\" $checked />Arrondi &agrave; la valeur la plus proche. En cas d'&eacute;quidistance, prendre la valeur la plus basse.</p></td>\n";
				break;
			case 2: print "<tr><td><p><input type=\"radio\" name=\"calcul\" value=\"2\" $checked />Arrondi &agrave; la valeur la plus proche. En cas d'&eacute;quidistance, prendre la valeur la plus haute.</p></td>\n";
				break;
			case 3: print "<tr><td><p><input type=\"radio\" name=\"calcul\" value=\"3\" $checked />Arrondi  la valeur inf&eacute;rieure.</p></td>\n";
				break;
			case 4: print "<tr><td><p><input type=\"radio\" name=\"calcul\" value=\"4\" $checked />Arrondi  la valeur sup&eacute;rieure.</p></td>\n";
				break;
			
	
		}
		for ($j=0;$j<sizeof($quotites);++$j) {
			$b=quotaReelStagiaire($quota_global,$quotites[$j],$duree_seance,$i);
			printf("<td><p>%s</p></td>\n",reelEnHeure($b));
		
		}
		print "</tr>\n";
	}
	print "</table>\n";
		
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<style type="text/css">
<!--
.Style1 {color: #000000}
-->
        </style>
</head>

	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_circo?>">retour</a></li>
                    <li><a href="#bas">bas</a></li>
</ul>
			</div>
		  <div id="corps">
		  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>\n";		  	 
		  	if ($resultat) print "<p class=\"erreur\">$resultat</p>\n";
		  	if (!$erreur && $avertissement) print "<p class=\"erreur\">$avertissement</p>\n";?>
		    <h1>La circonscription </h1>
		    <form name="form" method="post" action="">
			  <?php if ($type_circo==0) : ?>
			  <p><b>Vous tes dans une circo "relle"</b>, c'est  dire que vous pouvez crer des plans, importer ou exporter des animations, grer les stagiaires, les inscriptions, les convocations, les absences.</p>
			  <?php elseif ($type_circo==1) : ?>
			  <p><b>Vous tes dans une circo "virtuelle"</b>, c'est  dire que vous pouvez crer des plans, exporter des animations. Vous ne pouvez pas grer les stagiaires et effectuer les travaux qui s'y rapportent. 
		      Vous ne pouvez pas importer d'animations.</p>
			  <?php elseif ($type_circo==2) : ?>
			  <p><b>Vous &ecirc;tes dans une circo &quot;virtuelle &agrave; transfert&quot;</b>, c'est &agrave; dire que vous pouvez cr&eacute;er des plans, exporter des animations. Vous pouvez inscrire des stagiaires, mais ces derniers seront invit&eacute;s, d&egrave;s leur premi&egrave;re connexion, &agrave; rejoindre une circo &quot;r&eacute;elle&quot; de leur choix. Vous ne pouvez pas g&eacute;rer les inscriptions, convocations et absences des stagiaires puisque ces dernieres vont vous quitter. 
Vous ne pouvez pas importer d'animations.<br />
			    <?php endif;?>
		        <?php if ($administration) : ?>
			  </p>
			  <p><em>[superadmin]</em> Type : 
			    <input name="type_circo" type="radio" value='0' <?php if ($type_circo==0) print 'checked="checked"'?>/> relle
			  <input name="type_circo" type="radio" value='1' <?php if ($type_circo==1) print 'checked="checked"'?>/> 
			  virtuelle pure
			  <input name="type_circo" type="radio" value='2' <?php if ($type_circo==2) print 'checked="checked"'?>/> virtuelle  transfert			  </p>
			  <p><em>[superadmin]</em> Gestion des inscriptions (si circo r&eacute;elle) :
			    <input name="inscriptions" type="checkbox" id="inscriptions" value="1" <?php if ($inscriptions) print 'checked="checked"'?> />
</p>
			  <?php endif?>
		      <p>RNE
		        <input name="rne_circo" type="text" id="rne_circo" value="<?php print htmlentities($rne,ENT_COMPAT,'ISO-8859-15')?>" size="8" maxlength="8" />
		      </p>
		      <p>Libell&eacute; long:
<input name="libelle_circo" type="text" id="libelle_circo" value="<?php print htmlentities($libelle,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="255" />
		      </p>
		      <p>Libell&eacute; court:
<input name="libelle_court_circo" type="text" id="libelle_court_circo" value="<?php print htmlentities($libelle_court,ENT_COMPAT,'ISO-8859-15')?>" size="7" maxlength="7" />
		      <em>Maximum 7 caract&egrave;res, pour les listes.</em> </p>
		      <p>Adresse de courriel pour contact: 
		        <input name="courriel" type="text" id="courriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15') ?>" size="100" maxlength="250" />
		      </p>
		      <?php if ($type_circo==0) :?>
			  <h3>Saisie du courriel par le stagiaire :</h3>
			  <p><em>Cette fonctionnalit peut tre ponctuellement dsactive pour certains stagiaires particuliers.</em></p>
		      <p>
		        <input name="saisie_courriel" type="radio" value="0" <?php print $saisie_courriel==0?'checked="checked"':''?>/>
		      Courriel facultatif
		      <br />
		      <input type="radio" name="saisie_courriel" value="1" <?php print $saisie_courriel==1?'checked="checked"':''?> /> 
	          Courriel obligatoire<br /> 
	          <input type="radio" name="saisie_courriel" value="2" <?php print $saisie_courriel==2?'checked="checked"':''?>/>
		        Courriel acad&eacute;mique obligatoire (la liste des suffixes admis est d&eacute;finie par l'administrateur principal)    </p>
		      <p>
		        <input name="refuser_courriel_ecole" type="checkbox" id="refuser_courriel_ecole" value="1" <?php if ($refuser_courriel_ecole) print 'checked="checked"' ?>/>
		      Refuser la saisie de l'adresse de courriel acad&eacute;mique d'une &eacute;cole &agrave; la place de celle du stagiaire </p>
			  <h4>Saisie de la quotit&eacute; par le stagiaire lors de l'&eacute;dition de ses param&egrave;tres</h4>
		      <p>
<input type="radio" name="saisie_quotite" value="0" <?php print $saisie_quotite==0?'checked="checked"':''?> />	          
le stagiaire peut modifier sa quotit&eacute;</p>
		      <p>
		        <input type="radio" name="saisie_quotite" value="1" <?php print $saisie_quotite==1?'checked="checked"':''?> />
		        le stagiaire ne peut pas modifier sa quotit&eacute; 
</p>
		      <?php endif ?>
		      <h4>Les animations p&eacute;dagogiques </h4>
		      <p>Nombre minimal d'heures d'animations pour un stagiaire travaillant &agrave; temps plein:
                <input name="quota_circo" type="text" id="quota_circo" value="<?php print htmlentities($quota_global,ENT_COMPAT,'ISO-8859-15')?>" size="7" maxlength="7" />
		      <em>Nombre d&eacute;cimal (utilisez le point d&eacute;cimal pour la virgule)</em></p>
		      <p>Dur&eacute;e standard d'une s&eacute;ance: 
		        <input name="duree_seance" type="text" id="duree_seance" value="<?php print htmlentities($duree_seance,ENT_COMPAT,'ISO-8859-15')?>" size="7" maxlength="7" />
		        heures.
		        <em>Nombre d&eacute;cimal (utilisez le point d&eacute;cimal pour la virgule</em>)</p>
		      <p><span class="attention Style1"><strong>Le nombre d'heures dues par les stagiaires sera un multiple de la dur&eacute;e standard ci-dessus</strong></span> (si vous utilisez les r&egrave;gles d'arrondi). </p>
		      <p>Horaire par d&eacute;faut du d&eacute;but d'une s&eacute;ance :
                <input name="horaire_defaut" type="text" id="horaire_defaut" value="<?php print horaireSqlEnHeure($horaire_defaut)?>" size="16" maxlength="16" />
                <em> par exemple 9h ou 8h30. </em></p>
		      <?php if ($type_circo==0 || $type_circo==2) :?>
			  <h4>Mode de calcul du nombre d'heures dues par le stagiaire </h4>
		      <p>Choisissez le mode de calcul. Dans chaque case du tableau, vous pouvez voir les dur&eacute;es de participation dues. Ces dur&eacute;es sont calcul&eacute;es en fonction du nombre d'heures et de la dur&eacute;e des s&eacute;ances indiqu&eacute;s ci-dessus. En validant, si vous cochez la case &quot;recalculer les quotas&quot;, la modification se fera automatiquement sur les stagiaires, apr&egrave;s application des &eacute;ventuelles r&egrave;gles particuli&egrave;res d&eacute;finies en <em>stagiaires, modifier le quota d'heures d'animations pour certaines cat&eacute;gories de stagiaires </em>) </p>
		      <?php afficherTableQuotas($h) ?>
		      <p>
		        <input name="change_quota" type="checkbox" id="change_quota" value="1" <?php if ($change_quota==1) print "checked=\"checked\"" ?> />
	            <strong>Recalculer les quotas</strong> de tous les stagiaires en fonction des paramtres ci-dessus (nombre minimal d'heures, dur&eacute;e standard d'une s&eacute;ance, mode de calcul), et des &eacute;ventuelles r&egrave;gles de gestion suppl&eacute;mentaires d&eacute;finies en <em>stagiaires, modifier le quota d'heures pour certaines cat&eacute;gories de stagiaires. </em> </p>
		      <?php endif?>
			  <hr />
		      <p align="center">
		        <input name="modifier" type="submit" class="bouton_standard" id="modifier" onclick="javascript:confirme()" value="Valider"/>
		      </p>
	        </form>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_circo?>">retour</a></li>
                    <li><a href="#haut">haut</a></li>
                </ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
</body>
</html>