<?php
/* 
	Menu bienvenue circos
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$libelle=queryValue("SELECT libelle FROM circos WHERE id_circo=$id_circo",$h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	$_SESSION['circonscript7_session_menu_page']=-1;
	automatisationCirco($id_circo,$h);
	$q="SELECT stag_etat,stag_enregistrement,exportations_autorisees, autoriser_plan_futur, dt_ouverture,dt_fermeture, NOW(),type_circo FROM circos WHERE id_circo=$id_circo";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$stag_etat=$row[0];
	$stag_enregistrement=$row[1];
	$exportations_autorisees=$row[2];
	$autoriser_plan_futur=$row[3];
	$dt_ouverture=$row[4];
	$dt_fermeture=$row[5];
	$maintenant=$row[6];
	$type_circo=$row[7];
	
	$etatSite="indfini";
	switch($stag_etat) { //tat du site
		case '': 
		case 0:
		$etatSite='ferm';break;
		case 1: $etatSite='inscriptions en cours';break;
		case 2: $etatSite='convocations en cours de traitement';break;
		case 3: $etatSite='convocations publies';break;
	}
	$actualite=queryValue("SELECT message_circo FROM general",$h);
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div id="corps" class="fond">	 
	  <h1><?php print htmlentities($libelle,ENT_COMPAT,'ISO-8859-15')?>, bienvenue !</h1>
	  <?php
	  if ($actualite) {
		print "<h2>Actualits</h2>\n";
		afficheActualite($actualite,true);
	  }
	  ?>
	  <h2>Informations sur l'&eacute;tat du site</h2>
	  <p>Le site est dans l'&eacute;tat:  <?php print $etatSite?>.</p>
	  <?php
		if ($dt_ouverture && $dt_ouverture>$maintenant) printf("<p class=\"attention\">Ouverture automatique des inscriptions le %s  %s. Il reste %s.</p>\n",dateSQLEnTexte(substr($dt_ouverture, 0,10)),horaireSqlEnHeure(substr($dt_ouverture,10),true),differenceDates($dt_ouverture,$maintenant));
		if ($dt_fermeture && $dt_fermeture>$maintenant) printf("<p class=\"attention\">Fermeture automatique des inscriptions le %s  %s. Il reste %s.</p>\n",dateSQLEnTexte(substr($dt_fermeture, 0,10)),horaireSqlEnHeure(substr($dt_fermeture,10),true),differenceDates($dt_fermeture,$maintenant));
	  	if ($autoriser_plan_futur) print "<p>Vous avez ouvert le plan futur.</p>\n";
		if ($stag_enregistrement) print "<p>Les stagiaires peuvent crer un compte eux-mmes en utilisant l'accs par circonscription.</p>\n";
		if ($exportations_autorisees) print "<p>Vous autorisez les importations des animations  partir de votre plan.</p>\n";
		else print "<p>Vous n'autorisez pas l'importation des animations  partir de votre plan.</p>\n";
	  ?>
	  <p>Pour modifier l'tat de la circo, rendez-vous en <a href="adm_site.php?url_ret=adm_circo_bienvenue.php">circo, tat du site</a>.</p>
	  <?php if ($type_circo==0) : ?>
	  <p><b>Vous &ecirc;tes dans une circo &quot;r&eacute;elle&quot;</b>, c'est &agrave; dire que vous pouvez cr&eacute;er des plans, importer ou exporter des animations, g&eacute;rer les stagiaires, les inscriptions, les convocations, les absences.</p>
	  <?php elseif ($type_circo==1) : ?>
	  <p><b>Vous &ecirc;tes dans une circo &quot;virtuelle&quot;</b>, c'est &agrave; dire que vous pouvez cr&eacute;er des plans, exporter des animations. Vous ne pouvez pas g&eacute;rer les stagiaires et effectuer les travaux qui s'y rapportent. 
		      Vous ne pouvez pas importer d'animations.<br/><?php elseif ($type_circo==2) : ?>
	  </p>
	  <p><b>Vous &ecirc;tes dans une circo &quot;virtuelle &agrave; transfert&quot;</b>, c'est &agrave; dire que vous pouvez cr&eacute;er des plans, exporter des animations. Vous pouvez inscrire des stagiaires, mais ces derniers seront invit&eacute;s, d&egrave;s leur premi&egrave;re connexion, &agrave; rejoindre une circo &quot;r&eacute;elle&quot; de leur choix. Vous ne pouvez pas g&eacute;rer les inscriptions, convocations et absences des stagiaires puisque ces dernieres vont vous quitter. 
Vous ne pouvez pas importer d'animations.</p>
	  <?php endif;?>
	  
	  <h2><a href="adm_configuration.php?url_ret=adm_circo_bienvenue.php">La circo </a></h2>
	  <p>Permet de configurer l'acc&egrave;s au site, la liste des &eacute;coles, les param&egrave;tres de la circonscription, les initialisations, etc. </p>
	  <h2><a href="adm_animations.php?url_ret=adm_circo_bienvenue.php">Animations</a></h2>
	  <p>D&eacute;finir le plan de formation. </p>
	  <?php if ($type_circo!=1) :?>
	  <h2><a href="adm_stagiaires.php?url_ret=adm_circo_bienvenue.php">Stagiaires</a></h2>
	  <p>Editer, modifier la liste des stagiaires. </p>
	  <?php endif?>
	  <?php if ($type_circo==0) :?>
	  <h2><a href="adm_inscriptions.php?url_ret=adm_circo_bienvenue.php">Inscriptions</a></h2>
	  <p>Modifier les choix de vos stagiaires, ou choisir &agrave; leur place les animations propos&eacute;es par la circo. </p>
	  <h2><a href="adm_convocations.php?url_ret=adm_circo_bienvenue.php">Convocations</a></h2>
	  <p>Etablir ou modifier les convocations des stagiaires. </p>
	  <h2><a href="adm_absences.php?url_ret=adm_circo_bienvenue.php">Absences</a></h2>
	  <p>Traitement des absences, envoi de courriels. </p>
	<?php endif?>	
	  <h2><a href="adm_documentation.php?url_ret=adm_circo_bienvenue.php">Aide</a></h2>
	  <p>Documentation en ligne. </p>
	  <h2><a href="credits.php?url_ret=adm_circo_bienvenue.php">Cr&eacute;dits</a></h2>
	  <p>Auteurs et licences. </p>
	</div>
	</div>
	</body>
</html>