<?php
/* 
	Convocation d'un stagiaire au plan de formation
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocation_un_stagiaire=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocation_un_stagiaire']=$url_ret_adm_convocation_un_stagiaire;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocation_un_stagiaire'])) {
		$url_ret_adm_convocation_un_stagiaire=$_SESSION['circonscript7_url_ret_adm_convocation_un_stagiaire'];
	}
	else $url_ret_adm_convocation_un_stagiaire="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$_SESSION['circonscript7_annee']=0;
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	automatisationCirco($id_circo,$h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	if (isset($_GET['id_stagiaire'])) {
		$id_stagiaire=abs(intval($_GET['id_stagiaire']));
		$n=queryValue("SELECT COUNT(*) FROM stagiaires,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
		if ($n==0) {
			header( 'Location:erreur.php?erreur=stagiaire_circo');
			exit;
		}
		$_SESSION['circonscript7_adm_id_stagiaire']=$id_stagiaire;
	}
	else if (isset($_SESSION['circonscript7_adm_id_stagiaire'])) {
		$id_stagiaire=$_SESSION['circonscript7_adm_id_stagiaire'];
	}
	else {
		header("Location: erreur.php?erreur=stagiaire_inexistant");
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_convocation_un_stagiaire_test_date'])) $test_date=$_SESSION['circonscript7_adm_convocation_un_stagiaire_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_convocation_un_stagiaire_date'])) $date=$_SESSION['circonscript7_adm_convocation_un_stagiaire_date'];
	else $date='';
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0 && $test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date<=4) $date='';
		else if ($date=='')$test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_convocation_un_stagiaire_test_date']=$test_date;
			$_SESSION['circonscript7_adm_convocation_un_stagiaire_date']=$date;
		}
	}
	else if (isset($_POST['valider'])) {
		//supprime toutes les convocations en cours du stagiaire
		$q="DELETE FROM convocations WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$nonfaits=0;
		// crer des convocations pour toutes les cases coches
		if (isset($_POST['convoquer'])){ 
			foreach($_POST['convoquer'] as $id_seance) {
				$id_seance=intval($id_seance);
				$max=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
				$ok=true;
				
				if ($max>0) {
					$nb_conv=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
					if ($nb_conv>=$max)  {
						$ok=false;
						++$nonfaits;
					}
				}
				if ($ok==true) {
					$q="INSERT INTO convocations(id_stagiaire,id_seance) VALUES('$id_stagiaire','$id_seance')";
					query($q,$h);
				}
			}
			
		}
		if ($nonfaits>0) $erreur.=htmlentities("$nonfaits convocation(s) n'ont pas t tablies car le maximum de stagiaires y est atteint",ENT_COMPAT,'ISO-8859-15');
		// Normalisation: supprime les absences aux sances o le stagiaire n'est pas convoqu.
		$q="SELECT absences.id_abs, convocations.id_convoc FROM absences 
		INNER JOIN dates ON absences.id_date=dates.id_date
		LEFT JOIN convocations ON convocations.id_stagiaire=$id_stagiaire AND convocations.id_seance=dates.id_seance
		WHERE absences.id_stagiaire=$id_stagiaire
		HAVING convocations.id_convoc IS NULL";
		$r=query($q,$h);
		while ($row=@mysqli_fetch_row($r)) {
				$id_abs=$row[0];
				query("DELETE FROM absences WHERE id_abs=$id_abs",$h);
		}
	}
	else if (isset($_GET['liberer'])) {
		$q="DELETE FROM convocations WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$q="DELETE FROM absences WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		
		$erreur="Convocations supprim&eacute;es";
	}
	else if (isset($_GET['convoquer'])) { // convoquer o inscrit
		$nonfaits=0;
		$nb_conv_etablies=0;
		$q="SELECT id_seance FROM inscriptions WHERE id_stagiaire=$id_stagiaire";
		$r=query($q,$h);
		while ($row=@mysqli_fetch_row($r)) {
			$id_seance = $row[0];
			$max=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
			$ok=true;
			if ($max>0) {
				$nb_conv=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
				if ($nb_conv>=$max)  {
					$ok=false;
					++$nonfaits;
				}
			}
			if ($ok==true) {
				// si la convocation n'existe pas, la crer. Sinon, ignorer
				$n=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance AND id_stagiaire=$id_stagiaire",$h);
				if($n==0) {
					query("INSERT INTO convocations(id_stagiaire,id_seance) VALUES('$id_stagiaire','$id_seance')",$h);
					++$nb_conv_etablies;
				}	
			}
		}
		if (!$erreur) $erreur="$nb_conv_etablies convocation(s) tablie(s). ";
		if ($nonfaits>0) $erreur.=htmlentities("$nonfaits convocation(s) n'ont pas t tablies car le maximum de stagiaires y est atteint",ENT_COMPAT,'ISO-8859-15');
	
	}
	$nb_convoc=queryValue("SELECT COUNT(*) FROM dates, seances,convocations WHERE dates.id_seance =seances.id_seance AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire",$h);
	$nb_inscr=queryValue("SELECT COUNT(*) FROM dates, seances,inscriptions WHERE dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h);
	$duree_convoc_reel=queryValue("SELECT SUM(duree) FROM dates, seances, convocations WHERE dates.id_seance =seances.id_seance AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire",$h);
	$duree_convoc=reelEnHeure($duree_convoc_reel);
	$duree_inscr=reelEnHeure(queryValue("SELECT SUM(duree) FROM dates, seances, inscriptions WHERE dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h));
	$r=query("SELECT concat(nom, ' ', prenom), quotite,niveau,quota_reel, stagiaires.id_groupe,groupes.libelle FROM stagiaires LEFT JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe WHERE id_stagiaire=$id_stagiaire",$h);
	$row=@mysqli_fetch_row($r);
	$nom_stagiaire=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
	$quotite=$row[1];
	$niveau=htmlentities(substr($row[2],1,strlen($row[2])-2),ENT_COMPAT,'ISO-8859-15');
	$quota=$row[3];
	$id_groupe=$row[4];
	$libelle_groupe=htmlentities($row[5],ENT_COMPAT,'ISO-8859-15');
	
	//$duree_requise_reel=$quota*$quotite/100;
	$duree_requise=reelEnHeure($quota);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function liberer()
			{
				b=window.confirm("Voulez-vous vraiment supprimer toutes les convocations de ce stagiaire ?");
				if (b) {	
					//document.formulaire.submit();
					//document.write('');
					x=window.location.protocol+"//"+document.location.hostname+document.location.pathname+"?liberer=1";
					location.href=x;
				}
			}
			function convoquer()
			{
				b=window.confirm("Voulez-vous vraiment convoquer le stagiaire  toutes les animations o il s'est inscrit (les convocations dj tablies sont maintenues) ?");
				if (b) {	
					//document.formulaire.submit();
					//document.write('');
					x="http://"+document.location.hostname+document.location.pathname+"?convoquer=1";
					location.href=x;
				}
			}
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}	
	//-->	
		</script>
		</head>
	<body>
	<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print "$url_ret_adm_convocation_un_stagiaire?id_stagiaire=$id_stagiaire"?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
	  				<li><a href="#" onclick="javascript:liberer()">lib&eacute;rer</a></li>
					<li><a href="#" onclick="javascript:convoquer()">convoquer inscriptions</a></li>				
					<li><a href="adm_convocation_un_stagiaire_bilan_inscr.php?url_ret=adm_convocation_un_stagiaire.php">bilan inscr.</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan_inscr_date.php?url_ret=adm_convocation_un_stagiaire.php">dates inscr.</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan.php?url_ret=adm_convocation_un_stagiaire.php">bilan convoc.</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan_date.php?url_ret=adm_convocation_un_stagiaire.php">dates convoc.</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1><?php print "Convocations de $nom_stagiaire au plan de formation"?></h1>
 					
			    <p>L&eacute;gende: </p>
                <table border="0">
                  <tr>
                    <td class="cadre_actif">&nbsp;</td>
                    <td>Stagiaire inscrit ou convoqu&eacute; </td>
                  </tr>
                  <tr>
                    <td class="cadre_groupe_actif">&nbsp;&nbsp;&nbsp;&nbsp;</td>
                    <td>S&eacute;ance appartenant au groupe du stagiaire, stagiaire convoqu&eacute; ou inscrit </td>
                  </tr>
                  <tr>
                    <td class="cadre_groupe_inactif">&nbsp;</td>
                    <td>S&eacute;ance appartenant au groupe du stagiaire, stagiaire non inscrit ou non convoqu&eacute;. </td>
                  </tr>
                </table>
				 	<form method="post" action="">
                <table border="0">
                  <tr>
                    <td><?php 
					print "<h2>Stagiaire: $nom_stagiaire - Niveau: $niveau";
					if ($libelle_groupe) print" - Groupe: $libelle_groupe";
					print "</h2>\n";
					print "<h2>Quotit&eacute;: $quotite (doit $duree_requise de formation)</h2>\n";
					print "<h3>Inscrit &agrave; $nb_inscr s&eacute;ance(s) totalisant $duree_inscr.</h3>\n";
					print "<h3>Convoqu&eacute; &agrave; $nb_convoc s&eacute;ance(s) totalisant $duree_convoc.</h3>\n";
					if ($duree_convoc_reel>=$quota) 
						printf ("<h3>Quota de convocations atteint: d&eacute;passement de %s</h3>\n",reelEnHeure($duree_convoc_reel-$quota));
					else
						printf ("<h3 class=\"important\">Quota de convocations non atteint: il manque %s</h3>\n",reelEnHeure($quota-$duree_convoc_reel));
					if ($erreur) print "<p class=\"erreur\">$erreur</p>";
					
				?></td>
                    <td>Surligner</td>
                    <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                    </select></td>
                    <td>&agrave; date:
                      <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                    <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                  </tr>
                </table>
 				</form>

			        <div id="animation">
				<form method="post" action="">
				    <?php 
					affichePlanFormation($id_circo,$h,3,$id_stagiaire,'adm_convocation_un_stagiaire.php',$id_groupe,$test_date,$date) ?>
				  <div align="center"></div>
				</form>
			  </div>
			</div>
		  <div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print "$url_ret_adm_convocation_un_stagiaire?id_stagiaire=$id_stagiaire"?>">retour</a></li>
		  			<li><a href="#haut">haut</a></li>
			      <li><a href="#" onclick="javascript:liberer()">lib&eacute;rer</a></li>
					<li><a href="#" onclick="javascript:convoquer()">convoquer inscriptions</a></li>				
					<li><a href="adm_convocation_un_stagiaire_bilan_inscr.php?url_ret=adm_convocation_un_stagiaire.php">bilan inscr.</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan_inscr_date.php?url_ret=adm_convocation_un_stagiaire.php">dates inscr.</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan.php?url_ret=adm_convocation_un_stagiaire.php">bilan convoc.</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan_date.php?url_ret=adm_convocation_un_stagiaire.php">dates convoc.</a></li>
				</ul>

		    </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>