<?php
/* 
	Bilan des convocations d'un stagiaire au plan de formation
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocation_un_stagiaire_bilan=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocation_un_stagiaire_bilan']=$url_ret_adm_convocation_un_stagiaire_bilan;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocation_un_stagiaire_bilan'])) {
		$url_ret_adm_convocation_un_stagiaire_bilan=$_SESSION['circonscript7_url_ret_adm_convocation_un_stagiaire_bilan'];
	}
	else $url_ret_adm_convocation_un_stagiaire_bilan="adm_convocation_un_stagiaire.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_adm_id_stagiaire'])) {
		header( 'Location: erreur.php?erreur=stagiaire_inexistant');
		exit;
	}
	$id_stagiaire=$_SESSION['circonscript7_adm_id_stagiaire'];		
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	automatisationCirco($id_circo,$h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	$q="SELECT CONCAT(nom,' ',prenom) FROM stagiaires WHERE id_stagiaire=$id_stagiaire";
	$nom_stag=queryValue($q,$h);
	$nb_conv=0;
	$duree_conv=0;
	$duree_conv=reelEnHeure(queryValue("SELECT SUM(duree) FROM dates, seances, convocations WHERE dates.id_seance =seances.id_seance AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire",$h));
	if (isset($_POST['valider'])) {
		//supprime toutes les convocations en cours du stagiaire
		$q="DELETE FROM convocations WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$nonfaits=0;
		// crer des convocations pour toutes les cases coches
		if (isset($_POST['convoquer'])){ 
			foreach($_POST['convoquer'] as $id_seance) {
				$id_seance=intval($id_seance);
				$ok=queryValue("SELECT COUNT(*) FROM partages WHERE id_seance=$id_seance AND id_circo=$id_circo",$h);
				if (!$ok) continue;
				$max=queryValue("SELECT max FROM seances WHERE id_seance=$id_seance",$h);
				$ok=true;
				
				if ($max>0) {
					$nb_conv=queryValue("SELECT COUNT(*) FROM convocations WHERE id_seance=$id_seance",$h);
					if ($nb_conv>=$max)  {
						$ok=false;
						++$nonfaits;
					}
				}
				if ($ok==true) {
					$q="INSERT INTO convocations(id_stagiaire,id_seance) VALUES('$id_stagiaire','$id_seance')";
					query($q,$h);
				}
			}
			
		}
		if ($nonfaits>0) $erreur.=htmlentities("$nonfaits convocation(s) n'ont pas t tablies car le maximum de stagiaires y est atteint",ENT_COMPAT,'ISO-8859-15');
		// Normalisation: supprime les absences aux sances o le stagiaire n'est pas convoqu.
		$q="SELECT absences.id_abs, convocations.id_convoc FROM absences 
		INNER JOIN dates ON absences.id_date=dates.id_date
		LEFT JOIN convocations ON convocations.id_stagiaire=$id_stagiaire AND convocations.id_seance=dates.id_seance
		WHERE absences.id_stagiaire=$id_stagiaire
		HAVING convocations.id_convoc IS NULL";
		$r=query($q,$h);
		while ($row=@mysqli_fetch_row($r)) {
				$id_abs=$row[0];
				query("DELETE FROM absences WHERE id_abs=$id_abs",$h);
		}
	}
	$nb_conv=queryValue("SELECT COUNT(*) FROM dates, seances,convocations WHERE dates.id_seance =seances.id_seance AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire",$h);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=640,height=480');	
				win.focus();
			}
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}
			
	//-->	
		</script>
	</head>
	<body>
	<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocation_un_stagiaire_bilan?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan_date.php?url_ret=<?php print $url_ret_adm_convocation_un_stagiaire_bilan?>">dates convoc.</a></li>
					<li><a href="javascript:print()">imprimer</a></li>
				</ul>
			</div>
			<div id="corps">
			<h1>Convocations d'un stagiaire - bilan modifiable</h2>			 
			 <h2>Stagiaire: <?php print htmlentities($nom_stag,ENT_COMPAT,'ISO-8859-15')?></h2>
			  <div id="animation">
				<form name="form" method="post" action="">
				<?php 
						print "<h3>Convoqu&eacute;(e) &agrave; $nb_conv s&eacute;ance(s) totalisant $duree_conv.</h3>\n";
					if ($erreur) print "<p class=\"erreur\">$erreur</p>";
					if ($nb_conv>0) affichePlanFormation($id_circo,$h,23,$id_stagiaire) ;
				?>
				</form>
			  </div>
	  </div>
		  <div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_convocation_un_stagiaire_bilan?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
					<li><a href="adm_convocation_un_stagiaire_bilan_date.php?url_ret=<?php print $url_ret_adm_convocation_un_stagiaire_bilan?>">dates convoc.</a></li>
					<li><a href="javascript:print()">imprimer</a></li>
				</ul>

		    </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>