<?php
/* 
	Menu convocations
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_convocations=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_convocations']=$url_ret_adm_convocations;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_convocations'])) {
		$url_ret_adm_convocations=$_SESSION['circonscript7_url_ret_adm_convocations'];
	}
	else $url_ret_adm_convocations="adm_circo_bienvenue.php";
	$_SESSION['circonscript7_session_menu_page']=5;
	if (isset($_SESSION['circonscript7_adm_feuille_presence_type'])) unset($_SESSION['circonscript7_adm_feuille_presence_type']);
	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_convocations?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>Les convocations </h1>
	  <h2><a href="adm_suivi.php?url_ret=adm_convocations.php">Suivi des inscriptions et des convocations, statistiques</a> </h2>
	  <p>Voir l'avanc&eacute;e des inscriptions. D&eacute;couvrir, pour chaque animation, le nombre et les noms des stagiaires inscrits ou convoqu&eacute;s, par la circo ou venant de l'ext&eacute;rieur. </p>
	  <?php if ($type_circo==0):?>
	  <h2><a href="adm_convocations_inscrits.php">Traitement global des convocations </a> </h2>
	  <p>En trois  clics, effacez toutes les convocations ou &eacute;tablissez toutes les convocations &agrave; partir des inscriptions. </p>
	  <h2><a href="adm_convocations_stagiaires.php?url_ret=adm_convocations.php">Etablir les convocations &agrave; partir des stagiaires</a> </h2>
	  <p>On choisit un stagiaire (de la circo) dans la liste des stagiaires, et on le convoque aux animations, qu'il se soit inscrit ou non. </p>
	  <h2><a href="adm_convocations_anim.php?url_ret=adm_convocations.php">Etablir les convocations &agrave; partir des animations </a></h2>
	  <p>On choisit d'abord une animation, on voit les stagiaires (de la circo) qui y sont inscrits et on peut convoquer n'importe quel stagiaire (inscrit ou non). </p>
	  <?php endif?>
	  <h1>Traitements sp&eacute;ciaux </h1>
	  <?php if ($type_circo==0):?>
	  <h2><a href="adm_convocations_transfert2.php">Transf&eacute;rer, &eacute;changer ou recopier  les convocations d'une s&eacute;ance &agrave; une autre</a> </h2>
	  <p> A utiliser si une s&eacute;ance a &eacute;t&eacute; annul&eacute;e, ou si vous souhaitez r&eacute;partir un nombre trop &eacute;lev&eacute; de participants sur une nouvelle s&eacute;ance. Vous pouvez choisir  chaque convocation &agrave; transf&eacute;rer; possibilit&eacute; de transf&eacute;rer dans les deux sens. </p>
	  <h2><a href="adm_convocations_doublons.php">Rechercher les stagiaires convoqu&eacute;s &agrave; des animations qui se chevauchent </a></h2>
	  <p>Les animations &agrave; la m&ecirc;me date et dont les horaires sont incompatibles sont indiqu&eacute;es. Attention, le logiciel ne tient pas compte du temps de d&eacute;placement entre deux animations ! Possibilit&eacute; de modifier le plan de formation pour ces stagiaires. </p>
	  <?php endif?>
	  <h2><a href="adm_recherche_dates.php">Recherche sur dates</a></h2>
	  <p>Quels stagiaires sont inscrits ou convoqu&eacute;s &agrave; une date donn&eacute;e ? Utilisez le filtre pour effectuer des recherches &eacute;labor&eacute;es sur toute la base. </p>
	  <h1>Courriels</h1>
	  <h2><a href="adm_courriels_anims.php?url_ret=adm_convocations.php">Envoi direct de courriels aux stagiaires inscrits ou convoques &agrave; une animation, et aux intervenants </a></h2>
	  <p>Tous les stagiaires participant &agrave; cette animation sont concern&eacute;s, y compris ceux venant d'une autre  circo.</p>
	  <?php if ($type_circo==0):?>
	  <h2><a href="adm_publi_convocations.php?suiv=stag">Publipostage: envoi de toutes les convocations  aux stagiaires, par courriel personnalis&eacute;</a></h2>
	  <p>Chaque stagiaire re&ccedil;oit la liste de toutes les convocations, formant  son plan de formation personnel.  </p>
	  <h2><a href="adm_publi_convocations_ecoles1.php">Publipostage: envoi de toutes les convocations  aux &eacute;coles, par courriel personnalis&eacute;</a></h2>
	  <p>Chaque &eacute;cole re&ccedil;oit une pi&egrave;ce jointe, sous forme de fichier csv, contenant la liste des stagiaires, les animations et les dates des s&eacute;ances auxquelles ils sont convoqu&eacute;s. Tous les enseignants rattach&eacute;s &agrave; l'&eacute;cole apparaissent, m&ecirc;me ceux qui ne sont convoqu&eacute;s &agrave; aucune animation. </p>
<?php endif?>
	  <h1>Exportations</h1>
	  <h2><a href="adm_feuille_presence.php?url_ret=adm_convocations.php&amp;type=0">Imprimer une feuille de pr&eacute;sence</a> &agrave; partir des convocations ou des inscriptions </h2>
	  <p>Pour une s&eacute;ance donn&eacute;e. </p>
	  <h2><a href="adm_convocations_export.php">Exporter les inscriptions ou les convocations au format csv, &eacute;tablir les ordres de mission </a></h2>
	  <p>La liste des stagiaires avec toutes leurs inscriptions ou leurs convocations aux animations. L'exportation des convocations permet de r&eacute;aliser soi-m&ecirc;me des feuilles de pr&eacute;sence. Etablissement des ordres de mission par fusion/publipostage. </p>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_convocations?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>