<?php
/* 
	Courriels aux administrateurs	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_courriels_admin=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_courriels_admin']=$url_ret_adm_courriels_admin;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_courriels_admin'])) {
		$url_ret_adm_courriels_admin=$_SESSION['circonscript7_url_ret_adm_courriels_admin'];
	}
	else $url_ret_adm_courriels_admin="adm_configuration.php";
	
	$erreur='';
	$courriels='';
	$tout=0;
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])&&!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	debugInit();
	if (isset($_SESSION['circonscript7_adm_courriels_admin_objet'])) $adm_courriels_admin_objet=$_SESSION['circonscript7_adm_courriels_admin_objet'];
	else $adm_courriels_admin_objet='';
	$h=connect();
	ejecteSiFerme($h);
	
	$coches=array();
	if (isset($_POST['valider'])) {
		if (isset($_POST['cochetout'])) $tout=1;
		else $tout=0;
		$adm_courriels_admin_objet='';
		if (isset($_POST['objet'])) $adm_courriels_admin_objet=normaliseT($_POST['objet'],250);
		if (isset($_POST['coche'])) foreach ($_POST['coche'] as $id_admin_coche) {
			$id_admin_coche=intval($id_admin_coche);
			if ($id_admin_coche) {
				$courriel=queryValue("SELECT courriel FROM administrateurs WHERE id_admin=$id_admin_coche",$h);
				if (strpos($courriels,$courriel)===false) {
					if ($courriels!='') $courriels.=',';
					$courriels.=$courriel;				
				}
				$coches[]=$id_admin_coche;				
			}
		}
		$_SESSION['circonscript7_adm_courriels_admin_objet']=$adm_courriels_admin_objet;
	}

function afficheListeAdmins($h)
{
	global $erreur,$coches;
	// administrateur
	$q="SELECT id_admin, nom, courriel,type_admin FROM administrateurs ORDER BY nom ASC";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_admin=$row[0];
		$courriel=$row[2];
		$nom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		if (!$nom) $nom=$courriel;
		if (!$nom) $nom='Pas de nom';
		$type_admin=$row[3];
		if ($type_admin==0) {
			$q="SELECT circos.libelle_court FROM circos,droits WHERE droits.id_admin=$id_admin AND droits.id_circo=circos.id_circo";
			$r2=query($q,$h);
			$circos='';
			while ($row2=@mysqli_fetch_row($r2)) {
				if ($circos) $circos.=', ';
				$circos.=$row2[0];
			}
			if ($circos) $circos.='.';
		}
		else $circos="Superadmin.";
		print "<tr>\n";
		if($courriel) 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$courriel,$nom);
		else print "<td>$nom</td>\n";
		print "<td>$circos</td>\n";
		if ($courriel) {
			print "<td><input type=\"checkbox\" name=\"coche[]\" value=\"$id_admin\"";
			if (in_array($id_admin,$coches)) print "checked=\"checked\"";
			print" /></td>\n";
		}
		else print "<td>&nbsp;</td>\n";		

		print "</tr>\n";
	}
}
function afficheCourriels()
{
	global $courriels,$adm_courriels_admin_objet;
	if ($courriels=='') return;
	print "<a href=\"javascript:envoieMail3('$courriels',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
	print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$courriels','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\"/></a>\n";
	

}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	   <script type="text/javascript" src="envoiemail.js" ></script> 
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--			
			function cocheTout(obj)
			{
			  // on rcupre le formulaire des objets  modifier
			  leForm = obj.form
			
			  laListe = leForm["coche[]"]
			
			  if (laListe != null){
				if (laListe.length != null){
				  // on modifie tous les lments
				  for(i=0; i < laListe.length; i++) {
					laListe[i].checked = obj.checked
				  }
				} else {
				  laListe.checked = obj.checked
				}
			  }
			}
		//-->	
		</script>					
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_courriels_admin?>">retour</a></li>
					<li><a href="adm_circos_liste.php?url_ret=administration.php">par circo</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<h1>Envoi direct de courriels aux administrateurs </h1>
				<p>Cliquez sur le nom d'un administrateur pour lancer imm&eacute;diatement votre client de messagerie.</p>
				<p>Cochez  plusieurs noms, validez, puis cliquez sur l'enveloppe qui appara&icirc;t pour ouvrir votre client de messagerie avec plusieurs adresses. </p>
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
				  <table>
                    <tr class="table_entete">
                      <td>A: admin </td>
                      <td><?php afficheCourriels()?></td>
                    </tr>
                  </table>
				  <form id="form" name="form" method="post" action="">
				    Objet: 
				      <input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($adm_courriels_admin_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				      <table>
                      <tr class="table_entete">
                        <td>Nom  &nbsp;</td>
                        <td>Circo&nbsp;<br /></td>
                        <td>Tout
                          <input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" <?php if ($tout) print "checked=\"checked\""?> />
                          &nbsp;<a href="adm_stagiaire_liste.php?tri=ecole_asc"></a><a href="adm_stagiaire_liste.php?tri=ecole_desc"></a></td>
                        <td><input name="valider" type="submit" class="bouton_standard" value="Valider" /></td>
                      </tr>
                      <?php  afficheListeAdmins($h) ?>
                    <tr class="table_entete"><td>&nbsp;</td><td>&nbsp;</td><td>&nbsp;</td>
                      <td><input name="valider" type="submit" class="bouton_standard" value="Valider" /></td>
                    </tr>
                    </table>
				  </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_courriels_admin?>">retour</a></li>
					<li><a href="adm_circos_liste.php?url_ret=administration.php">par circo</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>