<?php
/* 
	Envoi de courriels aux stagiaires
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_courriels_stagiaires=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_courriels_stagiaires']=$url_ret_adm_courriels_stagiaires;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_courriels_stagiaires'])) {
		$url_ret_adm_courriels_stagiaires=$_SESSION['circonscript7_url_ret_adm_courriels_stagiaires'];
	}
	else $url_ret_adm_courriels_stagiaires="adm_courriels.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo==1 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	if (isset($_SESSION['circonscript7_adm_courriels_stagiaires_coches'])) $adm_courriels_stagiaires_coches=$_SESSION['circonscript7_adm_courriels_stagiaires_coches'];
	else $adm_courriels_stagiaires_coches=array();
	$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_courriels_stagiaires_coches; //pour adm_liste_stagiaires_popup

	if (isset($_SESSION['circonscript7_adm_courriels_stagiaires_filtre_special'])) $adm_courriels_stagiaires_filtre_special=$_SESSION['circonscript7_adm_courriels_stagiaires_filtre_special'];
	else $adm_courriels_stagiaires_filtre_special=0;
	if (isset($_SESSION['circonscript7_adm_courriels_stagiaires_stagiaires'])) $adm_courriels_stagiaires_stagiaires=$_SESSION['circonscript7_adm_courriels_stagiaires_stagiaires'];
	else $adm_courriels_stagiaires_stagiaires='';
	if (isset($_SESSION['circonscript7_adm_courriels_stagiaires_ecoles'])) $adm_courriels_stagiaires_ecoles=$_SESSION['circonscript7_adm_courriels_stagiaires_ecoles'];
	else $adm_courriels_stagiaires_ecoles='';
	if (isset($_SESSION['circonscript7_adm_courriels_stagiaires_ecoles2'])) $adm_courriels_stagiaires_ecoles2=$_SESSION['circonscript7_adm_courriels_stagiaires_ecoles2'];
	else $adm_courriels_stagiaires_ecoles2='';
	if (isset($_SESSION['circonscript7_adm_courriels_stagiaires_objet'])) $adm_courriels_stagiaires_objet=$_SESSION['circonscript7_adm_courriels_stagiaires_objet'];
	else $adm_courriels_stagiaires_objet='';
	//diffrents tris en cours
	$tris=array(
		'nom_asc'=> 'nom_stagiaire ASC, nom_ecole ASC',
		'nom_desc' => 'nom_stagiaire DESC, nom_ecole ASC',
		'ecole_asc'=>'nom_ecole ASC, nom_stagiaire ASC',
		'ecole_desc'=>'nom_ecole DESC,nom_stagiaire ASC',
		'niveau_asc'=>'niveau ASC, nom_stagiaire ASC',
		'niveau_desc'=>'niveau DESC, nom_stagiaire ASC',
		'inscrit_asc'=>'duree ASC, nom_stagiaire ASC',
		'inscrit_desc'=>'duree DESC, nom_stagiaire ASC',
		'convoque_asc'=>'duree ASC, nom_stagiaire ASC',
		'convoque_desc'=>'duree DESC, nom_stagiaire ASC',
		'quotite_desc'=>'quotite DESC, nom_stagiaire ASC',
		'quotite_asc'=>'quotite ASC, nom_stagiaire ASC',
		'quota_desc'=>'quota_reel DESC, nom_stagiaire ASC',
		'quota_asc'=>'quota_reel ASC, nom_stagiaire ASC',
		'groupe_asc'=>'groupe ASC, nom_stagiaire ASC',
		'groupe_desc'=>'groupe DESC, nom_stagiaire ASC'
	);
	if (isset($_SESSION['circonscript7_filtre_special_where'])) $filtre_special_where=$_SESSION['circonscript7_filtre_special_where'];
	else $filtre_special_where='';
	if (isset($_SESSION['circonscript7_filtre_special_having'])) $filtre_special_having=$_SESSION['circonscript7_filtre_special_having'];
	else $filtre_special_having='';
	if (isset($_SESSION['circonscript7_filtre_special_having2'])) $filtre_special_having2=$_SESSION['circonscript7_filtre_special_having2'];
	else $filtre_special_having2='';
	if (isset($_SESSION['circonscript7_filtre_special_actif'])) $filtre_special_actif=$_SESSION['circonscript7_filtre_special_actif'];
	else $filtre_special_actif=0;
	if ($filtre_special_actif==1) {
		$adm_courriels_stagiaires_filtre_special=1;
		$_SESSION['circonscript7_adm_courriels_stagiaires_filtre_special']=$adm_courriels_stagiaires_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	else if ($filtre_special_actif==2) { // supprimer filtre
		$adm_courriels_stagiaires_filtre_special=0;
		$_SESSION['circonscript7_adm_courriels_stagiaires_filtre_special']=$adm_courriels_stagiaires_filtre_special;
		$filtre_special_actif=0;
		$_SESSION['circonscript7_filtre_special_actif']=$filtre_special_actif;
	}
	
	if (isset($_POST['page'])) { // test sur page pour savoir si on a fait un POST
		$f1=isset($_POST['filtre_spe1'])?1:0;
		$f2=isset($_POST['filtre_spe2'])?1:0;
		if ($f1==$f2) {
			if ($adm_courriels_stagiaires_filtre_special!=$f1) {
				$adm_courriels_stagiaires_filtre_special=$f1;
				$_SESSION['circonscript7_adm_courriels_stagiaires_filtre_special']=$adm_courriels_stagiaires_filtre_special;
			}
		}
		else {
			$adm_courriels_stagiaires_filtre_special=!$adm_courriels_stagiaires_filtre_special;
			$_SESSION['circonscript7_adm_courriels_stagiaires_filtre_special']=$adm_courriels_stagiaires_filtre_special;
		}
   }

	if (isset($_GET['tri'])) {
		$tri_adm_courriels_stagiaires=$tris[$_GET['tri']];
		if (!isset($tri_adm_courriels_stagiaires)) $tri_adm_courriels_stagiaires=$tris['convoque_desc'];
		$_SESSION['circonscript7_tri_adm_courriels_stagiaires']=$tri_adm_courriels_stagiaires;
		$requete=1;
		if ($_GET['tri']=='inscrit_asc' || $_GET['tri']=='inscrit_desc') $requete=2;
		$_SESSION['circonscript7_requete']=$requete;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_courriels_stagiaires'])) {
		$tri_adm_courriels_stagiaires=$_SESSION['circonscript7_tri_adm_courriels_stagiaires'];
		$requete=$_SESSION['circonscript7_requete'];
	}
	else {
		$tri_adm_courriels_stagiaires=$tris['convoque_desc'];
		$_SESSION['circonscript7_tri_adm_courriels_stagiaires']=$tri_adm_courriels_stagiaires;
		$requete=1;
		$_SESSION['circonscript7_requete']=$requete;
	}	
	if (isset($_SESSION['circonscript7_filtre_adm_courriels_stagiaires'])) 
		$filtre_adm_courriels_stagiaires=$_SESSION['circonscript7_filtre_adm_courriels_stagiaires'];
	else $filtre_adm_courriels_stagiaires='';
   
   if (isset($_POST['chercher'])) {
		if (isset($_POST['filtre1'])) {
			$filtre1=normalise($_POST['filtre1']);
		}
		else $filtre1='';
		if (isset($_POST['filtre2'])) {
			$filtre2=normalise($_POST['filtre2']);
		}
		else $filtre2='';
		if( $filtre1!=$filtre_adm_courriels_stagiaires) $filtre_adm_courriels_stagiaires=$filtre1;
		else $filtre_adm_courriels_stagiaires=$filtre2;
		$_SESSION['circonscript7_filtre_adm_courriels_stagiaires']=$filtre_adm_courriels_stagiaires;    		
   }
   else if (isset($_POST['actualise'])) {
		$filtre_adm_courriels_stagiaires='';
		$_SESSION['circonscript7_filtre_adm_courriels_stagiaires']=$filtre_adm_courriels_stagiaires;
   }
	$taille=30;
	// Nombre de pages
	$q="SELECT COUNT(*) FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
	$nb_stagiaires=queryValue($q,$h);
	if ($filtre_adm_courriels_stagiaires) {
		$filtre2=myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_stagiaires));
		$q.= " AND (stagiaires.nom_f LIKE '%$filtre2%' OR stagiaires.prenom_f LIKE '%$filtre2%' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '%$filtre2%')";
	}
	$nb_elements=queryValue($q,$h);	
   	if ($nb_elements)
   		$nb_pages=1+intval(($nb_elements-1)/$taille);
   	else 
   		$nb_pages=1;
	$page=0;
	if (isset($_POST['page']))  // stocke dans un champ cach
		$page=abs(intval($_POST['page'])); 
	else if (isset($_GET['page']))  // envoye par la liste droulante
		$page=abs(intval($_GET['page']));
   if ($page>=$nb_pages) $page=$nb_pages-1;
   if (isset($_POST['deb'])) $page=0;
   else if (isset($_POST['fin'])) $page=$nb_pages-1;
   else if (isset($_POST['suiv'])) {
   		++$page;
   		if ($page>=$nb_pages) $page=$nb_pages-1; 
   	}
   else if (isset($_POST['prec'])) {
   	if (--$page<0) $page=0;
   }
	if (isset($_POST['valider'])) {
		$adm_courriels_stagiaires_stagiaires='';
		$adm_courriels_stagiaires_ecoles='';
		$adm_courriels_stagiaires_ecoles2='';	
		$adm_courriels_stagiaires_coches=array();
		$adm_courriels_stagiaires_objet='';
		if (isset($_POST['objet'])) $adm_courriels_stagiaires_objet=normaliseT($_POST['objet'],250);
		if (isset($_POST['selection'])) foreach($_POST['selection'] as $id_stagiaire) {
			$id_stagiaire=intval($id_stagiaire);
			$adm_courriels_stagiaires_coches[]=$id_stagiaire;
			$r=query("SELECT stagiaires.courriel, ecoles.courriel FROM stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole",$h);
			if ($erreur) break;
			$row=@mysqli_fetch_row($r);
			if ($erreur) break;
			$c_stag=$row[0];
			$c_eco=$row[1];
			if ($c_stag) {
				if ($adm_courriels_stagiaires_stagiaires) $adm_courriels_stagiaires_stagiaires.=',';
				$adm_courriels_stagiaires_stagiaires.=$c_stag;
			}
			else {
				if ($c_eco && strpos($adm_courriels_stagiaires_ecoles2,$c_eco)===false) {
					if($adm_courriels_stagiaires_ecoles2) $adm_courriels_stagiaires_ecoles2.=',';
					$adm_courriels_stagiaires_ecoles2.=$c_eco;
				}
			}
			if ($c_eco && strpos($adm_courriels_stagiaires_ecoles,$c_eco)===false) {
				if($adm_courriels_stagiaires_ecoles) $adm_courriels_stagiaires_ecoles.=',';
				$adm_courriels_stagiaires_ecoles.=$c_eco;
			}
		}
		$_SESSION['circonscript7_adm_courriels_stagiaires_objet']=$adm_courriels_stagiaires_objet;
		$_SESSION['circonscript7_adm_courriels_stagiaires_coches']=$adm_courriels_stagiaires_coches;
		$_SESSION['circonscript7_liste_stagiaires_coches']=$adm_courriels_stagiaires_coches; //pour adm_liste_stagiaires_popup
		$_SESSION['circonscript7_adm_courriels_stagiaires_ecoles']=$adm_courriels_stagiaires_ecoles;
		$_SESSION['circonscript7_adm_courriels_stagiaires_ecoles']=$adm_courriels_stagiaires_ecoles;
		$_SESSION['circonscript7_adm_courriels_stagiaires_stagiaires']=$adm_courriels_stagiaires_stagiaires;	
	}
function afficheCourriels()
{
	global $adm_courriels_stagiaires_stagiaires,$adm_courriels_stagiaires_ecoles,$adm_courriels_stagiaires_ecoles2,$adm_courriels_stagiaires_objet,$adm_courriels_stagiaires_coches;
	print "<tr>\n";
	if ($adm_courriels_stagiaires_stagiaires) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_stagiaires_stagiaires',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_stagiaires_stagiaires','console',600,500)\" ><img src=\"images/text.png\"  alt=\"liste\" /></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_stagiaires_ecoles) { 
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_stagiaires_ecoles',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\"/></a>\n";
		print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_stagiaires_ecoles','console',600,500)\" ><img src=\"images/text.png\" alt=\"liste\"/></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_stagiaires_stagiaires && $adm_courriels_stagiaires_ecoles) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_stagiaires_stagiaires',document.form.objet.value,'$adm_courriels_stagiaires_ecoles')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\" /></a></td>\n";
	}
	else 
		print "<td class=\"centre\">-</td>\n";
	if ($adm_courriels_stagiaires_ecoles2) {
	 	print "<td class=\"centre\"><a href=\"javascript:envoieMail3('$adm_courriels_stagiaires_ecoles2',document.form.objet.value,'')\" ><img src=\"images/internet-mail.png\" alt=\"courriel\"/></a>\n";
				print "<a href=\"javascript:popUp('adm_texte_popup.php?texte=$adm_courriels_stagiaires_ecoles2','console',600,500)\" ><img src=\"images/text.png\"  alt=\"liste\"/></a></td>\n";
	}
	else
		print "<td class=\"centre\">-</td>\n";

	if (isset($adm_courriels_stagiaires_coches) && sizeof($adm_courriels_stagiaires_coches>0) && ($adm_courriels_stagiaires_stagiaires || $adm_courriels_stagiaires_ecoles || $adm_courriels_stagiaires_ecoles2)) 	 	
		print "<td class=\"centre\"><a href=\"javascript:popUp('adm_liste_stagiaires_popup.php','console',640,480)\" ><img src=\"images/text.png\"  alt=\"liste\"/></a></td>\n";
	else
		print "<td class=\"centre\">-</td>\n";
	
	print "</tr>\n";
}	

function affichepages()
{
	global $nb_pages, $page,$id_seance;
	for ($i=0;$i<$nb_pages;++$i) {
		print "<option value=\"adm_courriels_stagiaires.php?page=$i\"";
		if ($i==$page) print ' selected="selected"';
		printf( ">%d</option>\r\n",$i+1);
	}
}


function requete2($h)
{
	global $id_circo,$page,$taille,$tri_adm_courriels_stagiaires,$id_seance, $filtre_adm_courriels_stagiaires,$filtre_special_where,$adm_courriels_stagiaires_filtre_special,$filtre_special_having;
	$lim=$page*$taille;
	$filtre2='';
	if ($filtre_adm_courriels_stagiaires) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_stagiaires)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, stagiaires.courriel as courriel_stag, ecoles.nom AS nom_ecole, ecoles.courriel as courriel_ec, stagiaires.niveau, SUM(CASE WHEN duree IS NULL THEN 0 ELSE duree END) as duree, quotite, quota_reel, groupes.libelle as groupe
	FROM stagiaires
	INNER JOIN ecoles ON stagiaires.id_ecole = ecoles.id_ecole
	AND ecoles.id_circo =$id_circo
	LEFT JOIN inscriptions ON inscriptions.id_stagiaire = stagiaires.id_stagiaire
	LEFT JOIN seances ON inscriptions.id_seance = seances.id_seance
	LEFT JOIN dates ON dates.id_seance = seances.id_seance
	LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe";
	
	$q1='';
	$q2='';
	if ($filtre2) 
		$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
	if ($adm_courriels_stagiaires_filtre_special && $filtre_special_where) 
		$q2="$filtre_special_where";
	if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
	else if ($q1) $q.=" WHERE $q1";
	else if ($q2) $q.=" WHERE $q2";
	$q.=" GROUP BY stagiaires.id_stagiaire";
	if ($adm_courriels_stagiaires_filtre_special && $filtre_special_having)
		$q.=" HAVING $filtre_special_having";
	$q.=" ORDER BY $tri_adm_courriels_stagiaires LIMIT $lim , $taille";
	return $q;
}

function requete1($h)
{
	global $id_circo,$page,$taille,$tri_adm_courriels_stagiaires,$id_seance, $filtre_adm_courriels_stagiaires,$filtre_special_where,$adm_courriels_stagiaires_filtre_special,$filtre_special_having2;
	$lim=$page*$taille;
	$filtre2='';
	if ($filtre_adm_courriels_stagiaires) $filtre2='%'.myLikeEscapeString($h,normaliseNom($filtre_adm_courriels_stagiaires)).'%';
	$q="SELECT stagiaires.id_stagiaire, concat( stagiaires.nom, ' ', stagiaires.prenom ) AS nom_stagiaire, stagiaires.courriel as courriel_stag,ecoles.nom AS nom_ecole, ecoles.courriel as courriel_ec, stagiaires.niveau, SUM(  CASE WHEN duree IS NULL THEN 0 ELSE duree END) as duree, quotite, quota_reel,groupes.libelle as groupe
	FROM stagiaires
	INNER JOIN ecoles ON stagiaires.id_ecole = ecoles.id_ecole
	AND ecoles.id_circo =$id_circo
	LEFT JOIN convocations ON convocations.id_stagiaire = stagiaires.id_stagiaire
	LEFT JOIN seances ON convocations.id_seance = seances.id_seance
	LEFT JOIN dates ON dates.id_seance = seances.id_seance
	LEFT JOIN groupes ON stagiaires.id_groupe=groupes.id_groupe";
	
	$q1='';
	$q2='';
	if ($filtre2) 
		$q1="stagiaires.nom_f LIKE '$filtre2' OR stagiaires.prenom_f LIKE '$filtre2' OR CONCAT(stagiaires.nom_f,' ',stagiaires.prenom_f) LIKE '$filtre2'";
	if ($adm_courriels_stagiaires_filtre_special && $filtre_special_where) 
		$q2="$filtre_special_where";
	if ($q1 && $q2) $q.=" WHERE ($q1) AND ($q2)";
	else if ($q1) $q.=" WHERE $q1";
	else if ($q2) $q.=" WHERE $q2";
	$q.=" GROUP BY stagiaires.id_stagiaire";	
	if ($adm_courriels_stagiaires_filtre_special && $filtre_special_having2) 
		$q.=" HAVING $filtre_special_having2";
	$q.=" ORDER BY $tri_adm_courriels_stagiaires LIMIT $lim , $taille";
	return $q;
}	 	

function afficheListeStagiaires($h)
{
	global $tri_adm_courriels_stagiaires,$requete,$filtre_special_having,$filtre_special_having2, $adm_courriels_stagiaires_filtre_special,$adm_courriels_stagiaires_coches;
	$impair=0;
	if ($adm_courriels_stagiaires_filtre_special) 
		if ($filtre_special_having)
			$requete=2;
		else if ($filtre_special_having2)
			$requete=1;
	
	if ($requete==1)
		$r=query(requete1($h),$h);
	else
		$r=query(requete2($h),$h);
	if (($nb_stagiaires=@mysqli_num_rows($r))==0) {
		return;
	}
	while ($row=@mysqli_fetch_array($r)) {
		$id_stagiaire=$row['id_stagiaire'];
		if ($requete==2) {
			$duree_convoc=queryValue("SELECT SUM(dates.duree) FROM convocations,dates WHERE convocations.id_stagiaire=$id_stagiaire AND dates.id_seance=convocations.id_seance",$h);
			$duree_inscr=$row['duree'];
		}
		else  {
			$duree_inscr=queryValue("SELECT SUM(dates.duree) FROM inscriptions,dates WHERE 	inscriptions.id_stagiaire=$id_stagiaire AND dates.id_seance=inscriptions.id_seance",$h);
			$duree_convoc=$row['duree'];
		}	
		if ($impair)
			print "<tr class=\"seance_impaire\">\n";
		else
			print "<tr class=\"seance_paire\">\n";
		//print("<td>&nbsp;</td>\n");
		if ($row['courriel_stag'])
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_stag'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
			//printf("<td><a href=\"mailto:%s\">%s</a></td>\n",$row['courriel_stag'],htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		else
			printf("<td>%s</td>\n",htmlentities($row['nom_stagiaire'],ENT_COMPAT,'ISO-8859-15'));
		
		printf("<td>%s</td>\n",htmlentities(substr($row['niveau'],1,strlen($row['niveau'])-2),ENT_COMPAT,'ISO-8859-15'));
		if (!$row['courriel_ec'])
			printf("<td>%s</td>\n",htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		else 
			printf("<td><a href=\"javascript:envoieMail3('%s',document.form.objet.value,'')\">%s</a></td>\n",$row['courriel_ec'],htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
			//printf("<td><a href=\"mailto:%s\">%s</a></td>\n",$row['courriel_ec'],htmlentities($row['nom_ecole'],ENT_COMPAT,'ISO-8859-15'));
		$groupe=$row['groupe'];
		if (strlen($groupe)>=32) $groupe=substr($groupe,0,29).'...';
		printf("<td>%s</td>\n",htmlentities($groupe,ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%.2f</td>\n",$row['quotite']);
		printf("<td>%s&nbsp;</td>\n",reelEnHeure($row['quota_reel']));
		printf("<td>%s&nbsp;</td>\n",reelEnHeure($duree_inscr));
		printf("<td>&nbsp;%s</td>\n",reelEnHeure($duree_convoc));
		print"<td class=\"centre\"><input type=\"checkbox\" name=\"selection[]\" value=\"$id_stagiaire\"";
		if (in_array($id_stagiaire,$adm_courriels_stagiaires_coches)) print" checked=\"checked\"";
		print " /></td>\n";
		print "</tr>\n";
	}
}
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	   <script type="text/javascript" src="envoiemail.js"></script> 
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function sauteMenu(unObjet){
  eval("parent.location='"+unObjet.options[unObjet.selectedIndex].value+"'");

}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}

//-->
        </script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_courriels_stagiaires?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <table>
              <tr>
                  <td valign="top"><h1>Envoi de courriels aux stagiaires de la circonscription  (
                    <?php print $nb_stagiaires?>
                  )</h1>
                    <p>Copiez/collez le corps du message pour le reproduire &agrave; chaque lot de stagiaires. </p></td>
                  <td><table>
                    <tr class="table_entete">
                      <td>stagiaires</td>
                      <td>&eacute;coles<br />
                          <em>concern&eacute;es</em></td>
                      <td>stagiaires<br />
                        CC &eacute;coles </td>
                      <td>&eacute;coles<br />
                          <em>stag. sans courriel</em> </td>
                      <td>Liste stag. &agrave; <br />
copier/coller </td>
                    </tr>
                    <?php afficheCourriels()?>
                  </table></td>
              </tr>
            </table>
		      <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
		      <form method="post" name="form"  action="">
				  <input type="hidden" name="page" value="<?php print $page?>"/>
				Objet: 
				<input name="objet" type="text" id="objet" value="<?php print htmlspecialchars($adm_courriels_stagiaires_objet,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="250" />
				<table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe1" type="checkbox" value="checkbox"  <?php if ($adm_courriels_stagiaires_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_special_popup.php?url_ret=adm_courriels_stagiaires.php','console',600,500);">Utiliser filtre</a></td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre1" type="text" id="filtre1" value="<?php print htmlentities($filtre_adm_courriels_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><div align="right">
                      <input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" />
                    </div></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="valider" type="submit" class="bouton_enregistre" value="valider" /></td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                      </b></p></td>
                  </tr>
                </table>

 
			    <table>
                  <tr class="table_entete">
                    <td rowspan="2">Nom stagiaire&nbsp; <a href="adm_courriels_stagiaires.php?tri=nom_asc"><img src="images/fleche_haut.png" alt="tri par nom ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=nom_desc"><img src="images/fleche_bas.png" alt="tri par nom descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Niveau&nbsp;<br />
                    <a href="adm_courriels_stagiaires.php?tri=niveau_asc"><img src="images/fleche_haut.png" alt="tri par niveau ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=niveau_desc"><img src="images/fleche_bas.png" alt="tri par niveau descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Ecole&nbsp;<a href="adm_courriels_stagiaires.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Groupe<a href="adm_courriels_stagiaires.php?tri=groupe_asc"><br />
                    <img src="images/fleche_haut.png" alt="tri par groupe ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=groupe_desc"><img src="images/fleche_bas.png" alt="tri par groupe  descendante" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Quotit&eacute;<br />
                    <a href="adm_courriels_stagiaires.php?tri=quotite_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=quotite_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a></td>
                    <td rowspan="2">Quota<a href="adm_courriels_stagiaires.php?tri=quota_asc"><br />
                          <img src="images/fleche_haut.png" alt="tri par quota ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=quota_desc"><img src="images/fleche_bas.png" alt="tri par quota descendant" width="11" height="11" border="0" /></a></td>
                    <td colspan="2">Dur&eacute;es totales </td>
                    <td rowspan="2">S&eacute;lection&nbsp;
                    <input type="checkbox" onclick="cocheTout(this)"/></td>
                  </tr>
                  <tr class="table_entete">
                    <td>inscr&deg;
                      <?php 	if ($adm_courriels_stagiaires_filtre_special==0 || $filtre_special_having2=='') { ?>
                      <a href="adm_courriels_stagiaires.php?tri=inscrit_asc"><img src="images/fleche_haut.png" alt="tri par inscriptions ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=inscrit_desc"><img src="images/fleche_bas.png" alt="tri par inscription descendant" width="11" height="11" border="0" /></a>
                      <?php } ?>
                    </td>
                    <td>conv&deg;
                      <?php 	if ($adm_courriels_stagiaires_filtre_special==0 || $filtre_special_having=='') { ?>
                      <a href="adm_courriels_stagiaires.php?tri=convoque_asc"><img src="images/fleche_haut.png" alt="tri par convocation ascendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=convoque_desc"><img src="images/fleche_bas.png" alt="tri par convocation descendant" width="11" height="11" border="0" /></a><a href="adm_courriels_stagiaires.php?tri=inscrit_desc"></a>
                      <?php } ?>
                    </td>
                  </tr>
				<?php  afficheListeStagiaires($h) ?>
				</table>
			    <table align="center">
                  <tr align="center" valign="top">
                    <td><input name="filtre_spe2" type="checkbox" id="filtre_spe2" value="checkbox"  <?php if ($adm_courriels_stagiaires_filtre_special) print "checked=\"checked\"";?> onclick="javascript:submit()" />
                      <a href="javascript:popUp('adm_filtre_special_popup.php?url_ret=adm_courriels_stagiaires.php','console',600,500);">Utiliser filtre</a></td>
                    <td><div align="right">Chercher sur nom/pr&eacute;nom: &nbsp;
                      <input name="filtre2" type="text" id="filtre2" value="<?php print htmlentities($filtre_adm_courriels_stagiaires,ENT_COMPAT,'ISO-8859-15')?>" />
                    </div></td>
                    <td><input name="chercher" type="submit" class="bouton_chercher" value="Chercher" /></td>
                    <td><input name="actualise" type="submit" class="bouton_actualise" value="Actualiser" /></td>
                    <td height="43"><input name="deb" type="submit" class="bouton_deb" value="  &lt;&lt;  " />                    </td>
                    <td><input name="prec" type="submit" class="bouton_prec" value="  &lt;  " />                    </td>
                    <td><input name="suiv" type="submit" class="bouton_suiv" value="  &gt;  " />                    </td>
                    <td><input name="fin" type="submit" class="bouton_fin" value="  &gt;&gt;  " />                    </td>
                    <td><select name="menu_page" onchange="sauteMenu(this)">
                        <?php affichepages()?>
                      </select>                    </td>
                    <td><input name="valider" type="submit" class="bouton_enregistre" value="valider" /></td>
                    <td><p><b>
                      <?php
					  	print "($nb_pages page";
						if ($nb_pages>1) print 's';
						print ')';
						?>
                     </b></p></td>
                  </tr>
                </table>
		    </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_courriels_stagiaires?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
