<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	$h=connect();
	debugInit();
	$erreur="";
	$resultat="";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$id_admin=$_SESSION['circonscript7_administration'];
	if (!isset($_SESSION['circonscript7_id_uti'])) {
		header('Location:erreur.php?erreur=expiree');
		exit;
	}
	$id_uti=$_SESSION['circonscript7_id_uti'];	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_droits=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_droits']=$url_ret_adm_droits;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_droits'])) {
		$url_ret_adm_droits=$_SESSION['circonscript7_url_ret_adm_droits'];
	}
	else $url_ret_adm_droits="administration.php";
	// si paramtres par GET, enregistre puis te le GET
	if (isset($_GET['id_admin'])) {
		$_SESSION['circonscript7_adm_droits_id_admin_courant']=abs(intval($_GET['id_admin']));
		header("Location: adm_droits.php?url_ret=$url_ret_adm_droits");
		exit;
	}
	$mdp='';
	$mdp_adm='';
	$login=' ';
	$id_uti_admin=0;
	$codage=0;
	$type_admin=0;
	$nom_admin='';
	$courriel_admin='';
	if (isset($_SESSION['circonscript7_adm_droits_id_admin_courant']))$id_admin_courant=$_SESSION['circonscript7_adm_droits_id_admin_courant'];
	else $id_admin_courant=0;
	
	if (isset($_POST['cbAdmins'])) {
		$id_admin_courant=abs(intval($_POST['cbAdmins']));
		$_SESSION['circonscript7_adm_droits_id_admin_courant']=$id_admin_courant;
	}
	if ($id_admin_courant) {
		$r=query("SELECT utilisateurs.login,utilisateurs.mdp,administrateurs.nom,utilisateurs.codage,administrateurs.courriel, administrateurs.type_admin,administrateurs.id_uti FROM utilisateurs, administrateurs WHERE administrateurs.id_admin=$id_admin_courant AND administrateurs.id_uti=utilisateurs.id_uti",$h);
		$row=@mysqli_fetch_array($r);
		$login=$row['login'];
		$mdp=$row['mdp'];
		$nom_admin=$row['nom'];
		$courriel_admin=$row['courriel'];
		$codage=$row['codage'];
		$mdp_adm='#';
		if ($codage==0) $mdp_adm=$mdp;
		$type_admin=$row['type_admin'];
		$id_uti_admin=$row['id_uti'];
	}
	if (isset($_POST['Commande']) && $_POST['Commande']=='Supprimer') {
		if ($id_admin_courant>0) {
			$id=queryValue("SELECT id_admin FROM administrateurs WHERE id_uti=$id_uti",$h);
			if ($id==$id_admin_courant) 
				$erreur="Vous ne pouvez pas supprimer votre propre compte !";
			else {		
				query("DELETE FROM droits WHERE id_admin=$id_admin_courant",$h);
				query("DELETE FROM administrateurs WHERE id_admin=$id_admin_courant",$h);
				if (!$erreur) $erreur="Administrateur supprim";
				$id_admin_courant=0;
				$_SESSION['circonscript7_adm_droits_id_admin_courant']=$id_admin_courant;
				$mdp='';
				$mdp_adm='';
				$login=' ';
				$id_uti_admin=0;
				$codage=0;
				$type_admin=0;
				$nom_admin='';
				$courriel_admin='';
			}
		}
	}
	else if (isset($_POST['Commande']) && $_POST['Commande']=='Expedier') {
		if ($id_admin_courant>0) {
			$id_uti_courant=queryValue("SELECT id_uti FROM administrateurs WHERE id_admin=$id_admin_courant",$h);
			publipostage($id_uti_courant,$h,$courriel_admin);
			if (!$erreur) $resultat="Courriel expdi.";
		}
	}
	
	else if (isset($_POST['valider'])) {
		$login=normaliseT(trim($_POST['edlogin']),255);
		$mdp_adm=normaliseT($_POST['edmdp'],16);
		if ($mdp_adm!='#') {
			if (!motDePasse($mdp_adm)) $erreur.="Mot de passe incorrect. ";
			else $mdp=$mdp_adm;
		}
		else $mdp='';
		if (strlen($login)<4) $erreur.="Identifiant trop court. ";
		else if (!testeEmail($login)) {
			if (!nomValide($login)) $erreur.="Identifiant incorrect. ";
		}
		if (isset($_POST['type'])) $type_admin=abs(intval($_POST['type']));
		else $type_admin=0;
		if ($type_admin!=0 && $type_admin!=1) $type_admin=0;
		$nom_admin=normaliseT($_POST['nom'],255);
		if (!nomValide($nom_admin)) $erreur.="Nom incorrect. ";
		$courriel_admin=normaliseT($_POST['courriel'],255);
		if (!testeEMail($courriel_admin)) $erreur.="Courriel incorrect. ";
		if (!isset($_POST['coche']) && $type_admin==0) $erreur.="Il faut slectionner au moins une circonscription. ";
		if ($id_admin_courant==0 && !$erreur) {
			$q=sprintf("SELECT COUNT(*) FROM administrateurs, utilisateurs WHERE administrateurs.id_uti=utilisateurs.id_uti AND utilisateurs.login LIKE '%s'",myEscapeString($h,$login));
			$n=queryValue($q,$h);
			if ($n>0) $erreur="Un administrateur avec cet identifiant existe dj dans la base.";
			else {
				$id_utilisateur=attribuerCompte(0,$login, $mdp, $resultat,$h);
				if ($id_utilisateur) {
					$nom=myEscapeString($h,$nom_admin);
					query(sprintf("INSERT INTO administrateurs (id_uti,type_admin,nom,courriel) VALUES('%d',$type_admin,'$nom','$courriel_admin')",$id_utilisateur),$h);
					if (!$erreur){
						$id_admin_courant=@mysqli_insert_id($h);
						$_SESSION['circonscript7_adm_droits_id_admin_courant']=$id_admin_courant;
					}
				}
			}
		
		}
		else if ($id_admin_courant>0 && !$erreur) {
			$q="SELECT COUNT(*) FROM administrateurs,utilisateurs WHERE login LIKE '$login' AND id_admin<>$id_admin_courant AND administrateurs.id_uti=utilisateurs.id_uti";
			$n=queryValue($q,$h);
			if ($n>0) $erreur="Un administrateur avec cet identifiant existe dj dans la base.";
			else {
				$id_uti_local=queryValue("SELECT id_uti FROM administrateurs WHERE id_admin=$id_admin_courant",$h);
				$id_uti_local2=attribuerCompte($id_uti_local,$login,$mdp,$resultat,$h);
				if ($id_uti_local2 && $id_uti_local2!=$id_uti_local) 
					query("UPDATE administrateurs SET id_uti=$id_uti_local2 WHERE id_admin=$id_admin_courant",$h);
				$nom=myEscapeString($h,$nom_admin);
				query("UPDATE administrateurs SET type_admin=$type_admin, nom='$nom',courriel='$courriel_admin' WHERE id_admin=$id_admin_courant",$h);
			}
		}
		if (!$erreur && $id_admin_courant>0) {
			$r=query("DELETE FROM droits WHERE id_admin=$id_admin_courant",$h);
			if (isset($_POST['coche'])) foreach($_POST['coche'] as $k=>$id_circo_cochee) {
				$id_circo_cochee=intval($id_circo_cochee);
				query("INSERT INTO droits(id_admin,id_circo) VALUES($id_admin_courant,$id_circo_cochee)",$h);
			}
			if (!$erreur) {
				$r=query("SELECT utilisateurs.login,utilisateurs.mdp,administrateurs.nom,utilisateurs.codage,administrateurs.courriel, administrateurs.type_admin FROM utilisateurs, administrateurs WHERE administrateurs.id_admin=$id_admin_courant AND administrateurs.id_uti=utilisateurs.id_uti",$h);
				$row=@mysqli_fetch_array($r);
				$login=$row['login'];
				$mdp=$row['mdp'];
				$nom_admin=$row['nom'];
				$courriel_admin=$row['courriel'];
				$codage=$row['codage'];
				$mdp_adm='#';
				if ($codage==0) $mdp_adm=$mdp;
				$type_admin=$row['type_admin'];
				if (!$erreur) $erreur="Modifications enregistres. ";
			}
		}

	}
	
function afficherAdmins($h)
{
	global $erreur,$id_admin_courant;
	$q="SELECT administrateurs.id_admin, utilisateurs.login FROM administrateurs,utilisateurs WHERE administrateurs.id_uti=utilisateurs.id_uti ORDER BY login ASC";
	$r=query($q,$h);
	$trouve=false;
	$s='';
	if ($id_admin_courant==0) $s='selected="selected"';
	printf("<option value=\"0\" %s>Nouvel administrateur</option>\n",$s);
	while ($row=@mysqli_fetch_row($r)) {
		$s='';
		if ($id_admin_courant==$row[0]) 
			$s="selected=\"selected\"";
		printf("<option value=\"%s\" %s>%s</option>\n",$row[0],$s,$row[1]);
	}
}	
function afficherCases($h)
{
	global $erreur,$id_admin_courant;
	$r=query("SELECT id_circo, libelle FROM circos ORDER BY libelle",$h);
	$circos=array();
	while ($row=@mysqli_fetch_row($r)) $circos[$row[0]]=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15'); //circos[id_circo]=libelle
	if (count($circos)==0) return;
	print "<table>\n";
	$col=0;
	$i=0;
	foreach($circos as $id_circo=>$lib) { 
		if ($col==0) print "<tr>";
		print "<td><p><input type=\"checkbox\" name=\"coche[]\" value=\"$id_circo\"";
		$selected=queryValue("SELECT COUNT(*) FROM droits WHERE id_admin=$id_admin_courant AND id_circo=$id_circo",$h);
		if ($selected>0) print " checked=\"checked\"";
		print "/> $lib</p></td>\n";
		++$col;
		if ($col==5) {
			$col=0;
			print "</tr>\n";
		}
	}
	if ($col>0) {
		while ($col++<3) print "<td>&nbsp;</td>";
		print "</tr>\n";
	}
	print "</table>\n";}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function supprime(id_admin)
		{
			if (id_admin>0) {
				b=window.confirm("Etes-vous sr de vouloir supprimer cet administrateur ?");
				if (b) {
					document.form.Commande.value="Supprimer";
					document.form.submit();
				}
			}
		}
		function recopier1()
		{
			document.form.courriel.value=document.form.edlogin.value;
		}
		function expedier()
		{
			b=window.confirm("Expdier les paramtres de connexion  cet administrateur ?");
			if (b) {
				document.form.Commande.value="Expedier";
				document.form.submit();
			}
		}
		//-->	
		</script>
		<script type="text/javascript" src="genererMdp.js"></script>
	</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_droits?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">	 
<?php
		if ($resultat) print "<p class=\"erreur\">$resultat</p>"; 
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
?>
	  <h1>Cr&eacute;ation, modification des comptes d'administrateurs</h1>
	  <p>Ces personnes peuvent g&eacute;rer une ou plusieurs circonscriptions.</p>
	  <form method="post" action="" >
	    <p>Pour l'administrateur :</p>
	      <p>
	        <select name="cbAdmins" onchange="javascript:submit()">
              <?php afficherAdmins($h) ?>
            </select>
	      </p>
	  </form>
	<form method="post" action="" name="form">
	    <table border="0">
          <tr>
            <td>Identifiant de connexion : <br />
              <em>Adresse courriel conseill&eacute;e.</em></td>
            <td><input name="edlogin" type="text" id="edlogin" size="40" maxlength="255" value="<?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15') ?>" /></td>
          <td><input name="Commande" type="hidden" id="Commande" value="0" /> <?php if ($id_admin_courant>0) print "<p><a href=\"javascript:expedier()\">Lui exp&eacute;dier ses param&egrave;tres de connexion par un courriel automatique</a></p><p class=\"remarque\"> Si le login est une adresse courriel, le message sera envoy&eacute; &agrave; cette adresse. Sinon il sera envoy&eacute; &agrave; l'adresse courriel ci-dessous.</p>"; ?></td></tr>
          <tr>
            <td>Mot de passe: </td>
            <td><input name="edmdp" type="text" id="edmdp" size="17" maxlength="16" value="<?php print htmlentities($mdp_adm,ENT_COMPAT,'ISO-8859-15') ?>" /></td>
            <td><input name="genere" type="button" class="bouton_standard" id="genere" value="G&eacute;n&eacute;rer al&eacute;atoirement / R&eacute;initialiser" onclick="javascript:generer('edmdp',16)" /></td></tr>
          <tr>
            <td>Compte utilisateur </td>
            <td><?php 
					  	if ($login && $id_uti_admin>0) printf( "<p>%s <a href=\"adm_utilisateur_edite.php?id_uti=$id_uti_admin&amp;url_ret=adm_droits.php\" >[S'y rendre]</a></p>\n",htmlentities($login,ENT_COMPAT,'ISO-8859-15'));
						else print "<p>&nbsp;</p>\n";
					?></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>Nom : <br />
              <em>Tel qu'il appara&icirc;tra dans le champ &quot;De&quot; des courriels publipost&eacute;s. </em></td>
            <td><input name="nom" type="text" id="nom" value="<?php print htmlentities($nom_admin,ENT_COMPAT,'ISO-8859-15') ?>" size="40" maxlength="255" /></td>
            <td>&nbsp;</td>
          </tr>
          <tr>
            <td>Courriel : <br />
              <em>Adresse de retour des courriels publipost&eacute;s. Peut &ecirc;tre diff&eacute;rent de l'identifiant de connexion. </em></td>
            <td><input name="courriel" type="text" id="courriel" value="<?php print htmlentities($courriel_admin,ENT_COMPAT,'ISO-8859-15') ?>" size="40" maxlength="255" /></td>
            <td><input name="recopier" type="button" class="bouton_standard" id="recopier" value="Recopier l'identifiant" onclick="javascript:recopier1()" /></td>
          </tr>
          <tr>
            <td>Type d'administrateur: </td>
            <td><input type="radio" name="type" value="0" <?php if ($type_admin==0) print 'checked="checked"'?>  />
              circo<br />
              <input type="radio" name="type" value="1"  <?php if ($type_admin==1) print 'checked="checked"'?>/>              
              principal</td>
            <td><em>L'administrateur principal a les m&ecirc;mes droits que vous. Il peut supprimer tout compte, dont le v&ocirc;tre.Il acc&egrave;de &agrave; toutes les circonscriptions. Il n'est pas n&eacute;cessaire de les cocher dans la liste ci-dessous car il y a un acc&egrave;s via l'onglet 'administration'. </em></td>
          </tr>
        </table>
      <p>&nbsp;</p>
	    <p>autoriser la gestion des circos suivantes (cocher les  valeurs):</p>
	    <?php afficherCases($h) ?>
	  	<p align="left"><input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" /> 
	  	  <input name="supprimer" type="button" class="bouton_standard" id="supprimer" value="Supprimer" onclick="javascript:supprime(<?php print$id_admin_courant ?>)" />
	  	</p>
	  </form>

	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_droits?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>
