<?php
/* 
	Etat du site pour l'admin principal
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_etat=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_etat']=$url_ret_adm_etat;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_etat'])) {
		$url_ret_adm_etat=$_SESSION['circonscript7_url_ret_adm_etat'];
	}
	else $url_ret_adm_etat="administration.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$messageCourant=0;
	if (isset($_SESSION['circonscript7_adm_etat_messageCourant'])) $messageCourant=$_SESSION['circonscript7_adm_etat_messageCourant'];
	$titres=array("Page d'accueil, actualits", "Page d'accueil, important", "Mon compte, actualits","Circo bienvenue, actualits");
	$champs=array("actualite","message_accueil","message_compte","message_circo");
	$puces=array(true,false,true,true);
	$lesMessages=array();
	$nb=count($champs);
	$h=connect();
	ejecteSiFerme($h);
	if (isset($_POST['Submit'])) {
		if (isset($_POST['chkferme'])) $ferme=1;
		else $ferme=0;
		$message_maintenance=normaliseT($_POST['edMaintenance'],300);
		$msg=myEscapeString($h,$message_maintenance);
		$q="UPDATE general SET ferme=$ferme, message_maintenance='$msg'";
		query($q,$h);
		if (!$erreur) $erreur="Modifications enregistres";
	}
	if (isset($_POST['selection'])||(isset($_POST['commande'])&& $_POST['commande']==1)) {
		if (isset($_POST['listeMessages'])) {
			$messageCourant=intval($_POST['listeMessages']);
			if ($messageCourant<0)$messageCourant=0;
			if ($messageCourant>$nb-1) $messageCourant=$nb-1;
			$_SESSION['circonscript7_adm_etat_messageCourant']=$messageCourant;
		}
	}
	if (isset($_POST['validerMessage']) && isset($_POST['edMessage'])) {
		$texteMessage=normalise($_POST['edMessage']);
		$err=syntaxe($texteMessage);		
		if ($err==true) {
			query(sprintf("UPDATE general SET %s='%s'",$champs[$messageCourant],myEscapeString($h,$texteMessage)),$h);
			$erreur="Message enregistr";
		}
	}
	$r=query("SELECT ferme, message_maintenance,actualite,message_accueil,message_compte,message_circo FROM general",$h);
	$row=@mysqli_fetch_row($r);
	$ferme=$row[0];
	$message_maintenance=$row[1];
	for ($i=2;$i<$nb+2;++$i) $lesMessages[]=$row[$i];
	$texteMessage=$lesMessages[$messageCourant];
	
	

// Analyse la syntaxe
function syntaxe( $s)
{
	global $erreur;
	$l=strlen($s);
	$s.='  ';
	$i=0;
	$quelconque=false;
	$balises=array();
	while ($i<$l) {
		$c=$s[$i];
		if ($c=='{' && $s[$i+1]=='{' && $s[$i+2]=='{')  {
			if (!empty($balises)) {
				$erreur="{{{ mal plac";
				return false;				
			}
			$balises[]=3;		
			$quelconque=false;
			$i+=3;
			continue; 
		}
		if ($c=='{' && $s[$i+1]=='{')  {
			$d=sizeof($balises);
			if ($d>0) {
				debugArray($balises,'balises2');
				if ($balises[$d-1]==3 ||$balises[$d-1]==2) {
					$erreur="{{ mal plac";
					return false;
				}				
			}
			$balises[]=2;		
			$quelconque=false;
			$i+=2;
			continue; 
		}
		if ($c=='{') {
			$d=sizeof($balises);
			if ($d) {
				if ($balises[$d-1]==3 ||$balises[$d-1]==1) {
					$erreur="{ mal plac";
					return false;
				}				
			}
			$balises[]=1;		
			$quelconque=false;
			$i+=1;
			continue; 
		}
		if ($c=='}' && $s[$i+1]=='}' && $s[$i+2]=='}')  {
			$d=sizeof($balises);
			$err=true;
			if ($d && $balises[$d-1]==3) $err=false;
			if ($err) {
				$erreur="}}} mal place";
				return false;
			}
			if ($d) array_pop($balises);
			if (!$quelconque) {
				$erreur="Les balises doivent contenir du texte";
				return false;
			}
			$i+=3;
			continue; 
		}
		if ($c=='}' && $s[$i+1]=='}')  {
			$d=sizeof($balises);
			$err=true;
			if ($d && $balises[$d-1]==2) $err=false;
			if ($err) {
				$erreur="}} mal place";
				return false;
			}
			if ($d) array_pop($balises);
			if (!$quelconque) {
				$erreur="Les balises doivent contenir du texte";
				return false;
			}
			$i+=2;
			continue; 
		}
		if ($c=='}') {
			$d=sizeof($balises);
			$err=true;
			if ($d && $balises[$d-1]==1) $err=false;
			if ($err) {
				$erreur="} mal place";
				return false;
			}
			if ($d) array_pop($balises);
			if (!$quelconque) {
				$erreur="Les balises doivent contenir du texte";
				return false;
			}
			$i+=1;
			continue; 
		}
		if ($c=="\n") {
			if (sizeof($balises)>0) {
				$erreur="Il faut refermer toutes les balises dans chaque paragraphe";
				return false;
			}
			$quelconque=false;
		}
		else if ($c!=' ') $quelconque=true;
		++$i;
	}		
	
	$err=sizeof($balises)>0;
	if ($err) $erreur="Il faut refermer toutes les balises dans chaque paragraphe";
	return !$err;
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--
		function jsEffacer()
		{
			document.form2.edMessage.value='';
		}
		function jsSelection()
		{
			document.form2.edMessage.select();
		}
		function doubleClick()
		{
		
			document.formSelect.commande.value=1;
			document.formSelect.submit();
		}
		//-->
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_etat?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) printf("<p class=\"erreur\">%s</p>", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?> 
				<h1>Maintenance: fermeture de l'acc&egrave;s </h1>
				<form name="form1" method="post" action="">
			      <p>
                   <input name="chkferme" type="checkbox" id="chkferme" value="1" <?php if ($ferme) print "checked=\"checked\"";?> />
                 Fermer l'acc&egrave;s au site pour cause de maintenance. Les stagiaires et les circos ne peuvent plus entrer. Les personnes connect&eacute;es sont d&eacute;connect&eacute;es (sauf superadmins).</p>
			      <p>Message <em>(texte simple, sans balises) </em>:
			        <input name="edMaintenance" type="text" id="edMaintenance" value="<?php print htmlentities($message_maintenance,ENT_COMPAT,'ISO-8859-15') ?>" size="100" maxlength="300" />
</p>
			      <p align="center">
			        <input name="Submit" type="submit" class="bouton_standard" value="Valider maintenance" />
</p>
			    </form>
				<h1>Messages</h1>
				<?php
				for ($i=0;$i<$nb;++$i) {
					print "<h2>".$titres[$i]."</h2>\n";
					if ($lesMessages[$i]) afficheActualite($lesMessages[$i],$puces[$i],false);
					else print "<p>Nant</p>";
				}
				?>
				<form id="formSelect" name="formSelect" method="post" action="">
				<input type="hidden" name="commande" value="0"/>
				<h2>Slection du message  modifier</h2>
				<p>
				<select name="listeMessages" size="<?php print $nb?>">
				<?php 
				for ($i=0;$i<$nb;++$i) {
					print "<option ondblclick=\"javascript:doubleClick()\" value=\"$i\"";
					if ($messageCourant==$i) print ' selected="selected"';
					print '>'.$titres[$i]."</option>\n";
				}
				?>
				</select>
				<input type="submit" value="Slection" name="selection" class="bouton_standard"/>
				</p>
				</form>
				<form id="form2" name="form2" method="post" action="">

				  <table border="0">
                    <tr class="table_entete">
                      <td><?php print $titres[$messageCourant]?> </td>
					  <td>Voir le message final </td>
					  <td>Syntaxe</td>
                    </tr>
					<tr>
                      <td valign="top"><p>
                        <textarea name="edMessage" cols="50" rows="10" id="edMessage"><?php print htmlentities($texteMessage,ENT_COMPAT,'ISO-8859-15') ?></textarea>
                      </p>
                      <p align="center">
                        <input name="reinit" type="reset" class="bouton_standard" id="reinit" value="R&eacute;initialiser" />
                        <input name="effacer" type="button" class="bouton_standard" id="effacer" value="Effacer" onclick="javascript:jsEffacer()" />
                        <input name="selectionTout" type="button" class="bouton_standard" id="selectionTout" value="Slect tout" onclick="javascript:jsSelection()" />
                        <input name="validerMessage" type="submit" class="bouton_standard" id="validerMessage" value="Valider message" />
                      </p></td>
                      <td valign="top"><?php afficheActualite($texteMessage,$puces[$messageCourant],true) ?></td>
                      <td valign="top"><p>Les paragraphes seront pr&eacute;c&eacute;d&eacute;s par une puce.</p>
                        <p>{...}: mettre en <em>italiques</em></p>
                      <p>{{...}}: mettre en <strong>gras</strong></p>
                      <p>{{{...}}}: mettre en <em><strong>gras italique. </strong></em></p>
                      <p>ATTENTION: une balise ne doit pas &ecirc;tre suivie par une balise du m&ecirc;me type:</p>
                      <p>{.... {{.... autoris&eacute;</p>
                      <p>{....{.... interdit</p>
                      <p>{{{ ne peut &ecirc;tre suivi d'une autre balise. </p>
                      <p>Toute balise ouverte doit &ecirc;tre referm&eacute;e <strong>dans son paragraphe. </strong></p>
                      <p>{.....} autoris&eacute;</p>
                      <p>{......(saut de ligne) </p>
                      <p>......} interdit.   </p>
                      <p>Les balises vides ou contenant uniquement des espaces sont interdites</p>
                      <p>{ }, {{ }}, {{{ }}}: interdit</p>
                      <p>&nbsp;  </p></td>
                    </tr>
                  </table>
			</form>

	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_etat?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>