<?php
/* 
	Popup d'explication de l'impossibilit de dupliquer une sance ou de la supprimer	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur_popup.php?erreur=expiree');
		exit;
	}
	else $id_circo=$_SESSION['circonscript7_id_circo'];
	include('_fonctions.inc.php');		
	if (!isset($_GET['inscrits'])) {
		header( 'Location: erreur_popup.php?erreur=seance');
		exit;
	}
	$inscrits=strip_tags($_GET['inscrits']);
	if (!isset($_GET['convoques'])) {
		header( 'Location: erreur_popup.php?erreur=seance');
		exit;
	}
	$convoques=strip_tags($_GET['convoques']);
	if (!isset($_GET['id_seance'])) {
		header( 'Location: erreur_popup.php?erreur=seance');
		exit;
	}
	$id_seance=abs(intval($_GET['id_seance']));
	debugInit();
	$circos='';
	if ($id_seance)  {
		$h=connect();
		$r=query("SELECT circos.libelle FROM circos, partages WHERE partages.id_seance=$id_seance AND partages.id_circo=circos.id_circo AND partages.accepte=1 && partages.id_circo<>$id_circo",$h);
		while ($row=@mysqli_fetch_row($r)) {
			if ($circos=='') $circos.="<ul>\n";
			$circos.="<li>".htmlentities($row[0],ENT_COMPAT,'ISO-8859-15')."</li>\n";
		}
		if ($circos) $circos.="</ul>\n";
	}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body class="popup" >
	<a name="haut" id="haut"></a>
	<div id="conteneur_popup">
	<div id="header_popup">Information	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="javascript:close()">fermer</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps_popup">
	  <h2>
	    <?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
	?>
      Vous ne pouvez pas dupliquer cette s&eacute;ance </h2>
	    <?php
				print "<ul>\n";
				if ($inscrits==1) print "<li>Un stagiaire y est inscrit</li>\n";
				else if ($inscrits>1) print "<li>$inscrits stagaires y sont inscrits</li>\n";
				if ($convoques==1) print "<li>Un stagiaire y est convoqu&eacute;</li>\n";
				else if ($convoques>1) print "<li>$convoques stagiaires y sont convoqu&eacute;s</li>\n";
				if ($circos) print "<li>La s&eacute;ance est d&eacute;j&agrave; accept&eacute;e par les circonscriptions suivantes: $circos</li>\n";
				print "</ul>\n";
		?>			
	  </div>
	</div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="javascript:close()">fermer</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>
	</body>
</html>