<?php
/* 
	Affichage d'une feuille de prsence	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_feuille_presence=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_feuille_presence']=$url_ret_adm_feuille_presence;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_feuille_presence'])) {
		$url_ret_adm_feuille_presence=$_SESSION['circonscript7_url_ret_adm_feuille_presence'];
	}
	else $url_ret_adm_feuille_presence="adm_convocations.php";
	if (isset($_GET['type'])) {
		$type=abs(intval($_GET['type']));
		if ($type<0||$type>1) $type=0;
		if (!isset($_SESSION['circonscript7_adm_feuille_presence_type'])) $_SESSION['circonscript7_adm_feuille_presence_type']=$type;
	}
	else $type=0;
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	automatisationCirco($id_circo,$h);
	$id_anim=0;
	$id_seance=0;
	if (isset($_SESSION['circonscript7_adm_feuille_presence_id_date'])) {
		$adm_feuille_presence_id_date=$_SESSION['circonscript7_adm_feuille_presence_id_date'];
		$r=query("SELECT seances.id_anim, seances.id_seance FROM seances,dates WHERE dates.id_date=$adm_feuille_presence_id_date AND dates.id_seance=seances.id_seance",$h);
		$row=@mysqli_fetch_row($r);
		if (!$erreur) {
			$id_anim=$row[0];
			$id_seance=$row[1];
		}
	}
	else {
		$adm_feuille_presence_id_date=0;
		$id_anim=0;
		$id_seance=0;
	}
	if (isset($_SESSION['circonscript7_adm_feuille_presence_date_sql'])) 
		$adm_feuille_presence_date_sql=$_SESSION['circonscript7_adm_feuille_presence_date_sql'];
	else 
		$adm_feuille_presence_date_sql='';
	if (isset($_SESSION['circonscript7_adm_feuille_presence_type'])) $type=$_SESSION['circonscript7_adm_feuille_presence_type'];
	else $type=0;
	if (isset($_POST['cbDate'])) {
		$adm_feuille_presence_date_sql=normalise($_POST['cbDate']);
		$_SESSION['circonscript7_adm_feuille_presence_date_sql']=$adm_feuille_presence_date_sql;
		$id_anim=0;
	}
	if (isset($_POST['cb_animations'])){
		$id_anim=abs(intval($_POST['cb_animations']));
		$q="SELECT dates.id_date,seances.id_seance FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 ORDER BY dates.date";		
		$r=query($q,$h);
		$row=mysqli_fetch_row($r);
		$adm_feuille_presence_id_date=$row[0];
		if ($adm_feuille_presence_id_date=='') $adm_feuille_presence_id_date=0;
		if($adm_feuille_presence_id_date==0) {
			$id_seance=0;
			$id_anim=0;
		}
		else {
			$id_seance=$row[1];
		}
		$_SESSION['circonscript7_adm_feuille_presence_id_date']=$adm_feuille_presence_id_date;
	}
	if (isset($_POST['type'])) {
		$type= $_POST['type']=='inscr';
		$_SESSION['circonscript7_adm_feuille_presence_type']=$type;
	}

function afficheAnims($h)
{
	global $id_circo, $id_anim,$adm_feuille_presence_date_sql;
	
	if ($adm_feuille_presence_date_sql=='') $q="SELECT positions.id_anim, animations.intitule,animations.annule FROM partages, seances, positions, domaines,animations WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo AND animations.id_anim=positions.id_anim GROUP BY positions.id_anim ORDER BY animations.annule DESC, animations.intitule";
	else
		$q="SELECT animations.id_anim, animations.intitule,animations.annule FROM partages, seances, positions, domaines,dates,animations WHERE partages.accepte<>0 AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo AND animations.id_anim=positions.id_anim
		AND dates.date='$adm_feuille_presence_date_sql' AND dates.id_seance=seances.id_seance
		GROUP BY animations.id_anim ORDER BY animations.annule DESC, animations.intitule";
	
	$r=query($q,$h);
	$n=@mysqli_num_rows($r);
	if ($id_anim==0 && $n>1) 
			print "<option value=\"0\" selected=\"selected\">Choisissez une animation</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_anim_cour=$row[0];
		$intitule=tronque($row[1],130);
		$intitule=sprintf("%s%s",$row[2]?'[ANNUL&Eacute;]&nbsp;:&nbsp;':'', $intitule);
		if ($id_anim==$id_anim_cour || ($id_anim==0 && $n==1) ) {
			print "<option value=\"0\" selected=\"selected\">$intitule</option>\n";
			$id_anim=$id_anim_cour;
		}
		else
			print "<option value=\"$id_anim_cour\">$intitule</option>\n";
	}
}
function afficheSeances($h)
{
	global $id_circo,$id_anim, $type;	
	if ($id_anim==0) {
		print "<p>Choisissez d'abord une animation</p>\n";
		return;
	}
	$convocations='convocations';
	$id_convoc='id_convoc';
	if ($type) {
		$convocations='inscriptions';
		$id_convoc='id_inscr';
	}
	$q="SELECT dates.id_date, dates.date, dates.lieu, COUNT($convocations.$id_convoc) as nb_conv
	FROM (seances,dates,partages) 
	LEFT JOIN $convocations ON $convocations.id_seance=seances.id_seance
	WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0  
	GROUP BY dates.id_date
	ORDER BY dates.tri ASC";		
	
//	$q="SELECT dates.id_date, dates.date, dates.lieu FROM seances,dates,partages WHERE seances.id_anim=$id_anim AND dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0  ORDER BY dates.tri";		
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_date=$row[0];
		$date=dateSqlEnSaisie($row[1]);
		if ($date=='') $date="Date &agrave; d&eacute;finir";
		$lieu=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
		$nb_conv=$row[3];
		if ($lieu) $date.=" ($lieu)"; 
		if ($nb_conv>0) print "<p><a href=\"adm_feuille_presence_imprime.php?id_date=$id_date&amp;type=$type\" target=\"blank\" >$date</a> ($nb_conv)</p>\n";
		else print "<p>$date ($nb_conv)</p>\n";
	}
	
}	
function afficherDates($h)
{
	global $id_circo,$adm_feuille_presence_date_sql;
	$q="SELECT DISTINCT(dates.date) FROM seances,dates,partages,positions,domaines WHERE dates.id_seance=seances.id_seance AND partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND partages.accepte<>0 AND dates.date<>'9999-12-31' AND dates.date<>'0000.00.00' AND seances.id_anim=positions.id_anim AND domaines.id_domaine=positions.id_domaine AND domaines.annee=0 AND domaines.id_circo=$id_circo ORDER BY dates.date ASC";
	$r=query($q,$h);
	$ok=false;
	print "<option value=\"\">Toutes</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$date=$row[0];
		$sel='';
		if ($date==$adm_feuille_presence_date_sql) {
			$ok=true;
			$sel=" selected=\"selected\"";
		}
		printf("<option value=\"$date\"$sel>%s",dateSqlEnSaisie($date));
		print "</option>\n";
	}
	if (!$ok) $sel=" selected=\"selected\"";
	else $sel='';
}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_feuille_presence?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">
		    <h1>Imprimer une feuille de pr&eacute;sence </h1>
			  <p>La feuille de pr&eacute;sence  montre les stagiaires <em>convoqu&eacute;s</em> ou<em> inscrits </em>&agrave; une s&eacute;ance.  </p>
				  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
			      <form id="form4" name="form4" method="post" action="">
			        <p>&nbsp;</p>
	        </form>
			      <form name="form1" method="post" action="">
			        <h3>Choix de la date:   </h3>
                  
                      <select name="cbDate" id="cbDate" onchange="javascript:submit()">
                        <?php afficherDates($h)?>
                        </select>
			  
			     
			      </form>
			<p>&nbsp;</p>
				<form name="form2" method="post" action="">
			      <h3>Animation:  </h3>
                    <select name="cb_animations" id="cb_animations" onchange="javascript:submit()">
                      <?php afficheAnims($h) ?>
                    </select>
		        
			</form>
			<p>&nbsp;</p>
			    <form name="form3" method="post" action="">
			      <h3>Etablir la feuille de pr&eacute;sence &agrave; partir des :</h3>
	
			      <p>
  <input type="radio" name="type" value="convoc" <?php if ($type==0) print 'checked="checked"'?> onchange="javascript:submit()" />			      
			        Convocations</p>
			      <p>
                      <input type="radio" name="type" value="inscr" <?php if ($type==1) print 'checked="checked"'?> onchange="javascript:submit()" />
				      Inscriptions</p>
				    <p>S&eacute;ance:</p>
                        <?php 
						afficheSeances($h) ?>
	        </form>
		        <hr />
	        <h2>Comment bien imprimer la feuille de pr&eacute;sence ?</h2>
			    <p>La feuille de pr&eacute;sence s'ouvre dans une nouvelle fen&ecirc;tre (ou un nouvel onglet, selon votre navigateur), que vous pouvez refermer apr&egrave;s l'impression.</p>
			    <h3>Sous Internet Explorer 7</h3>
			    <p>Pour permettre l'impression du beau d&eacute;grad&eacute; bleu du titre: <em>Outils</em>, <em>options internet</em>, onglet <em>avanc&eacute;s.</em> Dans <em>Impression en cours, </em>cocher <em>imprimer les couleurs et les images d'arri&egrave;re-plan.</em></p>
			    <p>Pour supprimer les indications (nom de la page, site, etc): cliquez sur la fl&egrave;che &agrave; droite de l'ic&ocirc;ne de l'imprimante pour faire appara&icirc;tre le menu d&eacute;roulant et l&agrave;, choisissez <em>aper&ccedil;u avant impression. </em>Cliquez sur l'ic&ocirc;ne <em>Activer ou d&eacute;sactiver  les en-t&ecirc;tes ou des pieds de page. </em>V&eacute;rifiez que les en-t&ecirc;tes sont bien d&eacute;sactiv&eacute;s.</p>
			    <p>Enfin, cliquez sur l'ic&ocirc;ne <em>imprimer le document.</em></p>
			    <h3>Sous Internet Explorer 6</h3>
			    <p>Pour permettre l'impression du beau d&eacute;grad&eacute; bleu du titre: <em>Outils, options internet</em>, onglet <em>avanc&eacute;s</em>. Dans <em>Impression en cours</em>, cocher <em>imprimer  les couleurs et les images d'arri&egrave;re-plan</em>.<br />
			      Pour supprimer les indications (nom de la page, site, etc.):  allez dans le menu <em>Fichier, mise en page. </em>Effacez le contenu des champs <em>En-t&ecirc;te </em>et <em>Pied de page. </em>Validez<em>.</em><br />
		        Puis, imprimez la page (<em>Fichier</em>, <em>imprimer</em>&hellip;)</p>
			    <h3>Sous Firefox 2 </h3>
			    <p> Pour permettre l'impression du beau d&eacute;grad&eacute; bleu du titre: <em>Fichier, mise en page, </em>onglet <em>Format et options, </em>cochez <em>imprimer le fond de page (couleurs et images) </em></p>
			    <p>Pour supprimer les indications (nom de la page, site, etc): dans la m&ecirc;me fen&ecirc;tre, cliquez sur l'onglet <em>Marges, en-t&ecirc;tes et pieds de page </em>et, dans la partie <em>En-t&ecirc;tes et pieds de page, </em>s&eacute;lectionnez <em>vide</em> dans toutes les listes d&eacute;roulantes.</p>
			    <p>Cliquez sur OK.</p>
			    <p>Puis, <em>Fichier, imprimer.</em></p>
	      </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_feuille_presence?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>