<?php
/* 
	Importation des animations pdagogiques provenant d'autres circos
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_import_choix_circo=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_import_choix_circo']=$url_ret_adm_import_choix_circo;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_import_choix_circo'])) {
		$url_ret_adm_import_choix_circo=$_SESSION['circonscript7_url_ret_adm_import_choix_circo'];
	}
	else $url_ret_adm_import_choix_circo="adm_animations.php";
	
	$erreur='';

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	//require '_fonctions_plan.inc.php';
	require '_fonctions_animation.inc.php';
	debugInit();
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	$annee=0;

function afficherCircos($h)
{
	global $erreur,$id_circo,$annee;
	$q="SELECT id_circo, circos.libelle, exportations_autorisees FROM circos WHERE id_circo<>$id_circo ORDER BY libelle ASC";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$id_circo_lue=$row[0];
		$autorise=$row[2];
		$nb_proposees=0;
		if ($autorise)$nb_proposees=queryValue("SELECT COUNT(partages.id_partage) FROM partages, seances, animations,positions,domaines WHERE partages.id_circo=$id_circo AND   partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo_lue AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo_lue AND domaines.annee=$annee",$h);
		$nb_importees=queryValue("SELECT COUNT(partages.id_partage) FROM partages, seances, animations,positions,domaines WHERE partages.id_circo=$id_circo AND partages.accepte<>0 AND  partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo_lue AND positions.id_anim=animations.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo_lue AND domaines.annee=$annee",$h);
		if ((!$autorise && $nb_importees==0) || ($nb_proposees==0 && $nb_importees==0) ) continue;
		$nb_reste=$nb_proposees-$nb_importees;
		if ($nb_reste<0) $nb_reste=0;
		$libelle=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<tr class=\"survol\">\n";
		print "<td>\n";
		print "<p>$libelle<br/>\n";
		if ($autorise) print "(ouverte)";
		else print "(ferm&eacute;e)";
		print "</p></td>\n";
		print "<td>\n";
		if ($nb_proposees==0) print "<p>0</p>\n";
		else print "<p><a href=\"adm_import_choix_seances.php?id_circo=$id_circo_lue&amp;choix=1&amp;url_ret=adm_import_choix_circo.php\">$nb_proposees</a></p>\n";
		print "</td>\n";		
		print "<td>\n";
		if ($nb_importees==0) print "<p>0</p>\n";
		else print "<p><a href=\"adm_import_choix_seances.php?id_circo=$id_circo_lue&amp;choix=2&amp;url_ret=adm_import_choix_circo.php\">$nb_importees</a></p>\n";
		print "</td>\n";		
		print "<td>\n";
		if ($nb_reste==0) print "<p>0</p>\n";
		else print "<p><a href=\"adm_import_choix_seances.php?id_circo=$id_circo_lue&amp;choix=3&amp;url_ret=adm_import_choix_circo.php\">$nb_reste</a></p>\n";
		print "</td>\n";		
	
		print "</tr>\n";
	}
	

}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_import_choix_circo?>">retour</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Importation : choix des circonscriptions d'origine <?php
			  	if ($annee>0) print '(plan futur)';
			?></h1>
			  <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>
			  <div id="animation">
				<form method="post" action="">
				  <table class="cadre_inactif">
                    <tr class="table_entete">
                      <td>Circo. d'origine </td>
                      <td>Nb. s&eacute;ances propos&eacute;es </td>
                      <td>Nb. s&eacute;ances import&eacute;es </td>
                      <td>Nb. s&eacute;ances non import&eacute;es </td>
                    </tr>
					<?php afficherCircos($h); ?>
                  </table>
		
				</form>
			  </div>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_import_choix_circo?>">retour</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>