<?php
/* 
	Choix des sances  importer
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_import_choix_seances=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_import_choix_seances']=$url_ret_adm_import_choix_seances;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_import_choix_seances'])) {
		$url_ret_adm_import_choix_seances=$_SESSION['circonscript7_url_ret_adm_import_choix_seances'];
	}
	else $url_ret_adm_import_choix_seances="adm_import_choix_circo.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	debugInit();
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	
	$annee=0;
	if (isset($_GET['id_circo'])) $id_circo_import=abs(intval($_GET['id_circo']));
	else {
		header("Location: erreur.php?erreur=id_circo");
		exit;
	}
	if (isset($_GET['choix'])) $choix=abs(intval($_GET['choix']));
	else {
		header("Location: erreur.php?erreur=id");
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_import_choix_seances_test_date'])) $test_date=$_SESSION['circonscript7_adm_import_choix_seances_test_date'];
	else $test_date=0;
	if (isset($_SESSION['circonscript7_adm_import_choix_seances_date'])) $date=$_SESSION['circonscript7_adm_import_choix_seances_date'];
	else $date='';
	if (isset($_SESSION['circonscript7_adm_import_choix_seances_id_domaine'])) $id_domaine=$_SESSION['circonscript7_adm_import_choix_seances_id_domaine'];
	else $id_domaine=0;
	if (isset($_SESSION['circonscript7_adm_import_choix_seances_id_theme'])) $id_theme=$_SESSION['circonscript7_adm_import_choix_seances_id_theme'];
	else $id_theme=0;
	// test sur id_circo_import
	if ($id_circo_import==$id_circo) {
		header('Location: erreur.php?erreur=id_circo');
		exit;
	}
	// vrifie si on a le droit de voir cette circo
	$autorise=queryValue("SELECT exportations_autorisees FROM circos WHERE id_circo=$id_circo_import",$h);
	$nb_proposees=queryValue("SELECT COUNT(*) FROM partages,seances,animations WHERE partages.id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=animations.id_anim AND animations.id_circo=$id_circo_import",$h);
	if ($autorise==0 && $nb_proposees==0) {
		header('Location: erreur.php?erreur=id_circo');
		exit;
	}
	$libelle_circo_import=queryValue("SELECT libelle FROM circos WHERE id_circo=$id_circo_import",$h);
	$non_supprimes_car_convoques=0;
	$supprimes=0;
	$importes=0;
	$non_importes=0;
	if (isset($_POST['btDate'])) {
		$test_date=0;
		if (isset($_POST['selDate'])) $test_date=intval($_POST['selDate']);
		if ($test_date<0) $test_date=0;
		else if ($test_date>5) $test_date=0;	
		$date='';
		if ($test_date>0 && $test_date<4) {
			if (isset($_POST['edDate'])) $date=$_POST['edDate'];
			if ($date!='') $date=dateSaisieEnSql($date);			
			if ($date=='') 
				$erreur.="Date incorrecte. ";
			
		}
		if ($test_date>=4) $date='';
		else if ($date=='') $test_date=0;
		if (!$erreur) {
			$_SESSION['circonscript7_adm_import_choix_seances_test_date']=$test_date;
			$_SESSION['circonscript7_adm_import_choix_seances_date']=$date;
		}
	}
	$action='';
	if (isset($_POST['ajouter'])) while(1) {
		$action='importer';
		if (isset($_POST['domaines'])) $id_domaine=abs(intval($_POST['domaines']));
		if (isset($_POST['themes'])) $id_theme=abs(intval($_POST['themes']));
		/*if (!$id_theme || !$id_domaine) {
			$erreur="Veuillez indiquer le domaine et le thme. ";
			break;
		}
		*/
		$_SESSION['circonscript7_adm_import_choix_seances_id_domaine']=$id_domaine;
		$_SESSION['circonscript7_adm_import_choix_seances_id_theme']=$id_theme;
		if (isset($_POST['id_partages'])) foreach ($_POST['id_partages'] as $id_partage) {
			if ($erreur) break;
			$id_partage=intval($id_partage);
			$r=query("SELECT * FROM partages WHERE id_partage=$id_partage",$h);
			if (@mysqli_num_rows($r)==0) {
				$erreur="Partage '$id_partage' inconnu. ";
				break;
			}
			$row=@mysqli_fetch_array($r);
			if ($row['id_circo']!=$id_circo) {
				$erreur="Le partage '$id_partage' n'appartient pas  la circo. ";
				break;
			}
			importerpartage($id_partage,$id_domaine,$id_theme,$h);
		}
		break;
	}
	else if (isset($_POST['retrancher'])) while(1) {
		$action='supprimer';
		if (isset($_POST['domaines'])) $id_domaine=abs(intval($_POST['domaines']));
		if (isset($_POST['themes'])) $id_theme=abs(intval($_POST['themes']));
		$_SESSION['circonscript7_adm_import_choix_seances_id_domaine']=$id_domaine;
		$_SESSION['circonscript7_adm_import_choix_seances_id_theme']=$id_theme;
		if (isset($_POST['id_partages'])) foreach ($_POST['id_partages'] as $id_partage) {
			if ($erreur) break;
			$id_partage=intval($id_partage);
			$r=query("SELECT * FROM partages WHERE id_partage=$id_partage",$h);
			if (@mysqli_num_rows($r)==0) {
				$erreur="Partage '$id_partage' inconnu. ";
				break;
			}
			$row=@mysqli_fetch_array($r);
			if ($row['id_circo']!=$id_circo) {
				$erreur="Le partage '$id_partage' n'appartient pas  la circo. ";
				break;
			}
			$id_seance=$row['id_seance'];
			if (peutSupprimerSiConvoques($id_seance,$h)) supprimerpartage($id_partage,$h);
			else ++$non_supprimes_car_convoques;				
		}
		break;
	}
	if ($non_supprimes_car_convoques) $erreur.="$non_supprimes_car_convoques importation(s) n'ont pas t supprimes car il y a des stagiaires inscrits ou convoqus. ";
	if ($action=='supprimer') $erreur.="$supprimes importation(s) supprime(s).  ";
	if ($action=='importer') {
		$erreur.="$importes importation(s) effectue(s). ";
		if ($non_importes) $erreur.="$non_importes importation(s) n'ont pas t effectues car vous n'avez pas dfini de thme ou de domaine pour cette importation, et Circon'script n'a pas pu dterminer automatiquement un domaine ou un thme car l'animation n'tait pas dj importe. ";
	}
/*
	AfficherDomaines
	Affiche le tableau global $domaines dans le menu 
*/
function afficherDomaines($h,$id_domaine)
{
	global $id_circo,$annee;
	$q="SELECT id_domaine, libelle FROM domaines WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri;";
	$r=query($q,$h);
	print"<option value=\"0\">Choisissez un domaine par d&eacute;faut</option>\n";
	if ($r) 
		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_domaine']);
			if ($row['id_domaine']==$id_domaine) print ' selected="selected"';
			printf(">%s</option>\r\n",tronque($row['libelle'],90));
		}
}	
	
function afficherThemes($h,$id_theme)
{
	global $id_circo,$annee;
	$q="SELECT id_theme, libelle FROM themes WHERE id_circo=$id_circo AND annee=$annee ORDER BY tri;";
	$r=query($q,$h);
	print"<option value=\"0\">Choisissez un th&egrave;me par d&eacute;faut</option>\n";
	if ($r) 
		while ($row=mysqli_fetch_array($r)) {
		   	printf ("<option value=\"%s\"",$row['id_theme']);
			if ($row['id_theme']==$id_theme) print ' selected="selected"';
			printf(">%s</option>\r\n",tronque($row['libelle'],90));
		}
}	

function peutSupprimerSiConvoques($id_seance,$h)
{
	global $id_circo,$erreur;
	$n=queryValue("SELECT COUNT(*) FROM inscriptions,stagiaires,ecoles WHERE id_seance=$id_seance AND inscriptions.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);	
	if ($n>0) return false;
	$n=queryValue("SELECT COUNT(*) FROM convocations,stagiaires,ecoles WHERE id_seance=$id_seance AND convocations.id_stagiaire=stagiaires.id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
	return $n==0;
}	
function supprimerpartage($id_partage,$h)
{
	global $id_circo, $erreur,$supprimes;
	$r=query("SELECT id_anim, accepte,partages.id_seance FROM partages,seances WHERE partages.id_partage=$id_partage AND partages.id_seance=seances.id_seance",$h);
	$row=@mysqli_fetch_row($r);
	if (@mysqli_num_rows($r)==0) return;
	$id_anim=$row[0];
	$accepte=$row[1];
	$id_seance=$row[2];
	$r=query("SELECT id_seance, cond FROM seances WHERE id_anim=$id_anim ORDER BY tri ASC, id_seance ASC",$h);
	while($row=@mysqli_fetch_row($r)) if ($id_seance==$row[0]) break;
	while ($row=@mysqli_fetch_row($r)) {
		$id_seance_lue=$row[0];
		if ($row[1]>0) {
			$r2=query("SELECT id_partage, accepte FROM partages WHERE id_seance=$id_seance_lue AND id_circo=$id_circo",$h);
			$row2=@mysqli_fetch_row($r2);
			if ($row2) {
				$id_partage_lu=$row2[0];
				$accepte_lu=$row2[1];
				if ($id_partage_lu && $accepte_lu!=0) {
					query("UPDATE partages SET accepte='0' WHERE id_partage=$id_partage_lu",$h);
					query("DELETE items FROM items,listes WHERE items.id_seance=$id_seance_lue AND items.id_liste=listes.id_liste AND listes.id_circo=$id_circo",$h);
					++$supprimes;
				}
			}
		}
		else break;
	}
	if ($accepte) {
		query("UPDATE partages SET accepte='0' WHERE id_partage=$id_partage",$h);
		query("DELETE items FROM items,listes WHERE items.id_seance=$id_seance AND items.id_liste=listes.id_liste AND listes.id_circo=$id_circo",$h);
		++$supprimes;
		$nb=queryValue("SELECT COUNT(*) FROM partages,seances WHERE partages.id_seance=seances.id_seance AND seances.id_anim=$id_anim AND partages.id_circo=$id_circo AND partages.accepte<>0",$h);
		if ($nb==0) {
			$r=query("SELECT positions.id_position, positions.id_domaine, positions.id_theme FROM positions,domaines WHERE positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND positions.id_anim=$id_anim",$h);
			if ($row=@mysqli_fetch_row($r)) {
				$id_position=$row[0];
				$id_domaine=$row[1];
				$id_theme=$row[2];
				$tri=1;
				query("DELETE FROM positions WHERE id_position=$id_position",$h);
				$r=query("SELECT id_position FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme",$h);
				while( $row=@mysqli_fetch_row($r)) {
					$id_position=$row[0];
					query("UPDATE positions SET tri=$tri WHERE id_position=$id_position",$h);
					++$tri;
				}
			}			
		}
	}
}
function importerpartage($id_partage,$id_domaine,$id_theme,$h)
{
	global $erreur, $importes,$non_importes,$id_circo,$autorise;
	if (!$autorise) {
		$erreur="Il n'est pas possible d'importer des sances car la circonscription n'autorise pas/plus les importations.";
		return;
	}
	$r=query("SELECT seances.id_anim, seances.id_seance, partages.accepte, seances.cond FROM partages,seances WHERE partages.id_partage=$id_partage AND partages.id_seance=seances.id_seance",$h);
	$row=@mysqli_fetch_array($r);
	if (!$row) return;
	$id_anim=$row['id_anim'];
	$id_seance=$row['id_seance'];
	$r2=query("SELECT positions.id_domaine,positions.id_theme FROM positions,domaines WHERE positions.id_anim=$id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
	if (@mysqli_num_rows($r2)==0) {
		if ($id_domaine==0 || $id_theme==0) {
			++$non_importes;
			return;		
		}
	}
	else {
		$row2=@mysqli_fetch_row($r2);
		$id_domaine=$row2[0];
		$id_theme=$row2[1];
	}
				
	if ($row['accepte']==0) {
		query("UPDATE partages SET accepte=1 WHERE id_partage=$id_partage",$h);
		++$importes;
		if ($row['cond']!=0) { // la sance est conditionnelle: accepter aussi toutes les sances conditionnelles qui prcdent jusqu' la sance matre
			$r2=query("SELECT id_seance, cond FROM seances WHERE seances.id_anim=$id_anim ORDER BY tri DESC, id_seance DESC", $h);
			while ($row2=@mysqli_fetch_row($r2)) if ($id_seance==$row2[0]) break;
			while ($row2=@mysqli_fetch_row($r2)) {
				$id_seance_lue=$row2[0];
				$cond_lue=$row2[1];
				$r3=query("SELECT id_partage, accepte FROM partages WHERE id_seance=$id_seance_lue AND id_circo=$id_circo",$h);
				$row3=@mysqli_fetch_row($r3);
				if ($row3) {
					$id_partage_lu=$row3[0];
					$accepte_lu=$row3[1];
					if ($accepte_lu==0) {
						query("UPDATE partages SET accepte=1 WHERE id_partage=$id_partage_lu",$h);
						++$importes;
					}
				}
				if ($cond_lue==0) break;
			}
		}
	}
	
	// mettre  jour les positions
	$r2=query("SELECT positions.id_position, positions.id_domaine, positions.id_theme FROM positions, domaines WHERE positions.id_anim=$id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo",$h);
	if (@mysqli_num_rows($r2)==0) {
		$tri=queryValue("SELECT COUNT(*) FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme",$h)+1;
		query("INSERT INTO positions(id_domaine,id_theme,tri,id_anim) VALUES ('$id_domaine','$id_theme','$tri','$id_anim')",$h);
	}
	else {
		$row2=@mysqli_fetch_row($r2);
		$id_position=$row2[0];
		$id_domaine_lu=$row2[1];
		$id_theme_lu=$row2[2];
		if ($id_domaine_lu!=$id_domaine || $id_theme_lu!=$id_theme) {
			query("DELETE FROM positions WHERE id_position=$id_position",$h);
			$r=query("SELECT id_position FROM positions WHERE id_domaine=$id_domaine_lu AND id_theme=$id_theme_lu",$h);
			$tri=1;
			while( $row=@mysqli_fetch_row($r)) {
				$id_position=$row[0];
				query("UPDATE positions SET tri=$tri WHERE id_position=$id_position",$h);
				++$tri;
			}
			$tri=queryValue("SELECT COUNT(*) FROM positions WHERE id_domaine=$id_domaine AND id_theme=$id_theme",$h)+1;
			query("INSERT INTO positions(id_domaine,id_theme,tri,id_anim) VALUES ('$id_domaine','$id_theme','$tri','$id_anim')",$h);
		}
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	    <script type="text/javascript" charset="ISO-8859-15">
<!--
function jsCocher(obj)
{

  leForm = obj.form;
  laListe = leForm["id_partages[]"];

  if (laListe != null && laListe.length!=undefined && laListe.length>0)
	  for(i=0; i < laListe.length; i++){
		switch(obj.value) {
			case '1':	laListe[i].checked = true; break;
			case '2': laListe[i].checked = false; break;
			case '3': laListe[i].checked = !laListe[i].checked; break;
			default: alert(obj.value);
	  	}
	}
	else if (laListe!=null && laListe.length==undefined) {
		switch(obj.value) {
			case '1':	laListe.checked = true; break;
			case '2': laListe.checked = false; break;
			case '3': laListe.checked = !laListe.checked; break;
			default: alert(obj.value);
		}
	}
}

//-->
        </script>
	</head>
		
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_import_choix_seances?>">retour</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Importation : choix des s&eacute;ances 
			    <?php
			  	if ($annee>0) print '(plan futur)';
			?> provenant de <?php 
			print $libelle_circo_import; 
			if ($choix==2) print " et d&eacute;j&agrave; import&eacute;es";
			else if ($choix==3) print " et restant &agrave; importer";
			
			?></h1>
			
<?php 
if (!$autorise) print "<p class=\"remarque\">La circo organisatrice est ferm&eacute;e. Vous ne pouvez plus ajouter des s&eacute;ances, seulement en &ocirc;ter.</p>\n";
if ($erreur) print "<p class=\"erreur\">$erreur</p>";?>			    
  <table>
    <tr>
      <td colspan="2"><h2>Mode d'emploi </h2>
        <p><strong>Cochez</strong> les s&eacute;ances, renseignez &eacute;ventuellement un domaine/th&egrave;me, puis cliquez sur &quot;+&quot;(ajout) ou &quot;-&quot; (retirer). Si une animation est d&eacute;j&agrave; import&eacute;e, c'est le domaine/th&egrave;me de cette animation qui est pris en compte. Si vous souhaitez d&eacute;placer une animation import&eacute;e vers un autre domaine ou un autre th&egrave;me, rendez-vous plut&ocirc;t dans la page <em><a href="adm_plan_synthese.php">Organiser le plan de formation</a>. </em></p>
        <h2>L&eacute;gende </h2></td>
      <td rowspan="3">  <form id="form1" name="form1" method="post" action="">
    <table border="0">
                  <tr>
                    <td>Surligner</td>
                    <td><select name="selDate" size="6" id="selDate">
                          <option value="0" <?php print $test_date==0? 'selected="selected"':''?>>aucune date</option>
                          <option value="1" <?php print $test_date==1? 'selected="selected"':''?>>dates &lt;=</option>
                          <option value="2" <?php print $test_date==2? 'selected="selected"':''?>>dates &gt;=</option>
                          <option value="3" <?php print $test_date==3? 'selected="selected"':''?>>dates = </option>
	                      <option value="5" <?php print $test_date==5? 'selected="selected"':''?>>formation &agrave; distance</option>
						  <option value="4" <?php print $test_date==4? 'selected="selected"':''?>>dates &agrave; d&eacute;finir </option>
                    </select></td>
                    <td>&agrave; date:
                      <input name="edDate" type="text" id="edDate" size="10" maxlength="10" value="<?php print dateSqlEnSaisie($date)?>"/></td>
                    <td><input name="btDate" type="submit" class="bouton_actualise" id="btDate" value="actualiser" /></td>
                   <td><p>&nbsp;</p></td>
                  </tr>
      </table>
              </form></td>
    </tr>
    <tr>
      <td class="cadre_actif">&nbsp;<img src="images/transfert_vide.png" alt="case vide" width="13" height="13" />&nbsp;</td>
      <td>Les cases entour&eacute;es de bleu correspondent aux s&eacute;ances import&eacute;es. </td>
      </tr>
    <tr>
      <td class="cadre_actif"><img src="images/transfert_impossible.png" alt="case barr&eacute;e" width="13" height="13" /></td>
      <td>Impossible de supprimer cette importation car des stagiaires de la circo y sont inscrits ou convoqu&eacute;s. </td>
      </tr>
  </table>
			  <div id="animation">
				<form method="post" action="">
				  <table class="cadre">
                    <tr class="table_entete">
                      <td>Coches</td>
                      <td>Domaine et th&egrave;me par d&eacute;faut </td>
                    </tr>
                    <tr>
                      <td><p><em>
                        <input type="radio" name="cocher" value="1" onclick="javascript:jsCocher(this)" />
                        Tout&nbsp;cocher </em></p>
                        <p>
                          <input type="radio" name="cocher" value="2" onclick="javascript:jsCocher(this)" />
                          <em>Tout&nbsp;d&eacute;cocher </em></p>
                        <p>
                          <input type="radio" name="cocher" value="3" onclick="javascript:jsCocher(this)" />
                      <em>Inverser&nbsp;coche </em></p></td>
                      <td><p>Le domaine ou le th&egrave;me d&eacute;fini ci-dessous  sera utilis&eacute; lorsque l'animation n'est pas d&eacute;j&agrave; import&eacute;e. </p>
                        <p><em>Domaine:
                          <select name="domaines" class="survol" id="domaines" onchange="javascript:change2()">
                            <?php afficherDomaines($h,$id_domaine) ?>
                        </select>
                          </em></p>
                        <p><em>                        Th&egrave;me:
                        <select name="themes" class="survol" id="themes" onchange="javascript:change2()">
                          <?php afficherThemes($h,$id_theme)?>
                        </select>
                        </em></p>                     </td>
                    </tr>
                  </table>

				    <?php
	if ($autorise) {
		$plan=1;
		if ($choix==2) $plan=20;
		else if ($choix==3) $plan=19;
	}
	else $plan=22;
	affichePlanFormation($id_circo,$h,$plan,0,$url='',0,$test_date,$date,$annee,$id_circo_import);
?>					

			    </form>
			  </div>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_import_choix_seances?>">retour</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
