<?php
/* 
	Menu inscriptions	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	$erreur='';
	require '_sqlconnect.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_inscriptions=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_inscriptions']=$url_ret_adm_inscriptions;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_inscriptions'])) {
		$url_ret_adm_inscriptions=$_SESSION['circonscript7_url_ret_adm_inscriptions'];
	}
	else $url_ret_adm_inscriptions="adm_circo_bienvenue.php";
	if (isset($_SESSION['circonscript7_adm_feuille_presence_type'])) unset($_SESSION['circonscript7_adm_feuille_presence_type']);
	$_SESSION['circonscript7_session_menu_page']=4;
	$h=connect();
	ejecteSiFerme($h);
	$row=queryRow("SELECT type_circo,inscriptions_autorisees FROM circos WHERE id_circo=$id_circo",$h);
	$type_circo=$row[0];
	$inscriptions_autorisees=$row[1];
	if (!$inscriptions_autorisees) {
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_inscriptions?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
		  <div id="corps">	 
				  <?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>
				  <h1>Les inscriptions</h1>
			      <?php if ($type_circo==0):?>
				  <h2>Avertissement</h2>
			    <p>Dans cette section, vous pouvez modifier les inscriptions des stagiaires, c'est &agrave; dire <strong>leurs choix personnels. </strong>N'agissez qu'avec la plus extr&ecirc;me prudence. </p>
			    <p>Dans quel cas utiliser cette section ? </p>
			    <ul>
                  <li>stagiaire dans l'incapacit&eacute; de s'inscrire lui-m&ecirc;me</li>
			      <li> c'est vous qui inscrivez les stagiaires (ils n'ont pas acc&egrave;s au site) et il y a des animations dont le nombre de participants est limit&eacute;.  </li>
		      </ul>
			    <?php endif?>
				<h2><a href="adm_suivi.php?url_ret=adm_inscriptions.php">Suivi des inscriptions et des convocations, statistiques</a> </h2>
			    <p>Voir l'avanc&eacute;e des inscriptions. D&eacute;couvrir, pour chaque animation, le nombre et les noms des stagiaires inscrits ou convoqu&eacute;s, par la circo ou venant de l'ext&eacute;rieur. </p>
			    <?php if ($type_circo==0) :?>
				<h2><a href="adm_inscriptions_global.php">Traitement global des inscriptions</a></h2>
			    <p>En trois clics, effacez toutes les inscriptions ou inscrivez tous les stagiaires aux animations du groupe dont ils d&eacute;pendent. </p>
			    <h2><a href="adm_inscriptions_anim.php?url_ret=adm_inscriptions.php">Etablir les inscriptions &agrave; partir des animations </a></h2>
			    <p>On choisit d'abord une animation, on voit les stagiaires (de la circo) qui y sont inscrits et on peut modifier les inscriptions de n'importe quel stagiaire. </p>
			    <h2><a href="adm_inscriptions_stagiaires.php?url_ret=adm_inscriptions.php">Etablir les inscriptions &agrave; partir des stagiaires</a> </h2>
		      <p>On choisit un stagiaire (de la circo) dans la liste des stagiaires, et on l'inscrit aux animations. </p>
			    <?php endif?>
				<h1>Exportations</h1>
			    <h2><a href="adm_feuille_presence.php?url_ret=adm_inscriptions.php&amp;type=1">Imprimer une feuille de pr&eacute;sence</a> &agrave; partir des inscriptions. </h2>
		        <p>Pour une s&eacute;ance donn&eacute;e. </p>
		    </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_inscriptions?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>