<?php
/*	
	Ajout d'unintervenant
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenant_ajoute=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenant_ajoute']=$url_ret_adm_intervenant_ajoute;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenant_ajoute'])) {
		$url_ret_adm_intervenant_ajoute=$_SESSION['circonscript7_url_ret_adm_intervenant_ajoute'];
	}
	else $url_ret_adm_intervenant_ajoute="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_mdp.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$civilite=-1;
	$nom='';
	$prenom='';
	$fonction='';
	$courriel='';
	$intervenants=array();
	if (isset($_POST['valider'])) while(1){
		$forcer_ajout=false;
		if (isset($_POST['rbIntervenant'])) {
			$id_intervenant=abs(intval($_POST['rbIntervenant']));
			if ($id_intervenant==0) $forcer_ajout=true;
			else {
				$datelieu=$_SESSION['circonscript7_datelieu'];
				if (!in_array($id_intervenant,$datelieu['intervenants'])) $datelieu['intervenants'][]=$id_intervenant;
				$_SESSION['circonscript7_datelieu']=$datelieu;
				$_SESSION['circonscript7_adm_seance_modif_changement']=1;
				header("Location: $url_ret_adm_intervenant_ajoute");
				exit;
			}	
		}
		if (!isset($_POST['civilite'])) {
			$erreur.="Civilit absente. ";
			$civilite=-1;
		}
		else {
			$civilite=intval($_POST['civilite']);
			if ($civilite<0) $civilite=0;
			else if ($civilite>2) $civilite=2;
		}
		$nom=$_POST['nom'];
		if ($nom=='') {
			$erreur.="Nom absent. ";
		}	
		if (!$erreur && !nomValide($nom)) {
			$erreur.="Nom incorrect. Les caractres spciaux sont interdits. ";
		}
		if ($civilite<2) $nom=majuscule(normaliseT($nom,25));
		else $nom=normaliseT($nom,25);
		if (isset($_POST['prenom']) && $_POST['prenom']!='') {
			if (!nomValide($_POST['prenom'])) {
				$erreur.="Prnom incorrect. Les caractres spciaux sont interdits. ";
			}
			if ($civilite<2) $prenom=majuscule(normaliseT($_POST['prenom'],25));
			else $prenom=normaliseT($_POST['prenom'],25);
		}
		else $prenom='';
		if (isset($_POST['fonction']) && $_POST['fonction']!='') 
			$fonction=normaliseT($_POST['fonction'],20);
		else $fonction='';
		if (isset($_POST['courriel']) && $_POST['courriel']!='') {
			$courriel=strtolower(normaliseT($_POST['courriel'],255));
			if (!testeEmail($courriel)) {
				$erreur.="Courriel incorrect. ";
				break;	
			}
		}
		else $courriel='';
		if ($erreur) break;
		// pas d'erreur. Vrifie si l'intervenatn est dj ds la base
		$nom_f=normaliseNom($nom);
		$prenom_f='';
		if ($prenom) $prenom_f=normaliseNom($prenom);
		
		$q="SELECT id_intervenant, nom, prenom, fonction,courriel, civilite FROM intervenants WHERE (nom_f LIKE '$nom_f'";
		if ($prenom_f) $q.=" and prenom_f LIKE '$prenom_f'";
		$q.=')';
		if ($courriel) $q.=" OR courriel LIKE '$courriel'";
		$r=query($q,$h);
		$n=@mysqli_num_rows($r);
		if ($n==0||$forcer_ajout==true) {
			// Super, on ajoute l'intervenant 
			$resultat='';
			$id_uti=attribuerCompte(0,$courriel,getMdp(),$resultat,$h,0);
			if ($id_uti) {
				$q=sprintf("INSERT INTO intervenants(civilite,nom,prenom,nom_f,prenom_f,fonction,courriel, id_circo,id_uti) VALUES(%d,'%s','%s','%s','%s','%s','%s',$id_circo,$id_uti)",
			$civilite,
			myEscapeString($h,$nom),
			myEscapeString($h,$prenom),
			myEscapeString($h,$nom_f),
			myEscapeString($h,$prenom_f),
			myEscapeString($h,$fonction),
			$courriel);
				$r=query($q,$h);
				if (!$erreur) {
					$id_intervenant=@mysqli_insert_id($h);
					$datelieu=$_SESSION['circonscript7_datelieu'];
					$datelieu['intervenants'][]=$id_intervenant;
					$_SESSION['circonscript7_datelieu']=$datelieu;
					header("Location: $url_ret_adm_intervenant_ajoute");
					exit;
				}
			}
			else $erreur.=$resultat;
		}
		// il y a dj des intervenants qui ressemblent: on affiche avec des cases  cocher
		else{
			$intervenants=array();
			while ($row=@mysqli_fetch_row($r)) $intervenants[]=$row;
		}
		break;
			
	}
function afficherintervenants($intervenants, $courriel)
{
	if (count($intervenants)==0) return;
	//si l'adresse de courriel existe dj parmi les intervenants proposs, ne pas proposer de rajouter le nouvel intervenant
	$courriel_existe=false;
	if ($courriel) foreach($intervenants as $row) 
		if ($row[4]==$courriel) {
			$courriel_existe=true;
			break;
		}
	if ($courriel_existe) {
	 	print "<h1>Il existe d&eacute;j&agrave; des intervenants avec cette adresse de courriel.</h1>\n";
		print "<p>Vous pouvez cocher cet intervenant dans la liste ci-dessous, ou changer l'adresse de courriel dans la partie Ajout d'un intervenant, car vous ne pouvez pas ajouter un intervenant ayant une adresse de courriel dj dans la base.</p>\n";
	}
	else {
		print "<h1>La liste contient d&eacute;j&agrave; des intervenants avec ces param&egrave;tres</h1>\n";
		print "<p>Cochez un intervenant ou une action &agrave; effectuer, ou modifiez les param&egrave;tres saisis, puis validez.</p>\n";
	}
	foreach($intervenants as $row) {
		$id_intervenant=$row[0];
		$nom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		$prenom=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
		$fonction=htmlentities($row[3],ENT_COMPAT,'ISO-8859-15');
		$courriel=htmlentities($row[4],ENT_COMPAT,'ISO-8859-15');
		if ($row[5]==0) $civilite="M. ";
		else if ($row[5]==1) $civilite="Mme ";
		else $civilite='';
		printf("<p><input type=\"radio\" name=\"rbIntervenant\" value=\"%d\" />",$id_intervenant);
		print "$civilite$nom";
		if ($prenom) print " $prenom";
		if ($fonction) print " ($fonction)";
		if ($courriel) print " <i>[$courriel]</i>";
		print "</p>\n";
	
	}
	if (!$courriel_existe) 
		print "<p><input type=\"radio\" name=\"rbIntervenant\" value=\"0\" />Je souhaite conserver les param&egrave;tres ci-dessous car ils correspondent bien &agrave; une autre personne que celle(s) list&eacute;e(s) ci-dessus.</p>";
	
}
function afficheFonctions($h)
{
	$q="SELECT fonction FROM intervenants GROUP BY fonction";
	$r=query($q,$h);
	while ($row=@mysqli_fetch_row($r)) {
		$fonction=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$fonction\">$fonction</option>\n";
	
	}
}
		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		function jsFonction(value)
		{
			if (value!='*') document.form1.fonction.value=value;
		}
		//-->	
		</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenant_ajoute?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
				<form id="form1" name="form1" method="post" action="">
				
				  <?php if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
					afficherintervenants($intervenants, $courriel);
				
				?>
			  <h1>Ajout d'un intervenant
			      </h1>
			      <table  border="0">
                    <tr>
                      <td><p>Civilit&eacute; * : </p></td>
                      <td><p>
                        <input name="civilite" type="radio" value="0" <?php if ($civilite==0) print "checked=\"checked\"" ?> />
                        M.
                        <input name="civilite" type="radio" value="1" <?php if ($civilite==1) print "checked=\"checked\"" ?>/>
                        Mme ou Mlle,
  <input name="civilite" type="radio" value="2" <?php if ($civilite==2) print "checked=\"checked\"" ?>/>
                      Autre (organisme, ...) </p></td>
                    </tr>
                    <tr>
                      <td><p>Nom *: </p></td>
                      <td><p>
                        <input name="nom" type="text" id="nom" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15') ?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Pr&eacute;nom:</p></td>
                      <td><p>
                        <input name="prenom" type="text" id="prenom" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15') ?>" size="25" maxlength="25" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Fonction: </p></td>
                      <td><p>
                        <select name="fonctions" id="fonctions" onclick="javascript:jsFonction(fonctions.value)">
                          <option value="*">Fonctions d&eacute;j&agrave; disponibles (choisissez)</option>
                          <?php afficheFonctions($h) ?>
                        </select>
                        <img src="images/b_import.png" width="22" height="22" />
                        <input name="fonction" type="text" id="fonction" value="<?php print htmlentities($fonction,ENT_COMPAT,'ISO-8859-15') ?>" size="20" maxlength="20" />
                      </p></td>
                    </tr>
                    <tr>
                      <td><p>Courriel: </p></td>
                      <td><p>
                        <input name="courriel" type="text" id="courriel" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="50" maxlength="250" />
                      </p></td>
                    </tr>
                  </table>
			      <p>&nbsp;</p>
			      <p align="center">
			        <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />
			      </p>
			    </form>
		    </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenant_ajoute?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
