<?php
/*	
	Importation des intervenants
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_intervenants_importe=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_intervenants_importe']=$url_ret_adm_intervenants_importe;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_intervenants_importe'])) {
		$url_ret_adm_intervenants_importe=$_SESSION['circonscript7_url_ret_adm_intervenants_importe'];
	}
	else $url_ret_adm_intervenants_importe="administration.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	
	$erreur='';
	$remarque='';

	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';
	require '_fonctions_mdp.inc.php';
	@set_time_limit(0); // pas de limitation pour le calcul, qui peut tre long...
	
	$h=connect();
	debugInit();
	$fait=0;
	while ( isset($_POST['upload']) ) // si formulaire soumis
	{
		$tmp_file = $_FILES['fichier']['tmp_name'];
		if( !is_uploaded_file($tmp_file) )
		{
			$erreur="Le fichier est introuvable";
			break;
		}
		$formater_stag=false;
		$formater_ec=false;
		if (isset($_POST['chk_formater_stag'])) $formater_stag=true;
		if (isset($_POST['chk_formater_ec'])) $formater_ec=true;
		$fp=fopen($tmp_file,"r");
		if ($fp==NULL) {
			$erreur="Impossible d'ouvrir le fichier";
			break;
		}
		// recherche les champs
		$ligne1=fgetcsv($fp,2000,";");
		$nom=-1;
		$prenom=-1;
		$civ=-1;
		$natsupp=-1;
		$email=-1;
		$mdp=-1;
		$cryptage=-1;
		for($i=0;$i<count($ligne1);++$i) {
			$v=trim(strtolower($ligne1[$i]));
			if (strcmp($v,'nom')==0) $nom=$i;
			else if (strcmp($v,'prenom')==0) $prenom=$i;		
			else if (strcmp($v,'email')==0) $email=$i;			
			else if (strcmp($v,'civ')==0) $civ=$i;
			else if (strcmp($v,'natsupp')==0) $natsupp=$i;		
			else if (strcmp($v,'mot_passe')==0) $mdp=$i;		
			else if (strcmp($v,'cryptage')==0) $cryptage=$i;		
		}
		if ($nom<0) $erreur.="Champ NOM absent. ";
		if ($prenom<0) $erreur.="Champ PRENOM absent. ";
		if ($civ<0) $erreur.="Champ CIV absent. ";
		$nb_intervenants=0;
		while (!$erreur && $ligne=fgetcsv($fp,2000,";")) {
			$chnom=trim($ligne[$nom]);
			if ($chnom=='') continue;
			$chprenom=trim($ligne[$prenom]);
			if ($chprenom=='') continue;
			if (!nomValide($chnom) || !nomValide($prenom)) continue;
			$ch2nom=normaliseNom($chnom);
			$ch2prenom=normaliseNom($chprenom);
			if ($formater_stag) {
				$chnom=majuscule($chnom);
				$chprenom=majuscule($chprenom);
			}
			if ($email>=0)
				$courriel_intervenant=trim($ligne[$email]);
			else $courriel_intervenant='';
			if ($natsupp>=0) 
				$fonction=myEscapeString($h,trim($ligne[$natsupp]));
			else
				$fonction='';
			$courriel_intervenant=myEscapeString($h,strtolower($courriel_intervenant));
			if (!testeEMail($courriel_intervenant)) $courriel_intervenant='';	
			$chciv=strtoupper( trim($ligne[$civ]));
			$vciv=2;
			if ($chciv=='M' || $chciv=='M.' || $chciv=='MR') $vciv=0;
			else if ($chciv=='MME' || $chciv=='MM' || $chciv=='MLLE' || $chciv=='ML' ||$chciv=='MELLE') $vciv=1;

			if ($cryptage>=0) {
				switch (strtolower(trim($ligne[$cryptage]))) {
					case 'non': $codage=0;break;
					case 'md5': $codage=1;break;
					case 'aes': $codage=2;break;
					default: $codage=0;
				}
			}
			else $codage=0;
			controleMdp($mdp,$codage);
			// recherche intervenant dj existant
			$id_intervenant=0;
			if ($courriel_intervenant) 
				$id_intervenant=queryValue("SELECT id_intervenant FROM intervenants WHERE courriel LIKE '$courriel_intervenant'",$h);
			else
				$id_intervenant=queryValue("SELECT id_intervenant FROM intervenants WHERE nom_f LIKE '$ch2nom' AND prenom_f LIKE '$ch2prenom'",$h);
			if ($id_intervenant>0 ) {
				if (isset($_POST['remplacer'] )) {
					$q="UPDATE intervenants SET";
					$q.=" civilite=$vciv, nom='$chnom', prenom='$chprenom', nom_f='$ch2nom', prenom_f='$ch2prenom',courriel='$courriel_intervenant',fonction='$fonction' WHERE id_intervenant=$id_intervenant";
					query($q,$h);
					++$nb_intervenants;
				}
			}
			else {
				$id_uti=attribuerCompte(0,$courriel_intervenant,$c_mdp,$remarque,$h,$codage);
				$remarques.=$remarque;
				if ($id_uti==0) {
					$erreur.="Impossible de crer le compte utilisateur '$courriel_intervenant'. Processus interrompu.";
					fclose($fp);
					break;
				}
				query("INSERT INTO intervenants (civilite,nom,prenom,nom_f,prenom_f,courriel,fonction,id_uti) VALUES ($vciv,'$chnom','$chprenom','$ch2nom','$ch2prenom','$courriel_intervenant','$fonction',$id_uti)",$h);
				$id_intervenant=@mysqli_insert_id($h);
				++$nb_intervenants;
			}
		}
		fclose($fp);
		$fait=1;
		break;
	}
	if ($fait && !$erreur) {
		$erreur="$nb_intervenants intervenants insrs ou mis  jour.";
		
	}	
	$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
	$remarque=htmlentities($remarque,ENT_COMPAT,'ISO-8859-15');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" /></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_intervenants_importe?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			
<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";
		if ($remarque) print "<p class=\"attention\">$remarque</p>\n";	
?>				
	<h1>Importation des intervenants </h1>
	<p>Les intervenants  sont pr&eacute;sents dans un fichier CSV.  L'ordre des champs n'a pas d'importance. La casse (majuscules ou minuscules) dans le nom des champs n'a pas d'importance. Les champs sont s&eacute;par&eacute;s par des points-virgule. </p>
	<p>Renommez les champs de votre CSV s'ils ne correspondent pas &agrave; la syntaxe demand&eacute;e. Les autres champs seront ignor&eacute;s. </p>
	<h3>Les champs utilis&eacute;s - stagiaire et &eacute;coles </h3>
	<table border="1" cellpadding="1" cellspacing="2">
      <tr>
        <td bgcolor="#00CC33">CIV</td>
        <td><p>Civilit&eacute; de l'intervenant </p>        </td>
        <td> <p>Au choix: M, MME ou MM, MLLE ou ML, ou vide. </p>        </td>
      </tr>
      <tr>
        <td bgcolor="#00CC33">NOM</td>
        <td><p>Nom de l'intervenant </p></td>
        <td><p>Ne doit pas &ecirc;tre vide. </p></td>
      </tr>
      <tr>
        <td bgcolor="#00CC33">PRENOM</td>
        <td><p>Pr&eacute;nom de l'intervenant </p></td>
        <td><p>Ne doit pas &ecirc;tre vide. </p></td>
      </tr>
      <tr>
        <td>EMAIL</td>
        <td><p>Courriel de l'intervenant. </p></td>
        <td><p>Si absent, l'intervenant n'aura pas d'adresse courriel.<br />
        L'adresse courriel sera utilis&eacute;e comme identifiant de connexion. S'il n'y a pas d'adresse de courriel, un compte &quot;utilisteurXXX&quot; sera cr&eacute;&eacute; (avec XXX num&eacute;ro d'utilisateur). S'il existe d&eacute;j&agrave; un compte avec cette adresse e-mail, il sera repris et son mot de passe ne sera pas modifi&eacute;. </p>
          <p>Notez qu'il n'est pas possible d'utiliser le champ <em>login </em>qui provient  de l'exportation. Ceci afin d'&eacute;viter des conflits entre &quot;utilisateursXXX&quot; qui pourraient ne pas &ecirc;tre les m&ecirc;mes entre la base et l'extraction. </p></td>
      </tr>
      <tr>
        <td>NATSUPP</td>
        <td><p>Nature du poste.</p>        </td>
        <td><p>Correspond &agrave; la <em>fonction</em> de l'interenant. Peut &ecirc;tre laiss&eacute;e vide. </p></td>
      </tr>
      <tr>
        <td>MOT_PASSE</td>
        <td><p>Mot de passe de connexion </p>        </td>
        <td><p>Si pas de mot de passe, attribution d'un mot de passe al&eacute;atoire de 4 chiffres. Les mots de passe md5 ou aes doivent obligatoirement &ecirc;tre cod&eacute;s en hexad&eacute;cimal. Le md5 est nativement cod&eacute; dans ce format. L'aes sera transform&eacute; en binaire avant impl&eacute;mentation dans la base. </p></td>
      </tr>
      <tr>
        <td>CRYPTAGE</td>
        <td><p>Cryptage du mot de passe : non, aes ou md5</p></td>
        <td><p>Si non renseign&eacute;, le mot de passe sera consid&eacute;r&eacute; comme non crypt&eacute; et il faudra le modifier &agrave; la premi&egrave;re connexion. </p></td>
      </tr>
    </table>
	<p>&nbsp;</p>
	<form id="form1" name="form1" method="post"  enctype="multipart/form-data" action="">
	  <h3>Option suppl&eacute;mentaire </h3>
	  <p>
	    <input name="chk_formater_stag" type="checkbox" id="chk_formater_stag" value="1" checked="checked" />
      Formater le nom de l'intervenant (SCHMERZ AMELIE devient Schmerz Amelie  - attention, le logiciel n'ajoute pas les accents!) </p>
	  <p>
	    <input name="remplacer" type="checkbox" id="remplacer" value="checkbox" />
	    Remplacer les intervenants d&eacute;j&agrave; dans la base</p>
	  <blockquote>
	    <p>si les deux EMAIL sont identiques, c'est m&ecirc;me personne (m&ecirc;me si les noms ou pr&eacute;noms sont diff&eacute;rents)</p>
	    <p>si pas d'EMAIL pour l'intervenant enregistr&eacute; ou pour le nouvel intervenant: c'est la m&ecirc;me personne si les noms et les pr&eacute;noms sont identiques (accents non significatifs). </p>
	  </blockquote>
	  <h3>Chemin du fichier</h3>
	  <p>Indiquez ici le chemin du fichier csv ou cliquez sur <em>Parcourir</em> pour le charger.</p>
	  <p>Cliquez sur Valider pour lancer la proc&eacute;dure. </p>
	  <p>
	    <input name="fichier" type="file" class="bouton_standard" size="30" />
	    <input name="upload" type="submit" class="bouton_standard" value="Valider" />
</p>
	</form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_intervenants_importe?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>