<?php
/* 
	Menu circo - configuration gnrale 
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  

	require '_sqlconnect.inc.php';
	$h=connect();
	ejecteSiFerme($h);
	$erreur="";
	debugInit();
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_liens_externes=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_liens_externes']=$url_ret_adm_liens_externes;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_liens_externes'])) {
		$url_ret_adm_liens_externes=$_SESSION['circonscript7_url_ret_adm_liens_externes'];
	}
	else $url_ret_adm_liens_externes="administration.php";
	$_SESSION['circonscript7_session_menu_page']=1;

function recapGeneraux($h)
{
	$r=query("SELECT lien_externe0, lien_externe1,legende_lien_externe0,legende_lien_externe1, id_circo, libelle FROM circos ORDER BY libelle ASC",$h);
	if (@mysqli_num_rows($r)==0) {
		print "<p>N&eacute;ant</p>\n";
		return; 
	}
	print "<table>\n";
	print "<tr class=\"table_entete\">\n";
	print "<td>circo</td>\n";
	print "<td>plan</td>\n";
	print "<td>l&eacute;gende</td>\n";
	print "<td>lien</td>\n";
	print "<td>mod.</td>\n";
	print "</tr>\n";
	while ($row=@mysqli_fetch_array($r)) {
		$id_circo=$row['id_circo'];
		$lien0=$lien1='';
		if (isset($row['lien_externe0'])) $lien0=$row['lien_externe0'];
		if (isset($row['lien_externe1'])) $lien1=$row['lien_externe1'];
		if (!$lien1 && !$lien0) continue;
		if ($lien0) {
			print "<tr>\n";	
			printf("<td>%s</td>\n",htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15'));
			print "<td>actuel</td>\n";
			printf("<td>%s</td>\n",htmlentities($row['legende_lien_externe0'],ENT_COMPAT,'ISO-8859-15'));
			printf("<td><a href=\"javascript:testerLien('%s')\">%s</a></td>\n",$lien0,htmlentities($lien0,ENT_COMPAT,'ISO-8859-1'));
			print "<td><input type=\"button\" class=\"bouton_modifier\" onclick=\"javascript:modification(0,$id_circo,0)\" /></td>\n";
			print"</tr>\n";
		}
		if ($lien1) {
			print "<tr>\n";	
			printf("<td>%s</td>\n",htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15'));
			print "<td>futur</td>\n";
			printf("<td>%s</td>\n",htmlentities($row['legende_lien_externe1'],ENT_COMPAT,'ISO-8859-15'));
			printf("<td><a href=\"javascript:testerLien('%s')\">%s</a></td>\n",$lien1,htmlentities($lien1,ENT_COMPAT,'ISO-8859-1'));
			print "<td><input type=\"button\" class=\"bouton_modifier\" onclick=\"javascript:modification(0,$id_circo,1)\" /></td>\n";
			print"</tr>\n";
		}
	}
	print "</table>\n";
}
function recapAnims($h)
{
	$r=query("SELECT animations.id_anim, animations.intitule,animations.lien, domaines.annee, circos.libelle FROM animations,positions,domaines,circos WHERE animations.lien IS NOT NULL AND animations.lien<>'' AND animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=animations.id_circo AND animations.id_circo=circos.id_circo ORDER BY circos.libelle ASC, domaines.annee ASC",$h);
	if (@mysqli_num_rows($r)==0) {
		print "<p>N&eacute;ant</p>\n";
		return; 
	}
	print "<table>\n";
	print "<tr class=\"table_entete\">\n";
	print "<td>circo</td>\n";
	print "<td>plan</td>\n";
	print "<td>animation</td>\n";
	print "<td>lien</td>\n";
	print "<td>mod.</td>\n";
	print "</tr>\n";
	while ($row=@mysqli_fetch_array($r)) {
		$id_anim=$row['id_anim'];
		print "<tr>\n";	
		printf("<td>%s</td>\n",htmlentities($row['libelle'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td>%s</td>\n",$row['annee']==0?'actuel':'futur');
		printf("<td>%s</td>\n",htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'));
		printf("<td><a href=\"javascript:testerLien('%s')\">%s</a></td>\n",$row['lien'],htmlentities($row['lien'],ENT_COMPAT,'ISO-8859-1'));
		print "<td><input type=\"button\" class=\"bouton_modifier\" onclick=\"javascript:modification(1,$id_anim,0)\" /></td>\n";
		print"</tr>\n";
	}
	print "</table>\n";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
		<script type="text/javascript">
		<!--
		function testerLien(url)
		{
			if (url) {
				if (url.substr(0,7).toLowerCase()!='http://' && url.substr(0,8).toLowerCase()!='https://') url='http://'+url;
				window.open(url);
			}
		}
		function modification(type,id,data)
		{
			popUp('adm_liens_externes_popup.php?type='+type+'&id='+id+'&data='+data,'console',700,300);
		}

		//-->
		</script>	
		</head>
	<body>
	<div id="conteneur">
	
	  <?php 
		include('menu_principal.inc.php');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>"; 
	?>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_liens_externes?>">retour</a></li>
			<li><a href="#bas">bas</a></li>
		</ul>
	</div>
	<div id="corps">
	  <h1>R&eacute;capitulation des liens externes</h1>
	  <p>Vous devez prot&eacute;ger les internautes qui naviguent sur Circon'script. Pour cela, il faut v&eacute;rifier de temps en temps les liens externes afin de rechercher du code malicieux. Cette page propose la liste de tous les liens externes, vous donne des outils pour les tester, les modifier ou les effacer. </p>
	  <form id="form1" name="form1" method="post" action="">
	  <h2>Liens g&eacute;n&eacute;raux</h2>
      <?php recapGeneraux($h) ?>
	  <h2>Liens li&eacute;s aux animations</h2>
	  <?php recapAnims($h) ?>
	  </form>
	  </div>
	<div class="menu_secondaire">
		<ul class="menu2">
			<li><a href="<?php print $url_ret_adm_liens_externes?>">retour</a></li>
			<li><a href="#haut">haut</a></li>
		</ul>
	</div>
	<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>
