<?php
/* 
	Popup filtre special stagiaires	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	require '_sqlconnect.inc.php';
	require('_fonctions.inc.php');		
	debugInit();
	$h=connect();
	$fermer=false;
	$id_circo=0;
	$id_anim=0;
	$type=-1;
	$plan=-1;
	$lien='';
	if (isset($_GET['type'])) {
		$type=abs(intval($_GET['type']));
	}
	if (isset($_GET['data'])) {
		$plan=abs(intval($_GET['data']));
	}
	if (isset($_GET['id'])) {
		if ($type==0) $id_circo=abs(intval($_GET['id']));
		else $id_anim=abs(intval($_GET['id']));
	}
	
	if ($type<0||$type>1||$plan<0||$plan>1 || ($id_circo==0 && $id_anim==0)) $fermer=true;	
	if (!$fermer) {
		if ($id_circo) $r=query("SELECT lien_externe$plan FROM circos WHERE id_circo=$id_circo",$h);
		else $r=query("SELECT lien FROM animations WHERE id_anim=$id_anim",$h);
		if (!$r || @mysqli_num_rows($r)==0) $fermer=true;
		else {
			$row=@mysqli_fetch_row($r);
			$lien=$row[0];
		}
		while (!$fermer && isset($_POST['valider'])) {
			$fermer=true;
			// contrles de la saisie, les paramtres GET ont t enregistrs et ne doivent pas diffrer de l'enregistrement.
			if (!isset($_SESSION['circonscript7_adm_liens_externes_popup_type']) || !isset($_SESSION['circonscript7_adm_liens_externes_popup_id_circo']) || !isset($_SESSION['circonscript7_adm_liens_externes_popup_id_anim']) || !isset($_SESSION['circonscript7_adm_liens_externes_popup_plan'])) 
			break;
			
			if ($_SESSION['circonscript7_adm_liens_externes_popup_type']!=$type || $_SESSION['circonscript7_adm_liens_externes_popup_id_circo']!=$id_circo || $_SESSION['circonscript7_adm_liens_externes_popup_id_anim']!=$id_anim || $_SESSION['circonscript7_adm_liens_externes_popup_plan']!=$plan)						 break;
			if (!isset($_POST['edLien'])) break;
			$lien=normaliseT(trim($_POST['edLien']),255);
			if ($lien!='' && strtolower(substr($lien,0,4))!='http') $lien='http://'.$lien;
			if ($lien && !preg_match( URL_FORMAT,$lien)) {
				$erreur="Mauvaise URL dans le lien externe. ";
				$fermer=false;
				break;
			}
			$lien=myEscapeString($h,$lien);
			if ($id_circo) query("UPDATE circos SET lien_externe$plan='$lien' WHERE id_circo=$id_circo",$h);
			else if ($id_anim) query("UPDATE animations SET lien='$lien' WHERE id_anim=$id_anim",$h);			
			break;
		}
		if (isset($_POST['annuler'])) 
			$fermer=true;
		$_SESSION['circonscript7_adm_liens_externes_popup_type']=$type;
		$_SESSION['circonscript7_adm_liens_externes_popup_id_circo']=$id_circo;
		$_SESSION['circonscript7_adm_liens_externes_popup_id_anim']=$id_anim;
		$_SESSION['circonscript7_adm_liens_externes_popup_plan']=$plan;
			
	}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--
		var anewWin=NULL;
		function closeWin(){
			if (anewWin != null){
			if(!anewWin.closed)
				anewWin.close();
			}
		}
		function popUp(strURL) 
		{
			closeWin();
			var strOptions="toolbar,menubar,scrollbars,resizable,location,height=600,width=800";
			window.open(strURL, 'anewWin', strOptions);
			if (anewWin!=null) anewWin.focus();
			
		} 		
		function testerLien(url)
		{
			if (url) {
				if (url.substr(0,7).toLowerCase()!='http://' && url.substr(0,8).toLowerCase()!='https://') url='http://'+url;
				popUp(url);
			}
		}
		function effacerLien()
		{
			form.edLien.value='';
		}
		//-->
		</script>	   
	</head>      
	<body class="popup" >
	<div id="conteneur_popup">
	<div id="header_popup">Lien externe </div>
	<div id="corps_popup">
	<?php 
		$erreur=htmlentities($erreur,ENT_COMPAT,'ISO-8859-15');
		if ($erreur) print "<p class=\"erreur\">$erreur</p>";
		else if ($fermer) {
			print "<script language=\"javascript\">\r\n";
			print "var x=window.opener.location.href;\r\n";
			print "var p=x.indexOf(\"?\");\r\n";
			print "if (p>0) x=x.substr(0,p);\r\n";
			print "window.opener.location=x;\r\n";
			print "self.close();\r\n"; 
			print "</script>"; 
		}
	?>
	<form name="form" method="post" action="">
				  <table align="center">
                    <tr>
                      <td><h1>Modifier un lien</h1></td>
                    </tr>
                    <tr> 
                      <td><p><input name="edLien" type="text" id="edLien" value="<?php print $lien ?>" size="80" maxlength="255" />
                          <a href="javascript:testerLien(document.form.edLien.value)">tester le lien</a>.</p> </td>
                    </tr>
                    <tr>
                      <td><div align="center">
                        <input name="valider" type="submit" class="bouton_standard" value="Valider" />&nbsp;
                        <input name="raz" type="button" class="bouton_standard" id="raz" value="Effacer" onclick="javascript:effacerLien()" />
                        &nbsp; 
                        <input name="annuler" type="submit" class="bouton_standard" id="annuler" value="Annuler" />
                      </div></td>
                    </tr>
                  </table>
		          <p>&nbsp;</p>
      </form>

	</div>
	</div>
	</body>
</html>