<?php
/* 
	Voir plan de formation
	Circon'script PHP Script
	Version 7.0.3 
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');  
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_plan_organise=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_plan_organise']=$url_ret_adm_plan_organise;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_plan_organise'])) {
		$url_ret_adm_plan_organise=$_SESSION['circonscript7_url_ret_adm_plan_organise'];
	}
	else $url_ret_adm_plan_organise="adm_animations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	$autoriser_plan_futur=queryValue("SELECT autoriser_plan_futur FROM circos WHERE id_circo=$id_circo",$h);
	if ($autoriser_plan_futur && isset($_SESSION['circonscript7_annee'])) $annee=$_SESSION['circonscript7_annee'];
	else $annee=0;

function affichePlan($h)
{
	global $erreur,$annee,$id_circo;
	$numtheme=1;
	$q="SELECT animations.id_anim,domaines.libelle as domaine, themes.libelle as theme, animations.intitule,domaines.id_domaine,themes.id_theme, positions.tri, circos.libelle_court FROM  animations,positions,domaines,themes,circos 
	WHERE animations.id_anim=positions.id_anim AND positions.id_domaine=domaines.id_domaine AND domaines.id_circo=$id_circo AND domaines.annee=$annee AND themes.id_theme=positions.id_theme AND circos.id_circo=animations.id_circo  ORDER BY domaines.tri,themes.tri, positions.tri, positions.id_position";
	$r=query($q,$h);
	$id_domaine_anc=0;
	$id_theme_anc=0;
	while ($row=@mysqli_fetch_array($r)) {
		$id_domaine=$row['id_domaine'];
		$id_theme=$row['id_theme'];
		if ($id_domaine!=$id_domaine_anc) {
			$id_domaine_anc=$id_domaine;
			printf("<h2 class=\"domaine_petit\">%s</h2>\n",htmlentities($row['domaine'],ENT_COMPAT,'ISO-8859-15'));
			$id_theme_anc=$id_theme;
			if ($row['theme']=='-') $row['theme']='[thme invisible]';
			printf("<h3><a name=\"themeB$numtheme\"></a><a href=\"adm_organise_themes.php?id_theme=$id_theme&amp;id_domaine=$id_domaine&amp;url_ret=adm_plan_synthese.php&amp;ancre=themeB$numtheme\">%s</a></h3>\n",htmlentities($row['theme'],ENT_COMPAT,'ISO-8859-15'));
			++$numtheme;
		}
		if ($id_theme_anc!=$id_theme) {
			$id_theme_anc=$id_theme;
			if ($row['theme']=='-') $row['theme']='[thme invisible]';
			printf("<h3><a name=\"themeB$numtheme\"></a><a href=\"adm_organise_themes.php?id_theme=$id_theme&amp;id_domaine=$id_domaine&amp;url_ret=adm_plan_synthese.php&amp;ancre=themeB$numtheme\">%s</a></h3>\n",htmlentities($row['theme'],ENT_COMPAT,'ISO-8859-15'));
			++$numtheme;
		}
		$id_anim=$row['id_anim'];
		$n=queryValue("SELECT COUNT(*) FROM partages,seances WHERE accepte=1 AND id_circo=$id_circo AND partages.id_seance=seances.id_seance AND seances.id_anim=$id_anim",$h);
		if ($n)
			printf("<p>%02d: [%s] %s</p>\n",$row['tri'],htmlentities($row['libelle_court'],ENT_COMPAT,'ISO-8859-15'),htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'));
		else			
			printf("<p class=\"non_partage\">%02d: [%s] %s</p>\n",$row['tri'],htmlentities($row['libelle_court'],ENT_COMPAT,'ISO-8859-15'),htmlentities($row['intitule'],ENT_COMPAT,'ISO-8859-15'));
		
	}

}		
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> 
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_organise?>">retour</a></li>
					<li><a href="#bas">bas</a></li>
					<li><a href="adm_plan_organise.php">complet</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <h1>Organisation du plan de formation - vue synoptique
		      <?php
			  	if ($annee>0) print 'futur';
			  ?></h1>
			  <p>Cliquez sur un th&egrave;me pour acc&eacute;der &agrave; la r&eacute;organisation des animations. Les animations programm&eacute;es dans la circo mais non propos&eacute;es aux stagiaires sont <span class="non_partage">marqu&eacute;es</span>. </p>
			    <?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 

			    <?php affichePlan($h) ?>
			</div>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_plan_organise?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_plan_organise.php">complet</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
