<?php
/* 
	Publication des convocations aux coles
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_publi_convocations_ecoles2=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_publi_convocations_ecoles2']=$url_ret_adm_publi_convocations_ecoles2;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_publi_convocations_ecoles2'])) {
		$url_ret_adm_publi_convocations_ecoles2=$_SESSION['circonscript7_url_ret_adm_publi_convocations_ecoles2'];
	}
	else $url_ret_adm_publi_convocations_ecoles2="adm_convocations.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo!=0 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	$stag_etat=queryValue("SELECT stag_etat FROM circos WHERE id_circo=$id_circo",$h);
	if ($stag_etat!=3) $erreur="ATTENTION: les convocations ne sont pas publies, l'envoi de courriels sera inhib. ";
	if (isset($_SESSION['circonscript7_adm_publi_convocations_ecoles1_adr_de'])) $adm_publi_parametres_adr_de=$_SESSION['circonscript7_adm_publi_convocations_ecoles1_adr_de'];
	else {
		header ('Location: adm_publi_convocations_ecoles1.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_ecoles1_nom_de'])) $adm_publi_parametres_nom_de=$_SESSION['circonscript7_adm_publi_convocations_ecoles1_nom_de'];
	else {
		header ('Location: adm_publi_convocations_ecoles1.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_ecoles1_cci'])) $adm_publi_parametres_cci=$_SESSION['circonscript7_adm_publi_convocations_ecoles1_cci'];
	else {
		$adm_publi_parametres_cci=false;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_ecoles1_adr_cci'])) $adm_publi_parametres_adr_cci=$_SESSION['circonscript7_adm_publi_convocations_ecoles1_adr_cci'];
	else {
		$adm_publi_parametres_adr_cci='';
	}
	if ($adm_publi_parametres_cci==true && $adm_publi_parametres_adr_cci=='') {
		header ('Location: adm_publi_convocations_ecoles1.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_adm_publi_convocations_ecoles1_objet'])) $adm_publi_parametres_objet=$_SESSION['circonscript7_adm_publi_convocations_ecoles1_objet'];
	else {
		header ('Location: adm_publi_convocations_ecoles1.php');
		exit;
	}
	if (isset($_SESSION['circonscript7_coches_adm_publi_convocations_ecoles22'])) $coches_adm_publi_convocations_ecoles22=$_SESSION['circonscript7_coches_adm_publi_convocations_ecoles22'];
	else 
		$coches_adm_publi_convocations_ecoles22=array();
	if (isset($_SESSION['circonscript7_adm_publi_convocations_ecoles22_mdp'])) $adm_publi_convocations_ecoles22_mdp=$_SESSION['circonscript7_adm_publi_convocations_ecoles22_mdp'];
	else 
		$adm_publi_convocations_ecoles22_mdp=1;
	//diffrents tris en cours
	$tris=array(
		'ecole_asc'=>'nom ASC',
		'ecole_desc'=>'nom DESC',
	);
	if (isset($_GET['tri'])) {
		$tri_adm_publi_convocations_ecoles22=$tris[$_GET['tri']];
		if (!isset($tri_adm_publi_convocations_ecoles22)) $tri_adm_publi_convocations_ecoles22=$tris['ecole_asc'];
		$_SESSION['circonscript7_tri_adm_publi_convocations_ecoles22']=$tri_adm_publi_convocations_ecoles22;
	}
	else if (isset($_SESSION['circonscript7_tri_adm_publi_convocations_ecoles22'])) {
		$tri_adm_publi_convocations_ecoles22=$_SESSION['circonscript7_tri_adm_publi_convocations_ecoles22'];
	}
	else {
		$tri_adm_publi_convocations_ecoles22=$tris['ecole_asc'];
		$_SESSION['circonscript7_tri_adm_publi_convocations_ecoles22']=$tri_adm_publi_convocations_ecoles22;
	}		

	while (isset($_POST['selection'])&& isset($_POST['valide_cache']) && $_POST['valide_cache']=='1') {
		if ($stag_etat!=3) {
			$erreur="L'envoi des convocations n'est pas possible car les convocations ne sont pas publies sur le site.";
			break;
		}
		$adm_publi_convocations_ecoles22_mdp=isset($_POST['publier_mdp']);
		$_SESSION['circonscript7_adm_publi_convocations_ecoles22_mdp']=$adm_publi_convocations_ecoles22_mdp;
		$coches_adm_publi_convocations_ecoles22=array();
		$header=implode(file('_header.inc.txt'));
		if ($header=='') {
			$erreur="fichier _header.inc.txt non trouv ou incorrect sur le site";
			break;
		}
		$header=str_replace('<title></title>','<title>Convocations aux animations p&eacute;dagogiques</title>',$header);
		// url du site...
		if (!isset($url_site) || $url_site=='') {
			$domaine=$_SERVER['HTTP_HOST'];
			$path=$_SERVER['SCRIPT_NAME'];
			$t=explode('/',$path);
			if (sizeof($t)>1) {
				unset($t[sizeof($t)-1]);
				$path=implode('/',$t);
			}
			else $path='';
			$http='http';
			if (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS']=='on') $http='https';
			$site="$http://$domaine$path/";
		}
		else $site=$url_site.'/';
		$count=0;
		$total=0;
		foreach($_POST['selection'] as $id_ecole) {
			$id_ecole=intval($id_ecole);
			$n=publipostageEcoles($id_ecole,$header,$adm_publi_parametres_objet,$adm_publi_parametres_nom_de,$adm_publi_parametres_adr_de,$adm_publi_parametres_cci,$adm_publi_parametres_adr_cci,$adm_publi_convocations_ecoles22_mdp,$site);		
			if($erreur) break;
			$count+=$n;
			if ($n==0) $coches_adm_publi_convocations_ecoles22[]=$id_ecole;	
			++$total;
		}
		$_SESSION['circonscript7_coches_adm_publi_convocations_ecoles22']=$coches_adm_publi_convocations_ecoles22;
		$erreur.="Courriel envoy  $count coles.";
		if ($total>$count) $erreur.=" Le courriel n'a pas t envoy aux coles coches.";
		break;
	}
function publipostageEcoles($id_ecole,$header,$objet,$nom_de,$adr_de,$cci,$adr_cci, $publier_mdp,$site)
{
	global $h,$use_sso,$sso_portail,$sso_adresse_portail,$sso_bloque_exterieur;
	$q="SELECT nom, courriel FROM ecoles WHERE id_ecole=$id_ecole";
	$r=query($q,$h);
	if (!$r) return 0;
	$row=@mysqli_fetch_row($r);
	$ecole=$row[0];
	if ($ecole=='') return 0;
	$courriel=$row[1];
	if ($courriel=='') return 0;
	
	$q="SELECT CONCAT(stagiaires.nom,' ',stagiaires.prenom) as nom,animations.intitule as animation,dates.date, dates.horaire, dates.duree, dates.lieu FROM stagiaires
	LEFT JOIN convocations ON convocations.id_stagiaire=stagiaires.id_stagiaire
	LEFT JOIN seances ON seances.id_seance=convocations.id_seance
	LEFT JOIN dates ON dates.id_seance=seances.id_seance
	LEFT JOIN animations ON animations.id_anim=seances.id_anim
	WHERE stagiaires.id_ecole=$id_ecole
	ORDER BY nom ASC, date ASC";
	$r=query($q,$h);
	if (!$r) return 0;
	$stag_sans_anim=0;
	$fichier='"nom";"animation";"date";"horaire";"dure";"lieu"';
	$fichier.="\n";
	while ($row=@mysqli_fetch_array($r)) {
		$nom='"'.$row['nom'].'"';
		$animation='"'.str_replace('"','""',$row['animation']).'"';
		$d=dateSQLEnSaisie($row['date']);
		if ($d==''&& $row['animation']!='') $d=' dfinir';
		$date='"'.$d.'"';
		if ($row['horaire']!='00:00:00')
			$horaire='"'.substr($row['horaire'],0,5).'"';
		else
			$horaire='""';
		if ($row['duree']>0) $duree='"'.reelEnHeureTxt($row['duree']).'"';
		else $duree='""';
		$lieu='"'.str_replace('"','""',$row['lieu']).'"';
		$fichier.="$nom;$animation;$date;$horaire;$duree;$lieu\n";
		if ($row['animation']=='') ++$stag_sans_anim;
	}
	
	$frontiere='----='.md5(uniqid(mt_rand()));
	//criture des messages  Txt
	$msg_txt='';
	$msg_txt.="Bonjour,\n\n";
	$msg_txt.="Ceci est un courriel automatique envoy par le logiciel Circonscript.\r\n"; 
	$msg_txt.="Veuillez trouver, en pice jointe, les convocations aux animations pdagogiques pour les enseignants de votre cole.\n";
	$msg_txt.="La pice jointe est au format csv. Vous pouvez l'ouvrir  l'aide d'un tableur (Excel, Calc...)\n";
	if ($stag_sans_anim>0) {
		if ($stag_sans_anim==1) $msg_txt.="\nUne personne n'est convoque  acune animation: ";
		else $msg_txt.="\nDes personnes ($stag_sans_anim) ne sont convoques  aucune animation: ";
		$msg_txt.="dans ce cas, le champ \"animation\" est vide.\n";
	}
	$msg_txt.="----------------------------------------------------------------------------------------------------\n";
	if ($site) 
		$msg_txt.="Accs direct: $site\n";
	if ($use_sso){
		if($sso_adresse_portail!='') 
			$msg_txt.="Accs via le portail $sso_portail: $sso_adresse_portail\n";
	}
	$msg_txt.="\n";
		
	// PRODUCTION DU MESSAGE FINAL
	// ---------------HEADER
	$head="From: \"$nom_de\" <$adr_de>\r\n";
	$head.="Reply-To: $adr_de\r\n";
	if ($cci) $head.="Bcc: $adr_cci\r\n";
	$head.="MIME-Version: 1.0\r\n";
	$head.="Content-Type: multipart/mixed;\r\n";
	$head.="  boundary=\"$frontiere\";\r\n";
	//--------MESSAGE TEXTE
	$msg_final= "This is a multi-part message in MIME format.\n\n";
	$msg_final.='--'.$frontiere."\n";
	$msg_final.="Content-Type: text/plain; charset=\"ISO-8859-15\"\n";
	$msg_final.="Content-Transfer-Encoding: 8bit\n\n";
	$msg_final.=$msg_txt."\n\n";
	//------------FICHIER
	$fichier=chunk_split(base64_encode($fichier));
	$msg_final.='--'.$frontiere."\n";
	$msg_final.="Content-Type: application/csv; name=\"liste_enseignants.csv\"\n";
	$msg_final.="Content-Transfer-Encoding: base64\n";
	$msg_final.="Content-Disposition: attachment; filename=\"liste_enseignants.csv\"\n\n";
	$msg_final.=$fichier; 
	$msg_final.='--'.$frontiere."--\n";
	//OBJET
	if (extension_loaded('mbstring')) {
		mb_internal_encoding('ISO-8859-15');
		$obj=mb_encode_mimeheader($objet, 'ISO-8859-15','Q',"\r\n");
		$ecole=mb_encode_mimeheader($ecole, 'ISO-8859-15','Q',"\r\n");
	}
	else $obj=$objet;
	//ENVOI
	$b=@mail($courriel,$obj,$msg_final,$head);
	return !$b? 0:1; 

	
	
}

function afficheListeEcoles($h)
{
	global $erreur,$coches_adm_publi_convocations_ecoles22,$id_circo,$tri_adm_publi_convocations_ecoles22;
	// administrateur
	$r=query("SELECT ecoles.nom, ecoles.courriel,ecoles.id_ecole FROM ecoles, stagiaires WHERE id_circo=$id_circo AND stagiaires.id_ecole=ecoles.id_ecole GROUP BY id_ecole ORDER BY $tri_adm_publi_convocations_ecoles22",$h);
	while ($row=@mysqli_fetch_row($r)) {
		$nom=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
		$courriel=$row[1];
		$id_ecole=$row[2];
		if ($nom=='') $nom='&nbsp;';
		print "<tr>\n";
		if($courriel) 
			printf("<td><a href=\"javascript:envoieMail('%s')\">%s</a></td>\n",$courriel,$nom);
		else print "<td>$nom</td>\n";
		if ($courriel) {
			print "<td><input type=\"checkbox\" name=\"selection[]\" value=\"$id_ecole\"";
			if (in_array($id_ecole,$coches_adm_publi_convocations_ecoles22)) print "checked=\"checked\"";
			print" /></td>\n";
		}
		else print "<td>&nbsp;</td>\n";		

		print "</tr>\n";
	}
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript" src="popup.js"></script>
	    <script type="text/JavaScript" charset="ISO-8859-15">
<!--
function envoieMail(adr)
{
	var objet=encodeURIComponent("<?php print str_replace('"','\\"',$adm_publi_parametres_objet) ?>");
	window.open("mailto:"+adr+"?subject="+objet,'_parent');
}
function cocheTout(obj)
{
  // on rcupre le formulaire des objets  modifier
  leForm = obj.form

  laListe = leForm["selection[]"]

  if (laListe != null){
	if (laListe.length != null){
	  // on modifie tous les lments
	  for(i=0; i < laListe.length; i++) {
		laListe[i].checked = obj.checked
	  }
	} else {
	  laListe.checked = obj.checked
	}
  }
}
function confirmer()
{
	b=window.confirm("Confirmez l'envoi automatique des paramtres vers les coles slectionnes");
	if (b) {
		document.formulaire.valide_cache.value="1";
		document.formulaire.submit();
	}

}
//-->
</script>
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_publi_convocations_ecoles2?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="adm_publi_convocations_ecoles1.php">pr&eacute;c&eacute;dent</a></li>
				</ul>
			</div>
		  <div id="corps">
               <h1>Publipostage: envoi, aux &eacute;coles, des convocations des stagiaires</h1>
               <p>Seules les &eacute;coles poss&eacute;dant des stagiaires sont affich&eacute;es ici. </p>
               <p>Sont envoy&eacute;s: nom, pr&eacute;nom, courriel et &eacute;ventuellement le mot de passe de tous les stagiaires de l'&eacute;cole. Le mot de passe n'est publi&eacute; que s'il est provisoire, c'est &agrave; dire si le stagiaire doit le modifier lors de sa premi&egrave;re connexion (c'est g&eacute;n&eacute;ralement le cas si la liste des stagiaires a &eacute;t&eacute; import&eacute;e via un csv). </p>
               <?php if ($erreur) printf("<p class=\"erreur\">%s</p>",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));?>
		       <form id="formulaire" name="formulaire" method="post" action="">
		         <table>
                      <tr class="table_entete">
                        <td>Ecoles &nbsp;<a href="adm_publi_convocations_ecoles22.php?tri=ecole_asc"><img src="images/fleche_haut.png" alt="tri par &eacute;cole ascendant" width="11" height="11" border="0" /></a><a href="adm_publi_convocations_ecoles22.php?tri=ecole_desc"><img src="images/fleche_bas.png" alt="tri par &eacute;cole descendant" width="11" height="11" border="0" /></a>&nbsp;<br /></td>
                        <td>Tout
                          <input type="checkbox" name="cochetout" value="0" onclick="cocheTout(this)" />
                          &nbsp;<a href="adm_stagiaire_liste.php?tri=ecole_asc"></a><a href="adm_stagiaire_liste.php?tri=ecole_desc"></a></td>
                        <td><input name="valider" type="button" class="bouton_standard" value="Valider" onclick="javascript:confirmer()" /></td>
                      </tr>
                      <?php  afficheListeEcoles($h) ?>
                    <tr class="table_entete"><td><input name="valide_cache" type="hidden" id="valide_cache" value="0" /></td><td>&nbsp;</td><td><input name="valider2" type="button" class="bouton_standard" id="valider2" value="Valider" onclick="javascript:confirmer()" /></td>
                    </tr>
				 </table>
		       </form>		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_publi_convocations_ecoles2?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
					<li><a href="adm_publi_convocations_ecoles1.php">pr&eacute;c&eacute;dent</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
