<?php
/* 
	Paramtres gnraux d'administration, pour l'admin
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
// \$sso_login=isset\(([$ _\w\[\]'"]*)( )*\)

	require('_session.php');
	require '_sqlconnect.inc.php';
//	require '_fonctions_stagiaire.inc.php';
	require '_fonctions.inc.php';

	if (isset($_GET['url_ret'])) {
		$url_ret_adm_sso=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_sso']=$url_ret_adm_sso;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_sso'])) {
		$url_ret_adm_sso=$_SESSION['circonscript7_url_ret_adm_sso'];
	}
	else $url_ret_adm_sso="administration.php";
	debugInit();
	$erreur='';
	$portailValide="[a-zA-Z0-9ݟƌ_\ \-\']*";
	$variableValide='^\$[\[a-zA-Z0-9_\]\'\"]+';
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$h=connect();
	$ferme=queryValue("SELECT ferme FROM general",$h);
	$t=file('parametres/_parametres.inc.php');
	if (sizeof($t)<10) {
		$erreur.="Problme sur le fichier '_parametres.inc.php' - il ne semble pas correct. ";
		return;
	}
	$txt=implode('',$t);
	$val_use_sso=$use_sso;
	$val_sso_adresse_portail=$sso_adresse_portail;
	$val_sso_url_deconnexion=$sso_url_deconnexion;
	$val_sso_portail=$sso_portail;
	$val_sso_bloque_exterieur=$sso_bloque_exterieur;
	$val_sso_login="";
	$val_sso_usermail="";
	$matches=array();
	$b=preg_match('/\s*\$sso_login=isset\(([\ \_\[\]\'\"\d\w\$]*)\)/i',$txt,$matches);
	if ($b) $val_sso_login=$matches[1];	
	$b=preg_match('/\$sso_usermail=isset\(([\ \_\[\]\'\"\d\w\$]*)\)/i',$txt,$matches);
	if ($b) $val_sso_usermail=$matches[1];	
	$svg_sso_usermail=$val_sso_usermail;
	$svg_sso_login=$val_sso_login;
	if (isset($_POST['valider'])) {
		$modifie=false;
		if (isset($_POST['chkUseSSO'])) {
			if ($val_use_sso==false) {
				$modifie=true;
				$val_use_sso=true;
			}
		}
		else {
			if ($val_use_sso==true) {
				$modifie=true;
				$val_use_sso=false;
			}
		}
		if (isset($_POST['chkSSOBloqueExterieur'])) {
			if ($val_sso_bloque_exterieur==false) {
				$modifie=true;
				$val_sso_bloque_exterieur=true;
			}
		}
		else {
			if ($val_sso_bloque_exterieur==true) {
				$modifie=true;
				$val_sso_bloque_exterieur=false;
			}
		}
		if (isset($_POST['edSSOAdressePortail'])) {
			$v=$_POST['edSSOAdressePortail'];
			if (strlen($v)>255) $erreur.="Adresse du portail trop longue. ";
			else if (!$v) $erreur.="Adresse du portail absente. ";
			else if (!preg_match( URL_FORMAT,$v)) $erreur.="Adresse du portail incorrecte. ";
			else {
				if ($val_sso_adresse_portail!=$v) {
					$modifie=true;
				}
			}
			$val_sso_adresse_portail=$v;
		}
		else {
			$erreur.="Adresse du portail manquante. ";
			$val_sso_adresse_portail="";
		}
		if (isset($_POST['edSSOUrlDeconnexion'])) {
			$v=$_POST['edSSOUrlDeconnexion'];
			if (strlen($v)>255) $erreur.="Adresse de dconnexion du portail trop longue. ";
			else if ($v && !preg_match( URL_FORMAT,$v)) $erreur.="Adresse du portail incorrecte. ";
			else {
				if ($val_sso_url_deconnexion!=$v) {
					$modifie=true;
				}
			}
			$val_sso_url_deconnexion=$v;
		}
		else {
			if ($val_sso_url_deconnexion) {
				$modifie=true;
				$val_sso_url_deconnexion='';
			}
		}			
		if (isset($_POST['edSSOPortail'])) {
			$v=normalise($_POST['edSSOPortail']);
			if (strlen($v)>255) $erreur.="Nom du portail trop long. ";
			else if (!$v) $erreur.="Nom du portail absent. ";
			else {
				if (preg_match("@($portailValide)@",$v,$matches)==1){
					if ($matches[1]!=$v) $erreur.="Caractres interdits dans le nom du portail.";
					debug("---matches");
					debug($matches[1]);
					debug("---");
				}
				else $erreur.="Caractres interdits dans le nom du portail. ";
			}
			if ($val_sso_portail!=$v) {
				$modifie=true;
			}
			$val_sso_portail=$v;
		}
		else {
			$erreur.="Nom du portail manquant. ";
			$val_sso_portail="";
		}
		if (isset($_POST['edSSOLogin'])) {
			$v=$_POST['edSSOLogin'];
			if (strlen($v)>255) $erreur.="Variable environnement SSO Login: champ trop long. ";
			else {
				if ($v) {
					if (preg_match("@($variableValide)@",$v,$matches)==1){
						if ($matches[1]!=$v) $erreur.="Caractres interdits dans le nom de la variable d'environnement de l'identifiant. ";
					}
					else $erreur.="Caractres interdits dans le nom de la variable d'environnement de l'identifiant. ";
				}
			}
			$val_sso_login=$v;
			if ($v!=$svg_sso_login)$modifie=true;
		}
		else {
			if ($val_sso_usermail) {
				$modifie=true;
				$val_sso_usermail='';
			}
		}			
		if (isset($_POST['edSSOUserMail'])) {
			$v=$_POST['edSSOUserMail'];
			if (strlen($v)>255) $erreur.="Variable environnement de courriel de l'utilisateur: champ trop long. ";
			else {
				if ($v) {
					if (preg_match("@($variableValide)@",$v,$matches)==1){
						if ($matches[1]!=$v) $erreur.="Caractres interdits dans le nom de la variable d'environnement du courriel. ";
					}
					else $erreur.="Caractres interdits dans le nom de la variable d'environnement du courriel. ";
				}
			}
			if ($v!=$svg_sso_usermail)$modifie=true;
			$val_sso_usermail=$v;
		}
		else {
			if ($val_sso_usermail) {
				$modifie=true;
				$val_sso_usermail='';
			}
		}			
		if ($val_sso_usermail =='' && $val_sso_login=='') $erreur="Il faut renseigner au moins un des deux champs. ";
		if (!$erreur && !$modifie) $erreur="Aucune modification n'a eu lieu. Rcriture du fichier non effectue.";
		while (!$erreur ) {
			// change les variables 
			if ($use_sso!=$val_use_sso) {
				$s=$val_use_sso?'true':'false';
				$txt=preg_replace('(\$use_sso=[a-z]+)',"\$use_sso=$s",$txt);
			}
			if ($sso_bloque_exterieur!=$val_sso_bloque_exterieur) {
				$s=$val_sso_bloque_exterieur?'true':'false';
				$txt=preg_replace('(\$sso_bloque_exterieur=[a-z]+)',"\$sso_bloque_exterieur=$s",$txt);
			}
			if ($val_sso_adresse_portail!=$sso_adresse_portail) {
				$txt=preg_replace('(\$sso_adresse_portail=\"[\w\:\?\&\.\-/]*\")',"\$sso_adresse_portail=\"$val_sso_adresse_portail\"",$txt);
				
			}
			if ($val_sso_url_deconnexion!=$sso_url_deconnexion) {
				$txt=preg_replace('(\$sso_url_deconnexion=\"[\w\:\?\&\.\-/]*\")',"\$sso_url_deconnexion=\"$val_sso_url_deconnexion\"",$txt);
				
			}
			if ($val_sso_portail!=$sso_portail) {
				$s="(\\\$sso_portail=\\\"$portailValide\\\")";
				//debug("s=");
				//debug($s);
				$txt=preg_replace($s,"\$sso_portail=\"$val_sso_portail\"",$txt);
				//debug($txt);
				//exit;
			}
			if ($val_sso_login!=$svg_sso_login) {
				if ($val_sso_login=='') 
					$txt=preg_replace('(\$sso_login=[\(\)\$\w\_\'\"\[\]\:\?]+;)',"\$sso_login='';",$txt);
				else $txt=preg_replace('(\$sso_login=[\(\)\$\w\_\'\"\[\]\:\?]+;)',"\$sso_login=isset($val_sso_login)?$val_sso_login:'';",$txt);
			}
			if ($val_sso_usermail!=$svg_sso_usermail) {
				if ($val_sso_usermail=='') 
					$txt=preg_replace('(\$sso_usermail=[\(\)\$\w\_\'\"\[\]\:\?]+;)',"\$sso_usermail='';",$txt);
				else	
					$txt=preg_replace('(\$sso_usermail=[\(\)\$\w\_\'\"\[\]\:\?]+;)',"\$sso_usermail=isset($val_sso_usermail)?$val_sso_usermail:'';",$txt);
			}
			//debug($txt);
			$tmpfile=tempnam('./temp',"txt");		
			$fp=fopen($tmpfile,"w");
			if (!$fp) {
				$erreur.="Impossible d'crire dans le dossier /temp. ";
				break;
			}
			$b=fputs($fp,$txt,strlen($txt));
			fclose($fp);
			if (!$b) {
				$erreur="Problme d'criture dans le fichier '$tmpfile' du dossier /temp. ";
				break;
			}
			$b=unlink('./parametres/_parametres.inc.php');
			if (!$b) {
				$erreur.="Impossible de supprimer le fichier '_parametres.inc.php' du dossier /parametres. ";
				break;
			}
			$b=rename($tmpfile,'./parametres/_parametres.inc.php');
			if (!$b) {
				$erreur="Impossible de renommer le fichier 'temp/$tmpfile' en 'parametres/_parametres.inc.php' dans le dossier courant. ";
				break;
			}
			header("Location: adm_sso.php?url_ret=$url_ret_adm_sso");
			exit;
		}
		
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		//-->
		</script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_sso?>">retour</a></li>
<li><a href="#bas">bas</a></li>
</ul>
			</div>
		  <div id="corps">	 
				<?php if ($erreur) print "<p class=\"erreur\">$erreur</p>";?> 
				<h1>Param&egrave;tres d'administration SSO </h1>
				<h3>Terminologie</h3>
				<p>SSO: <em>Sigle Sign On, </em>authentification unique. D&eacute;signe les m&eacute;canismes d'authentification permettant, avec un seul mot de passe, d'acc&eacute;der &agrave; plusieurs services.</p>   
				<p>Portail SSO = portail dans lequel l'utilisateur s'authentifie, contenant les diffrents services offerts par l'acadmie (dont Circon'script).</p>
				<p>accs extrieur: Circon'script conserve la possibilit d'un accs direct pour certains utilisateurs, qui n'ont donc pas besoin de passer par l'authentification du portail SSO.</p>
				<p>Un <i>utilisateur rfrenc</i> dans Circon'script possde, soit un identifiant SSO (en gnral l'identifiant iProf), soit une adresse de courriel acadmique, directement renseign&eacute; dans la base de donn&eacute;es de Circon'script. Cet utilisateur peut donc acc&eacute;der &agrave; Circon'script par le portail d'authentification SSO. Les utilisateurs qui n'ont pas ce r&eacute;f&eacute;rencement doivent acc&eacute;der &agrave; Circon'script par l'acc&egrave;s extrieur. </p>  
				<p>Les services SSO sont inscrits dans le fichier <em>parametres/_parametres.inc.php. </em>La modification des param&egrave;tres ci-dessous reprogramme le fichier. </p>
				<?php if (!$ferme) :?>
				<p class="erreur"><em>Important: </em>Le changement d'option sur cette page peut entraner des modifications sur les sessions en cours. Il est conseill de <a href="adm_etat.php?url_ret=adm_sso.php">fermer le site.</a></p>
				<?php endif?>
				<div class="cadre_hb">
				  <form id="form5" name="form5" method="post" action="">
				    <h2>
				      <input name="chkUseSSO" type="checkbox" id="chkUseSSO" value="1" <?php if ($val_use_sso) print 'checked="checked"'?>/>
				    Activer les services SSO </h2>
				    <p>
				      <input name="chkSSOBloqueExterieur" type="checkbox" id="chkSSOBloqueExterieur" value="checkbox" <?php if ($val_sso_bloque_exterieur) print 'checked="checked"'?>/>
				    Interdire l'acc&egrave;s direct aux utilisateurs disposant d'un identifiant SSO (conseill&eacute;). Ces derniers doivent se connecter au portail SSO pour acc&eacute;der &agrave; Circon'script. </p>
				    <p>Adresse du portail SSO (utilis&eacute; pour l'envoi des instructions de connexion par courriel automatique) :
                      <input name="edSSOAdressePortail" type="text" id="edSSOAdressePortail" value="<?php print $val_sso_adresse_portail ?>" size="80" maxlength="255" />
				    </p>
				    <p>URL de d&eacute;connexion: adresse o&ugrave; il faut se rendre lorsque l'utilisateur de d&eacute;connecte de Circon'script. <i>Si vide, affiche la page de d&eacute;connexion de Circon'script.</i> En gnral, on peut y recopier l'adresse du portail.</p>
				    <p>
				      <input name="edSSOUrlDeconnexion" type="text" id="edSSOUrlDeconnexion" value="<?php print $val_sso_url_deconnexion ?>" size="80" maxlength="255" />
				    </p>
				    <p>Nom du portail; s'il n'a pas de nom, vous pouvez  mettre un adjectif compl&eacute;tant le mot &quot;portail&quot; par exemple: &quot;acad&eacute;mique&quot;. </p>
				    <p>
				      <input name="edSSOPortail" type="text" id="edSSOPortail" value="<?php print $val_sso_portail?>" size="30" maxlength="255" />
				    </p>
				    <p><strong>Important ! toute erreur dans les param&egrave;tres ci-dessous produira imm&eacute;diatement un dysfonctionnement grave ! </strong></p>
				    <p>Si vous obtenez une page blanche apr&egrave;s validation, &eacute;ditez imm&eacute;diatement le fichier parametres/_parametres.inc.php et restaurez les lignes contenant $sso_login et $sso_usermail : $sso_login=''; $sso_usermail=''; </p>
				    <p><em>L'une au moins des deux variables ci-dessous doit &ecirc;tre renseign&eacute;e.</em></p>
				    <p>Variable d'environnement PHP contenant l'identifiant de l'utilisateur (login SSO). Par exemple: $_SERVER['HTTP_CT_REMOTE_USER'].</p>
				    <p>
				      <input name="edSSOLogin" type="text" id="edSSOLogin" size="80" maxlength="255" value="<?php print htmlentities($val_sso_login)?>"/>
				    </p>
				    <p>Variable d'environnement PHP contenant l'adresse de courriel de l'utilisateur. Par exemple: $_SERVER['HTTP_CTEMAIL'].</p>
				    <p>
				      <input name="edSSOUserMail" type="text" id="edSSOUserMail" size="80" maxlength="255" value="<?php print htmlentities($val_sso_usermail)?>" />
				    </p>
				    <p align="center">
				      <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider les modifications du fichier" />&nbsp;
 				      <input name="reinitialiser" type="submit" class="bouton_standard" id="reinitialiser" value="Recharger les paramtres du fichier" />
			        </p>
				    <p>
</p>
				  
			</form>
			</div>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_sso?>">retour</a></li>
<li><a href="#haut">haut</a></li>
</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
</body>
</html>
