<?php
/* 
	Edition d'un stagiaire par la circo
	Circon'script PHP Script
	Version 5.0.1
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	require '_fonctions_mdp.inc.php';
	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_stagiaire_edite=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_stagiaire_edite']=$url_ret_adm_stagiaire_edite;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_stagiaire_edite'])) {
		$url_ret_adm_stagiaire_edite=$_SESSION['circonscript7_url_ret_adm_stagiaire_edite'];
	}
	else $url_ret_adm_stagiaire_edite="adm_stagiaire_liste.php";

	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	
	if (isset($_GET['id_stagiaire'])) {
		$id_stagiaire=abs(intval($_GET['id_stagiaire']));
		$_SESSION['circonscript7_adm_id_stagiaire']=$id_stagiaire;
	}
	else if (isset($_SESSION['circonscript7_adm_id_stagiaire'])) {
		$id_stagiaire=$_SESSION['circonscript7_adm_id_stagiaire'];
	}
	else {
		header("Location: erreur.php?erreur=stagiaire_inexistant");
		exit;
	}
	$h=connect();
	ejecteSiFerme($h);
	debugInit();
	$q="SELECT libelle,regle,quota, duree_seance, type_circo FROM circos WHERE id_circo=$id_circo";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	
	$circo=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
	$regle=$row[1];
	$quota_circo=$row[2];
	$duree_seance=$row[3];
	$type_circo=$row[4];
	$info='';
	$interdire_changement_mdp=false;
	$creerMdp=$use_sso && ($sso_login!='' || $sso_usermail!='')&& $sso_bloque_exterieur;
	if ($type_circo==1 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	if ($id_stagiaire>0) {
		$q="SELECT stagiaires.nom, prenom, stagiaires.courriel, niveau, ecoles.id_ecole, mdp, codage,quotite, quota, anonyme, id_groupe,stagiaires.id_uti,utilisateurs.login, quota_reel,utilisateurs.dt_connexion, utilisateurs.hash,utilisateurs.sso_login,stagiaires.type_courriel FROM stagiaires,utilisateurs,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_uti=utilisateurs.id_uti AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo";
		$r=query($q,$h);
		$row=@mysqli_fetch_array($r);
		if (empty($row)) {
			$erreur="Aucun enregistrement trouv. Passage  l'ajout de stagiaire.";
			$id_stagiaire=0;
		}
		else {
			$nom=$row['nom'];
			$prenom=$row['prenom'];
			$courriel=$row['courriel'];
			$niveau=strtoupper($row['niveau']);
			$id_ecole=$row['id_ecole'];
			$quotite=$row['quotite'];
			$quota=$row['quota'];
			$mdp=$row['mdp'];
			$codage=$row['codage'];
			$anonyme=$row['anonyme'];
			$id_groupe=$row['id_groupe'];
			$id_uti=$row['id_uti'];
			$login=$row['login'];
			$login_anc=$login;
			$quota_reel=$row['quota_reel'];
			$dtConnexion=$row['dt_connexion'];
			$hash=$row['hash'];
			$sso_login=$row['sso_login'];
			$type_courriel=$row['type_courriel'];
			$q="SELECT COUNT(*), SUM(dates.duree) FROM inscriptions, seances, dates WHERE id_stagiaire=$id_stagiaire AND inscriptions.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$nb_inscr=$row[0];
			$duree_inscr=$row[1];
			$q="SELECT COUNT(*), SUM(dates.duree) FROM convocations, seances, dates WHERE id_stagiaire=$id_stagiaire AND convocations.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$nb_conv=$row[0];
			$duree_conv=$row[1];
			$mdp_stag=$mdp;
			if ($codage!=0 && $mdp!='') $mdp_stag='#'; 
		}
	}
	if ($id_stagiaire==0) {
		$interdire_changement_mdp=false;
		$nom='';
		$prenom='';
		$courriel='';
		$couriel_raw='';
		$niveau='';
		$id_ecole=0;
		$nb_inscr=0;
		$duree_inscr=0;
		$nb_conv=0;
		$duree_conv=0;
		$quotite='';
		$quota=$quota_circo;
		$quota_reel=0.0;
		$mdp='';
		$mdp_stag=$creerMdp?getMdp():'';
		$codage=0;
		$anonyme=0;
		$id_groupe=0;
		$id_uti=0;
		$login='';
		$login_anc='';
		$dtConnexion='';
		$hash='';
		$sso_login='';
		if (isset($_SESSION['circonscript7_adm_stagiaire_edite_type_courriel'])) $type_courriel=$_SESSION['circonscript7_adm_stagiaire_edite_type_courriel']; 
		else $type_courriel=$type_circo==2?1:0;
	}
	if (isset($_POST['commande'])&& $_POST['commande']=='EffacerNiveau') {
		lireFormulaire();
		$niveau='';
	}
	else if (isset($_POST['commande']) && $_POST['commande']=='supprimer' && $id_stagiaire>0 ){
		header("location: adm_stagiaire_supprime.php?id_stagiaire=$id_stagiaire&url_ret=adm_stagiaire_edite.php&url_ret2=$url_ret_adm_stagiaire_edite");
		exit;
	}
	else if (isset($_POST['commande']) && $_POST['commande']=='CalculAuto') {
		lireFormulaire();
		$regles=regles($id_circo,$h);
		$quota=quotaReferenceStagiaire($id_ecole,$id_groupe,$niveau,$regles);
		if ($quota<0) $quota=$quota_circo;
		$quota_reel=sprintf("%.2f",quotaReelStagiaire($quota,$quotite,$duree_seance,$regle));
	} 
	else if (isset($_POST['commande']) && $_POST['commande']=='expedier') {
		lireFormulaire();
		if ($id_stagiaire) {
			$r=query("SELECT id_uti, courriel FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
			$row=@mysqli_fetch_row($r);
			$id_uti=$row[0];
			$courriel=$row[1]; 
			if ($id_uti) {
				publipostage($id_uti,$h,$courriel);
				if (!$erreur) $info="Courriel expdi.";
				
			}
			else 
				$erreur.=" Utilisateur introuvable. ";
		}
	}
	else if (isset($_POST['valider']) || isset($_POST['valider1'])) {
		lireFormulaire();
		if (!nomValide($nom)) $erreur.=" Nom incorrect.";
		if (!nomValide($prenom)) $erreur.= " Prnom incorrect.";
		if ($courriel && !testeEmail($courriel)) $erreur.=" Courriel incorrect.";
		if ($id_ecole==0) $erreur.= ' Ecole incorrecte.';
		if ($type_courriel<0||$type_courriel>1) $type_courriel=0;
		$_SESSION['circonscript7_adm_stagiaire_edite_type_courriel']=$type_courriel;
		if ($mdp_stag!='#') {
			if (!motDePasse($mdp_stag)) $erreur.=" Mot de passe incorrect.";
			else $mdp=$mdp_stag;
			$codage=0;
		}
		else $mdp='';
		if ($quotite=='') $erreur.=" Quotit incorrecte.";
		else if ($quotite<0 || $quotite >100) $erreur.=" La quotit doit tre comprise entre 0 et 100.";
		$b=settype($quota,"double");
		if (!$b||$quota<0) $erreur.=" Quota invalide.";
		if ($id_groupe<0) $erreur.=' Groupe incorrect.';
		else if ($id_groupe>0) {
			$nb=queryValue("SELECT COUNT(*) FROM groupes WHERE id_groupe=$id_groupe AND id_circo=$id_circo",$h);
			if ($nb==0) $erreur.=" Groupe incorrect.";
		}
		if (!$erreur) while(1){
			$nom_f=normaliseNom($nom);
			$prenom_f=normaliseNom($prenom);
			if ($id_stagiaire==0) { // ajout ?	
				$q=sprintf("SELECT COUNT(*) FROM stagiaires WHERE nom_f LIKE '%s' AND prenom_f LIKE '%s' AND id_ecole='%d'", myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),$id_ecole);
				$n=queryValue($q,$h);
				if ($n>0) {
					$erreur.=" Il existe dj un stagiaire portant ce nom et ce prnom dans cette cole. Ajout annul.";
					break;
				}
				$regles=regles($id_circo,$h);
				$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);
				$login=$courriel;
				$id_uti=0;
				if ($login)	$id_uti=queryValue("SELECT id_uti FROM utilisateurs WHERE login LIKE '$login'",$h);
				if ($id_uti) {
					if ($type_circo==2) {
						$erreur="Ce stagiaire est dj inscrit ailleurs. Vous ne pouvez pas l'inscrire dans une circo virtuelle de transfert.";
						break;
					}
					// s'il existe dj un utilisateur, vrifier s'il n'est pas dj li   un compte stagiaire dans la circo.
					$nb=queryValue("SELECT COUNT(*) FROM stagiaires, ecoles WHERE stagiaires.id_uti=$id_uti AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=$id_circo",$h);
					if($nb) {
						$erreur="Cet utilisateur a dj un compte \"stagiaire\" dans  votre circonscription.";
						break;
					}
					$t=array('login'=>$login,'mdp'=>$mdp,'nom'=>$nom,'prenom'=>$prenom,'nom_f'=>$nom_f,'prenom_f'=>$prenom_f,'niveau'=>$niveau,'courriel'=>$courriel,'id_ecole'=>$id_ecole,'quotite'=>$quotite,'quota'=>$quota,'quota_reel'=>$quota_reel,'anonyme'=>$anonyme,'id_groupe'=>$id_groupe,'id_uti'=>$id_uti,'valider'=>isset($_POST['valider'])?1:0);
					$_SESSION['circonscript7_adm_stagiaire_edite_stagiaire']=$t;
					header('Location: adm_stagiaire_confirme.php?url_ret=adm_stagiaire_edite.php');
					exit;
				
				}
				$id_uti=attribuerCompte(0,$login,$mdp,$info,$h,0,true,$sso_login);
				if ($erreur) {
					if (!$id_uti) $login=$login_anc;
					break;
				}
				if (!$id_uti) {
					$erreur.=" Impossible de crer le compte utilisateur.";
					break;
				}
				$q=sprintf("INSERT INTO stagiaires (nom, prenom, nom_f,prenom_f,niveau, courriel, id_ecole, quotite,quota,quota_reel,anonyme,id_groupe,id_uti,type_courriel) VALUES('%s','%s','%s','%s','%s','%s','%d','%.2f','%.2f','%.2f','%d','%d','%d','%d');",myEscapeString($h,$nom),myEscapeString($h,$prenom),myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),myEscapeString($h,$niveau),myEscapeString($h,$courriel),$id_ecole,$quotite,$quota,$quota_reel,$anonyme,$id_groupe,$id_uti,$type_courriel);
				query($q,$h);
				if ($erreur) break;
				$id_stagiaire=@mysqli_insert_id($h);
				if (isset($_POST['valider1']))  // enregistrer puis passer
					$id_stagiaire=0;
				
				$_SESSION['circonscript7_adm_stagiaire_edite_id_stagiaire']=$id_stagiaire;
				header("Location: adm_stagiaire_edite.php?id_stagiaire=$id_stagiaire");
				exit;
			}	
			else { //modifier le stagiaire existant
				$q=sprintf("SELECT COUNT(*) FROM stagiaires WHERE nom_f LIKE'%s' AND prenom_f LIKE '%s' AND id_ecole='%d' AND id_stagiaire<>$id_stagiaire", myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),$id_ecole);
				$n=queryValue($q,$h);
				if ($n>0) {
					$erreur.=" Il existe dj un stagiaire portant ce nom et ce prnom dans cette cole. Opration annule.";
					break;
				}
				$regles=regles($id_circo,$h);
				$quota_reel=quotaReelStagiaire($quota,$quotite,$duree_seance,$regle);
				// travail sur le compte utilisateur
				$id_uti=0;
				$login='';
				$row=queryRow("SELECT utilisateurs.id_uti,utilisateurs.login FROM stagiaires,utilisateurs WHERE stagiaires.id_stagiaire=$id_stagiaire AND utilisateurs.id_uti=stagiaires.id_uti",$h);
				$id_uti=$row [0];
				$login=$row[1];
				if (!$id_uti) {
					$erreur.=" Utilisateur introuvable.";
					break;
				}
				if ($courriel && $login!=$courriel) {
					$n=queryValue("SELECT COUNT(*) FROM administrateurs WHERE id_uti=$id_uti",$h);
					if ($n) {
						$erreur="Ce stagiaire est aussi un administrateur. Vous ne pouvez pas modifier son adresse de courriel. Opration annule.";
						break;
					}
					
				}
				$login=$courriel;
				if ($login=='') $login='utilisateur'.$id_uti;
				$id_uti=attribuerCompte($id_uti,$login,$mdp,$info,$h,0,true,$sso_login);
				if (!$id_uti || $erreur) {
					if (!$id_uti) $login=$login_anc;
					break;
				}
				$q=sprintf("UPDATE stagiaires SET nom='%s', prenom='%s', nom_f='%s',prenom_f='%s',niveau='%s', courriel='%s', id_ecole='%d', quota='%.2f', quotite='%.2f',quota_reel='%.2f', anonyme='%d',id_groupe='%d', id_uti='%d', type_courriel='%d' WHERE id_stagiaire=$id_stagiaire",myEscapeString($h,$nom),myEscapeString($h,$prenom),myEscapeString($h,$nom_f),myEscapeString($h,$prenom_f),myEscapeString($h,$niveau),myEscapeString($h,$courriel),$id_ecole, $quota, $quotite,$quota_reel,$anonyme,$id_groupe,$id_uti,$type_courriel);
				query($q,$h);
				$r=query("SELECT mdp, codage FROM utilisateurs WHERE id_uti=$id_uti",$h);
				$row=@mysqli_fetch_row($r);
				$mdp=$row[0];
				$codage=$row[1];
				$mdp_stag=$mdp;
				if ($codage!=0 && strlen($mdp)!=0) $mdp_stag='#'; 
				if (!$erreur) $erreur="Modifications enregistres. ";
			}
			break;
		}	
		
	} 
	

	if ($id_stagiaire>0) {
		$q="SELECT COUNT(*), SUM(dates.duree) FROM inscriptions, seances, dates WHERE id_stagiaire=$id_stagiaire AND inscriptions.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		$nb_inscr=$row[0];
		$duree_inscr=$row[1];
		$q="SELECT COUNT(*), SUM(dates.duree) FROM convocations, seances, dates WHERE id_stagiaire=$id_stagiaire AND convocations.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
		$r=query($q,$h);
		$row=@mysqli_fetch_row($r);
		$nb_conv=$row[0];
		$duree_conv=$row[1];
	}
	else {
		$nb_inscr=0;
		$duree_inscr=0;
		$nb_conv=0;
		$duree_conv=0;
	}

	if ($id_uti) {
		$n=queryValue("SELECT COUNT(*) FROM intervenants,utilisateurs WHERE intervenants.id_uti=$id_uti AND intervenants.id_uti=utilisateurs.id_uti AND utilisateurs.codage<>0",$h);
		if (!$n) $n=queryValue("SELECT COUNT(*) FROM administrateurs WHERE id_uti=$id_uti",$h);
		if ($n) $interdire_changement_mdp=true;
	}
	
function afficheEcoles($h)
{
	global $id_circo, $id_ecole;
//<option value="Ecole 1">01</option>	
	$q="SELECT id_ecole, nom FROM ecoles WHERE id_circo=$id_circo ORDER BY nom ASC";
	$r=query($q,$h);
	while($row=@mysqli_fetch_row($r)) {
		$id_ecole_courante=$row[0];
		$nom_ecole=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_ecole_courante\"";
		if (isset($id_ecole) && $id_ecole_courante==$id_ecole) print " selected=\"selected\"";
		print ">$nom_ecole</option>\n";
	}
}
function afficheGroupes($h)
{
	global $id_circo,$id_groupe;
	$q="SELECT id_groupe,libelle FROM groupes WHERE id_circo=$id_circo ORDER BY libelle ASC";
	$r=query($q,$h);
	if (@mysqli_num_rows($r)==0) {
		print "<option value=\"0\">Aucun groupe n'est d&eacute;fini</option>\n";
		return;
	}
	print "<option value=\"0\">Aucun</option>\n";
	while ($row=@mysqli_fetch_row($r)) {
		$id_groupe_courant=$row[0];
		$gr=$row[1];
		if (strlen($gr)>=64) $gr=substr($gr,0,61).'...';
		$groupe=htmlentities($gr,ENT_COMPAT,'ISO-8859-15');
		print "<option value=\"$id_groupe_courant\"";
		if (isset($id_groupe) && $id_groupe_courant==$id_groupe) print " selected=\"selected\"";
		print ">$groupe</option>\n";
	}
}
function afficheQuotites($h)
{
	global $quotite;
	$q="SELECT quotite FROM quotites ORDER BY quotite DESC";
	$r=query($q,$h);
	$trouve=false;
	if (!isset($quotite) ||$quotite==0) print "<option value=\"0\" selected=\"selected\">* Choisissez... *</option>\n";
	while($row=@mysqli_fetch_row($r)) {
		$quotite_courante=$row[0];;
		print "<option value=\"$quotite_courante\"";
		if (isset($quotite) && $quotite==$quotite_courante) {
			print " selected=\"selected\"";
			$trouve=true;
		}
		print ">$quotite_courante</option>\n";
	}
	if (!$trouve && isset($quotite) && $quotite>0 && $quotite<=100) {
		printf ("<option value=\"%3.2f\" selected=\"selected\">%3.2f</option>",$quotite,$quotite);
	}
}
function afficheNiveaux($h)
{
	global $niveau;
	$q="SELECT libelle, groupe FROM niveaux WHERE 1 ORDER BY groupe, tri";
	$r=query($q,$h);
	$col=-1;
	$lig=-1;
	$max_lig=0;
	$nv=array();
	$prec_groupe=-1;
	while ($row=@mysqli_fetch_row($r)) {
		if ($prec_groupe!=$row[1]) {
			$prec_groupe=$row[1];
			++$col;
			$lig=0;
		}
		else ++$lig;
		$nv[$col][$lig]=strtoupper($row[0]);
		if ($max_lig<$lig) $max_lig=$lig;
	}
	if ($prec_groupe==-1) return;
	$max_col=$col+1;
	++$max_lig;
	print "<table class=\"invisible\">\n";
	for ($lig=0;$lig<$max_lig;++$lig) {
		print "<tr>\n";
		for ($col=0;$col<$max_col;++$col) {
			print "<td>";
			if (isset($nv[$col][$lig])) {
				$chk='';
				if (!(strpos($niveau,'/'.$nv[$col][$lig].'/')===false)) $chk='checked="checked"';	
				$n=htmlentities($nv[$col][$lig],ENT_COMPAT,'ISO-8859-15');			
				printf("<input type=\"checkbox\" name=\"niveau_stag[]\" value=\"%s\" %s />%s\n",$n,$chk,$n);
			}
			else 
				print "&nbsp;";
			print "</td>\n";
		}
		print "</tr>\n";
	}
	print "</table>\n";
}
function lireFormulaire()
{
	global $nom, $prenom, $courriel, $niveau,$id_ecole,$mdp,$mdp_stag,$codage,$quotite,$quota,$anonyme,$id_groupe,$h,$sso_login,$type_courriel;
	$nom=majuscule(normaliseT($_POST['nom_stag'],25));
	$prenom=majuscule(normaliseT($_POST['prenom_stag'],25));
	$courriel=normaliseT($_POST['courriel_stag'],100);
	if (isset($_POST['sso_login'])) $sso_login=normaliseT($_POST['sso_login'],255);
	else $sso_login='';
	
	// le niveau
	$nv='';
	if (isset($_POST['niveau_stag'])) {
		$q="SELECT libelle FROM niveaux WHERE 1 ORDER BY groupe, tri";
		$r=query($q,$h);
		$nvx=array();
		while ($row=@mysqli_fetch_row($r)) 
			$nvx[$row[0]]=0; //nv stocke les niveaux dans l'ordre
		foreach($_POST['niveau_stag'] as $n) {
			$niv=normaliseT($n,15);
			if (isset($nvx[$niv])) $nvx[$niv]=1;
		}
		foreach($nvx as $k=>$v) if ($v) $nv.='/'.$k;
	}
	if ($nv)
		$niveau=$nv.'/';
	else
		$niveau='';
	if (isset($_POST['ecoles']))
		$id_ecole=normaliseT($_POST['ecoles'],20);
	else $id_ecole=0;
	if (!is_numeric($id_ecole)) $id_ecole=0;
	if (isset($_POST['mdp_stag'])) {
		$mdp_stag=normaliseT($_POST['mdp_stag'],16);
		if ($mdp_stag!='#') {
			$mdp=$mdp_stag;
			$codage=0;
		}
		else $mdp='';
	}
	else $mdp='';
	$quotite=decimal(normaliseT($_POST['quotite_stag'],6));
	$quota=normaliseT($_POST['quota_stag'],7);
	if (isset($_POST['anonyme_stag'])) $anonyme=$_POST['anonyme_stag'];
	if ($anonyme<=0) $anonyme=0;
	else $anonyme=1;
	if (isset($_POST['groupes']))	$id_groupe=abs(intval($_POST['groupes']));
	else $id_groupe=0;
	if (isset($_POST['type_courriel'])) $type_courriel=abs(intval($_POST['type_courriel']));
	else $type_couriel=0;
}
function afficherDtconnexion($dt)
{
	if ($dt) {
		$tableau=explode(' ',$dt);
		if (count($tableau)>0) printf ("<p>%s</p>\n",dateSQLEnTexte($tableau[0]));
		else print '&nbsp;';
	}
	else print '-';
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
		function expedier()
		{
			b=window.confirm("Voulez-vous vraiment expdier les paramtres de connexion de ce stagiaire par un courriel automatique ?");
			if (b) {	
				document.form.commande.value='expedier';
				document.form.submit();
			}
		}
		function jsSupprimer()
		{
			document.form.commande.value='supprimer';
			document.form.submit();
		}
		function effacerNiveau()
		{
			document.form.commande.value='EffacerNiveau';
			document.form.submit();
		}
		function calculAuto()
		{
			document.form.commande.value='CalculAuto';
			document.form.submit();
		}			
			
	//-->	
	</script>
		<script type="text/javascript" src="genererMdp.js"></script></head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_stagiaire_edite?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <div class="droite"></div>
				<h1>
			  <?php if ($id_stagiaire==0) print "Ajout d'un stagiaire"; else print "Edition d'un stagiaire";?>
			  </h1>
			  <div id="animation">
			    <form method="post" action="" name="form">
                  <?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
				  		if ($info) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($info,ENT_COMPAT,'ISO-8859-15'));
				  ?>
                  <table>
                    <tr class="table_entete">
                      <td>
					  	<?php if ($id_stagiaire>0) { ?>
					  <input name="supprimer" type="button" class="bouton_supprimer" id="supprimer" value="Supprimer" onclick="javascript:jsSupprimer()" />
					  <?php } ?>					  </td>
                      <td colspan="3"><?php if ($id_stagiaire>0)printf("%s %s",htmlentities($nom,ENT_COMPAT,'ISO-8859-15'),htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')); else print "Ajout d'un nouveau stagiaire"; ?></td>
                    </tr>
                    <tr class="survol">
                      <td>Nom</td>
                      <td colspan="3"><input name="nom_stag" type="text" id="nom_stag" value="<?php print htmlentities($nom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" />
                      <input name="commande" type="hidden" id="commande" /></td>
                    </tr> 
                    <tr class="survol">
                      <td>Pr&eacute;nom</td>
                      <td colspan="3"><input name="prenom_stag" type="text" id="prenom_stag" value="<?php print htmlentities($prenom,ENT_COMPAT,'ISO-8859-15')?>" size="25" maxlength="25" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Courriel<br />
                          <em>(modifie l'identifiant de connexion )</em> </td>
                      <td colspan="3"><input name="courriel_stag" type="text" id="courriel_stag" value="<?php print htmlentities($courriel,ENT_COMPAT,'ISO-8859-15')?>" size="90" maxlength="100" />
                          <?php 
							if ($id_stagiaire>0) {
								if ($courriel) print "<p><a href=\"mailto:$courriel\">Lui &eacute;crire</a></p>\n";
								if ($hash=='bloque') 
									print "<p>L'administrateur a bloqu&eacute; l'envoi des param&egrave;tres de connexion pour cet utilisateur.</p>\n";
								else 
									print "<p><a href=\"javascript:expedier()\">Lui exp&eacute;dier ses param&egrave;tres de connexion par un courriel automatique.</a></p>\n";
							}						
					?></td>
                    </tr>
					<?php if ($use_sso) :?>
					<tr>
					<td>Identifiant SSO<em> si vous le connaissez </em></td>
					<td>
					<input name="sso_login" type="text" id="sso_login" value="<?php print htmlentities($sso_login,ENT_COMPAT,'ISO-8859-15')?>" size="64" maxlength="255" />					</td>
					<td><em>Identifiant pour l'accs au portail <?php print empty($sso_portail)?'.':"$sso_portail."?> Facultatif. Ne pas l'inventer, </em></td>
					</tr>
					<?php endif?>
                    <tr class="survol">
                      <td>Derni&egrave;re connexion </td>
                      <td colspan="3"><?php afficherDtconnexion($dtConnexion)?></td>
                    </tr>
                    <tr class="survol">
                      <td>&nbsp;</td>
                      <td colspan="3">&nbsp;</td>
                    </tr>
                    <tr class="survol">
                      <td>Saisie du courriel pour ce stagiaire : </td>
                      <td colspan="3"><input name="type_courriel" type="radio" value="0" <?php if ($type_courriel==0) print 'checked="checked"'?>/>
                        tel que d&eacute;fini en circo, param&egrave;tres.<br />
                        <input name="type_courriel" type="radio" value="1" <?php if ($type_courriel==1) print 'checked="checked"'?>/>
                        libre: le stagiaire peut indiquer n'importe quelle adresse, acad&eacute;mique, non acad&eacute;mique, ou pas d'adresse de courriel. </td>
                    </tr>
                    <tr class="survol">
                      <td>Niveau </td>
                      <td colspan="3"><?php print htmlentities(substr($niveau,1,strlen($niveau)-2),ENT_COMPAT,'ISO-8859-15') ?>
                      <input name="effacer" type="button" class="bouton_standard" value="Effacer niveau" onclick="javascript:effacerNiveau()" />                    </td>
                    </tr>
                    <tr>
                      <td>&nbsp;</td>
                      <td colspan="3"><?php
				  	afficheNiveaux($h);
				?></td>
                    </tr>
                    <tr class="survol">
                      <td>Circo:</td>
                      <td colspan="3"><?php print htmlentities($circo,ENT_COMPAT,'ISO-8859-15')?></td>
                    </tr>
                    <tr class="survol">
                      <td>Ecole</td>
                      <td colspan="3"><select name="ecoles" id="ecoles">
                        <?php afficheEcoles($h)?>
                      </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Groupe</td>
                      <td colspan="3"><select name="groupes" id="groupes">
                        <?php afficheGroupes($h)?>
                                            </select></td>
                    </tr>
                    <tr class="survol">
                      <td>Quotit&eacute;</td>
                      <td colspan="2"><select name="quotite_stag">
                        <?php afficheQuotites($h)?>
                      </select></td>
                      <td class="remarque"><p><em>(Quotit&eacute; de service en %) </em></p></td>
                    </tr>
                    <tr class="survol">
                      <td>Quota de r&eacute;f&eacute;rence </td>
                      <td>                        <input name="quota_stag" type="text" id="quota_stag" value="<?php print htmlentities($quota,ENT_COMPAT,'ISO-8859-15')?>" size="7" maxlength="7" />
                      <input name="calcul_auto" type="button" class="bouton_standard" id="calcul_auto" onclick="javascript:calculAuto()" value="Calcul auto d'apr&egrave;s les r&egrave;gles de gestion" /></td>
                      <td><em>(pensez &agrave; enregistrer) </em></td>
                      <td><p class="remarque">(Nombre d'heures d'animations pour une quotit&eacute; de 100, nombre d&eacute;cimal.)</p>                      </td>
                    </tr>
                    <tr class="survol">
                      <td>Pour info: quota r&eacute;el  </td>
                      <td colspan="2"><?php printf("%.2f",$quota_reel)?></td>
                      <td>&nbsp;</td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr class="survol">
                      <td>Mot de passe </td>
                      <?php if ($interdire_changement_mdp) { ?>
					  <td colspan="2">Vous ne pouvez pas modifier ce mot de passe car le stagiaire est aussi intervenant, mod&eacute;rateur ou administrateur. </td>
					  <?php } else { ?>
					  <td><input name="mdp_stag" type="text" id="mdp_stag" value="<?php print htmlentities($mdp_stag,ENT_COMPAT,'ISO-8859-15') ?>" size="17" maxlength="16" />
                          <input name="genere" type="button" class="bouton_standard" id="genere" value="R&eacute;initialiser" onclick="javascript:generer('mdp_stag')" />
                          <em>(puis enregistrez la page pour que la valeur soit prise en compte) </em></td>
                      <?php } ?>
					  <td><p class="remarque">Le # signifie que le stagiaire a modifi&eacute; son mot de passe. Modifiez-le seulement en cas de r&eacute;initialisation. </p></td>
                    </tr>
                    <tr class="survol">
                      <td>Anonymat</td>
                      <td colspan="3"><p>
                        <input type="radio" name="anonyme_stag" value="0" <?php if ($anonyme==0) print "checked=\"checked\"" ?> />
                        <strong>non</strong>: nom, pr&eacute;nom, &eacute;cole de rattachement sont accessibles aux autres stagiaires s'ils cliquent sur une animation &agrave; laquelle ce stagiaire participe. </p>
                        <p>
                          <input type="radio" name="anonyme_stag" value="1"<?php if ($anonyme==1) print "checked=\"checked\"" ?>/>
                          <strong>oui</strong>: pas de publication des param&egrave;tres pour les autres stagiaires. </p></td>
                    </tr>
                  </table>
			      <table>
                    <tr class="table_entete">
                      <td>Animations</td>
                      <td>nb.</td>
                      <td>dur&eacute;e</td>
                    </tr>
                    <tr>
                      <td>inscriptions</td>
                      <td><div align="center"><?php print $nb_inscr?></div></td>
                      <td><div align="center"><?php print reelEnHeure($duree_inscr)?></div></td>
                    </tr>
                    <tr>
                      <td>convocations</td>
                      <td><div align="center"><?php print $nb_conv?></div></td>
                      <td><div align="center"><?php print reelEnHeure($duree_conv)?></div></td>
                    </tr>
                  </table>
			      <p>&nbsp;</p>
			      <div align="center">
                    <?php
						if ($id_stagiaire==0) {
							print "<input name=\"valider\" type=\"submit\" class=\"bouton_standard\" value=\"Enregistrer puis diter\" />";
							print "&nbsp;&nbsp;&nbsp;<input name=\"valider1\" type=\"submit\" class=\"bouton_standard\" value=\"Enregistrer puis passer\" />";
						}
						else print "<input name=\"valider\" type=\"submit\" class=\"bouton_standard\" value=\"Enregistrer\" />";
					?>							
			      </div>
		        </form>
			  </div>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_stagiaire_edite?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>