<?php
/*	
	Supprimer une fiche stagiaire	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_stagiaire_supprime=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_stagiaire_supprime']=$url_ret_adm_stagiaire_supprime;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_stagiaire_supprime'])) {
		$url_ret_adm_stagiaire_supprime=$_SESSION['circonscript7_url_ret_adm_stagiaire_supprime'];
	}
	else $url_ret_adm_stagiaire_supprime="adm_stagiaire_edite.php";
	if (isset($_GET['url_ret2'])) {
		$url_ret_adm_stagiaire_supprime2=strip_tags($_GET['url_ret2']);
		$_SESSION['circonscript7_url_ret_adm_stagiaire_supprime2']=$url_ret_adm_stagiaire_supprime2;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_stagiaire_supprime2'])) {
		$url_ret_adm_stagiaire_supprime2=$_SESSION['circonscript7_url_ret_adm_stagiaire_supprime2'];
	}
	else $url_ret_adm_stagiaire_supprime2="adm_stagiaire_liste.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	require '_fonctions_mdp.inc.php';
	
	if (!isset($_SESSION['circonscript7_id_circo'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_circo=$_SESSION['circonscript7_id_circo'];
	$h=connect();
	ejecteSiFerme($h);
	$type_circo=queryValue("SELECT type_circo FROM circos WHERE id_circo=$id_circo",$h);
	if ($type_circo==1 ){
		header('Location: erreur.php?erreur=acces_page');
		exit;
	}		
	
	if (isset($_GET['id_stagiaire'])) {
		$id_stagiaire=abs(intval($_GET['id_stagiaire']));
		$id_circo_stag=queryValue("SELECT id_circo FROM stagiaires, ecoles WHERE stagiaires.id_ecole=ecoles.id_ecole AND stagiaires.id_stagiaire=$id_stagiaire",$h);
		if ($id_circo_stag!=$id_circo) {
			header("location: erreur.php?erreur=stagiaire_circo");
			exit;
		}
	}
	else {
		header("location: erreur.php?erreur=stagiaire_inexistant");
		exit;
	}
	$q="SELECT COUNT(*), SUM(dates.duree) FROM inscriptions, seances, dates WHERE id_stagiaire=$id_stagiaire AND inscriptions.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$nb_inscr=$row[0];
	$duree_inscr=$row[1];
	$q="SELECT COUNT(*), SUM(dates.duree) FROM convocations, seances, dates WHERE id_stagiaire=$id_stagiaire AND convocations.id_seance=seances.id_seance AND dates.id_seance=seances.id_seance";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$nb_conv=$row[0];
	$duree_conv=$row[1];
	if (isset($_POST['bt_annuler'])) {
		header("location: $url_ret_adm_stagiaire_supprime");
		exit;
	}
	else if (isset($_POST['bt_supprimer']) ) {
		$erreur='';
		$id_uti=queryValue("SELECT id_uti FROM stagiaires WHERE id_stagiaire=$id_stagiaire",$h);
		$q="DELETE FROM absences WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$q="DELETE FROM convocations WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$q="DELETE FROM inscriptions WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$q="DELETE FROM stagiaires WHERE id_stagiaire=$id_stagiaire";
		query($q,$h);
		$id_stagiaire=0;
		if (orphelin($id_uti,$h)) query("DELETE FROM utilisateurs WHERE id_uti=$id_uti",$h);
		if ($erreur=='') $erreur="Enregistrement du stagiaire supprim.";

	}	

function afficheStagiaire($h,$id_stagiaire)
{
	$q="SELECT stagiaires.nom, prenom, ecoles.nom as ecole, circos.libelle as circo FROM stagiaires, ecoles,circos WHERE circos.id_circo=ecoles.id_circo AND  stagiaires.id_ecole=ecoles.id_ecole AND stagiaires.id_stagiaire=$id_stagiaire";
	$r=query($q,$h);
	$row=@mysqli_fetch_row($r);
	$nom=htmlentities($row[0],ENT_COMPAT,'ISO-8859-15');
	$prenom=htmlentities($row[1],ENT_COMPAT,'ISO-8859-15');
	$ecole=htmlentities($row[2],ENT_COMPAT,'ISO-8859-15');
	$circo=htmlentities($row[3],ENT_COMPAT,'ISO-8859-15');
	print "<h3>$nom $prenom $ecole $circo</h3>\n";

}	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_stagiaire_supprime2?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
		  <div id="corps">	 
				<?php 
					if ($erreur) printf("<p class=\"erreur\">%s</p>\n", htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'));
					else {
				?>
			  <h1>Supprimer une fiche stagiaire</h1>
				<?php if ($nb_inscr> 0 || $nb_conv>0) {
					print "<p>Voulez-vous supprimer la fiche de ce stagiaire, ainsi que toutes ses inscriptions et convocations ?</p>\n";
					if ($nb_inscr>0) print "<h4 class=\"attention\">ATTENTION ! Ce stagiaire s'est dj&agrave; inscrit &agrave; des animations !</h4>\n";
					if ($nb_conv>0) print "<h4 class=\"attention\">ATTENTION ! Ce stagiaire est dj&agrave; convoqu&eacute; &agrave; des animations !</h4>\n";
					 
					
				}
				else print "<p>Voulez-vous supprimer la fiche de ce stagiaire ?</p>\n";
				afficheStagiaire($h,$id_stagiaire) ?>
			      <table>
                    <tr class="table_entete">
                      <td>Animations</td>
                      <td>nb.</td>
                      <td>dur&eacute;e</td>
                    </tr>
                    <tr>
                      <td>inscriptions</td>
                      <td><?php print $nb_inscr?></td>
                      <td><?php print reelEnHeure($duree_inscr)?></td>
                    </tr>
                    <tr>
                      <td>convocations</td>
                      <td><?php print $nb_conv?></td>
                      <td><?php print reelEnHeure($duree_conv)?></td>
                    </tr>
                  </table>
				  <form name="form1" method="post" action="">
			        <div align="center">
			          <input name="bt_supprimer" type="submit" class="bouton_standard" id="bt_supprimer" value="Supprimer" />
			          &nbsp;&nbsp;&nbsp;&nbsp;
			          <input name="bt_annuler" type="submit" class="bouton_standard" id="bt_annuler" value="Annuler" />
		            </div>
			      </form>			     
				  <?php
				  }
				  ?>

	        </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_stagiaire_supprime2?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>