<?php
/* 
	Edition d'un stagiaire par la circo
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/
	require('_session.php');
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_stagiaire.inc.php';	
	require '_fonctions_mdp.inc.php';
	
	if (isset($_GET['url_ret'])) {
		$url_ret_adm_utilisateur_nouveau=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_adm_utilisateur_nouveau']=$url_ret_adm_utilisateur_nouveau;
	}
	else if (isset($_SESSION['circonscript7_url_ret_adm_utilisateur_nouveau'])) {
		$url_ret_adm_utilisateur_nouveau=$_SESSION['circonscript7_url_ret_adm_utilisateur_nouveau'];
	}
	else $url_ret_adm_utilisateur_nouveau="adm_utilisateurs.php";
	if (!isset($_SESSION['circonscript7_administration'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}
	$h=connect();
	debugInit();
	
	$login='';
	$sso_login='';
	$mdp='';	
	if (isset($_POST['valider'])) while(1){
		if (isset($_POST['login'])) $login=normaliseT($_POST['login'],255);
		if (isset($_POST['sso_login'])) $sso_login=normaliseT($_POST['sso_login'],255);
		if (isset($_POST['mdp'])) $mdp=normaliseT($_POST['mdp'],16);
		if (!motDePasse($mdp)) {
			$erreur="Mot de passe incorrect.";
			break;
		}
		if (!testeEMail($login)) {
			$erreur="Login incorrect.";
			break;
		}
		$login2=strtolower(myEscapeString($h,$login));
		$nb=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE login='$login2'",$h);
		if ($nb>0) {
			$erreur="Il existe dj un utilisateur avec ce login.";
			break;
		}
		$sso_login2=myEscapeString($h,$sso_login);
		if ($sso_login) {
			$nb=queryValue("SELECT COUNT(*) FROM utilisateurs WHERE sso_login='$sso_login2'",$h);
			if ($nb>0) {
				$erreur="Il existe dj un utilisateur avec cet identifiant SSO.";
				break;
			}
		}
		if ($sso_login2) $sso_login2="'$sso_login2'";
		else $sso_login2="NULL";
		$r=query("INSERT INTO utilisateurs(login, sso_login, mdp, codage) VALUES('$login2',$sso_login2,'$mdp','0')",$h);
		if (!$erreur) {
			$id_uti=@mysqli_insert_id($h);
			$erreur=sprintf("Utilisateur '%s' cr avec l'id: $id_uti",htmlentities($login,ENT_COMPAT,'ISO-8859-15'));
		}
		break;
	}
function afficher($table,$h)
{
	if (empty($table)) {
		print "<p>aucun</p>\n";
		return;
	}

	$cles=array_keys($table[0]); //cles[1] contient 'id_stagiaire,'id_intervenant', 'id_admin'
	debugArray($cles,'$cles');
	switch($cles[1]) {
		case 'id_stagiaire': $ref='adm_adm_stagiaire_edite.php';break;
		case 'id_intervenant': $ref='adm_intervenant_tout_edite.php'; break;
		case 'id_admin': $ref='adm_droits.php'; break;
		default: return;
	}
	foreach($table as $t) {
		printf("<p><a href=\"$ref?%s=%d&amp;url_ret=adm_utilisateur_nouveau.php\">%s</a></p>\n",$cles[1],$t[0],$t['nom']);
	}
}	 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function expedier()
			{
				b=window.confirm("Voulez-vous vraiment expdier les paramtres de connexion de ce stagiaire par un courriel automatique ?");
				if (b) {	
					document.form.Commande.value='expedier';
					document.form.submit();
				}
			}
			function supprimer()
			{
				b=window.confirm("Voulez-vous vraiment supprimer ce compte utilisateur ?");
				if (b) {	
					document.form.Commande.value='supprimer';
					document.form.submit();
				}
			}
		//-->	
		</script>
		<script type="text/javascript" src="genererMdp.js"></script>
		
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_adm_utilisateur_nouveau?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
				</ul>
			</div>
			<div id="corps">	 
			  <div class="droite"></div>
			  <h1>Nouveau compte utilisateur </h1>
			  <p>Cr&eacute;ez un nouveau compte utilisateur. Ce compte sera orphelin. Ensuite, vous pourrez y associer stagiaire, intervenant ou administrateur. </p>
			  <form method="post" action="" name="form">
                  <?php if ($erreur) printf ("<p class=\"erreur\">%s</p>\n",htmlentities($erreur,ENT_COMPAT,'ISO-8859-15'))?>
                  <table>
                    <tr class="table_entete">
                      <td>&nbsp;					  					</td>
                      <td>&nbsp;</td>
                    </tr>
                    <tr class="survol">
                      <td>login</td>
                      <td><input name="login" type="text" id="login" value="<?php print htmlentities($login,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="255" />
                      <input name="Commande" type="hidden" id="Commande" /></td>
                    </tr>
                    <tr class="survol">
                      <td>identifiant SSO </td>
                      <td><input name="sso_login" type="text" id="sso_login" value="<?php print htmlentities($sso_login,ENT_COMPAT,'ISO-8859-15')?>" size="100" maxlength="255" />
                          <input name="Commande" type="hidden" id="Commande" /></td>
                    </tr>
                    <tr class="survol">
                      <td>Mot de passe </td>
                      <td><input name="mdp" type="text" id="mdp" value="<?php print htmlentities($mdp,ENT_COMPAT,'ISO-8859-15') ?>" size="17" maxlength="16" />
                          <input name="genere" type="button" class="bouton_standard" id="genere" value="G&eacute;n&eacute;rer" onclick="javascript:generer('mdp')" /></td>
                    </tr>
                  </table>
			      <div align="center">
                    <input name="valider" type="submit" class="bouton_standard" id="valider" value="Valider" />							
			      </div>
	          </form>
		  </div>
			<div class="menu_secondaire">
				<ul class="menu2">
					<li><a href="<?php print $url_ret_adm_utilisateur_nouveau?>">retour</a></li>
					<li><a href="#haut">haut</a></li>
				</ul>
			</div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>
