<?php
/* 
	Contacts pour le stagiaire
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_parametres=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_parametres']=$url_ret_ins_parametres;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_parametres'])) {
		$url_ret_ins_parametres=$_SESSION['circonscript7_url_ret_ins_parametres'];
	}
	else $url_ret_ins_parametres="ins_menu.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	if (!isset($_SESSION['circonscript7_id_stagiaire'])||$_SESSION['circonscript7_id_stagiaire']==0) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	$_SESSION['circonscript7_session_menu_page']=5;
	$courriel_admin=htmlentities(queryValue("SELECT courriel FROM general",$h),ENT_COMPAT,'ISO-8859-15');
	$courriel_circo=htmlentities(queryValue("SELECT circos.courriel FROM circos,stagiaires, ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h),ENT_COMPAT,'ISO-8859-15');
	if ($courriel_admin) {
		list($a,$b)=explode('@',$courriel_admin);
		$courriel1="<a href=\"#\" onclick=\"javascript:jsCourriel('$b','$a')\"><img src=\"images/internet-mail.png\" name=\"courriel\" width=\"22\" height=\"22\" border=\"0\" alt=\"courriel\" /></a>";
	}
	else $courriel1="[courriel indisponible]";	
	if ($courriel_circo) {
		list($a,$b)=explode('@',$courriel_circo);
		$courriel2="<a href=\"#\" onclick=\"javascript:jsCourriel('$b','$a')\"><img src=\"images/internet-mail.png\" name=\"courriel2\" width=\"22\" height=\"22\" border=\"0\" alt=\"courriel\"/></a>";
	}
	else $courriel2="[courriel indisponible]";	
	
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function jsCourriel(a,b)
			{
				parent.location='mailto:'+b+'@'+a;
			}
		//-->	
		</script>					
		
	</head>
	<body>
		<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
			<ul class="menu2">
			  <li><a href="<?php print $url_ret_ins_parametres?>">retour</a></li>
			  <li><a href="#bas">bas</a></li>
			</ul>
			</div>  
		  <div id="corps">	 
				<h1>Contacts</h1>
				<h2>Administration du site <?php print $courriel1?></h2>
				<p>Contactez l'administrateur du site pour tout probl&egrave;me informatique ou de navigation. </p>
				<h2>Administration des animations p&eacute;dagogiques de la circonscription <?php print $courriel2?></h2>
				<p>Contactez l'animateur de votre circonscription pour tout ce qui concerne la gestion de vos animations p&eacute;dagogiques (inscriptions, convocations, plan de formation).</p>
		  </div>
			<a name="bas" id="bas"></a>	
		<div class="menu_secondaire">
		<ul class="menu2">
		  <li><a href="<?php print $url_ret_ins_parametres?>">retour</a></li>
		  <li><a href="#haut">haut</a></li>
		</ul>
		</div>		
	</div>
	</body>
</html>