<?php
/* 
	Liste des animations auxquelles le stagiaire est convoqu.	
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_ins_convocations_bilan=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_ins_convocations_bilan']=$url_ret_ins_convocations_bilan;
	}
	else if (isset($_SESSION['circonscript7_url_ret_ins_convocations_bilan'])) {
		$url_ret_ins_convocations_bilan=$_SESSION['circonscript7_url_ret_ins_convocations_bilan'];
	}
	else $url_ret_ins_convocations_bilan="ins_menu.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_stagiaire'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	debugInit();
	$_SESSION['circonscript7_session_menu_page']=1;
	$h=connect();
	ejecteSiFerme($h);
	$id_circo=queryValue("SELECT id_circo FROM stagiaires,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND ecoles.id_ecole=stagiaires.id_ecole",$h);
	$stag_etat=queryValue("SELECT stag_etat FROM circos,stagiaires,ecoles WHERE stagiaires.id_stagiaire=$id_stagiaire AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$h);
	$nb_conv=0;
	$duree_conv=0;
	$nb_abs=0;
	$duree_abs=0;
	if ($stag_etat==3) {
		$nb_conv=queryValue("SELECT COUNT(*) FROM dates, seances,convocations WHERE dates.id_seance =seances.id_seance AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire",$h);
		$duree_conv=reelEnHeure(queryValue("SELECT SUM(duree) FROM dates, seances, convocations WHERE dates.id_seance =seances.id_seance AND seances.id_seance=convocations.id_seance AND convocations.id_stagiaire=$id_stagiaire",$h));

	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=640,height=480');	
				win.focus();
			}
			function ouvreLien(url)
			{
				if (url) window.open(url);
			}	
		//-->	
		</script>
	</head>
	<body>
	<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_ins_convocations_bilan?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li>
					<li><a href="javascript:print()">imprimer</a></li>
					<li><a href="ins_convocations_bilan_date.php">bilan par date</a></li>
				</ul>
			</div>
			<div id="corps">
			  <h1>Liste des animations auxquelles je  suis convoqu&eacute;(e) </h1>
				<?php afficherLienExterne($id_circo,0,$h)?>
			  <div id="animation">
				<?php 
					if ($stag_etat==3) {
						print "<h3>Vous &ecirc;tes convoqu&eacute;(e) &agrave; $nb_conv s&eacute;ance(s) totalisant $duree_conv.</h3>\n";
					}
					else
						print "<h3>Les convocations ne sont pas publi&eacute;es</h3>\n";
					
					if ($erreur) print "<p class=\"erreur\">$erreur</p>";
					if ($nb_conv>0) affichePlanFormation($id_circo,$h,7,$id_stagiaire) ;
				?>
			  </div>
	  </div>
		  <div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_ins_convocations_bilan?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
					<li><a href="javascript:print()">imprimer</a></li>
					<li><a href="ins_convocations_bilan_date.php">bilan par date</a></li>
				</ul>

		    </div>
			<a name="bas" id="bas"></a>	
		</div>
	</body>
</html>