<?php
/* 
	Bilan des inscriptions classes par dates
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	require('_session.php');
	if (isset($_GET['url_ret'])) {
		$url_ret_inscriptions_bilan_date=strip_tags($_GET['url_ret']);
		$_SESSION['circonscript7_url_ret_inscriptions_bilan_date']=$url_ret_inscriptions_bilan_date;
	}
	else if (isset($_SESSION['circonscript7_url_ret_inscriptions_bilan_date'])) {
		$url_ret_inscriptions_bilan_date=$_SESSION['circonscript7_url_ret_inscriptions_bilan_date'];
	}
	else $url_ret_inscriptions_bilan_date="ins_menu.php";
	
	$erreur='';
	require '_sqlconnect.inc.php';
	require '_fonctions.inc.php';
	require '_fonctions_animation.inc.php';
	if (!isset($_SESSION['circonscript7_id_stagiaire'])) {
		header( 'Location: erreur.php?erreur=expiree');
		exit;
	}		
	$id_stagiaire=$_SESSION['circonscript7_id_stagiaire'];
	debugInit();
	$h=connect();
	ejecteSiFerme($h);
	
	$nb_inscr=queryValue("SELECT COUNT(*) FROM dates, seances,inscriptions WHERE dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h);
	$duree_inscr=reelEnHeure(queryValue("SELECT SUM(duree) FROM dates, seances, inscriptions WHERE dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h));
	$duree_foad_nombre=queryValue("SELECT SUM(duree) FROM dates, seances, inscriptions WHERE dates.date='9999-12-30' && dates.id_seance =seances.id_seance AND seances.id_seance=inscriptions.id_seance AND inscriptions.id_stagiaire=$id_stagiaire",$h);
	$duree_foad=reelEnHeure($duree_foad_nombre);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
	<head>
		<title><?php print htmlentities($titre_site,ENT_COMPAT,'ISO-8859-15') ?></title>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-15" />
		<link rel="stylesheet" href="styles.css" type="text/css" /> <link rel="shortcut icon" type="image/x-icon" href="favicon.ico" />
		<script type="text/javascript">
		<!--			
			function ouvre(adr)
			{
				win=window.open(adr,'Liste_des_stagiaires','toolbar=no,status=yes,menubar=no,scrollbars=yes,resizable=yes,width=640,height=480');	
				win.focus();
			}
	//-->	
		</script>
	</head>
	<body>
	<div id="conteneur">
			<?php 
				include('menu_principal.inc.php');
			?>
			<div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_inscriptions_bilan_date?>">retour</a></li>
	  				<li><a href="#bas">bas</a></li><li><a href="javascript:print()">imprimer</a></li>
					<li><a href="ins_inscriptions_bilan.php?url_ret=<?php print $url_ret_inscriptions_bilan_date?>">bilan par th&egrave;me </a></li>
				</ul>
			</div>
			<div id="corps">
			  <h1>R&eacute;capitulation de vos v&oelig;ux,  class&eacute;s par date </h1>
			  <p>Il s'agit l&agrave; uniquement de vos choix personnels. Attention, <u>demander une animation </u> ne signifie pas que vous serez <u>automatiquement convoqu&eacute;(e)</u> &agrave; cette animation. Pour savoir &agrave; quelles animations vous devrez <strong>effectivement</strong> participer, rendez-vous dans le menu &quot;mes convocations&quot; lorsqu'elles seront publi&eacute;es. </p>
				        <?php 
					print "<h3>Vous avez choisi $nb_inscr s&eacute;ance(s) totalisant $duree_inscr\n";
					if ($duree_foad_nombre>0) print " dont $duree_foad de formation  distance";
					print ".</h3>\n";
					if ($erreur) print "<p class=\"erreur\">$erreur</p>";
				?>
			  <div id="animation">					        
					<?php if ($nb_inscr>0) 
							afficherParDate(1,$id_stagiaire,$h) ;
					?>
		      </div>
	  </div>
		  <div class="menu_secondaire">
				<ul class="menu2">
	  				<li><a href="<?php print $url_ret_inscriptions_bilan_date?>">retour</a></li>
	  				<li><a href="#haut">haut</a></li>
					<li><a href="javascript:print()">imprimer</a></li>
					<li><a href="ins_inscriptions_bilan.php?url_ret=<?php print $url_ret_inscriptions_bilan_date?>">bilan par th&egrave;me </a></li>
				</ul>

      </div>
			<a name="bas" id="bas"></a>	
	</div>
	</body>
</html>