<?php
/* 
	Menu principal tous utilisateurs
	Circon'script PHP Script
	Version 7.0.3
	CeCILL Copyright (C) 2008 Thierry Gangloff
	e-mail: thierry.gangloff@ac-strasbourg.fr
*/

	if (isset($_SESSION['circonscript7_session_menu_page']))
		$admpage=$_SESSION['circonscript7_session_menu_page'];
	else
		$admpage=-1;

	// tats possibles si connexion stagiaire
	$etat=0;

	// Affichage du titre
	if (!isset($titre_site)) $titre_site="Circon'script" ;// cette ligne est l  cause des mises  jour vers une vesion antrieure
	$titre=htmlentities($titre_site, ENT_COMPAT , 'ISO-8859-15');
	$type_circo=0;
	$inscriptions=0;
	if (isset($h) && $h) {
		if (isset($_SESSION['circonscript7_id_stagiaire']) && $_SESSION['circonscript7_id_stagiaire']>0) {
			$q=sprintf("SELECT stagiaires.nom, stagiaires.prenom,circos.stag_etat FROM stagiaires,ecoles,circos WHERE stagiaires.id_stagiaire=%d AND stagiaires.id_ecole=ecoles.id_ecole AND ecoles.id_circo=circos.id_circo",$_SESSION['circonscript7_id_stagiaire']);
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$titre=htmlentities('Enseignant '.$row[1].' '.$row[0], ENT_COMPAT , 'ISO-8859-15');
			$etat=$row[2];
		}
		else if(isset($_SESSION['circonscript7_id_intervenant']) && $_SESSION['circonscript7_id_intervenant']>0) {
			$q=sprintf("SELECT nom, prenom FROM intervenants WHERE id_intervenant=%d",$_SESSION['circonscript7_id_intervenant']);
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$titre=htmlentities('Intervenant '.$row[1].' '.$row[0], ENT_COMPAT , 'ISO-8859-15');
		}
		else if(isset($_SESSION['circonscript7_id_circo']) && $_SESSION['circonscript7_id_circo']>0) {
			$q=sprintf("SELECT libelle,type_circo,inscriptions_autorisees FROM circos WHERE id_circo=%d",$_SESSION['circonscript7_id_circo']);
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			$titre=htmlentities($row[0], ENT_COMPAT , 'ISO-8859-15');
			$type_circo=$row[1];
			$inscriptions=$row[2];
		}
		else if(isset($_SESSION['circonscript7_id_admin']) && $_SESSION['circonscript7_id_admin']>0) {
			$q=sprintf("SELECT nom FROM administrateurs WHERE id_admin=%d",$_SESSION['circonscript7_id_admin']);
			$r=query($q,$h);
			$row=@mysqli_fetch_row($r);
			if (isset($_SESSION['circonscript7_administration'])) $titre=htmlentities('Administrateur principal '.$row[0], ENT_COMPAT , 'ISO-8859-15');
			else $titre=htmlentities('Administrateur '.$row[0], ENT_COMPAT , 'ISO-8859-15');
		}
	}
	print "<a name=\"haut\" id=\"haut\"></a>\n";
	print "<div id=\"header\">$titre</div>\n";
	
	// affichage des menus
	print"<div id=\"menu_principal\">\n";
	print "<ul class=\"menu1\">\n";
	if (isset($_SESSION['circonscript7_id_uti']))
		printf("<li><a %shref=\"compte.php\">Mon compte</a></li>\n",$admpage==8?'class="sel" ':'');
	if (isset($_SESSION['circonscript7_administration'])) 
			printf("<li><a %shref=\"administration.php\">Administration</a></li>\n",$admpage==0?'class="sel" ':'');
	if (isset($_SESSION['circonscript7_id_stagiaire']) && $_SESSION['circonscript7_id_stagiaire']>0) {
		switch ($etat) {
			case 3: // convocations
				printf( "<li><a %shref=\"ins_parametres.php?url_ret=ins_menu.php\">Mes param&egrave;tres</a></li>\n", $admpage==4?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_convocations_bilan.php?url_ret=ins_menu.php\">Mes convocations</a></li>\n", $admpage==1?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_inscriptions_bilan.php?url_ret=ins_menu.php\">Mes v&oelig;ux </a></li>\n", $admpage==2?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_plan.php?url_ret=ins_menu.php\">Le plan de formation</a></li>\n", $admpage==3?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_contacts.php\">Contacts</a></li>\n", $admpage==5?'class="sel" ':'');
				printf( "<li><a %shref=\"credits.php?url_ret=ins_menu.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
				break;
			case 1: // inscriptions
				printf( "<li><a %shref=\"ins_parametres.php?url_ret=ins_menu.php\">Mes param&egrave;tres</a></li>\n", $admpage==4?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_inscription_un_stagiaire.php?url_ret=ins_menu.php\">Mes v&oelig;ux </a></li>\n", $admpage==1?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_plan.php?url_ret=ins_menu.php\">Le plan de formation</a></li>\n", $admpage==3?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_contacts.php\">Contacts</a></li>\n", $admpage==5?'class="sel" ':'');
				printf( "<li><a %shref=\"credits.php?url_ret=ins_menu.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
				break;
			case 2: // consultation des voeux
				printf( "<li><a %shref=\"ins_parametres.php?url_ret=ins_menu.php\">Mes param&egrave;tres</a></li>\n", $admpage==4?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_inscriptions_bilan.php?url_ret=ins_menu.php\">Mes v&oelig;ux </a></li>\n",$admpage==2?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_plan.php?url_ret=ins_menu.php\">Le plan de formation</a></li>\n", $admpage==3?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_contacts.php\">Contacts</a></li>\n", $admpage==5?'class="sel" ':'');
				printf( "<li><a %shref=\"credits.php?url_ret=ins_menu.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
				break;
			default: 	
				printf( "<li><a %shref=\"ins_parametres.php?url_ret=ins_menu.php\">Mes param&egrave;tres</a></li>\n", $admpage==4?'class="sel" ':'');
				printf( "<li><a %shref=\"ins_contacts.php\">Contacts</a></li>\n", $admpage==5?'class="sel" ':'');
				printf( "<li><a %shref=\"credits.php?url_ret=ins_menu.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
		}							
	}	
	else if(isset($_SESSION['circonscript7_id_intervenant']) && $_SESSION['circonscript7_id_intervenant']>0) {
		printf("<li><a %shref=\"int_edite.php\">Mes param&egrave;tres</a></li>\n",$admpage==2?'class="sel" ':'');
		printf("<li><a %shref=\"int_interventions.php\">Mes interventions</a></li>\n",$admpage==1?'class="sel" ':'');
		printf("<li><a %shref=\"adm_documentation.php?url_ret=int_accueil.php\">Aide</a></li>\n",$admpage==7?'class="sel" ':'');
		printf( "<li><a %shref=\"credits.php?url_ret=int_accueil.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
	}
	else if (isset($_SESSION['circonscript7_id_circo']) && $_SESSION['circonscript7_id_circo']>0) {
		printf( "<li><a %shref=\"adm_configuration.php?url_ret=adm_circo_bienvenue.php\">Circo</a></li>\n", $admpage==1?'class="sel" ':'');
		printf( "<li><a %shref=\"adm_animations.php?url_ret=adm_circo_bienvenue.php\">Animations</a></li>\n", $admpage==2?'class="sel" ':'');
		if ($type_circo==0 || $type_circo==2)
			printf( "<li><a %shref=\"adm_stagiaires.php?url_ret=adm_circo_bienvenue.php\">Stagiaires</a></li>\n", $admpage==3?'class="sel" ':'');
		if ($inscriptions)
			printf( "<li><a %shref=\"adm_inscriptions.php?url_ret=adm_circo_bienvenue.php\">Inscriptions</a></li>\n", $admpage==4?'class="sel" ':'');
		printf( "<li><a %shref=\"adm_convocations.php?url_ret=adm_circo_bienvenue.php\">Convocations</a></li>\n", $admpage==5?'class="sel" ':'');
		printf( "<li><a %shref=\"adm_absences.php?url_ret=adm_circo_bienvenue.php\">Absences</a></li>\n", $admpage==6?'class="sel" ':'');
		printf( "<li><a %shref=\"adm_documentation.php?url_ret=adm_circo_bienvenue.php\">Aide</a></li>\n", $admpage==7?'class="sel" ':'');
		printf( "<li><a %shref=\"credits.php?url_ret=adm_circo_bienvenue.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
	}
	else if (isset($_SESSION['circonscript7_administration'])) {
		printf( "<li><a %shref=\"adm_documentation.php?url_ret=administration.php\">Aide</a></li>\n", $admpage==7?'class="sel" ':'');
		printf( "<li><a %shref=\"credits.php?url_ret=administration.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
	}
	else if (isset($_SESSION['circonscript7_id_uti'])) {
		printf( "<li><a %shref=\"credits.php?url_ret=compte.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
	}

	if (isset($_SESSION['circonscript7_id_uti'])) printf( "<li><a href=\"javascript:deconnexion()\">Me d&eacute;connecter</a></li>\n");
	else {
		printf( "<li><a %shref=\"index.php\">Accueil</a></li>\n", $admpage<0?'class="sel" ':'');
		printf( "<li><a %shref=\"credits.php?url_ret=index.php\">Cr&eacute;dits</a></li>\n", $admpage==9?'class="sel" ':'');			
	}
	print "</ul>\n";
	print "</div>\n";

?>		  
<script type="text/javascript">
<!--			
function deconnexion()
{
	b=window.confirm("Se dconnecter et quitter Circon'script ?");
	if (b) {	
		location.href="adm_quitter.php";
	}
}
//-->	
</script>
