/* Circon'script																*/
/* Instructions MySQL pour passer de la version 6.x.y  7.1.0					*/

ALTER TABLE `general` ADD `message_compte` TEXT CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL ,
ADD `message_circo` TEXT CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL ,
ADD `avertissementChoix` TINYINT UNSIGNED NOT NULL DEFAULT '1',
ADD `intervenants_ical` TINYINT NOT NULL DEFAULT '10',
ADD `bannissement` TINYINT NOT NULL DEFAULT '1' 
ADD `ban_duree` INT NOT NULL DEFAULT '30', 
ADD `ban_oubli` INT NOT NULL DEFAULT '10', 
ADD `ban_tentatives` INT NOT NULL DEFAULT '10';
ALTER TABLE `utilisateurs` ADD `sso_login` VARCHAR( 255 ) CHARACTER SET latin1 COLLATE latin1_general_ci NULL DEFAULT NULL ,
ADD UNIQUE (
`sso_login`
);
ALTER TABLE `dates` CHANGE `date` `date` DATE NOT NULL DEFAULT '9999-12-31';
ALTER TABLE `stagiaires` CHANGE `date_publi_convoc` `date_publi_convoc` DATE NOT NULL DEFAULT '9999-12-31';
ALTER TABLE `stagiaires` ADD `type_courriel` TINYINT UNSIGNED NOT NULL DEFAULT '0' AFTER `courriel` ;
ALTER TABLE `utilisateurs` CHANGE `date_publipostage` `date_publipostage` DATE NOT NULL DEFAULT '9999-12-31';
ALTER TABLE `circos` ADD `type_circo` TINYINT UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `inscriptions` ADD `traite` TINYINT UNSIGNED NOT NULL DEFAULT '0';
ALTER TABLE `partages` DROP `nb_places`;
ALTER TABLE `animations` ADD `annule` TINYINT NOT NULL DEFAULT '0';
ALTER TABLE `intervenants` ADD `ical_session` VARCHAR( 50 ) NULL DEFAULT NULL, ADD `ical_timestamp` TIMESTAMP NULL DEFAULT NULL , ADD `ical_cache` BLOB NULL DEFAULT NULL, ADD INDEX ( `ical_session` )  ;
DROP TABLE IF EXISTS `acces`;
CREATE TABLE IF NOT EXISTS `acces` (
  `IP` varchar(15) CHARACTER SET latin1 COLLATE latin1_general_ci NOT NULL,
  `dt_acces` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `tentatives` int(11) NOT NULL,
  `login` tinytext NOT NULL,
  `ban` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`IP`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
