#reindexation de toutes les tables de Circonscript 7.1 en tenant compte des dpendances
#a utiliser uniquement lorsque le site est ferm, sur une base de donnes sans erreurs
#absences
ALTER TABLE absences ADD id_abs2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
ALTER TABLE absences DROP id_abs;
ALTER TABLE absences CHANGE id_abs2 id_abs int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_abs);
#administrateurs
ALTER TABLE administrateurs ADD id_admin2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE administrateurs SET id_admin2=@a:=@a+1 ORDER BY id_admin ASC;
UPDATE droits INNER JOIN administrateurs ON administrateurs.id_admin=droits.id_admin SET droits.id_admin=administrateurs.id_admin2;
ALTER TABLE administrateurs DROP id_admin;
ALTER TABLE administrateurs CHANGE id_admin2 id_admin int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_admin);
#animations
ALTER TABLE animations ADD id_anim2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE animations SET id_anim2=@a:=@a+1 ORDER BY id_anim ASC;
UPDATE positions INNER JOIN animations ON animations.id_anim=positions.id_anim SET positions.id_anim=animations.id_anim2;
UPDATE seances INNER JOIN animations ON animations.id_anim=seances.id_anim SET seances.id_anim=animations.id_anim2;
ALTER TABLE animations DROP id_anim;
ALTER TABLE animations CHANGE id_anim2 id_anim int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_anim);
#bassin
ALTER TABLE bassin ADD id_bassin2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE bassin SET id_bassin2=@a:=@a+1 ORDER BY id_bassin ASC;
ALTER TABLE bassin DROP id_bassin;
ALTER TABLE bassin CHANGE id_bassin2 id_bassin int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_bassin);
#categories
ALTER TABLE categories ADD id_categorie2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE categories SET id_categorie2=@a:=@a+1 ORDER BY id_categorie ASC;
UPDATE animations INNER JOIN categories ON categories.id_categorie=animations.id_categorie SET animations.id_categorie=categories.id_categorie2;
ALTER TABLE categories DROP id_categorie;
ALTER TABLE categories CHANGE id_categorie2 id_categorie int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_categorie);
#circos
ALTER TABLE circos ADD id_circo2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE circos SET id_circo2=@a:=@a+1 ORDER BY id_circo ASC;
UPDATE animations INNER JOIN circos ON circos.id_circo=animations.id_circo SET animations.id_circo=circos.id_circo2;
UPDATE bassin INNER JOIN circos ON circos.id_circo=bassin.id_circo SET bassin.id_circo=circos.id_circo2;
UPDATE bassin INNER JOIN circos ON circos.id_circo=bassin.id_circo_bassin SET bassin.id_circo_bassin=circos.id_circo2;
UPDATE domaines INNER JOIN circos ON circos.id_circo=domaines.id_circo SET domaines.id_circo=circos.id_circo2;
UPDATE droits INNER JOIN circos ON circos.id_circo=droits.id_circo SET droits.id_circo=circos.id_circo2;
UPDATE ecoles INNER JOIN circos ON circos.id_circo=ecoles.id_circo SET ecoles.id_circo=circos.id_circo2;
UPDATE groupes INNER JOIN circos ON circos.id_circo=groupes.id_circo SET groupes.id_circo=circos.id_circo2;
UPDATE intervenants INNER JOIN circos ON circos.id_circo=intervenants.id_circo SET intervenants.id_circo=circos.id_circo2;
UPDATE listes INNER JOIN circos ON circos.id_circo=listes.id_circo SET listes.id_circo=circos.id_circo2;
UPDATE partages INNER JOIN circos ON circos.id_circo=partages.id_circo SET partages.id_circo=circos.id_circo2;
UPDATE regles INNER JOIN circos ON circos.id_circo=regles.id_circo SET regles.id_circo=circos.id_circo2;
UPDATE themes INNER JOIN circos ON circos.id_circo=themes.id_circo SET themes.id_circo=circos.id_circo2;
ALTER TABLE circos DROP id_circo;
ALTER TABLE circos CHANGE id_circo2 id_circo int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_circo);
#convocations
ALTER TABLE convocations ADD id_convoc2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE convocations SET id_convoc2=@a:=@a+1 ORDER BY id_convoc ASC;
ALTER TABLE convocations DROP id_convoc;
ALTER TABLE convocations CHANGE id_convoc2 id_convoc int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_convoc);
#dates
ALTER TABLE dates ADD id_date2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE dates SET id_date2=@a:=@a+1 ORDER BY id_date ASC;
UPDATE absences INNER JOIN dates ON dates.id_date=absences.id_date SET absences.id_date=dates.id_date2;
UPDATE interventions INNER JOIN dates ON dates.id_date=interventions.id_date SET interventions.id_date=dates.id_date2;
ALTER TABLE dates DROP id_date;
ALTER TABLE dates CHANGE id_date2 id_date int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_date);
#domaines
ALTER TABLE domaines ADD id_domaine2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE domaines SET id_domaine2=@a:=@a+1 ORDER BY id_domaine ASC;
UPDATE positions INNER JOIN domaines ON domaines.id_domaine=positions.id_domaine SET positions.id_domaine=domaines.id_domaine2;
ALTER TABLE domaines DROP id_domaine;
ALTER TABLE domaines CHANGE id_domaine2 id_domaine int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_domaine);
#droits
ALTER TABLE droits ADD id_droit2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE droits SET id_droit2=@a:=@a+1 ORDER BY id_droit ASC;
ALTER TABLE droits DROP id_droit;
ALTER TABLE droits CHANGE id_droit2 id_droit int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_droit);
#ecoles
ALTER TABLE ecoles ADD id_ecole2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE ecoles SET id_ecole2=@a:=@a+1 ORDER BY id_ecole ASC;
UPDATE regles INNER JOIN ecoles ON ecoles.id_ecole=regles.id_ecole SET regles.id_ecole=ecoles.id_ecole2;
UPDATE stagiaires INNER JOIN ecoles ON ecoles.id_ecole=stagiaires.id_ecole SET stagiaires.id_ecole=ecoles.id_ecole2;
ALTER TABLE ecoles DROP id_ecole;
ALTER TABLE ecoles CHANGE id_ecole2 id_ecole int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_ecole);
#groupements
ALTER TABLE groupements ADD id_groupement2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE groupements SET id_groupement2=@a:=@a+1 ORDER BY id_groupement ASC;
ALTER TABLE groupements DROP id_groupement;
ALTER TABLE groupements CHANGE id_groupement2 id_groupement int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_groupement);
#groupes
ALTER TABLE groupes ADD id_groupe2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE groupes SET id_groupe2=@a:=@a+1 ORDER BY id_groupe ASC;
UPDATE groupements INNER JOIN groupes ON groupes.id_groupe=groupements.id_groupe SET groupements.id_groupe=groupes.id_groupe2;
UPDATE regles INNER JOIN groupes ON groupes.id_groupe=regles.id_groupe SET regles.id_groupe=groupes.id_groupe2;
UPDATE stagiaires INNER JOIN groupes ON groupes.id_groupe=stagiaires.id_groupe SET stagiaires.id_groupe=groupes.id_groupe2;
ALTER TABLE groupes DROP id_groupe;
ALTER TABLE groupes CHANGE id_groupe2 id_groupe int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_groupe);
#inscriptions
ALTER TABLE inscriptions ADD id_inscr2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE inscriptions SET id_inscr2=@a:=@a+1 ORDER BY id_inscr ASC;
ALTER TABLE inscriptions DROP id_inscr;
ALTER TABLE inscriptions CHANGE id_inscr2 id_inscr int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_inscr);
#intervenants
ALTER TABLE intervenants ADD id_intervenant2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE intervenants SET id_intervenant2=@a:=@a+1 ORDER BY id_intervenant ASC;
UPDATE interventions INNER JOIN intervenants ON intervenants.id_intervenant=interventions.id_intervenant SET interventions.id_intervenant=intervenants.id_intervenant2;
ALTER TABLE intervenants DROP id_intervenant;
ALTER TABLE intervenants CHANGE id_intervenant2 id_intervenant int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_intervenant);
#interventions
ALTER TABLE interventions ADD id_intervention2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE interventions SET id_intervention2=@a:=@a+1 ORDER BY id_intervention ASC;
ALTER TABLE interventions DROP id_intervention;
ALTER TABLE interventions CHANGE id_intervention2 id_intervention int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_intervention);
#items
ALTER TABLE items ADD id_item2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE items SET id_item2=@a:=@a+1 ORDER BY id_item ASC;
ALTER TABLE items DROP id_item;
ALTER TABLE items CHANGE id_item2 id_item int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_item);
#listes
ALTER TABLE listes ADD id_liste2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE listes SET id_liste2=@a:=@a+1 ORDER BY id_liste ASC;
UPDATE items INNER JOIN listes ON listes.id_liste=items.id_liste SET items.id_liste=listes.id_liste2;
ALTER TABLE listes DROP id_liste;
ALTER TABLE listes CHANGE id_liste2 id_liste int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_liste);
#niveaux
ALTER TABLE niveaux ADD id_niveau2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE niveaux SET id_niveau2=@a:=@a+1 ORDER BY id_niveau ASC;
ALTER TABLE niveaux DROP id_niveau;
ALTER TABLE niveaux CHANGE id_niveau2 id_niveau int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_niveau);
#partages
ALTER TABLE partages ADD id_partage2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE partages SET id_partage2=@a:=@a+1 ORDER BY id_partage ASC;
ALTER TABLE partages DROP id_partage;
ALTER TABLE partages CHANGE id_partage2 id_partage int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_partage);
#positions
ALTER TABLE positions ADD id_position2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE positions SET id_position2=@a:=@a+1 ORDER BY id_position ASC;
ALTER TABLE positions DROP id_position;
ALTER TABLE positions CHANGE id_position2 id_position int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_position);
#quotites
ALTER TABLE quotites ADD id_quotite2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE quotites SET id_quotite2=@a:=@a+1 ORDER BY id_quotite ASC;
ALTER TABLE quotites DROP id_quotite;
ALTER TABLE quotites CHANGE id_quotite2 id_quotite int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_quotite);
#regles
ALTER TABLE regles ADD id_regle2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE regles SET id_regle2=@a:=@a+1 ORDER BY id_regle ASC;
ALTER TABLE regles DROP id_regle;
ALTER TABLE regles CHANGE id_regle2 id_regle int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_regle);
#seances
ALTER TABLE seances ADD id_seance2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE seances SET id_seance2=@a:=@a+1 ORDER BY id_seance ASC;
UPDATE convocations INNER JOIN seances ON seances.id_seance=convocations.id_seance SET convocations.id_seance=seances.id_seance2;
UPDATE dates INNER JOIN seances ON seances.id_seance=dates.id_seance SET dates.id_seance=seances.id_seance2;
UPDATE groupements INNER JOIN seances ON seances.id_seance=groupements.id_seance SET groupements.id_seance=seances.id_seance2;
UPDATE inscriptions INNER JOIN seances ON seances.id_seance=inscriptions.id_seance SET inscriptions.id_seance=seances.id_seance2;
UPDATE items INNER JOIN seances ON seances.id_seance=items.id_seance SET items.id_seance=seances.id_seance2;
UPDATE partages INNER JOIN seances ON seances.id_seance=partages.id_seance SET partages.id_seance=seances.id_seance2;
ALTER TABLE seances DROP id_seance;
ALTER TABLE seances CHANGE id_seance2 id_seance int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_seance);
#stagiaires
ALTER TABLE stagiaires ADD id_stagiaire2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE stagiaires SET id_stagiaire2=@a:=@a+1 ORDER BY id_stagiaire ASC;
UPDATE convocations INNER JOIN stagiaires ON stagiaires.id_stagiaire=convocations.id_stagiaire SET convocations.id_stagiaire=stagiaires.id_stagiaire2;
UPDATE inscriptions INNER JOIN stagiaires ON stagiaires.id_stagiaire=inscriptions.id_stagiaire SET inscriptions.id_stagiaire=stagiaires.id_stagiaire2;
UPDATE absences INNER JOIN stagiaires ON stagiaires.id_stagiaire=absences.id_stagiaire SET absences.id_stagiaire=stagiaires.id_stagiaire2;
ALTER TABLE stagiaires DROP id_stagiaire;
ALTER TABLE stagiaires CHANGE id_stagiaire2 id_stagiaire int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_stagiaire);
#suffixes
ALTER TABLE suffixes ADD id_suffixe2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE suffixes SET id_suffixe2=@a:=@a+1 ORDER BY id_suffixe ASC;
ALTER TABLE suffixes DROP id_suffixe;
ALTER TABLE suffixes CHANGE id_suffixe2 id_suffixe int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_suffixe);
#themes
ALTER TABLE themes ADD id_theme2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE themes SET id_theme2=@a:=@a+1 ORDER BY id_theme ASC;
UPDATE positions INNER JOIN themes ON themes.id_theme=positions.id_theme SET positions.id_theme=themes.id_theme2;
ALTER TABLE themes DROP id_theme;
ALTER TABLE themes CHANGE id_theme2 id_theme int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_theme);
#utilisateurs 
ALTER TABLE utilisateurs ADD id_uti2 INT UNSIGNED NOT NULL FIRST;
SET @a:=0;
UPDATE utilisateurs SET id_uti2=@a:=@a+1 ORDER BY id_uti ASC;
UPDATE administrateurs INNER JOIN utilisateurs ON utilisateurs.id_uti=administrateurs.id_uti SET administrateurs.id_uti=utilisateurs.id_uti2;
UPDATE intervenants INNER JOIN utilisateurs ON utilisateurs.id_uti=intervenants.id_uti SET intervenants.id_uti=utilisateurs.id_uti2;
UPDATE stagiaires INNER JOIN utilisateurs ON utilisateurs.id_uti=stagiaires.id_uti SET stagiaires.id_uti=utilisateurs.id_uti2;
TRUNCATE table tmp_absences;
ALTER TABLE utilisateurs DROP id_uti;
ALTER TABLE utilisateurs CHANGE id_uti2 id_uti int UNSIGNED NOT NULL AUTO_INCREMENT, ADD PRIMARY KEY (id_uti);
#fin